# correl makefile
# correl library rules
OBJS_correl= \
	$(LIB)/correl.a(anacor.o) \
	$(LIB)/correl.a(ancsol.o) \
	$(LIB)/correl.a(clustr.o) \
	$(LIB)/correl.a(cordyn.o) \
	$(LIB)/correl.a(corfun.o) \
	$(LIB)/correl.a(correl.o) \
	$(LIB)/correl.a(corrio.o) \
	$(LIB)/correl.a(corsol.o) \
	$(LIB)/correl.a(mancor.o) \
	$(LIB)/correl.a(mantim.o) \
	$(LIB)/correl.a(proto.o) \
	$(LIB)/correl.a(rdfsl2.o) \
	$(LIB)/correl.a(rdfsol.o) \
	$(LIB)/correl.a(shell.o) \
	$(LIB)/correl.a(shlsel.o) \
	$(LIB)/correl.a(solana.o)
#
$(LIB)/correl.a : $(OBJS_correl)
	$(RANLIB) $(LIB)/correl.a
	@echo correl COMPLETED
#
# correl source file rules
$(LIB)/correl.a(anacor.o)  : $(SRC)/correl/anacor.src
	$(FLX) $(SRC)/correl/anacor.src
	$(FC2) anacor.f
	$(AR_COMMAND) $(LIB)/correl.a anacor.o
	$(REMOVE_F) anacor.f
	$(REMOVE_O) anacor.o
#
$(LIB)/correl.a(ancsol.o)  : $(SRC)/correl/ancsol.src
	$(FLX) $(SRC)/correl/ancsol.src
	$(FC2) ancsol.f
	$(AR_COMMAND) $(LIB)/correl.a ancsol.o
	$(REMOVE_F) ancsol.f
	$(REMOVE_O) ancsol.o
#
$(LIB)/correl.a(clustr.o)  : $(SRC)/correl/clustr.src
	$(FLX) $(SRC)/correl/clustr.src
	$(FC2) clustr.f
	$(AR_COMMAND) $(LIB)/correl.a clustr.o
	$(REMOVE_F) clustr.f
	$(REMOVE_O) clustr.o
#
$(LIB)/correl.a(cordyn.o)  : $(SRC)/correl/cordyn.src
	$(FLX) $(SRC)/correl/cordyn.src
	$(FC2) cordyn.f
	$(AR_COMMAND) $(LIB)/correl.a cordyn.o
	$(REMOVE_F) cordyn.f
	$(REMOVE_O) cordyn.o
#
$(LIB)/correl.a(corfun.o)  : $(SRC)/correl/corfun.src
	$(FLX) $(SRC)/correl/corfun.src
	$(FC2) corfun.f
	$(AR_COMMAND) $(LIB)/correl.a corfun.o
	$(REMOVE_F) corfun.f
	$(REMOVE_O) corfun.o
#
$(LIB)/correl.a(correl.o)  : $(SRC)/correl/correl.src
	$(FLX) $(SRC)/correl/correl.src
	$(FC2) correl.f
	$(AR_COMMAND) $(LIB)/correl.a correl.o
	$(REMOVE_F) correl.f
	$(REMOVE_O) correl.o
#
$(LIB)/correl.a(corrio.o)  : $(SRC)/correl/corrio.src
	$(FLX) $(SRC)/correl/corrio.src
	$(FC2) corrio.f
	$(AR_COMMAND) $(LIB)/correl.a corrio.o
	$(REMOVE_F) corrio.f
	$(REMOVE_O) corrio.o
#
$(LIB)/correl.a(corsol.o)  : $(SRC)/correl/corsol.src
	$(FLX) $(SRC)/correl/corsol.src
	$(FC2) corsol.f
	$(AR_COMMAND) $(LIB)/correl.a corsol.o
	$(REMOVE_F) corsol.f
	$(REMOVE_O) corsol.o
#
$(LIB)/correl.a(mancor.o)  : $(SRC)/correl/mancor.src
	$(FLX) $(SRC)/correl/mancor.src
	$(FC2) mancor.f
	$(AR_COMMAND) $(LIB)/correl.a mancor.o
	$(REMOVE_F) mancor.f
	$(REMOVE_O) mancor.o
#
$(LIB)/correl.a(mantim.o)  : $(SRC)/correl/mantim.src
	$(FLX) $(SRC)/correl/mantim.src
	$(FC2) mantim.f
	$(AR_COMMAND) $(LIB)/correl.a mantim.o
	$(REMOVE_F) mantim.f
	$(REMOVE_O) mantim.o
#
$(LIB)/correl.a(proto.o)  : $(SRC)/correl/proto.src
	$(FLX) $(SRC)/correl/proto.src
	$(FC2) proto.f
	$(AR_COMMAND) $(LIB)/correl.a proto.o
	$(REMOVE_F) proto.f
	$(REMOVE_O) proto.o
#
$(LIB)/correl.a(rdfsl2.o)  : $(SRC)/correl/rdfsl2.src
	$(FLX) $(SRC)/correl/rdfsl2.src
	$(FC2) rdfsl2.f
	$(AR_COMMAND) $(LIB)/correl.a rdfsl2.o
	$(REMOVE_F) rdfsl2.f
	$(REMOVE_O) rdfsl2.o
#
$(LIB)/correl.a(rdfsol.o)  : $(SRC)/correl/rdfsol.src
	$(FLX) $(SRC)/correl/rdfsol.src
	$(FC2) rdfsol.f
	$(AR_COMMAND) $(LIB)/correl.a rdfsol.o
	$(REMOVE_F) rdfsol.f
	$(REMOVE_O) rdfsol.o
#
$(LIB)/correl.a(shell.o)  : $(SRC)/correl/shell.src
	$(FLX) $(SRC)/correl/shell.src
	$(FC2) shell.f
	$(AR_COMMAND) $(LIB)/correl.a shell.o
	$(REMOVE_F) shell.f
	$(REMOVE_O) shell.o
#
$(LIB)/correl.a(shlsel.o)  : $(SRC)/correl/shlsel.src
	$(FLX) $(SRC)/correl/shlsel.src
	$(FC2) shlsel.f
	$(AR_COMMAND) $(LIB)/correl.a shlsel.o
	$(REMOVE_F) shlsel.f
	$(REMOVE_O) shlsel.o
#
$(LIB)/correl.a(solana.o)  : $(SRC)/correl/solana.src
	$(FLX) $(SRC)/correl/solana.src
	$(FC1) solana.f
	$(AR_COMMAND) $(LIB)/correl.a solana.o
	$(REMOVE_F) solana.f
	$(REMOVE_O) solana.o
#
#
# correl dependency file
#
$(LIB)/correl.a(anacor.o) : bases.fcm
$(LIB)/correl.a(anacor.o) : code.fcm
$(LIB)/correl.a(anacor.o) : consta.fcm
$(LIB)/correl.a(anacor.o) : coord.fcm
$(LIB)/correl.a(anacor.o) : ctitla.fcm
$(LIB)/correl.a(anacor.o) : deriv.fcm
$(LIB)/correl.a(anacor.o) : dimens.fcm
$(LIB)/correl.a(anacor.o) : energy.fcm
$(LIB)/correl.a(anacor.o) : exfunc.fcm
$(LIB)/correl.a(anacor.o) : flucq.fcm
$(LIB)/correl.a(anacor.o) : fourd.fcm
$(LIB)/correl.a(anacor.o) : hbond.fcm
$(LIB)/correl.a(anacor.o) : heap.fcm
$(LIB)/correl.a(anacor.o) : image.fcm
$(LIB)/correl.a(anacor.o) : impnon.fcm
$(LIB)/correl.a(anacor.o) : number.fcm
$(LIB)/correl.a(anacor.o) : param.fcm
$(LIB)/correl.a(anacor.o) : psf.fcm
$(LIB)/correl.a(anacor.o) : shell.fcm
$(LIB)/correl.a(anacor.o) : stack.fcm
$(LIB)/correl.a(anacor.o) : stream.fcm
$(LIB)/correl.a(anacor.o) : $(LIB)/nbonds.a(cheqmodule.o)
#
#
$(LIB)/correl.a(ancsol.o) : bases.fcm
$(LIB)/correl.a(ancsol.o) : code.fcm
$(LIB)/correl.a(ancsol.o) : consta.fcm
$(LIB)/correl.a(ancsol.o) : coord.fcm
$(LIB)/correl.a(ancsol.o) : ctitla.fcm
$(LIB)/correl.a(ancsol.o) : deriv.fcm
$(LIB)/correl.a(ancsol.o) : dimens.fcm
$(LIB)/correl.a(ancsol.o) : exfunc.fcm
$(LIB)/correl.a(ancsol.o) : flucq.fcm
$(LIB)/correl.a(ancsol.o) : fourd.fcm
$(LIB)/correl.a(ancsol.o) : hbond.fcm
$(LIB)/correl.a(ancsol.o) : heap.fcm
$(LIB)/correl.a(ancsol.o) : image.fcm
$(LIB)/correl.a(ancsol.o) : impnon.fcm
$(LIB)/correl.a(ancsol.o) : number.fcm
$(LIB)/correl.a(ancsol.o) : param.fcm
$(LIB)/correl.a(ancsol.o) : psf.fcm
$(LIB)/correl.a(ancsol.o) : stack.fcm
$(LIB)/correl.a(ancsol.o) : stream.fcm
#
#
$(LIB)/correl.a(clustr.o) : comand.fcm
$(LIB)/correl.a(clustr.o) : cstack.fcm
$(LIB)/correl.a(clustr.o) : dimens.fcm
$(LIB)/correl.a(clustr.o) : exfunc.fcm
$(LIB)/correl.a(clustr.o) : heap.fcm
$(LIB)/correl.a(clustr.o) : impnon.fcm
$(LIB)/correl.a(clustr.o) : number.fcm
$(LIB)/correl.a(clustr.o) : stack.fcm
$(LIB)/correl.a(clustr.o) : stream.fcm
#
#
$(LIB)/correl.a(cordyn.o) : impnon.fcm
$(LIB)/correl.a(cordyn.o) : number.fcm
#
#
$(LIB)/correl.a(corfun.o) : consta.fcm
$(LIB)/correl.a(corfun.o) : impnon.fcm
$(LIB)/correl.a(corfun.o) : number.fcm
#
#
$(LIB)/correl.a(correl.o) : comand.fcm
$(LIB)/correl.a(correl.o) : consta.fcm
$(LIB)/correl.a(correl.o) : coordc.fcm
$(LIB)/correl.a(correl.o) : coord.fcm
$(LIB)/correl.a(correl.o) : cstack.fcm
$(LIB)/correl.a(correl.o) : ctitla.fcm
$(LIB)/correl.a(correl.o) : dimens.fcm
$(LIB)/correl.a(correl.o) : exfunc.fcm
$(LIB)/correl.a(correl.o) : heap.fcm
$(LIB)/correl.a(correl.o) : image.fcm
$(LIB)/correl.a(correl.o) : impnon.fcm
$(LIB)/correl.a(correl.o) : number.fcm
$(LIB)/correl.a(correl.o) : param.fcm
$(LIB)/correl.a(correl.o) : proto.fcm
$(LIB)/correl.a(correl.o) : psf.fcm
$(LIB)/correl.a(correl.o) : shell.fcm
$(LIB)/correl.a(correl.o) : stack.fcm
$(LIB)/correl.a(correl.o) : stream.fcm
#
#
$(LIB)/correl.a(corrio.o) : comand.fcm
$(LIB)/correl.a(corrio.o) : consta.fcm
$(LIB)/correl.a(corrio.o) : ctitla.fcm
$(LIB)/correl.a(corrio.o) : dimens.fcm
$(LIB)/correl.a(corrio.o) : exfunc.fcm
$(LIB)/correl.a(corrio.o) : impnon.fcm
$(LIB)/correl.a(corrio.o) : number.fcm
$(LIB)/correl.a(corrio.o) : stream.fcm
#
#
$(LIB)/correl.a(corsol.o) : comand.fcm
$(LIB)/correl.a(corsol.o) : consta.fcm
$(LIB)/correl.a(corsol.o) : coordc.fcm
$(LIB)/correl.a(corsol.o) : coord.fcm
$(LIB)/correl.a(corsol.o) : cstack.fcm
$(LIB)/correl.a(corsol.o) : ctitla.fcm
$(LIB)/correl.a(corsol.o) : dimens.fcm
$(LIB)/correl.a(corsol.o) : exfunc.fcm
$(LIB)/correl.a(corsol.o) : heap.fcm
$(LIB)/correl.a(corsol.o) : image.fcm
$(LIB)/correl.a(corsol.o) : impnon.fcm
$(LIB)/correl.a(corsol.o) : number.fcm
$(LIB)/correl.a(corsol.o) : param.fcm
$(LIB)/correl.a(corsol.o) : psf.fcm
$(LIB)/correl.a(corsol.o) : shell.fcm
$(LIB)/correl.a(corsol.o) : stack.fcm
$(LIB)/correl.a(corsol.o) : stream.fcm
#
#
$(LIB)/correl.a(mancor.o) : consta.fcm
$(LIB)/correl.a(mancor.o) : impnon.fcm
#
#
$(LIB)/correl.a(mantim.o) : comand.fcm
$(LIB)/correl.a(mantim.o) : consta.fcm
$(LIB)/correl.a(mantim.o) : dimens.fcm
$(LIB)/correl.a(mantim.o) : exfunc.fcm
$(LIB)/correl.a(mantim.o) : heap.fcm
$(LIB)/correl.a(mantim.o) : impnon.fcm
$(LIB)/correl.a(mantim.o) : number.fcm
$(LIB)/correl.a(mantim.o) : stack.fcm
$(LIB)/correl.a(mantim.o) : stream.fcm
#
#
$(LIB)/correl.a(proto.o) : bases.fcm
$(LIB)/correl.a(proto.o) : comand.fcm
$(LIB)/correl.a(proto.o) : coord.fcm
$(LIB)/correl.a(proto.o) : dimens.fcm
$(LIB)/correl.a(proto.o) : exfunc.fcm
$(LIB)/correl.a(proto.o) : heap.fcm
$(LIB)/correl.a(proto.o) : image.fcm
$(LIB)/correl.a(proto.o) : impnon.fcm
$(LIB)/correl.a(proto.o) : number.fcm
$(LIB)/correl.a(proto.o) : proto.fcm
$(LIB)/correl.a(proto.o) : psf.fcm
$(LIB)/correl.a(proto.o) : stack.fcm
$(LIB)/correl.a(proto.o) : stream.fcm
#
#
$(LIB)/correl.a(rdfsl2.o) : dimens.fcm
$(LIB)/correl.a(rdfsl2.o) : exfunc.fcm
$(LIB)/correl.a(rdfsl2.o) : impnon.fcm
$(LIB)/correl.a(rdfsl2.o) : $(LIB)/util.a(new_timer.o)
$(LIB)/correl.a(rdfsl2.o) : number.fcm
$(LIB)/correl.a(rdfsl2.o) : psf.fcm
$(LIB)/correl.a(rdfsl2.o) : stream.fcm
#
#
$(LIB)/correl.a(rdfsol.o) : bases.fcm
$(LIB)/correl.a(rdfsol.o) : comand.fcm
$(LIB)/correl.a(rdfsol.o) : consta.fcm
$(LIB)/correl.a(rdfsol.o) : coord.fcm
$(LIB)/correl.a(rdfsol.o) : ctitla.fcm
$(LIB)/correl.a(rdfsol.o) : dimens.fcm
$(LIB)/correl.a(rdfsol.o) : energy.fcm
$(LIB)/correl.a(rdfsol.o) : exfunc.fcm
$(LIB)/correl.a(rdfsol.o) : flucq.fcm
$(LIB)/correl.a(rdfsol.o) : heap.fcm
$(LIB)/correl.a(rdfsol.o) : image.fcm
$(LIB)/correl.a(rdfsol.o) : impnon.fcm
$(LIB)/correl.a(rdfsol.o) : number.fcm
$(LIB)/correl.a(rdfsol.o) : proto.fcm
$(LIB)/correl.a(rdfsol.o) : psf.fcm
$(LIB)/correl.a(rdfsol.o) : stack.fcm
$(LIB)/correl.a(rdfsol.o) : stream.fcm
#
#
$(LIB)/correl.a(shell.o) : bases.fcm
$(LIB)/correl.a(shell.o) : comand.fcm
$(LIB)/correl.a(shell.o) : coord.fcm
$(LIB)/correl.a(shell.o) : dimens.fcm
$(LIB)/correl.a(shell.o) : exfunc.fcm
$(LIB)/correl.a(shell.o) : heap.fcm
$(LIB)/correl.a(shell.o) : image.fcm
$(LIB)/correl.a(shell.o) : impnon.fcm
$(LIB)/correl.a(shell.o) : $(LIB)/util.a(new_timer.o)
$(LIB)/correl.a(shell.o) : number.fcm
$(LIB)/correl.a(shell.o) : psf.fcm
$(LIB)/correl.a(shell.o) : selcta.fcm
$(LIB)/correl.a(shell.o) : shell.fcm
$(LIB)/correl.a(shell.o) : stack.fcm
$(LIB)/correl.a(shell.o) : stream.fcm
$(LIB)/correl.a(shell.o) : timer.fcm
#
#
$(LIB)/correl.a(shlsel.o) : consta.fcm
$(LIB)/correl.a(shlsel.o) : coord.fcm
$(LIB)/correl.a(shlsel.o) : dimens.fcm
$(LIB)/correl.a(shlsel.o) : exfunc.fcm
$(LIB)/correl.a(shlsel.o) : impnon.fcm
$(LIB)/correl.a(shlsel.o) : number.fcm
$(LIB)/correl.a(shlsel.o) : psf.fcm
#
#
$(LIB)/correl.a(solana.o) : comand.fcm
$(LIB)/correl.a(solana.o) : consta.fcm
$(LIB)/correl.a(solana.o) : coord.fcm
$(LIB)/correl.a(solana.o) : corman.fcm
$(LIB)/correl.a(solana.o) : ctitla.fcm
$(LIB)/correl.a(solana.o) : dimens.fcm
$(LIB)/correl.a(solana.o) : exfunc.fcm
$(LIB)/correl.a(solana.o) : heap.fcm
$(LIB)/correl.a(solana.o) : image.fcm
$(LIB)/correl.a(solana.o) : impnon.fcm
$(LIB)/correl.a(solana.o) : iochan.fcm
$(LIB)/correl.a(solana.o) : number.fcm
$(LIB)/correl.a(solana.o) : parallel.fcm
$(LIB)/correl.a(solana.o) : param.fcm
$(LIB)/correl.a(solana.o) : psf.fcm
$(LIB)/correl.a(solana.o) : stack.fcm
$(LIB)/correl.a(solana.o) : stream.fcm
$(LIB)/correl.a(solana.o) : $(LIB)/nbonds.a(cheqmodule.o)
#
