# energy makefile
# energy library rules
OBJS_energy= \
	$(LIB)/energy.a(afm.o) \
	$(LIB)/energy.a(anal.o) \
	$(LIB)/energy.a(dmcons.o) \
	$(LIB)/energy.a(ebaspas.o) \
	$(LIB)/energy.a(ecmap.o) \
	$(LIB)/energy.a(ecnstr.o) \
	$(LIB)/energy.a(ecntrl.o) \
	$(LIB)/energy.a(ediff.o) \
	$(LIB)/energy.a(efour.o) \
	$(LIB)/energy.a(ehbond.o) \
	$(LIB)/energy.a(eintern.o) \
	$(LIB)/energy.a(enefscal.o) \
	$(LIB)/energy.a(energy.o) \
	$(LIB)/energy.a(enst2.o) \
	$(LIB)/energy.a(eolap.o) \
	$(LIB)/energy.a(epath.o) \
	$(LIB)/energy.a(epull.o) \
	$(LIB)/energy.a(eutil.o) \
	$(LIB)/energy.a(gb_common.o) \
	$(LIB)/energy.a(gbim.o) \
	$(LIB)/energy.a(gbsw.o) \
	$(LIB)/energy.a(genborn.o) \
	$(LIB)/energy.a(hqbm.o) \
	$(LIB)/energy.a(inertia.o) \
	$(LIB)/energy.a(intere.o) \
	$(LIB)/energy.a(pathint.o) \
	$(LIB)/energy.a(phmd.o) \
	$(LIB)/energy.a(polar.o) \
	$(LIB)/energy.a(printe.o) \
	$(LIB)/energy.a(rgy.o) \
	$(LIB)/energy.a(rmsd.o) \
	$(LIB)/energy.a(rush.o) \
	$(LIB)/energy.a(gbmvmodule.o)
#
$(LIB)/energy.a : $(OBJS_energy)
	$(RANLIB) $(LIB)/energy.a
	@echo energy COMPLETED
#
# energy source file rules
$(LIB)/energy.a(afm.o)  : $(SRC)/energy/afm.src
	$(FLX) $(SRC)/energy/afm.src
	$(FC2) afm.f
	$(AR_COMMAND) $(LIB)/energy.a afm.o
	$(REMOVE_F) afm.f
	$(REMOVE_O) afm.o
#
$(LIB)/energy.a(anal.o)  : $(SRC)/energy/anal.src
	$(FLX) $(SRC)/energy/anal.src
	$(FC2) anal.f
	$(AR_COMMAND) $(LIB)/energy.a anal.o
	$(REMOVE_F) anal.f
	$(REMOVE_O) anal.o
#
$(LIB)/energy.a(dmcons.o)  : $(SRC)/energy/dmcons.src
	$(FLX) $(SRC)/energy/dmcons.src
	$(FC2) dmcons.f
	$(AR_COMMAND) $(LIB)/energy.a dmcons.o
	$(REMOVE_F) dmcons.f
	$(REMOVE_O) dmcons.o
#
$(LIB)/energy.a(ebaspas.o)  : $(SRC)/energy/ebaspas.src
	$(FLX) $(SRC)/energy/ebaspas.src
	$(FC2) ebaspas.f
	$(AR_COMMAND) $(LIB)/energy.a ebaspas.o
	$(REMOVE_F) ebaspas.f
	$(REMOVE_O) ebaspas.o
#
$(LIB)/energy.a(ecmap.o)  : $(SRC)/energy/ecmap.src
	$(FLX) $(SRC)/energy/ecmap.src
	$(FC2) ecmap.f
	$(AR_COMMAND) $(LIB)/energy.a ecmap.o
	$(REMOVE_F) ecmap.f
	$(REMOVE_O) ecmap.o
#
$(LIB)/energy.a(ecnstr.o)  : $(SRC)/energy/ecnstr.src
	$(FLX) $(SRC)/energy/ecnstr.src
	$(FC2) ecnstr.f
	$(AR_COMMAND) $(LIB)/energy.a ecnstr.o
	$(REMOVE_F) ecnstr.f
	$(REMOVE_O) ecnstr.o
#
$(LIB)/energy.a(ecntrl.o)  : $(SRC)/energy/ecntrl.src
	$(FLX) $(SRC)/energy/ecntrl.src
	$(FC2) ecntrl.f
	$(AR_COMMAND) $(LIB)/energy.a ecntrl.o
	$(REMOVE_F) ecntrl.f
	$(REMOVE_O) ecntrl.o
#
$(LIB)/energy.a(ediff.o)  : $(SRC)/energy/ediff.src
	$(FLX) $(SRC)/energy/ediff.src
	$(FC2) ediff.f
	$(AR_COMMAND) $(LIB)/energy.a ediff.o
	$(REMOVE_F) ediff.f
	$(REMOVE_O) ediff.o
#
$(LIB)/energy.a(efour.o)  : $(SRC)/energy/efour.src
	$(FLX) $(SRC)/energy/efour.src
	$(FC2) efour.f
	$(AR_COMMAND) $(LIB)/energy.a efour.o
	$(REMOVE_F) efour.f
	$(REMOVE_O) efour.o
#
$(LIB)/energy.a(ehbond.o)  : $(SRC)/energy/ehbond.src
	$(FLX) $(SRC)/energy/ehbond.src
	$(FC0) ehbond.f
	$(AR_COMMAND) $(LIB)/energy.a ehbond.o
	$(REMOVE_F) ehbond.f
	$(REMOVE_O) ehbond.o
#
$(LIB)/energy.a(eintern.o)  : $(SRC)/energy/eintern.src
	$(FLX) $(SRC)/energy/eintern.src
	$(FC2) eintern.f
	$(AR_COMMAND) $(LIB)/energy.a eintern.o
	$(REMOVE_F) eintern.f
	$(REMOVE_O) eintern.o
#
$(LIB)/energy.a(enefscal.o)  : $(SRC)/energy/enefscal.src
	$(FLX) $(SRC)/energy/enefscal.src
	$(FC2) enefscal.f
	$(AR_COMMAND) $(LIB)/energy.a enefscal.o
	$(REMOVE_F) enefscal.f
	$(REMOVE_O) enefscal.o
#
$(LIB)/energy.a(energy.o)  : $(SRC)/energy/energy.src
	$(FLX) $(SRC)/energy/energy.src
	$(FC2) energy.f
	$(AR_COMMAND) $(LIB)/energy.a energy.o
	$(REMOVE_F) energy.f
	$(REMOVE_O) energy.o
#
$(LIB)/energy.a(enst2.o)  : $(SRC)/energy/enst2.src
	$(FLX) $(SRC)/energy/enst2.src
	$(FC2) enst2.f
	$(AR_COMMAND) $(LIB)/energy.a enst2.o
	$(REMOVE_F) enst2.f
	$(REMOVE_O) enst2.o
#
$(LIB)/energy.a(eolap.o)  : $(SRC)/energy/eolap.src
	$(FLX) $(SRC)/energy/eolap.src
	$(FC2) eolap.f
	$(AR_COMMAND) $(LIB)/energy.a eolap.o
	$(REMOVE_F) eolap.f
	$(REMOVE_O) eolap.o
#
$(LIB)/energy.a(epath.o)  : $(SRC)/energy/epath.src
	$(FLX) $(SRC)/energy/epath.src
	$(FC2) epath.f
	$(AR_COMMAND) $(LIB)/energy.a epath.o
	$(REMOVE_F) epath.f
	$(REMOVE_O) epath.o
#
$(LIB)/energy.a(epull.o)  : $(SRC)/energy/epull.src
	$(FLX) $(SRC)/energy/epull.src
	$(FC2) epull.f
	$(AR_COMMAND) $(LIB)/energy.a epull.o
	$(REMOVE_F) epull.f
	$(REMOVE_O) epull.o
#
$(LIB)/energy.a(eutil.o)  : $(SRC)/energy/eutil.src
	$(FLX) $(SRC)/energy/eutil.src
	$(FC2) eutil.f
	$(AR_COMMAND) $(LIB)/energy.a eutil.o
	$(REMOVE_F) eutil.f
	$(REMOVE_O) eutil.o
#
$(LIB)/energy.a(gb_common.o)  : $(SRC)/energy/gb_common.src
	$(FLX) $(SRC)/energy/gb_common.src
	$(FC2) gb_common.f
	$(AR_COMMAND) $(LIB)/energy.a gb_common.o
	$(REMOVE_F) gb_common.f
	$(REMOVE_O) gb_common.o
#
$(LIB)/energy.a(gbim.o)  : $(SRC)/energy/gbim.src
	$(FLX) $(SRC)/energy/gbim.src
	$(FC2) gbim.f
	$(AR_COMMAND) $(LIB)/energy.a gbim.o
	$(REMOVE_F) gbim.f
	$(REMOVE_O) gbim.o
#
$(LIB)/energy.a(gbmvmodule.o)  : $(SRC)/energy/gbmvmodule.src
	$(FLX) $(SRC)/energy/gbmvmodule.src
	$(FC2) gbmvmodule.f
	$(AR_COMMAND) $(LIB)/energy.a gbmvmodule.o
	$(REMOVE_F) gbmvmodule.f
	$(REMOVE_O) gbmvmodule.o
#
$(LIB)/energy.a(gbsw.o)  : $(SRC)/energy/gbsw.src
	$(FLX) $(SRC)/energy/gbsw.src
	$(FC2) gbsw.f
	$(AR_COMMAND) $(LIB)/energy.a gbsw.o
	$(REMOVE_F) gbsw.f
	$(REMOVE_O) gbsw.o
#
$(LIB)/energy.a(genborn.o)  : $(SRC)/energy/genborn.src
	$(FLX) $(SRC)/energy/genborn.src
	$(FC2) genborn.f
	$(AR_COMMAND) $(LIB)/energy.a genborn.o
	$(REMOVE_F) genborn.f
	$(REMOVE_O) genborn.o
#
$(LIB)/energy.a(hqbm.o)  : $(SRC)/energy/hqbm.src
	$(FLX) $(SRC)/energy/hqbm.src
	$(FC2) hqbm.f
	$(AR_COMMAND) $(LIB)/energy.a hqbm.o
	$(REMOVE_F) hqbm.f
	$(REMOVE_O) hqbm.o
#
$(LIB)/energy.a(inertia.o)  : $(SRC)/energy/inertia.src
	$(FLX) $(SRC)/energy/inertia.src
	$(FC2) inertia.f
	$(AR_COMMAND) $(LIB)/energy.a inertia.o
	$(REMOVE_F) inertia.f
	$(REMOVE_O) inertia.o
#
$(LIB)/energy.a(intere.o)  : $(SRC)/energy/intere.src
	$(FLX) $(SRC)/energy/intere.src
	$(FC2) intere.f
	$(AR_COMMAND) $(LIB)/energy.a intere.o
	$(REMOVE_F) intere.f
	$(REMOVE_O) intere.o
#
$(LIB)/energy.a(pathint.o)  : $(SRC)/energy/pathint.src
	$(FLX) $(SRC)/energy/pathint.src
	$(FC2) pathint.f
	$(AR_COMMAND) $(LIB)/energy.a pathint.o
	$(REMOVE_F) pathint.f
	$(REMOVE_O) pathint.o
#
$(LIB)/energy.a(phmd.o)  : $(SRC)/energy/phmd.src
	$(FLX) $(SRC)/energy/phmd.src
	$(FC2) phmd.f
	$(AR_COMMAND) $(LIB)/energy.a phmd.o
	$(REMOVE_F) phmd.f
	$(REMOVE_O) phmd.o
#
$(LIB)/energy.a(polar.o)  : $(SRC)/energy/polar.src
	$(FLX) $(SRC)/energy/polar.src
	$(FC2) polar.f
	$(AR_COMMAND) $(LIB)/energy.a polar.o
	$(REMOVE_F) polar.f
	$(REMOVE_O) polar.o
#
$(LIB)/energy.a(printe.o)  : $(SRC)/energy/printe.src
	$(FLX) $(SRC)/energy/printe.src
	$(FC2) printe.f
	$(AR_COMMAND) $(LIB)/energy.a printe.o
	$(REMOVE_F) printe.f
	$(REMOVE_O) printe.o
#
$(LIB)/energy.a(rgy.o)  : $(SRC)/energy/rgy.src
	$(FLX) $(SRC)/energy/rgy.src
	$(FC2) rgy.f
	$(AR_COMMAND) $(LIB)/energy.a rgy.o
	$(REMOVE_F) rgy.f
	$(REMOVE_O) rgy.o
#
$(LIB)/energy.a(rmsd.o)  : $(SRC)/energy/rmsd.src
	$(FLX) $(SRC)/energy/rmsd.src
	$(FC2) rmsd.f
	$(AR_COMMAND) $(LIB)/energy.a rmsd.o
	$(REMOVE_F) rmsd.f
	$(REMOVE_O) rmsd.o
#
$(LIB)/energy.a(rush.o)  : $(SRC)/energy/rush.src
	$(FLX) $(SRC)/energy/rush.src
	$(FC2) rush.f
	$(AR_COMMAND) $(LIB)/energy.a rush.o
	$(REMOVE_F) rush.f
	$(REMOVE_O) rush.o
#
#
# energy dependency file
#
$(LIB)/energy.a(afm.o) : afm.fcm
$(LIB)/energy.a(afm.o) : comand.fcm
$(LIB)/energy.a(afm.o) : contrl.fcm
$(LIB)/energy.a(afm.o) : coordc.fcm
$(LIB)/energy.a(afm.o) : coord.fcm
$(LIB)/energy.a(afm.o) : dimens.fcm
$(LIB)/energy.a(afm.o) : energy.fcm
$(LIB)/energy.a(afm.o) : exfunc.fcm
$(LIB)/energy.a(afm.o) : impnon.fcm
$(LIB)/energy.a(afm.o) : number.fcm
$(LIB)/energy.a(afm.o) : parallel.fcm
$(LIB)/energy.a(afm.o) : psf.fcm
$(LIB)/energy.a(afm.o) : reawri.fcm
$(LIB)/energy.a(afm.o) : stream.fcm
#
#
$(LIB)/energy.a(anal.o) : coord.fcm
$(LIB)/energy.a(anal.o) : dimens.fcm
$(LIB)/energy.a(anal.o) : econt.fcm
$(LIB)/energy.a(anal.o) : energy.fcm
$(LIB)/energy.a(anal.o) : estats.fcm
$(LIB)/energy.a(anal.o) : exfunc.fcm
$(LIB)/energy.a(anal.o) : fast.fcm
$(LIB)/energy.a(anal.o) : impnon.fcm
$(LIB)/energy.a(anal.o) : machdep.fcm
$(LIB)/energy.a(anal.o) : psf.fcm
$(LIB)/energy.a(anal.o) : stack.fcm
$(LIB)/energy.a(anal.o) : stream.fcm
#
#
$(LIB)/energy.a(dmcons.o) : comand.fcm
$(LIB)/energy.a(dmcons.o) : contrl.fcm
$(LIB)/energy.a(dmcons.o) : coord.fcm
$(LIB)/energy.a(dmcons.o) : dimens.fcm
$(LIB)/energy.a(dmcons.o) : dmcons.fcm
$(LIB)/energy.a(dmcons.o) : exfunc.fcm
$(LIB)/energy.a(dmcons.o) : heap.fcm
$(LIB)/energy.a(dmcons.o) : impnon.fcm
$(LIB)/energy.a(dmcons.o) : number.fcm
$(LIB)/energy.a(dmcons.o) : parallel.fcm
$(LIB)/energy.a(dmcons.o) : psf.fcm
$(LIB)/energy.a(dmcons.o) : stack.fcm
$(LIB)/energy.a(dmcons.o) : stream.fcm
#
#
$(LIB)/energy.a(ebaspas.o) : block.fcm
$(LIB)/energy.a(ebaspas.o) : consta.fcm
$(LIB)/energy.a(ebaspas.o) : dimb.fcm
$(LIB)/energy.a(ebaspas.o) : dimens.fcm
$(LIB)/energy.a(ebaspas.o) : econt.fcm
$(LIB)/energy.a(ebaspas.o) : exfunc.fcm
$(LIB)/energy.a(ebaspas.o) : fourd.fcm
$(LIB)/energy.a(ebaspas.o) : heap.fcm
$(LIB)/energy.a(ebaspas.o) : impnon.fcm
$(LIB)/energy.a(ebaspas.o) : number.fcm
$(LIB)/energy.a(ebaspas.o) : parallel.fcm
$(LIB)/energy.a(ebaspas.o) : spacod.fcm
$(LIB)/energy.a(ebaspas.o) : stream.fcm
#
#
$(LIB)/energy.a(ecmap.o) : block.fcm
$(LIB)/energy.a(ecmap.o) : consta.fcm
$(LIB)/energy.a(ecmap.o) : dimb.fcm
$(LIB)/energy.a(ecmap.o) : dimens.fcm
$(LIB)/energy.a(ecmap.o) : econt.fcm
$(LIB)/energy.a(ecmap.o) : exfunc.fcm
$(LIB)/energy.a(ecmap.o) : galgor.fcm
$(LIB)/energy.a(ecmap.o) : heap.fcm
$(LIB)/energy.a(ecmap.o) : impnon.fcm
$(LIB)/energy.a(ecmap.o) : lambda.fcm
$(LIB)/energy.a(ecmap.o) : mbond.fcm
$(LIB)/energy.a(ecmap.o) : number.fcm
$(LIB)/energy.a(ecmap.o) : parallel.fcm
$(LIB)/energy.a(ecmap.o) : stream.fcm
#
#
$(LIB)/energy.a(ecnstr.o) : bases.fcm
$(LIB)/energy.a(ecnstr.o) : consta.fcm
$(LIB)/energy.a(ecnstr.o) : dimb.fcm
$(LIB)/energy.a(ecnstr.o) : dimens.fcm
$(LIB)/energy.a(ecnstr.o) : exfunc.fcm
$(LIB)/energy.a(ecnstr.o) : galgor.fcm
$(LIB)/energy.a(ecnstr.o) : heap.fcm
$(LIB)/energy.a(ecnstr.o) : impnon.fcm
$(LIB)/energy.a(ecnstr.o) : intcr.fcm
$(LIB)/energy.a(ecnstr.o) : number.fcm
$(LIB)/energy.a(ecnstr.o) : parallel.fcm
$(LIB)/energy.a(ecnstr.o) : param.fcm
$(LIB)/energy.a(ecnstr.o) : psf.fcm
$(LIB)/energy.a(ecnstr.o) : rmsd.fcm
$(LIB)/energy.a(ecnstr.o) : spa_code.fcm
$(LIB)/energy.a(ecnstr.o) : stack.fcm
$(LIB)/energy.a(ecnstr.o) : stream.fcm
$(LIB)/energy.a(ecnstr.o) : vibblock.fcm
#
#
$(LIB)/energy.a(ecntrl.o) : cff.fcm
$(LIB)/energy.a(ecntrl.o) : dimens.fcm
$(LIB)/energy.a(ecntrl.o) : econt.fcm
$(LIB)/energy.a(ecntrl.o) : exfunc.fcm
$(LIB)/energy.a(ecntrl.o) : fast.fcm
$(LIB)/energy.a(ecntrl.o) : ffield.fcm
$(LIB)/energy.a(ecntrl.o) : fourd.fcm
$(LIB)/energy.a(ecntrl.o) : heap.fcm
$(LIB)/energy.a(ecntrl.o) : impnon.fcm
$(LIB)/energy.a(ecntrl.o) : mmff.fcm
$(LIB)/energy.a(ecntrl.o) : param.fcm
$(LIB)/energy.a(ecntrl.o) : psf.fcm
$(LIB)/energy.a(ecntrl.o) : stream.fcm
$(LIB)/energy.a(ecntrl.o) : vangle_mm.fcm
$(LIB)/energy.a(ecntrl.o) : vphi.fcm
#
#
$(LIB)/energy.a(ediff.o) : bases.fcm
$(LIB)/energy.a(ediff.o) : block.fcm
$(LIB)/energy.a(ediff.o) : cnst.fcm
$(LIB)/energy.a(ediff.o) : code.fcm
$(LIB)/energy.a(ediff.o) : consta.fcm
$(LIB)/energy.a(ediff.o) : coordc.fcm
$(LIB)/energy.a(ediff.o) : coord.fcm
$(LIB)/energy.a(ediff.o) : deriv.fcm
$(LIB)/energy.a(ediff.o) : dimens.fcm
$(LIB)/energy.a(ediff.o) : econt.fcm
$(LIB)/energy.a(ediff.o) : energy.fcm
$(LIB)/energy.a(ediff.o) : exfunc.fcm
$(LIB)/energy.a(ediff.o) : fast.fcm
$(LIB)/energy.a(ediff.o) : ffield.fcm
$(LIB)/energy.a(ediff.o) : hbond.fcm
$(LIB)/energy.a(ediff.o) : heap.fcm
$(LIB)/energy.a(ediff.o) : image.fcm
$(LIB)/energy.a(ediff.o) : impnon.fcm
$(LIB)/energy.a(ediff.o) : inbnd.fcm
$(LIB)/energy.a(ediff.o) : lonepr.fcm
$(LIB)/energy.a(ediff.o) : mmff.fcm
$(LIB)/energy.a(ediff.o) : number.fcm
$(LIB)/energy.a(ediff.o) : parallel.fcm
$(LIB)/energy.a(ediff.o) : param.fcm
$(LIB)/energy.a(ediff.o) : pbound.fcm
$(LIB)/energy.a(ediff.o) : psf.fcm
$(LIB)/energy.a(ediff.o) : spa_code.fcm
$(LIB)/energy.a(ediff.o) : spacod.fcm
$(LIB)/energy.a(ediff.o) : stack.fcm
$(LIB)/energy.a(ediff.o) : stream.fcm
$(LIB)/energy.a(ediff.o) : $(LIB)/nbonds.a(nbmodule.o)
#
#
$(LIB)/energy.a(efour.o) : block.fcm
$(LIB)/energy.a(efour.o) : consta.fcm
$(LIB)/energy.a(efour.o) : dimens.fcm
$(LIB)/energy.a(efour.o) : energy.fcm
$(LIB)/energy.a(efour.o) : exfunc.fcm
$(LIB)/energy.a(efour.o) : fourd.fcm
$(LIB)/energy.a(efour.o) : heap.fcm
$(LIB)/energy.a(efour.o) : impnon.fcm
$(LIB)/energy.a(efour.o) : number.fcm
$(LIB)/energy.a(efour.o) : stream.fcm
#
#
$(LIB)/energy.a(ehbond.o) : code.fcm
$(LIB)/energy.a(ehbond.o) : consta.fcm
$(LIB)/energy.a(ehbond.o) : dimb.fcm
$(LIB)/energy.a(ehbond.o) : dimens.fcm
$(LIB)/energy.a(ehbond.o) : hbond.fcm
$(LIB)/energy.a(ehbond.o) : heap.fcm
$(LIB)/energy.a(ehbond.o) : impnon.fcm
$(LIB)/energy.a(ehbond.o) : param.fcm
$(LIB)/energy.a(ehbond.o) : psf.fcm
$(LIB)/energy.a(ehbond.o) : stream.fcm
#
#
$(LIB)/energy.a(eintern.o) : block.fcm
$(LIB)/energy.a(eintern.o) : blockscc.fcm
$(LIB)/energy.a(eintern.o) : cnst.fcm
$(LIB)/energy.a(eintern.o) : consta.fcm
$(LIB)/energy.a(eintern.o) : dimb.fcm
$(LIB)/energy.a(eintern.o) : dimens.fcm
$(LIB)/energy.a(eintern.o) : econt.fcm
$(LIB)/energy.a(eintern.o) : exfunc.fcm
$(LIB)/energy.a(eintern.o) : fourd.fcm
$(LIB)/energy.a(eintern.o) : galgor.fcm
$(LIB)/energy.a(eintern.o) : heap.fcm
$(LIB)/energy.a(eintern.o) : impnon.fcm
$(LIB)/energy.a(eintern.o) : lambda.fcm
$(LIB)/energy.a(eintern.o) : mbond.fcm
$(LIB)/energy.a(eintern.o) : number.fcm
$(LIB)/energy.a(eintern.o) : parallel.fcm
$(LIB)/energy.a(eintern.o) : spapar.fcm
$(LIB)/energy.a(eintern.o) : stream.fcm
$(LIB)/energy.a(eintern.o) : vibblock.fcm
#
#
$(LIB)/energy.a(enefscal.o) : block.fcm
$(LIB)/energy.a(enefscal.o) : code.fcm
$(LIB)/energy.a(enefscal.o) : consta.fcm
$(LIB)/energy.a(enefscal.o) : coord.fcm
$(LIB)/energy.a(enefscal.o) : deriv.fcm
$(LIB)/energy.a(enefscal.o) : dimens.fcm
$(LIB)/energy.a(enefscal.o) : exfunc.fcm
$(LIB)/energy.a(enefscal.o) : fast.fcm
$(LIB)/energy.a(enefscal.o) : fourd.fcm
$(LIB)/energy.a(enefscal.o) : galgor.fcm
$(LIB)/energy.a(enefscal.o) : heap.fcm
$(LIB)/energy.a(enefscal.o) : impnon.fcm
$(LIB)/energy.a(enefscal.o) : inbnd.fcm
$(LIB)/energy.a(enefscal.o) : lambda.fcm
$(LIB)/energy.a(enefscal.o) : mbond.fcm
$(LIB)/energy.a(enefscal.o) : number.fcm
$(LIB)/energy.a(enefscal.o) : parallel.fcm
$(LIB)/energy.a(enefscal.o) : param.fcm
$(LIB)/energy.a(enefscal.o) : pert.fcm
$(LIB)/energy.a(enefscal.o) : psf.fcm
$(LIB)/energy.a(enefscal.o) : spacdec.fcm
$(LIB)/energy.a(enefscal.o) : stream.fcm
#
#
$(LIB)/energy.a(energy.o) : apbs.fcm
$(LIB)/energy.a(energy.o) : block.fcm
$(LIB)/energy.a(energy.o) : blockscc.fcm
$(LIB)/energy.a(energy.o) : cnst.fcm
$(LIB)/energy.a(energy.o) : code.fcm
$(LIB)/energy.a(energy.o) : contrl.fcm
$(LIB)/energy.a(energy.o) : derivq.fcm
$(LIB)/energy.a(energy.o) : dimens.fcm
$(LIB)/energy.a(energy.o) : dmcons.fcm
$(LIB)/energy.a(energy.o) : econt.fcm
$(LIB)/energy.a(energy.o) : eef1.fcm
$(LIB)/energy.a(energy.o) : energy.fcm
$(LIB)/energy.a(energy.o) : ensemble.fcm
$(LIB)/energy.a(energy.o) : estats.fcm
$(LIB)/energy.a(energy.o) : euler.fcm
$(LIB)/energy.a(energy.o) : ewald.fcm
$(LIB)/energy.a(energy.o) : exelec.fcm
$(LIB)/energy.a(energy.o) : exfunc.fcm
$(LIB)/energy.a(energy.o) : fast.fcm
$(LIB)/energy.a(energy.o) : ffield.fcm
$(LIB)/energy.a(energy.o) : flucq.fcm
$(LIB)/energy.a(energy.o) : fourd.fcm
$(LIB)/energy.a(energy.o) : gbim.fcm
$(LIB)/energy.a(energy.o) : grape.fcm
$(LIB)/energy.a(energy.o) : grid.fcm
$(LIB)/energy.a(energy.o) : hbond.fcm
$(LIB)/energy.a(energy.o) : heap.fcm
$(LIB)/energy.a(energy.o) : image.fcm
$(LIB)/energy.a(energy.o) : impnon.fcm
$(LIB)/energy.a(energy.o) : inbnd.fcm
$(LIB)/energy.a(energy.o) : lambda.fcm
$(LIB)/energy.a(energy.o) : mbmts1.fcm
$(LIB)/energy.a(energy.o) : mbmts.fcm
$(LIB)/energy.a(energy.o) : mltcanon.fcm
$(LIB)/energy.a(energy.o) : mmff.fcm
$(LIB)/energy.a(energy.o) : mmfp.fcm
$(LIB)/energy.a(energy.o) : mndo97.fcm
$(LIB)/energy.a(energy.o) : nbips.fcm
$(LIB)/energy.a(energy.o) : $(LIB)/util.a(new_timer.o)
$(LIB)/energy.a(energy.o) : noe.fcm
$(LIB)/energy.a(energy.o) : number.fcm
$(LIB)/energy.a(energy.o) : olap.fcm
$(LIB)/energy.a(energy.o) : parallel.fcm
$(LIB)/energy.a(energy.o) : param.fcm
$(LIB)/energy.a(energy.o) : path.fcm
$(LIB)/energy.a(energy.o) : pathint.fcm
$(LIB)/energy.a(energy.o) : pbeq.fcm
$(LIB)/energy.a(energy.o) : pbound.fcm
$(LIB)/energy.a(energy.o) : pert.fcm
$(LIB)/energy.a(energy.o) : phmd.fcm
$(LIB)/energy.a(energy.o) : pipf.fcm
$(LIB)/energy.a(energy.o) : polar.fcm
$(LIB)/energy.a(energy.o) : psf.fcm
$(LIB)/energy.a(energy.o) : quantm.fcm
$(LIB)/energy.a(energy.o) : repdstr.fcm
$(LIB)/energy.a(energy.o) : replica.fcm
$(LIB)/energy.a(energy.o) : resdist.fcm
$(LIB)/energy.a(energy.o) : rgy.fcm
$(LIB)/energy.a(energy.o) : rush.fcm
$(LIB)/energy.a(energy.o) : rxncom.fcm
$(LIB)/energy.a(energy.o) : sasa.fcm
$(LIB)/energy.a(energy.o) : sbound.fcm
$(LIB)/energy.a(energy.o) : sccdftb.fcm
$(LIB)/energy.a(energy.o) : shake.fcm
$(LIB)/energy.a(energy.o) : shapes.fcm
$(LIB)/energy.a(energy.o) : spa_code.fcm
$(LIB)/energy.a(energy.o) : spacod.fcm
$(LIB)/energy.a(energy.o) : squantm.fcm
$(LIB)/energy.a(energy.o) : ssbp.fcm
$(LIB)/energy.a(energy.o) : stack.fcm
$(LIB)/energy.a(energy.o) : stream.fcm
$(LIB)/energy.a(energy.o) : surface.fcm
$(LIB)/energy.a(energy.o) : surfmemb.fcm
$(LIB)/energy.a(energy.o) : tbmts.fcm
$(LIB)/energy.a(energy.o) : tbmtsp1.fcm
$(LIB)/energy.a(energy.o) : tbmtsp.fcm
$(LIB)/energy.a(energy.o) : timer.fcm
$(LIB)/energy.a(energy.o) : tsms.fcm
$(LIB)/energy.a(energy.o) : umbcor.fcm
$(LIB)/energy.a(energy.o) : umb.fcm
$(LIB)/energy.a(energy.o) : vangle_mm.fcm
$(LIB)/energy.a(energy.o) : wwnb1.fcm
$(LIB)/energy.a(energy.o) : wwnb.fcm
$(LIB)/energy.a(energy.o) : ssnmr.fcm
$(LIB)/energy.a(energy.o) : $(LIB)/energy.a(genborn.o)
$(LIB)/energy.a(energy.o) : $(LIB)/energy.a(gbmvmodule.o)
$(LIB)/energy.a(energy.o) : $(LIB)/energy.a(gbsw.o)
$(LIB)/energy.a(energy.o) : $(LIB)/nbonds.a(pblist.o)
$(LIB)/energy.a(energy.o) : $(LIB)/nbonds.a(cheqmodule.o)
$(LIB)/energy.a(energy.o) : $(LIB)/nbonds.a(nbmodule.o)
#
#
$(LIB)/energy.a(enst2.o) : consta.fcm
$(LIB)/energy.a(enst2.o) : dimens.fcm
$(LIB)/energy.a(enst2.o) : impnon.fcm
$(LIB)/energy.a(enst2.o) : number.fcm
$(LIB)/energy.a(enst2.o) : psf.fcm
$(LIB)/energy.a(enst2.o) : shake.fcm
$(LIB)/energy.a(enst2.o) : stream.fcm
$(LIB)/energy.a(enst2.o) : tsms.fcm
#
#
$(LIB)/energy.a(eolap.o) : coord.fcm
$(LIB)/energy.a(eolap.o) : dimens.fcm
$(LIB)/energy.a(eolap.o) : exfunc.fcm
$(LIB)/energy.a(eolap.o) : heap.fcm
$(LIB)/energy.a(eolap.o) : impnon.fcm
$(LIB)/energy.a(eolap.o) : number.fcm
$(LIB)/energy.a(eolap.o) : olap.fcm
$(LIB)/energy.a(eolap.o) : param.fcm
$(LIB)/energy.a(eolap.o) : psf.fcm
$(LIB)/energy.a(eolap.o) : stream.fcm
#
#
$(LIB)/energy.a(epath.o) : cnst.fcm
$(LIB)/energy.a(epath.o) : consta.fcm
$(LIB)/energy.a(epath.o) : coordc.fcm
$(LIB)/energy.a(epath.o) : coord.fcm
$(LIB)/energy.a(epath.o) : dimens.fcm
$(LIB)/energy.a(epath.o) : econt.fcm
$(LIB)/energy.a(epath.o) : exfunc.fcm
$(LIB)/energy.a(epath.o) : fast.fcm
$(LIB)/energy.a(epath.o) : gamess.fcm
$(LIB)/energy.a(epath.o) : heap.fcm
$(LIB)/energy.a(epath.o) : impnon.fcm
$(LIB)/energy.a(epath.o) : machdep.fcm
$(LIB)/energy.a(epath.o) : neb.fcm
$(LIB)/energy.a(epath.o) : number.fcm
$(LIB)/energy.a(epath.o) : parallel.fcm
$(LIB)/energy.a(epath.o) : path.fcm
$(LIB)/energy.a(epath.o) : pderiv.fcm
$(LIB)/energy.a(epath.o) : psf.fcm
$(LIB)/energy.a(epath.o) : repdstr.fcm
$(LIB)/energy.a(epath.o) : replica.fcm
$(LIB)/energy.a(epath.o) : stack.fcm
$(LIB)/energy.a(epath.o) : stream.fcm
#
#
$(LIB)/energy.a(epull.o) : consta.fcm
$(LIB)/energy.a(epull.o) : contrl.fcm
$(LIB)/energy.a(epull.o) : coord.fcm
$(LIB)/energy.a(epull.o) : dimens.fcm
$(LIB)/energy.a(epull.o) : exfunc.fcm
$(LIB)/energy.a(epull.o) : heap.fcm
$(LIB)/energy.a(epull.o) : impnon.fcm
$(LIB)/energy.a(epull.o) : number.fcm
$(LIB)/energy.a(epull.o) : psf.fcm
$(LIB)/energy.a(epull.o) : pull.fcm
$(LIB)/energy.a(epull.o) : reawri.fcm
$(LIB)/energy.a(epull.o) : stack.fcm
$(LIB)/energy.a(epull.o) : stream.fcm
#
#
$(LIB)/energy.a(eutil.o) : bases.fcm
$(LIB)/energy.a(eutil.o) : code.fcm
$(LIB)/energy.a(eutil.o) : coordc.fcm
$(LIB)/energy.a(eutil.o) : coord.fcm
$(LIB)/energy.a(eutil.o) : deriv.fcm
$(LIB)/energy.a(eutil.o) : dimens.fcm
$(LIB)/energy.a(eutil.o) : econt.fcm
$(LIB)/energy.a(eutil.o) : energy.fcm
$(LIB)/energy.a(eutil.o) : epert.fcm
$(LIB)/energy.a(eutil.o) : exfunc.fcm
$(LIB)/energy.a(eutil.o) : image.fcm
$(LIB)/energy.a(eutil.o) : impnon.fcm
$(LIB)/energy.a(eutil.o) : mbmts.fcm
$(LIB)/energy.a(eutil.o) : $(LIB)/util.a(new_timer.o)
$(LIB)/energy.a(eutil.o) : number.fcm
$(LIB)/energy.a(eutil.o) : pert.fcm
$(LIB)/energy.a(eutil.o) : psf.fcm
$(LIB)/energy.a(eutil.o) : quantm.fcm
$(LIB)/energy.a(eutil.o) : shake.fcm
$(LIB)/energy.a(eutil.o) : stack.fcm
$(LIB)/energy.a(eutil.o) : stream.fcm
$(LIB)/energy.a(eutil.o) : tmd.fcm
$(LIB)/energy.a(eutil.o) : $(LIB)/nbonds.a(cheqmodule.o)
#
#
$(LIB)/energy.a(gbim.o) : cff.fcm
$(LIB)/energy.a(gbim.o) : consta.fcm
$(LIB)/energy.a(gbim.o) : coord.fcm
$(LIB)/energy.a(gbim.o) : dimens.fcm
$(LIB)/energy.a(gbim.o) : exfunc.fcm
$(LIB)/energy.a(gbim.o) : ffield.fcm
$(LIB)/energy.a(gbim.o) : gbim.fcm
$(LIB)/energy.a(gbim.o) : $(LIB)/energy.a(gb_common.o)
$(LIB)/energy.a(gbim.o) : heap.fcm
$(LIB)/energy.a(gbim.o) : impnon.fcm
$(LIB)/energy.a(gbim.o) : inbnd.fcm
$(LIB)/energy.a(gbim.o) : mmff.fcm
$(LIB)/energy.a(gbim.o) : number.fcm
$(LIB)/energy.a(gbim.o) : parallel.fcm
$(LIB)/energy.a(gbim.o) : param.fcm
$(LIB)/energy.a(gbim.o) : psf.fcm
$(LIB)/energy.a(gbim.o) : stream.fcm
$(LIB)/energy.a(gbim.o) : $(LIB)/nbonds.a(pblist.o)
#
#
$(LIB)/energy.a(gmvmodule.o) : consta.fcm
$(LIB)/energy.a(gmvmodule.o) : coord.fcm
$(LIB)/energy.a(gmvmodule.o) : deriv.fcm
$(LIB)/energy.a(gmvmodule.o) : dimens.fcm
$(LIB)/energy.a(gmvmodule.o) : energy.fcm
$(LIB)/energy.a(gmvmodule.o) : exfunc.fcm
$(LIB)/energy.a(gmvmodule.o) : heap.fcm
$(LIB)/energy.a(gmvmodule.o) : inbnd.fcm
$(LIB)/energy.a(gmvmodule.o) : number.fcm
$(LIB)/energy.a(gmvmodule.o) : parallel.fcm
$(LIB)/energy.a(gmvmodule.o) : param.fcm
$(LIB)/energy.a(gmvmodule.o) : psf.fcm
$(LIB)/energy.a(gmvmodule.o) : stream.fcm
$(LIB)/energy.a(gmvmodule.o) : string.fcm
$(LIB)/energy.a(gmvmodule.o) : $(LIB)/nbonds.a(pblist.o)
$(LIB)/energy.a(gmvmodule.o) : $(LIB)/util.a(new_timer.o)
$(LIB)/energy.a(gmvmodule.o) : $(LIB)/energy.a(gb_common.o)
#
#
$(LIB)/energy.a(gbsw.o) : bases.fcm
$(LIB)/energy.a(gbsw.o) : consta.fcm
$(LIB)/energy.a(gbsw.o) : contrl.fcm
$(LIB)/energy.a(gbsw.o) : coord.fcm
$(LIB)/energy.a(gbsw.o) : deriv.fcm
$(LIB)/energy.a(gbsw.o) : dimens.fcm
$(LIB)/energy.a(gbsw.o) : exfunc.fcm
$(LIB)/energy.a(gbsw.o) : heap.fcm
$(LIB)/energy.a(gbsw.o) : image.fcm
$(LIB)/energy.a(gbsw.o) : impnon.fcm
$(LIB)/energy.a(gbsw.o) : inbnd.fcm
$(LIB)/energy.a(gbsw.o) : $(LIB)/util.a(new_timer.o)
$(LIB)/energy.a(gbsw.o) : number.fcm
$(LIB)/energy.a(gbsw.o) : parallel.fcm
$(LIB)/energy.a(gbsw.o) : param.fcm
$(LIB)/energy.a(gbsw.o) : psf.fcm
$(LIB)/energy.a(gbsw.o) : stream.fcm
#
#
$(LIB)/energy.a(genborn.o) : block.fcm
$(LIB)/energy.a(genborn.o) : cff.fcm
$(LIB)/energy.a(genborn.o) : code.fcm
$(LIB)/energy.a(genborn.o) : consta.fcm
$(LIB)/energy.a(genborn.o) : coord.fcm
$(LIB)/energy.a(genborn.o) : dimens.fcm
$(LIB)/energy.a(genborn.o) : exfunc.fcm
$(LIB)/energy.a(genborn.o) : ffield.fcm
$(LIB)/energy.a(genborn.o) : heap.fcm
$(LIB)/energy.a(genborn.o) : inbnd.fcm
$(LIB)/energy.a(genborn.o) : lambda.fcm
$(LIB)/energy.a(genborn.o) : mmff.fcm
$(LIB)/energy.a(genborn.o) : number.fcm
$(LIB)/energy.a(genborn.o) : parallel.fcm
$(LIB)/energy.a(genborn.o) : param.fcm
$(LIB)/energy.a(genborn.o) : psf.fcm
$(LIB)/energy.a(genborn.o) : stack.fcm
$(LIB)/energy.a(genborn.o) : stream.fcm
$(LIB)/energy.a(genborn.o) : $(LIB)/energy.a(gb_common.o)
$(LIB)/energy.a(genborn.o) : $(LIB)/nbonds.a(pblist.o)
#
#
$(LIB)/energy.a(hqbm.o) : bases.fcm
$(LIB)/energy.a(hqbm.o) : comand.fcm
$(LIB)/energy.a(hqbm.o) : consta.fcm
$(LIB)/energy.a(hqbm.o) : contrl.fcm
$(LIB)/energy.a(hqbm.o) : coordc.fcm
$(LIB)/energy.a(hqbm.o) : coord.fcm
$(LIB)/energy.a(hqbm.o) : ctitla.fcm
$(LIB)/energy.a(hqbm.o) : deriv.fcm
$(LIB)/energy.a(hqbm.o) : dimens.fcm
$(LIB)/energy.a(hqbm.o) : econt.fcm
$(LIB)/energy.a(hqbm.o) : eef1.fcm
$(LIB)/energy.a(hqbm.o) : energy.fcm
$(LIB)/energy.a(hqbm.o) : ensemble.fcm
$(LIB)/energy.a(hqbm.o) : exfunc.fcm
$(LIB)/energy.a(hqbm.o) : heap.fcm
$(LIB)/energy.a(hqbm.o) : hqbm.fcm
$(LIB)/energy.a(hqbm.o) : impnon.fcm
$(LIB)/energy.a(hqbm.o) : inbnd.fcm
$(LIB)/energy.a(hqbm.o) : number.fcm
$(LIB)/energy.a(hqbm.o) : parallel.fcm
$(LIB)/energy.a(hqbm.o) : psf.fcm
$(LIB)/energy.a(hqbm.o) : reawri.fcm
$(LIB)/energy.a(hqbm.o) : stack.fcm
$(LIB)/energy.a(hqbm.o) : stream.fcm
#
#
$(LIB)/energy.a(inertia.o) : dimens.fcm
$(LIB)/energy.a(inertia.o) : number.fcm
$(LIB)/energy.a(inertia.o) : stream.fcm
#
#
$(LIB)/energy.a(intere.o) : bases.fcm
$(LIB)/energy.a(intere.o) : block.fcm
$(LIB)/energy.a(intere.o) : cnst.fcm
$(LIB)/energy.a(intere.o) : code.fcm
$(LIB)/energy.a(intere.o) : coordc.fcm
$(LIB)/energy.a(intere.o) : coord.fcm
$(LIB)/energy.a(intere.o) : deriv.fcm
$(LIB)/energy.a(intere.o) : dimens.fcm
$(LIB)/energy.a(intere.o) : econt.fcm
$(LIB)/energy.a(intere.o) : eef1.fcm
$(LIB)/energy.a(intere.o) : energy.fcm
$(LIB)/energy.a(intere.o) : exfunc.fcm
$(LIB)/energy.a(intere.o) : fast.fcm
$(LIB)/energy.a(intere.o) : ffield.fcm
$(LIB)/energy.a(intere.o) : flucq.fcm
$(LIB)/energy.a(intere.o) : gbim.fcm
$(LIB)/energy.a(intere.o) : grid.fcm
$(LIB)/energy.a(intere.o) : hbond.fcm
$(LIB)/energy.a(intere.o) : heap.fcm
$(LIB)/energy.a(intere.o) : image.fcm
$(LIB)/energy.a(intere.o) : impnon.fcm
$(LIB)/energy.a(intere.o) : inbnd.fcm
$(LIB)/energy.a(intere.o) : mmff.fcm
$(LIB)/energy.a(intere.o) : number.fcm
$(LIB)/energy.a(intere.o) : parallel.fcm
$(LIB)/energy.a(intere.o) : param.fcm
$(LIB)/energy.a(intere.o) : pbound.fcm
$(LIB)/energy.a(intere.o) : psf.fcm
$(LIB)/energy.a(intere.o) : stack.fcm
$(LIB)/energy.a(intere.o) : stream.fcm
$(LIB)/energy.a(intere.o) : $(LIB)/nbonds.a(pblist.o)
$(LIB)/energy.a(intere.o) : $(LIB)/energy.a(gbmvmodule.o)
$(LIB)/energy.a(intere.o) : $(LIB)/energy.a(genborn.o)
#
#
$(LIB)/energy.a(pathint.o) : consta.fcm
$(LIB)/energy.a(pathint.o) : coord.fcm
$(LIB)/energy.a(pathint.o) : dimens.fcm
$(LIB)/energy.a(pathint.o) : energy.fcm
$(LIB)/energy.a(pathint.o) : exfunc.fcm
$(LIB)/energy.a(pathint.o) : heap.fcm
$(LIB)/energy.a(pathint.o) : impnon.fcm
$(LIB)/energy.a(pathint.o) : number.fcm
$(LIB)/energy.a(pathint.o) : pathint.fcm
$(LIB)/energy.a(pathint.o) : psf.fcm
#
#
$(LIB)/energy.a(phmd.o) : consta.fcm
$(LIB)/energy.a(phmd.o) : coordc.fcm
$(LIB)/energy.a(phmd.o) : coord.fcm
$(LIB)/energy.a(phmd.o) : ctitla.fcm
$(LIB)/energy.a(phmd.o) : dimens.fcm
$(LIB)/energy.a(phmd.o) : energy.fcm
$(LIB)/energy.a(phmd.o) : exfunc.fcm
$(LIB)/energy.a(phmd.o) : heap.fcm
$(LIB)/energy.a(phmd.o) : impnon.fcm
$(LIB)/energy.a(phmd.o) : inbnd.fcm
$(LIB)/energy.a(phmd.o) : number.fcm
$(LIB)/energy.a(phmd.o) : parallel.fcm
$(LIB)/energy.a(phmd.o) : param.fcm
$(LIB)/energy.a(phmd.o) : phmd.fcm
$(LIB)/energy.a(phmd.o) : psf.fcm
$(LIB)/energy.a(phmd.o) : reawri.fcm
$(LIB)/energy.a(phmd.o) : stream.fcm
$(LIB)/energy.a(phmd.o) : $(LIB)/energy.a(gbsw.o)
#
#
$(LIB)/energy.a(polar.o) : comand.fcm
$(LIB)/energy.a(polar.o) : consta.fcm
$(LIB)/energy.a(polar.o) : coord.fcm
$(LIB)/energy.a(polar.o) : dimens.fcm
$(LIB)/energy.a(polar.o) : excl.fcm
$(LIB)/energy.a(polar.o) : exfunc.fcm
$(LIB)/energy.a(polar.o) : heap.fcm
$(LIB)/energy.a(polar.o) : impnon.fcm
$(LIB)/energy.a(polar.o) : number.fcm
$(LIB)/energy.a(polar.o) : param.fcm
$(LIB)/energy.a(polar.o) : polar.fcm
$(LIB)/energy.a(polar.o) : psf.fcm
$(LIB)/energy.a(polar.o) : rtf.fcm
$(LIB)/energy.a(polar.o) : stream.fcm
#
#
$(LIB)/energy.a(printe.o) : deriv.fcm
$(LIB)/energy.a(printe.o) : dimens.fcm
$(LIB)/energy.a(printe.o) : energy.fcm
$(LIB)/energy.a(printe.o) : ffield.fcm
$(LIB)/energy.a(printe.o) : fourd.fcm
$(LIB)/energy.a(printe.o) : galgor.fcm
$(LIB)/energy.a(printe.o) : impnon.fcm
$(LIB)/energy.a(printe.o) : inbnd.fcm
$(LIB)/energy.a(printe.o) : mbond.fcm
$(LIB)/energy.a(printe.o) : number.fcm
$(LIB)/energy.a(printe.o) : pathint.fcm
$(LIB)/energy.a(printe.o) : psf.fcm
$(LIB)/energy.a(printe.o) : quanta.fcm
$(LIB)/energy.a(printe.o) : sasa.fcm
$(LIB)/energy.a(printe.o) : stream.fcm
$(LIB)/energy.a(printe.o) : $(LIB)/nbonds.a(cheqmodule.o)
#
#
$(LIB)/energy.a(rgy.o) : comand.fcm
$(LIB)/energy.a(rgy.o) : contrl.fcm
$(LIB)/energy.a(rgy.o) : coordc.fcm
$(LIB)/energy.a(rgy.o) : coord.fcm
$(LIB)/energy.a(rgy.o) : dimens.fcm
$(LIB)/energy.a(rgy.o) : exfunc.fcm
$(LIB)/energy.a(rgy.o) : heap.fcm
$(LIB)/energy.a(rgy.o) : impnon.fcm
$(LIB)/energy.a(rgy.o) : number.fcm
$(LIB)/energy.a(rgy.o) : parallel.fcm
$(LIB)/energy.a(rgy.o) : psf.fcm
$(LIB)/energy.a(rgy.o) : rgy.fcm
$(LIB)/energy.a(rgy.o) : stack.fcm
$(LIB)/energy.a(rgy.o) : stream.fcm
#
#
$(LIB)/energy.a(rmsd.o) : cnst.fcm
$(LIB)/energy.a(rmsd.o) : comand.fcm
$(LIB)/energy.a(rmsd.o) : dimens.fcm
$(LIB)/energy.a(rmsd.o) : exfunc.fcm
$(LIB)/energy.a(rmsd.o) : heap.fcm
$(LIB)/energy.a(rmsd.o) : impnon.fcm
$(LIB)/energy.a(rmsd.o) : number.fcm
$(LIB)/energy.a(rmsd.o) : psf.fcm
$(LIB)/energy.a(rmsd.o) : rmsd.fcm
$(LIB)/energy.a(rmsd.o) : stream.fcm
#
#
$(LIB)/energy.a(rush.o) : bases.fcm
$(LIB)/energy.a(rush.o) : consta.fcm
$(LIB)/energy.a(rush.o) : coord.fcm
$(LIB)/energy.a(rush.o) : dimens.fcm
$(LIB)/energy.a(rush.o) : energy.fcm
$(LIB)/energy.a(rush.o) : exfunc.fcm
$(LIB)/energy.a(rush.o) : hbond.fcm
$(LIB)/energy.a(rush.o) : heap.fcm
$(LIB)/energy.a(rush.o) : impnon.fcm
$(LIB)/energy.a(rush.o) : inbnd.fcm
$(LIB)/energy.a(rush.o) : number.fcm
$(LIB)/energy.a(rush.o) : param.fcm
$(LIB)/energy.a(rush.o) : psf.fcm
$(LIB)/energy.a(rush.o) : rush.fcm
$(LIB)/energy.a(rush.o) : stack.fcm
$(LIB)/energy.a(rush.o) : stream.fcm
#
