# gener makefile
# gener library rules
OBJS_gener= \
	$(LIB)/gener.a(drude.o) \
	$(LIB)/gener.a(genpsf.o) \
	$(LIB)/gener.a(hbonds.o) \
	$(LIB)/gener.a(makphi.o) \
	$(LIB)/gener.a(mkpres.o) \
	$(LIB)/gener.a(modpsf.o) \
	$(LIB)/gener.a(psfsum.o) \
	$(LIB)/gener.a(repdstr.o) \
	$(LIB)/gener.a(replica.o) \
	$(LIB)/gener.a(setup_spa.o) \
	$(LIB)/gener.a(update.o)
#
$(LIB)/gener.a : $(OBJS_gener)
	$(RANLIB) $(LIB)/gener.a
	@echo gener COMPLETED
#
# gener source file rules
$(LIB)/gener.a(drude.o)  : $(SRC)/gener/drude.src
	$(FLX) $(SRC)/gener/drude.src
	$(FC2) drude.f
	$(AR_COMMAND) $(LIB)/gener.a drude.o
	$(REMOVE_F) drude.f
	$(REMOVE_O) drude.o
#
$(LIB)/gener.a(genpsf.o)  : $(SRC)/gener/genpsf.src
	$(FLX) $(SRC)/gener/genpsf.src
	$(FC2) genpsf.f
	$(AR_COMMAND) $(LIB)/gener.a genpsf.o
	$(REMOVE_F) genpsf.f
	$(REMOVE_O) genpsf.o
#
$(LIB)/gener.a(hbonds.o)  : $(SRC)/gener/hbonds.src
	$(FLX) $(SRC)/gener/hbonds.src
	$(FC2) hbonds.f
	$(AR_COMMAND) $(LIB)/gener.a hbonds.o
	$(REMOVE_F) hbonds.f
	$(REMOVE_O) hbonds.o
#
$(LIB)/gener.a(makphi.o)  : $(SRC)/gener/makphi.src
	$(FLX) $(SRC)/gener/makphi.src
	$(FC2) makphi.f
	$(AR_COMMAND) $(LIB)/gener.a makphi.o
	$(REMOVE_F) makphi.f
	$(REMOVE_O) makphi.o
#
$(LIB)/gener.a(mkpres.o)  : $(SRC)/gener/mkpres.src
	$(FLX) $(SRC)/gener/mkpres.src
	$(FC2) mkpres.f
	$(AR_COMMAND) $(LIB)/gener.a mkpres.o
	$(REMOVE_F) mkpres.f
	$(REMOVE_O) mkpres.o
#
$(LIB)/gener.a(modpsf.o)  : $(SRC)/gener/modpsf.src
	$(FLX) $(SRC)/gener/modpsf.src
	$(FC2) modpsf.f
	$(AR_COMMAND) $(LIB)/gener.a modpsf.o
	$(REMOVE_F) modpsf.f
	$(REMOVE_O) modpsf.o
#
$(LIB)/gener.a(psfsum.o)  : $(SRC)/gener/psfsum.src
	$(FLX) $(SRC)/gener/psfsum.src
	$(FC2) psfsum.f
	$(AR_COMMAND) $(LIB)/gener.a psfsum.o
	$(REMOVE_F) psfsum.f
	$(REMOVE_O) psfsum.o
#
$(LIB)/gener.a(repdstr.o)  : $(SRC)/gener/repdstr.src
	$(FLX) $(SRC)/gener/repdstr.src
	$(FC2) repdstr.f
	$(AR_COMMAND) $(LIB)/gener.a repdstr.o
	$(REMOVE_F) repdstr.f
	$(REMOVE_O) repdstr.o
#
$(LIB)/gener.a(replica.o)  : $(SRC)/gener/replica.src
	$(FLX) $(SRC)/gener/replica.src
	$(FC2) replica.f
	$(AR_COMMAND) $(LIB)/gener.a replica.o
	$(REMOVE_F) replica.f
	$(REMOVE_O) replica.o
#
$(LIB)/gener.a(setup_spa.o)  : $(SRC)/gener/setup_spa.src
	$(FLX) $(SRC)/gener/setup_spa.src
	$(FC2) setup_spa.f
	$(AR_COMMAND) $(LIB)/gener.a setup_spa.o
	$(REMOVE_F) setup_spa.f
	$(REMOVE_O) setup_spa.o
#
$(LIB)/gener.a(update.o)  : $(SRC)/gener/update.src
	$(FLX) $(SRC)/gener/update.src
	$(FC2) update.f
	$(AR_COMMAND) $(LIB)/gener.a update.o
	$(REMOVE_F) update.f
	$(REMOVE_O) update.o
#
#
# gener dependency file
#
$(LIB)/gener.a(drude.o) : aniso.fcm
$(LIB)/gener.a(drude.o) : bases.fcm
$(LIB)/gener.a(drude.o) : cnst.fcm
$(LIB)/gener.a(drude.o) : comand.fcm
$(LIB)/gener.a(drude.o) : consta.fcm
$(LIB)/gener.a(drude.o) : coordc.fcm
$(LIB)/gener.a(drude.o) : coord.fcm
$(LIB)/gener.a(drude.o) : dimens.fcm
$(LIB)/gener.a(drude.o) : exfunc.fcm
$(LIB)/gener.a(drude.o) : heap.fcm
$(LIB)/gener.a(drude.o) : impnon.fcm
$(LIB)/gener.a(drude.o) : intcr.fcm
$(LIB)/gener.a(drude.o) : mmff.fcm
$(LIB)/gener.a(drude.o) : number.fcm
$(LIB)/gener.a(drude.o) : parallel.fcm
$(LIB)/gener.a(drude.o) : param.fcm
$(LIB)/gener.a(drude.o) : psf.fcm
$(LIB)/gener.a(drude.o) : rtf.fcm
$(LIB)/gener.a(drude.o) : stack.fcm
$(LIB)/gener.a(drude.o) : stream.fcm
#
#
$(LIB)/gener.a(genpsf.o) : bases.fcm
$(LIB)/gener.a(genpsf.o) : cff.fcm
$(LIB)/gener.a(genpsf.o) : $(LIB)/nbonds.a(cheqmodule.o)
$(LIB)/gener.a(genpsf.o) : cnst.fcm
$(LIB)/gener.a(genpsf.o) : code.fcm
$(LIB)/gener.a(genpsf.o) : consta.fcm
$(LIB)/gener.a(genpsf.o) : coordc.fcm
$(LIB)/gener.a(genpsf.o) : coord.fcm
$(LIB)/gener.a(genpsf.o) : dimens.fcm
$(LIB)/gener.a(genpsf.o) : exfunc.fcm
$(LIB)/gener.a(genpsf.o) : ffield.fcm
$(LIB)/gener.a(genpsf.o) : heap.fcm
$(LIB)/gener.a(genpsf.o) : impnon.fcm
$(LIB)/gener.a(genpsf.o) : intcr.fcm
$(LIB)/gener.a(genpsf.o) : io.fcm
$(LIB)/gener.a(genpsf.o) : mmff.fcm
$(LIB)/gener.a(genpsf.o) : number.fcm
$(LIB)/gener.a(genpsf.o) : param.fcm
$(LIB)/gener.a(genpsf.o) : psf.fcm
$(LIB)/gener.a(genpsf.o) : replica.fcm
$(LIB)/gener.a(genpsf.o) : rtf.fcm
$(LIB)/gener.a(genpsf.o) : stack.fcm
$(LIB)/gener.a(genpsf.o) : stream.fcm
#
#
$(LIB)/gener.a(hbonds.o) : comand.fcm
$(LIB)/gener.a(hbonds.o) : coord.fcm
$(LIB)/gener.a(hbonds.o) : deflts.fcm
$(LIB)/gener.a(hbonds.o) : dimens.fcm
$(LIB)/gener.a(hbonds.o) : exfunc.fcm
$(LIB)/gener.a(hbonds.o) : hbond.fcm
$(LIB)/gener.a(hbonds.o) : impnon.fcm
$(LIB)/gener.a(hbonds.o) : param.fcm
$(LIB)/gener.a(hbonds.o) : psf.fcm
$(LIB)/gener.a(hbonds.o) : stack.fcm
$(LIB)/gener.a(hbonds.o) : stream.fcm
#
#
$(LIB)/gener.a(makphi.o) : code.fcm
$(LIB)/gener.a(makphi.o) : consta.fcm
$(LIB)/gener.a(makphi.o) : dimens.fcm
$(LIB)/gener.a(makphi.o) : exfunc.fcm
$(LIB)/gener.a(makphi.o) : heap.fcm
$(LIB)/gener.a(makphi.o) : impnon.fcm
$(LIB)/gener.a(makphi.o) : number.fcm
$(LIB)/gener.a(makphi.o) : param.fcm
$(LIB)/gener.a(makphi.o) : psf.fcm
$(LIB)/gener.a(makphi.o) : stack.fcm
$(LIB)/gener.a(makphi.o) : stream.fcm
$(LIB)/gener.a(makphi.o) : vphi.fcm
#
#
$(LIB)/gener.a(mkpres.o) : comand.fcm
$(LIB)/gener.a(mkpres.o) : coord.fcm
$(LIB)/gener.a(mkpres.o) : dimens.fcm
$(LIB)/gener.a(mkpres.o) : exfunc.fcm
$(LIB)/gener.a(mkpres.o) : impnon.fcm
$(LIB)/gener.a(mkpres.o) : param.fcm
$(LIB)/gener.a(mkpres.o) : psf.fcm
$(LIB)/gener.a(mkpres.o) : stack.fcm
$(LIB)/gener.a(mkpres.o) : stream.fcm
#
#
$(LIB)/gener.a(modpsf.o) : bases.fcm
$(LIB)/gener.a(modpsf.o) : $(LIB)/nbonds.a(cheqmodule.o)
$(LIB)/gener.a(modpsf.o) : cnst.fcm
$(LIB)/gener.a(modpsf.o) : consta.fcm
$(LIB)/gener.a(modpsf.o) : coordc.fcm
$(LIB)/gener.a(modpsf.o) : coord.fcm
$(LIB)/gener.a(modpsf.o) : cstack.fcm
$(LIB)/gener.a(modpsf.o) : dimens.fcm
$(LIB)/gener.a(modpsf.o) : exfunc.fcm
$(LIB)/gener.a(modpsf.o) : ffield.fcm
$(LIB)/gener.a(modpsf.o) : hbond.fcm
$(LIB)/gener.a(modpsf.o) : heap.fcm
$(LIB)/gener.a(modpsf.o) : impnon.fcm
$(LIB)/gener.a(modpsf.o) : intcr.fcm
$(LIB)/gener.a(modpsf.o) : lonepr.fcm
$(LIB)/gener.a(modpsf.o) : mmff.fcm
$(LIB)/gener.a(modpsf.o) : noe.fcm
$(LIB)/gener.a(modpsf.o) : number.fcm
$(LIB)/gener.a(modpsf.o) : psf.fcm
$(LIB)/gener.a(modpsf.o) : replica.fcm
$(LIB)/gener.a(modpsf.o) : rtf.fcm
$(LIB)/gener.a(modpsf.o) : stack.fcm
$(LIB)/gener.a(modpsf.o) : stream.fcm
#
#
$(LIB)/gener.a(psfsum.o) : bases.fcm
$(LIB)/gener.a(psfsum.o) : code.fcm
$(LIB)/gener.a(psfsum.o) : comand.fcm
$(LIB)/gener.a(psfsum.o) : dimens.fcm
$(LIB)/gener.a(psfsum.o) : exfunc.fcm
$(LIB)/gener.a(psfsum.o) : impnon.fcm
$(LIB)/gener.a(psfsum.o) : lonepr.fcm
$(LIB)/gener.a(psfsum.o) : number.fcm
$(LIB)/gener.a(psfsum.o) : psf.fcm
$(LIB)/gener.a(psfsum.o) : stream.fcm
#
#
$(LIB)/gener.a(repdstr.o) : comand.fcm
$(LIB)/gener.a(repdstr.o) : consta.fcm
$(LIB)/gener.a(repdstr.o) : dimens.fcm
$(LIB)/gener.a(repdstr.o) : exfunc.fcm
$(LIB)/gener.a(repdstr.o) : heap.fcm
$(LIB)/gener.a(repdstr.o) : impnon.fcm
$(LIB)/gener.a(repdstr.o) : number.fcm
$(LIB)/gener.a(repdstr.o) : parallel.fcm
$(LIB)/gener.a(repdstr.o) : psf.fcm
$(LIB)/gener.a(repdstr.o) : repdstr.fcm
$(LIB)/gener.a(repdstr.o) : stack.fcm
$(LIB)/gener.a(repdstr.o) : stream.fcm
$(LIB)/gener.a(repdstr.o) : traj.fcm
#
#
$(LIB)/gener.a(replica.o) : bases.fcm
$(LIB)/gener.a(replica.o) : cnst.fcm
$(LIB)/gener.a(replica.o) : code.fcm
$(LIB)/gener.a(replica.o) : comand.fcm
$(LIB)/gener.a(replica.o) : coordc.fcm
$(LIB)/gener.a(replica.o) : coord.fcm
$(LIB)/gener.a(replica.o) : deriv.fcm
$(LIB)/gener.a(replica.o) : dimens.fcm
$(LIB)/gener.a(replica.o) : econt.fcm
$(LIB)/gener.a(replica.o) : exfunc.fcm
$(LIB)/gener.a(replica.o) : heap.fcm
$(LIB)/gener.a(replica.o) : impnon.fcm
$(LIB)/gener.a(replica.o) : intcr.fcm
$(LIB)/gener.a(replica.o) : lonepr.fcm
$(LIB)/gener.a(replica.o) : number.fcm
$(LIB)/gener.a(replica.o) : param.fcm
$(LIB)/gener.a(replica.o) : pert.fcm
$(LIB)/gener.a(replica.o) : psf.fcm
$(LIB)/gener.a(replica.o) : replica.fcm
$(LIB)/gener.a(replica.o) : stream.fcm
#
#
$(LIB)/gener.a(setup_spa.o) : dimens.fcm
$(LIB)/gener.a(setup_spa.o) : exfunc.fcm
$(LIB)/gener.a(setup_spa.o) : impnon.fcm
$(LIB)/gener.a(setup_spa.o) : number.fcm
$(LIB)/gener.a(setup_spa.o) : psf.fcm
$(LIB)/gener.a(setup_spa.o) : spacod.fcm
$(LIB)/gener.a(setup_spa.o) : spapar.fcm
$(LIB)/gener.a(setup_spa.o) : stream.fcm
#
#
$(LIB)/gener.a(update.o) : bases.fcm
$(LIB)/gener.a(update.o) : blockscc.fcm
$(LIB)/gener.a(update.o) : cff.fcm
$(LIB)/gener.a(update.o) : code.fcm
$(LIB)/gener.a(update.o) : contrl.fcm
$(LIB)/gener.a(update.o) : dimens.fcm
$(LIB)/gener.a(update.o) : energy.fcm
$(LIB)/gener.a(update.o) : excl.fcm
$(LIB)/gener.a(update.o) : exfunc.fcm
$(LIB)/gener.a(update.o) : fast.fcm
$(LIB)/gener.a(update.o) : ffield.fcm
$(LIB)/gener.a(update.o) : fourd.fcm
$(LIB)/gener.a(update.o) : gamess.fcm
$(LIB)/gener.a(update.o) : hbond.fcm
$(LIB)/gener.a(update.o) : heap.fcm
$(LIB)/gener.a(update.o) : icfix.fcm
$(LIB)/gener.a(update.o) : image.fcm
$(LIB)/gener.a(update.o) : impnon.fcm
$(LIB)/gener.a(update.o) : inbnd.fcm
$(LIB)/gener.a(update.o) : lonepr.fcm
$(LIB)/gener.a(update.o) : mbond.fcm
$(LIB)/gener.a(update.o) : mmff.fcm
$(LIB)/gener.a(update.o) : mndgho.fcm
$(LIB)/gener.a(update.o) : parallel.fcm
$(LIB)/gener.a(update.o) : param.fcm
$(LIB)/gener.a(update.o) : pert.fcm
$(LIB)/gener.a(update.o) : psf.fcm
$(LIB)/gener.a(update.o) : rtf.fcm
$(LIB)/gener.a(update.o) : sccdftb.fcm
$(LIB)/gener.a(update.o) : shake.fcm
$(LIB)/gener.a(update.o) : shapes.fcm
$(LIB)/gener.a(update.o) : spa_code.fcm
$(LIB)/gener.a(update.o) : spapar.fcm
$(LIB)/gener.a(update.o) : squantm.fcm
$(LIB)/gener.a(update.o) : stbgho.fcm
$(LIB)/gener.a(update.o) : stream.fcm
$(LIB)/gener.a(update.o) : tsms.fcm
$(LIB)/gener.a(update.o) : $(LIB)/nbonds.a(pblist.o)
#
