# emap makefile
# emap library rules
OBJS_emap= \
	$(LIB)/emap.a(emapdock.o) \
	$(LIB)/emap.a(emapfield.o) \
	$(LIB)/emap.a(emapio.o) \
	$(LIB)/emap.a(emapop.o) \
	$(LIB)/emap.a(emapsubs.o)
#
$(LIB)/emap.a : $(OBJS_emap)
	$(RANLIB) $(LIB)/emap.a
	@echo emap COMPLETED
#
# emap source file rules
$(LIB)/emap.a(emapdock.o)  : $(SRC)/emap/emapdock.src
	$(FLX) $(SRC)/emap/emapdock.src
	$(FC2) emapdock.f
	$(AR_COMMAND) $(LIB)/emap.a emapdock.o
	$(REMOVE_F) emapdock.f
	$(REMOVE_O) emapdock.o
#
$(LIB)/emap.a(emapfield.o)  : $(SRC)/emap/emapfield.src
	$(FLX) $(SRC)/emap/emapfield.src
	$(FC2) emapfield.f
	$(AR_COMMAND) $(LIB)/emap.a emapfield.o
	$(REMOVE_F) emapfield.f
	$(REMOVE_O) emapfield.o
#
$(LIB)/emap.a(emapio.o)  : $(SRC)/emap/emapio.c
	$(CC) -c $(SRC)/emap/emapio.c
	$(AR_COMMAND) $(LIB)/emap.a emapio.o
	rm emapio.o
#
$(LIB)/emap.a(emapop.o)  : $(SRC)/emap/emapop.src
	$(FLX) $(SRC)/emap/emapop.src
	$(FC2) emapop.f
	$(AR_COMMAND) $(LIB)/emap.a emapop.o
	$(REMOVE_F) emapop.f
	$(REMOVE_O) emapop.o
#
$(LIB)/emap.a(emapsubs.o)  : $(SRC)/emap/emapsubs.src
	$(FLX) $(SRC)/emap/emapsubs.src
	$(FC2) emapsubs.f
	$(AR_COMMAND) $(LIB)/emap.a emapsubs.o
	$(REMOVE_F) emapsubs.f
	$(REMOVE_O) emapsubs.o
#
#
# emap dependency file
#
$(LIB)/emap.a(emapdock.o) : consta.fcm
$(LIB)/emap.a(emapdock.o) : dimens.fcm
$(LIB)/emap.a(emapdock.o) : emap.fcm
$(LIB)/emap.a(emapdock.o) : energy.fcm
$(LIB)/emap.a(emapdock.o) : exfunc.fcm
$(LIB)/emap.a(emapdock.o) : heap.fcm
$(LIB)/emap.a(emapdock.o) : impnon.fcm
$(LIB)/emap.a(emapdock.o) : number.fcm
$(LIB)/emap.a(emapdock.o) : reawri.fcm
$(LIB)/emap.a(emapdock.o) : stream.fcm
#
#
$(LIB)/emap.a(emapfield.o) : consta.fcm
$(LIB)/emap.a(emapfield.o) : dimens.fcm
$(LIB)/emap.a(emapfield.o) : emap.fcm
$(LIB)/emap.a(emapfield.o) : exfunc.fcm
$(LIB)/emap.a(emapfield.o) : heap.fcm
$(LIB)/emap.a(emapfield.o) : impnon.fcm
$(LIB)/emap.a(emapfield.o) : number.fcm
$(LIB)/emap.a(emapfield.o) : stream.fcm
#
#
#
$(LIB)/emap.a(emapop.o) : coordc.fcm
$(LIB)/emap.a(emapop.o) : coord.fcm
$(LIB)/emap.a(emapop.o) : dimens.fcm
$(LIB)/emap.a(emapop.o) : emap.fcm
$(LIB)/emap.a(emapop.o) : exfunc.fcm
$(LIB)/emap.a(emapop.o) : heap.fcm
$(LIB)/emap.a(emapop.o) : impnon.fcm
$(LIB)/emap.a(emapop.o) : number.fcm
$(LIB)/emap.a(emapop.o) : psf.fcm
$(LIB)/emap.a(emapop.o) : stack.fcm
$(LIB)/emap.a(emapop.o) : stream.fcm
$(LIB)/emap.a(emapop.o) : string.fcm
#
#
$(LIB)/emap.a(emapsubs.o) : coord.fcm
$(LIB)/emap.a(emapsubs.o) : corman.fcm
$(LIB)/emap.a(emapsubs.o) : ctitla.fcm
$(LIB)/emap.a(emapsubs.o) : dimens.fcm
$(LIB)/emap.a(emapsubs.o) : emap.fcm
$(LIB)/emap.a(emapsubs.o) : exfunc.fcm
$(LIB)/emap.a(emapsubs.o) : heap.fcm
$(LIB)/emap.a(emapsubs.o) : impnon.fcm
$(LIB)/emap.a(emapsubs.o) : mmff.fcm
$(LIB)/emap.a(emapsubs.o) : number.fcm
$(LIB)/emap.a(emapsubs.o) : psf.fcm
$(LIB)/emap.a(emapsubs.o) : rtf.fcm
$(LIB)/emap.a(emapsubs.o) : stack.fcm
$(LIB)/emap.a(emapsubs.o) : stream.fcm
#
