# nbonds makefile
# nbonds library rules
OBJS_nbonds= \
	$(LIB)/nbonds.a(ace.o) \
	$(LIB)/nbonds.a(enbaexp.o) \
	$(LIB)/nbonds.a(enbfast.o) \
	$(LIB)/nbonds.a(enbfs8p.o) \
	$(LIB)/nbonds.a(enbips.o) \
	$(LIB)/nbonds.a(enbonda.o) \
	$(LIB)/nbonds.a(enbondg.o) \
	$(LIB)/nbonds.a(enbond.o) \
	$(LIB)/nbonds.a(etable.o) \
	$(LIB)/nbonds.a(ewaldf.o) \
	$(LIB)/nbonds.a(ewald.o) \
	$(LIB)/nbonds.a(ewwnb.o) \
	$(LIB)/nbonds.a(exelec.o) \
	$(LIB)/nbonds.a(fma.o) \
	$(LIB)/nbonds.a(grape.o) \
	$(LIB)/nbonds.a(heurist.o) \
	$(LIB)/nbonds.a(nbexcl.o) \
	$(LIB)/nbonds.a(nbndcc.o) \
	$(LIB)/nbonds.a(nbndgc.o) \
	$(LIB)/nbonds.a(nbonda.o) \
	$(LIB)/nbonds.a(nbondg.o) \
	$(LIB)/nbonds.a(nbonds.o) \
	$(LIB)/nbonds.a(nbutil.o) \
	$(LIB)/nbonds.a(pblist.o) \
	$(LIB)/nbonds.a(pme.o) \
	$(LIB)/nbonds.a(pme_column_recip.o) \
	$(LIB)/nbonds.a(pme_column_fft.o) \
	$(LIB)/nbonds.a(nbmodule.o)
#
$(LIB)/nbonds.a : $(OBJS_nbonds)
	$(RANLIB) $(LIB)/nbonds.a
	@echo nbonds COMPLETED
#
# nbonds source file rules
$(LIB)/nbonds.a(ace.o)  : $(SRC)/nbonds/ace.src
	$(FLX) $(SRC)/nbonds/ace.src
	$(FC2) ace.f
	$(AR_COMMAND) $(LIB)/nbonds.a ace.o
	$(REMOVE_F) ace.f
	$(REMOVE_O) ace.o
#
$(LIB)/nbonds.a(cheqmodule.o)  : $(SRC)/nbonds/cheqmodule.src
	$(FLX) $(SRC)/nbonds/cheqmodule.src
	$(FC2) cheqmodule.f
	$(AR_COMMAND) $(LIB)/nbonds.a cheqmodule.o
	$(REMOVE_F) cheqmodule.f
	$(REMOVE_O) cheqmodule.o
#
$(LIB)/nbonds.a(enbaexp.o)  : $(SRC)/nbonds/enbaexp.src
	$(FLX) $(SRC)/nbonds/enbaexp.src
	$(FC2) enbaexp.f
	$(AR_COMMAND) $(LIB)/nbonds.a enbaexp.o
	$(REMOVE_F) enbaexp.f
	$(REMOVE_O) enbaexp.o
#
$(LIB)/nbonds.a(enbfast.o)  : $(SRC)/nbonds/enbfast.src
	$(FLX) $(SRC)/nbonds/enbfast.src
	$(FC2) enbfast.f
	$(AR_COMMAND) $(LIB)/nbonds.a enbfast.o
	$(REMOVE_F) enbfast.f
	$(REMOVE_O) enbfast.o
#
$(LIB)/nbonds.a(enbfs8p.o)  : $(SRC)/nbonds/enbfs8p.src
	$(FLX) $(SRC)/nbonds/enbfs8p.src
	$(FC2) enbfs8p.f
	$(AR_COMMAND) $(LIB)/nbonds.a enbfs8p.o
	$(REMOVE_F) enbfs8p.f
	$(REMOVE_O) enbfs8p.o
#
$(LIB)/nbonds.a(enbips.o)  : $(SRC)/nbonds/enbips.src
	$(FLX) $(SRC)/nbonds/enbips.src
	$(FC2) enbips.f
	$(AR_COMMAND) $(LIB)/nbonds.a enbips.o
	$(REMOVE_F) enbips.f
	$(REMOVE_O) enbips.o
#
$(LIB)/nbonds.a(enbonda.o)  : $(SRC)/nbonds/enbonda.src
	$(FLX) $(SRC)/nbonds/enbonda.src
	$(FC2) enbonda.f
	$(AR_COMMAND) $(LIB)/nbonds.a enbonda.o
	$(REMOVE_F) enbonda.f
	$(REMOVE_O) enbonda.o
#
$(LIB)/nbonds.a(enbondg.o)  : $(SRC)/nbonds/enbondg.src
	$(FLX) $(SRC)/nbonds/enbondg.src
	$(FC2) enbondg.f
	$(AR_COMMAND) $(LIB)/nbonds.a enbondg.o
	$(REMOVE_F) enbondg.f
	$(REMOVE_O) enbondg.o
#
$(LIB)/nbonds.a(enbond.o)  : $(SRC)/nbonds/enbond.src
	$(FLX) $(SRC)/nbonds/enbond.src
	$(FC2) enbond.f
	$(AR_COMMAND) $(LIB)/nbonds.a enbond.o
	$(REMOVE_F) enbond.f
	$(REMOVE_O) enbond.o
#
$(LIB)/nbonds.a(etable.o)  : $(SRC)/nbonds/etable.src
	$(FLX) $(SRC)/nbonds/etable.src
	$(FC2) etable.f
	$(AR_COMMAND) $(LIB)/nbonds.a etable.o
	$(REMOVE_F) etable.f
	$(REMOVE_O) etable.o
#
$(LIB)/nbonds.a(ewaldf.o)  : $(SRC)/nbonds/ewaldf.src
	$(FLX) $(SRC)/nbonds/ewaldf.src
	$(FC2) ewaldf.f
	$(AR_COMMAND) $(LIB)/nbonds.a ewaldf.o
	$(REMOVE_F) ewaldf.f
	$(REMOVE_O) ewaldf.o
#
$(LIB)/nbonds.a(ewald.o)  : $(SRC)/nbonds/ewald.src
	$(FLX) $(SRC)/nbonds/ewald.src
	$(FC3) ewald.f
	$(AR_COMMAND) $(LIB)/nbonds.a ewald.o
	$(REMOVE_F) ewald.f
	$(REMOVE_O) ewald.o
#
$(LIB)/nbonds.a(ewwnb.o)  : $(SRC)/nbonds/ewwnb.src
	$(FLX) $(SRC)/nbonds/ewwnb.src
	$(FC2) ewwnb.f
	$(AR_COMMAND) $(LIB)/nbonds.a ewwnb.o
	$(REMOVE_F) ewwnb.f
	$(REMOVE_O) ewwnb.o
#
$(LIB)/nbonds.a(exelec.o)  : $(SRC)/nbonds/exelec.src
	$(FLX) $(SRC)/nbonds/exelec.src
	$(FC2) exelec.f
	$(AR_COMMAND) $(LIB)/nbonds.a exelec.o
	$(REMOVE_F) exelec.f
	$(REMOVE_O) exelec.o
#
$(LIB)/nbonds.a(fma.o)  : $(SRC)/nbonds/fma.src
	$(FLX) $(SRC)/nbonds/fma.src
	$(FC2) fma.f
	$(AR_COMMAND) $(LIB)/nbonds.a fma.o
	$(REMOVE_F) fma.f
	$(REMOVE_O) fma.o
#
$(LIB)/nbonds.a(grape.o)  : $(SRC)/nbonds/grape.src
	$(FLX) $(SRC)/nbonds/grape.src
	$(FC2) grape.f
	$(AR_COMMAND) $(LIB)/nbonds.a grape.o
	$(REMOVE_F) grape.f
	$(REMOVE_O) grape.o
#
$(LIB)/nbonds.a(heurist.o)  : $(SRC)/nbonds/heurist.src
	$(FLX) $(SRC)/nbonds/heurist.src
	$(FC2) heurist.f
	$(AR_COMMAND) $(LIB)/nbonds.a heurist.o
	$(REMOVE_F) heurist.f
	$(REMOVE_O) heurist.o
#
$(LIB)/nbonds.a(nbexcl.o)  : $(SRC)/nbonds/nbexcl.src
	$(FLX) $(SRC)/nbonds/nbexcl.src
	$(FC2) nbexcl.f
	$(AR_COMMAND) $(LIB)/nbonds.a nbexcl.o
	$(REMOVE_F) nbexcl.f
	$(REMOVE_O) nbexcl.o
#
$(LIB)/nbonds.a(nbndcc.o)  : $(SRC)/nbonds/nbndcc.src
	$(FLX) $(SRC)/nbonds/nbndcc.src
	$(FC2) nbndcc.f
	$(AR_COMMAND) $(LIB)/nbonds.a nbndcc.o
	$(REMOVE_F) nbndcc.f
	$(REMOVE_O) nbndcc.o
#
$(LIB)/nbonds.a(nbndgc.o)  : $(SRC)/nbonds/nbndgc.src
	$(FLX) $(SRC)/nbonds/nbndgc.src
	$(FC2) nbndgc.f
	$(AR_COMMAND) $(LIB)/nbonds.a nbndgc.o
	$(REMOVE_F) nbndgc.f
	$(REMOVE_O) nbndgc.o
#
$(LIB)/nbonds.a(nbonda.o)  : $(SRC)/nbonds/nbonda.src
	$(FLX) $(SRC)/nbonds/nbonda.src
	$(FC2) nbonda.f
	$(AR_COMMAND) $(LIB)/nbonds.a nbonda.o
	$(REMOVE_F) nbonda.f
	$(REMOVE_O) nbonda.o
#
$(LIB)/nbonds.a(nbondg.o)  : $(SRC)/nbonds/nbondg.src
	$(FLX) $(SRC)/nbonds/nbondg.src
	$(FC2) nbondg.f
	$(AR_COMMAND) $(LIB)/nbonds.a nbondg.o
	$(REMOVE_F) nbondg.f
	$(REMOVE_O) nbondg.o
#
$(LIB)/nbonds.a(nbonds.o)  : $(SRC)/nbonds/nbonds.src
	$(FLX) $(SRC)/nbonds/nbonds.src
	$(FC2) nbonds.f
	$(AR_COMMAND) $(LIB)/nbonds.a nbonds.o
	$(REMOVE_F) nbonds.f
	$(REMOVE_O) nbonds.o
#
$(LIB)/nbonds.a(nbutil.o)  : $(SRC)/nbonds/nbutil.src
	$(FLX) $(SRC)/nbonds/nbutil.src
	$(FC2) nbutil.f
	$(AR_COMMAND) $(LIB)/nbonds.a nbutil.o
	$(REMOVE_F) nbutil.f
	$(REMOVE_O) nbutil.o
#
$(LIB)/nbonds.a(pblist.o)  : $(SRC)/nbonds/pblist.src
	$(FLX) $(SRC)/nbonds/pblist.src
	$(FC2) pblist.f
	$(AR_COMMAND) $(LIB)/nbonds.a pblist.o
	$(REMOVE_F) pblist.f
	$(REMOVE_O) pblist.o
#
$(LIB)/nbonds.a(pme.o)  : $(SRC)/nbonds/pme.src
	$(FLX) $(SRC)/nbonds/pme.src
	$(FC2) pme.f
	$(AR_COMMAND) $(LIB)/nbonds.a pme.o
	$(REMOVE_F) pme.f
	$(REMOVE_O) pme.o
#
$(LIB)/nbonds.a(pme_column_recip.o)  : $(SRC)/nbonds/pme_column_recip.src
	$(FLX) $(SRC)/nbonds/pme_column_recip.src
	$(FC2) pme_column_recip.f
	$(AR_COMMAND) $(LIB)/nbonds.a pme_column_recip.o
	$(REMOVE_F) pme_column_recip.f
	$(REMOVE_O) pme_column_recip.o
#
$(LIB)/nbonds.a(pme_column_fft.o) : $(SRC)/nbonds/pme_column_fft.src
	$(FLX) $(SRC)/nbonds/pme_column_fft.src
	$(FC2) pme_column_fft.f
	$(AR_COMMAND) $(LIB)/nbonds.a pme_column_fft.o
	$(REMOVE_F) pme_column_fft.f
	$(REMOVE_O) pme_column_fft.o


#
$(LIB)/nbonds.a(nbmodule.o) : $(SRC)/nbonds/nbmodule.src
	$(FLX) $(SRC)/nbonds/nbmodule.src
	$(FC2) nbmodule.f
	$(AR_COMMAND) $(LIB)/nbonds.a nbmodule.o
	$(REMOVE_F) nbmodule.f
	$(REMOVE_O) nbmodule.o
#
#
# nbonds dependency file
#
$(LIB)/nbonds.a(ace.o) : ace.fcm
$(LIB)/nbonds.a(ace.o) : block.fcm
$(LIB)/nbonds.a(ace.o) : cff.fcm
$(LIB)/nbonds.a(ace.o) : code.fcm
$(LIB)/nbonds.a(ace.o) : consta.fcm
$(LIB)/nbonds.a(ace.o) : coord.fcm
$(LIB)/nbonds.a(ace.o) : deriv.fcm
$(LIB)/nbonds.a(ace.o) : dimens.fcm
$(LIB)/nbonds.a(ace.o) : energy.fcm
$(LIB)/nbonds.a(ace.o) : exfunc.fcm
$(LIB)/nbonds.a(ace.o) : ffield.fcm
$(LIB)/nbonds.a(ace.o) : impnon.fcm
$(LIB)/nbonds.a(ace.o) : inbnd.fcm
$(LIB)/nbonds.a(ace.o) : mmff.fcm
$(LIB)/nbonds.a(ace.o) : number.fcm
$(LIB)/nbonds.a(ace.o) : parallel.fcm
$(LIB)/nbonds.a(ace.o) : param.fcm
$(LIB)/nbonds.a(ace.o) : pbound.fcm
$(LIB)/nbonds.a(ace.o) : psf.fcm
$(LIB)/nbonds.a(ace.o) : rtf.fcm
$(LIB)/nbonds.a(ace.o) : stream.fcm
$(LIB)/nbonds.a(ace.o) : $(LIB)/nbonds.a(pblist.o)
#
#
$(LIB)/nbonds.a(cheqmodule.o) : comand.fcm
$(LIB)/nbonds.a(cheqmodule.o) : consta.fcm
$(LIB)/nbonds.a(cheqmodule.o) : coord.fcm
$(LIB)/nbonds.a(cheqmodule.o) : dimens.fcm
$(LIB)/nbonds.a(cheqmodule.o) : exfunc.fcm
$(LIB)/nbonds.a(cheqmodule.o) : heap.fcm
$(LIB)/nbonds.a(cheqmodule.o) : impnon.fcm
$(LIB)/nbonds.a(cheqmodule.o) : number.fcm
$(LIB)/nbonds.a(cheqmodule.o) : param.fcm
$(LIB)/nbonds.a(cheqmodule.o) : psf.fcm
$(LIB)/nbonds.a(cheqmodule.o) : rtf.fcm
$(LIB)/nbonds.a(cheqmodule.o) : stack.fcm
$(LIB)/nbonds.a(cheqmodule.o) : stream.fcm
$(LIB)/nbonds.a(cheqmodule.o) : $(LIB)/nbonds.a(nbmodule.o)
$(LIB)/nbonds.a(cheqmodule.o) : $(LIB)/energy.a(gb_common.o)
##
##
$(LIB)/nbonds.a(enbaexp.o) : block.fcm
$(LIB)/nbonds.a(enbaexp.o) : consta.fcm
$(LIB)/nbonds.a(enbaexp.o) : coord.fcm
$(LIB)/nbonds.a(enbaexp.o) : deriv.fcm
$(LIB)/nbonds.a(enbaexp.o) : dimens.fcm
$(LIB)/nbonds.a(enbaexp.o) : ewald.fcm
$(LIB)/nbonds.a(enbaexp.o) : exfunc.fcm
$(LIB)/nbonds.a(enbaexp.o) : fast.fcm
$(LIB)/nbonds.a(enbaexp.o) : galgor.fcm
$(LIB)/nbonds.a(enbaexp.o) : gamess.fcm
$(LIB)/nbonds.a(enbaexp.o) : heap.fcm
$(LIB)/nbonds.a(enbaexp.o) : impnon.fcm
$(LIB)/nbonds.a(enbaexp.o) : inbnd.fcm
$(LIB)/nbonds.a(enbaexp.o) : number.fcm
$(LIB)/nbonds.a(enbaexp.o) : param.fcm
$(LIB)/nbonds.a(enbaexp.o) : stream.fcm
$(LIB)/nbonds.a(enbaexp.o) : wwnb1.fcm
#
#
$(LIB)/nbonds.a(enbfast.o) : bases.fcm
$(LIB)/nbonds.a(enbfast.o) : block.fcm
$(LIB)/nbonds.a(enbfast.o) : $(LIB)/nbonds.a(cheqmodule.o)
$(LIB)/nbonds.a(enbfast.o) : consta.fcm
$(LIB)/nbonds.a(enbfast.o) : coord.fcm
$(LIB)/nbonds.a(enbfast.o) : deriv.fcm
$(LIB)/nbonds.a(enbfast.o) : derivq.fcm
$(LIB)/nbonds.a(enbfast.o) : dimens.fcm
$(LIB)/nbonds.a(enbfast.o) : eef1.fcm
$(LIB)/nbonds.a(enbfast.o) : enbfs8p.fcm
$(LIB)/nbonds.a(enbfast.o) : ewald.fcm
$(LIB)/nbonds.a(enbfast.o) : exfunc.fcm
$(LIB)/nbonds.a(enbfast.o) : galgor.fcm
$(LIB)/nbonds.a(enbfast.o) : gamess.fcm
$(LIB)/nbonds.a(enbfast.o) : gcmc.fcm
$(LIB)/nbonds.a(enbfast.o) : heap.fcm
$(LIB)/nbonds.a(enbfast.o) : impnon.fcm
$(LIB)/nbonds.a(enbfast.o) : inbnd.fcm
$(LIB)/nbonds.a(enbfast.o) : lambda.fcm
$(LIB)/nbonds.a(enbfast.o) : mbmts1.fcm
$(LIB)/nbonds.a(enbfast.o) : nbips.fcm
$(LIB)/nbonds.a(enbfast.o) : $(LIB)/util.a(new_timer.o)
$(LIB)/nbonds.a(enbfast.o) : number.fcm
$(LIB)/nbonds.a(enbfast.o) : param.fcm
$(LIB)/nbonds.a(enbfast.o) : pbound.fcm
$(LIB)/nbonds.a(enbfast.o) : stack.fcm
$(LIB)/nbonds.a(enbfast.o) : stream.fcm
$(LIB)/nbonds.a(enbfast.o) : tbmts.fcm
$(LIB)/nbonds.a(enbfast.o) : $(LIB)/nbonds.a(pblist.o)
#
#
$(LIB)/nbonds.a(enbfs8p.o) : block.fcm
$(LIB)/nbonds.a(enbfs8p.o) : $(LIB)/nbonds.a(cheqmodule.o)
$(LIB)/nbonds.a(enbfs8p.o) : consta.fcm
$(LIB)/nbonds.a(enbfs8p.o) : coord.fcm
$(LIB)/nbonds.a(enbfs8p.o) : deriv.fcm
$(LIB)/nbonds.a(enbfs8p.o) : derivq.fcm
$(LIB)/nbonds.a(enbfs8p.o) : dimens.fcm
$(LIB)/nbonds.a(enbfs8p.o) : enbfs8p.fcm
$(LIB)/nbonds.a(enbfs8p.o) : exfunc.fcm
$(LIB)/nbonds.a(enbfs8p.o) : galgor.fcm
$(LIB)/nbonds.a(enbfs8p.o) : gamess.fcm
$(LIB)/nbonds.a(enbfs8p.o) : heap.fcm
$(LIB)/nbonds.a(enbfs8p.o) : impnon.fcm
$(LIB)/nbonds.a(enbfs8p.o) : inbnd.fcm
$(LIB)/nbonds.a(enbfs8p.o) : lambda.fcm
$(LIB)/nbonds.a(enbfs8p.o) : mbmts1.fcm
$(LIB)/nbonds.a(enbfs8p.o) : number.fcm
$(LIB)/nbonds.a(enbfs8p.o) : param.fcm
$(LIB)/nbonds.a(enbfs8p.o) : pbound.fcm
$(LIB)/nbonds.a(enbfs8p.o) : tbmts.fcm
#
#
$(LIB)/nbonds.a(enbips.o) : consta.fcm
$(LIB)/nbonds.a(enbips.o) : contrl.fcm
$(LIB)/nbonds.a(enbips.o) : dimens.fcm
$(LIB)/nbonds.a(enbips.o) : econt.fcm
$(LIB)/nbonds.a(enbips.o) : exfunc.fcm
$(LIB)/nbonds.a(enbips.o) : fast.fcm
$(LIB)/nbonds.a(enbips.o) : heap.fcm
$(LIB)/nbonds.a(enbips.o) : image.fcm
$(LIB)/nbonds.a(enbips.o) : impnon.fcm
$(LIB)/nbonds.a(enbips.o) : nbips.fcm
$(LIB)/nbonds.a(enbips.o) : number.fcm
$(LIB)/nbonds.a(enbips.o) : parallel.fcm
$(LIB)/nbonds.a(enbips.o) : stream.fcm
#
#
$(LIB)/nbonds.a(enbonda.o) : block.fcm
$(LIB)/nbonds.a(enbonda.o) : blockscc.fcm
$(LIB)/nbonds.a(enbonda.o) : $(LIB)/nbonds.a(cheqmodule.o)
$(LIB)/nbonds.a(enbonda.o) : consta.fcm
$(LIB)/nbonds.a(enbonda.o) : derivq.fcm
$(LIB)/nbonds.a(enbonda.o) : dimb.fcm
$(LIB)/nbonds.a(enbonda.o) : dimens.fcm
$(LIB)/nbonds.a(enbonda.o) : econt.fcm
$(LIB)/nbonds.a(enbonda.o) : euler.fcm
$(LIB)/nbonds.a(enbonda.o) : ewald.fcm
$(LIB)/nbonds.a(enbonda.o) : exfunc.fcm
$(LIB)/nbonds.a(enbonda.o) : fourd.fcm
$(LIB)/nbonds.a(enbonda.o) : gamess.fcm
$(LIB)/nbonds.a(enbonda.o) : gcmc.fcm
$(LIB)/nbonds.a(enbonda.o) : heap.fcm
$(LIB)/nbonds.a(enbonda.o) : impnon.fcm
$(LIB)/nbonds.a(enbonda.o) : lambda.fcm
$(LIB)/nbonds.a(enbonda.o) : mbond.fcm
$(LIB)/nbonds.a(enbonda.o) : nbips.fcm
$(LIB)/nbonds.a(enbonda.o) : number.fcm
$(LIB)/nbonds.a(enbonda.o) : pbound.fcm
$(LIB)/nbonds.a(enbonda.o) : pert.fcm
$(LIB)/nbonds.a(enbonda.o) : stream.fcm
$(LIB)/nbonds.a(enbonda.o) : vibblock.fcm
#
#
$(LIB)/nbonds.a(enbondg.o) : block.fcm
$(LIB)/nbonds.a(enbondg.o) : consta.fcm
$(LIB)/nbonds.a(enbondg.o) : dimb.fcm
$(LIB)/nbonds.a(enbondg.o) : dimens.fcm
$(LIB)/nbonds.a(enbondg.o) : ewald.fcm
$(LIB)/nbonds.a(enbondg.o) : exfunc.fcm
$(LIB)/nbonds.a(enbondg.o) : gamess.fcm
$(LIB)/nbonds.a(enbondg.o) : heap.fcm
$(LIB)/nbonds.a(enbondg.o) : impnon.fcm
$(LIB)/nbonds.a(enbondg.o) : mbond.fcm
$(LIB)/nbonds.a(enbondg.o) : nbips.fcm
$(LIB)/nbonds.a(enbondg.o) : number.fcm
$(LIB)/nbonds.a(enbondg.o) : pbound.fcm
$(LIB)/nbonds.a(enbondg.o) : pert.fcm
$(LIB)/nbonds.a(enbondg.o) : stream.fcm
$(LIB)/nbonds.a(enbondg.o) : tbmts.fcm
$(LIB)/nbonds.a(enbondg.o) : vibblock.fcm
#
#
$(LIB)/nbonds.a(enbond.o) : ace.fcm
$(LIB)/nbonds.a(enbond.o) : bases.fcm
$(LIB)/nbonds.a(enbond.o) : block.fcm
$(LIB)/nbonds.a(enbond.o) : $(LIB)/nbonds.a(cheqmodule.o)
$(LIB)/nbonds.a(enbond.o) : chm_kinds.fcm
$(LIB)/nbonds.a(enbond.o) : code.fcm
$(LIB)/nbonds.a(enbond.o) : comand.fcm
$(LIB)/nbonds.a(enbond.o) : consta.fcm
$(LIB)/nbonds.a(enbond.o) : dimens.fcm
$(LIB)/nbonds.a(enbond.o) : etable.fcm
$(LIB)/nbonds.a(enbond.o) : ewald.fcm
$(LIB)/nbonds.a(enbond.o) : exfunc.fcm
$(LIB)/nbonds.a(enbond.o) : fast.fcm
$(LIB)/nbonds.a(enbond.o) : ffield.fcm
$(LIB)/nbonds.a(enbond.o) : fma.fcm
$(LIB)/nbonds.a(enbond.o) : gcmc.fcm
$(LIB)/nbonds.a(enbond.o) : grape.fcm
$(LIB)/nbonds.a(enbond.o) : heap.fcm
$(LIB)/nbonds.a(enbond.o) : impnon.fcm
$(LIB)/nbonds.a(enbond.o) : inbnd.fcm
$(LIB)/nbonds.a(enbond.o) : lambda.fcm
$(LIB)/nbonds.a(enbond.o) : mbmts1.fcm
$(LIB)/nbonds.a(enbond.o) : mc.fcm
$(LIB)/nbonds.a(enbond.o) : mmff.fcm
$(LIB)/nbonds.a(enbond.o) : nbips.fcm
$(LIB)/nbonds.a(enbond.o) : $(LIB)/util.a(new_timer.o)
$(LIB)/nbonds.a(enbond.o) : number.fcm
$(LIB)/nbonds.a(enbond.o) : parallel.fcm
$(LIB)/nbonds.a(enbond.o) : param.fcm
$(LIB)/nbonds.a(enbond.o) : pbound.fcm
$(LIB)/nbonds.a(enbond.o) : pipf.fcm
$(LIB)/nbonds.a(enbond.o) : scpism.fcm
$(LIB)/nbonds.a(enbond.o) : stack.fcm
$(LIB)/nbonds.a(enbond.o) : stream.fcm
$(LIB)/nbonds.a(enbond.o) : tbmts.fcm
$(LIB)/nbonds.a(enbond.o) : timer.fcm
$(LIB)/nbonds.a(enbond.o) : vibblock.fcm
$(LIB)/nbonds.a(enbond.o) : $(LIB)/nbonds.a(nbmodule.o)
#
#
$(LIB)/nbonds.a(etable.o) : $(LIB)/nbonds.a(cheqmodule.o)
$(LIB)/nbonds.a(etable.o) : consta.fcm
$(LIB)/nbonds.a(etable.o) : ctitla.fcm
$(LIB)/nbonds.a(etable.o) : derivq.fcm
$(LIB)/nbonds.a(etable.o) : dimb.fcm
$(LIB)/nbonds.a(etable.o) : dimens.fcm
$(LIB)/nbonds.a(etable.o) : etable.fcm
$(LIB)/nbonds.a(etable.o) : exfunc.fcm
$(LIB)/nbonds.a(etable.o) : heap.fcm
$(LIB)/nbonds.a(etable.o) : impnon.fcm
$(LIB)/nbonds.a(etable.o) : stack.fcm
$(LIB)/nbonds.a(etable.o) : stream.fcm
#
#
$(LIB)/nbonds.a(ewaldf.o) : $(LIB)/nbonds.a(cheqmodule.o)
$(LIB)/nbonds.a(ewaldf.o) : consta.fcm
$(LIB)/nbonds.a(ewaldf.o) : derivq.fcm
$(LIB)/nbonds.a(ewaldf.o) : dimens.fcm
$(LIB)/nbonds.a(ewaldf.o) : ewald.fcm
$(LIB)/nbonds.a(ewaldf.o) : exfunc.fcm
$(LIB)/nbonds.a(ewaldf.o) : fast.fcm
$(LIB)/nbonds.a(ewaldf.o) : heap.fcm
$(LIB)/nbonds.a(ewaldf.o) : image.fcm
$(LIB)/nbonds.a(ewaldf.o) : impnon.fcm
$(LIB)/nbonds.a(ewaldf.o) : inbnd.fcm
$(LIB)/nbonds.a(ewaldf.o) : machdep.fcm
$(LIB)/nbonds.a(ewaldf.o) : mndo97.fcm
$(LIB)/nbonds.a(ewaldf.o) : number.fcm
$(LIB)/nbonds.a(ewaldf.o) : parallel.fcm
$(LIB)/nbonds.a(ewaldf.o) : $(LIB)/nbonds.a(pme.o)
$(LIB)/nbonds.a(ewaldf.o) : quantm.fcm
$(LIB)/nbonds.a(ewaldf.o) : squantm.fcm
$(LIB)/nbonds.a(ewaldf.o) : stack.fcm
$(LIB)/nbonds.a(ewaldf.o) : stream.fcm
$(LIB)/nbonds.a(ewaldf.o) : tsmh.fcm
$(LIB)/nbonds.a(ewaldf.o) : tsms.fcm
#
#
$(LIB)/nbonds.a(ewald.o) : $(LIB)/nbonds.a(cheqmodule.o)
$(LIB)/nbonds.a(ewald.o) : chm_kinds.fcm
$(LIB)/nbonds.a(ewald.o) : consta.fcm
$(LIB)/nbonds.a(ewald.o) : derivq.fcm
$(LIB)/nbonds.a(ewald.o) : dimens.fcm
$(LIB)/nbonds.a(ewald.o) : econt.fcm
$(LIB)/nbonds.a(ewald.o) : ewald.fcm
$(LIB)/nbonds.a(ewald.o) : exfunc.fcm
$(LIB)/nbonds.a(ewald.o) : gamess.fcm
$(LIB)/nbonds.a(ewald.o) : heap.fcm
$(LIB)/nbonds.a(ewald.o) : image.fcm
$(LIB)/nbonds.a(ewald.o) : impnon.fcm
$(LIB)/nbonds.a(ewald.o) : inbnd.fcm
$(LIB)/nbonds.a(ewald.o) : $(LIB)/util.a(new_timer.o)
$(LIB)/nbonds.a(ewald.o) : number.fcm
$(LIB)/nbonds.a(ewald.o) : parallel.fcm
$(LIB)/nbonds.a(ewald.o) : param.fcm
$(LIB)/nbonds.a(ewald.o) : psf.fcm
$(LIB)/nbonds.a(ewald.o) : stream.fcm
$(LIB)/nbonds.a(ewald.o) : $(LIB)/nbonds.a(pblist.o)
#
#
$(LIB)/nbonds.a(ewwnb.o) : consta.fcm
$(LIB)/nbonds.a(ewwnb.o) : coord.fcm
$(LIB)/nbonds.a(ewwnb.o) : deriv.fcm
$(LIB)/nbonds.a(ewwnb.o) : dimens.fcm
$(LIB)/nbonds.a(ewwnb.o) : exfunc.fcm
$(LIB)/nbonds.a(ewwnb.o) : fast.fcm
$(LIB)/nbonds.a(ewwnb.o) : heap.fcm
$(LIB)/nbonds.a(ewwnb.o) : impnon.fcm
$(LIB)/nbonds.a(ewwnb.o) : inbnd.fcm
$(LIB)/nbonds.a(ewwnb.o) : number.fcm
$(LIB)/nbonds.a(ewwnb.o) : param.fcm
$(LIB)/nbonds.a(ewwnb.o) : psf.fcm
$(LIB)/nbonds.a(ewwnb.o) : stream.fcm
$(LIB)/nbonds.a(ewwnb.o) : wwnb.fcm
$(LIB)/nbonds.a(ewwnb.o) : $(LIB)/nbonds.a(nbmodule.o)
#
#
$(LIB)/nbonds.a(exelec.o) : consta.fcm
$(LIB)/nbonds.a(exelec.o) : dimens.fcm
$(LIB)/nbonds.a(exelec.o) : impnon.fcm
$(LIB)/nbonds.a(exelec.o) : number.fcm
$(LIB)/nbonds.a(exelec.o) : parallel.fcm
$(LIB)/nbonds.a(exelec.o) : stream.fcm
#
#
$(LIB)/nbonds.a(fma.o) : consta.fcm
$(LIB)/nbonds.a(fma.o) : coord.fcm
$(LIB)/nbonds.a(fma.o) : deriv.fcm
$(LIB)/nbonds.a(fma.o) : dimens.fcm
$(LIB)/nbonds.a(fma.o) : exfunc.fcm
$(LIB)/nbonds.a(fma.o) : fast.fcm
$(LIB)/nbonds.a(fma.o) : fmacons.fcm
$(LIB)/nbonds.a(fma.o) : heap.fcm
$(LIB)/nbonds.a(fma.o) : impnon.fcm
$(LIB)/nbonds.a(fma.o) : inbnd.fcm
$(LIB)/nbonds.a(fma.o) : number.fcm
$(LIB)/nbonds.a(fma.o) : psf.fcm
$(LIB)/nbonds.a(fma.o) : stream.fcm
$(LIB)/nbonds.a(fma.o) : timer.fcm
#
#
$(LIB)/nbonds.a(grape.o) : consta.fcm
$(LIB)/nbonds.a(grape.o) : contrl.fcm
$(LIB)/nbonds.a(grape.o) : dimens.fcm
$(LIB)/nbonds.a(grape.o) : energy.fcm
$(LIB)/nbonds.a(grape.o) : ewald.fcm
$(LIB)/nbonds.a(grape.o) : exfunc.fcm
$(LIB)/nbonds.a(grape.o) : grape.fcm
$(LIB)/nbonds.a(grape.o) : heap.fcm
$(LIB)/nbonds.a(grape.o) : image.fcm
$(LIB)/nbonds.a(grape.o) : impnon.fcm
$(LIB)/nbonds.a(grape.o) : inbnd.fcm
$(LIB)/nbonds.a(grape.o) : number.fcm
$(LIB)/nbonds.a(grape.o) : parallel.fcm
$(LIB)/nbonds.a(grape.o) : param.fcm
$(LIB)/nbonds.a(grape.o) : psf.fcm
$(LIB)/nbonds.a(grape.o) : rtf.fcm
$(LIB)/nbonds.a(grape.o) : stream.fcm
#
#
$(LIB)/nbonds.a(heurist.o) : bases.fcm
$(LIB)/nbonds.a(heurist.o) : contrl.fcm
$(LIB)/nbonds.a(heurist.o) : dimens.fcm
$(LIB)/nbonds.a(heurist.o) : energy.fcm
$(LIB)/nbonds.a(heurist.o) : exelec.fcm
$(LIB)/nbonds.a(heurist.o) : exfunc.fcm
$(LIB)/nbonds.a(heurist.o) : fast.fcm
$(LIB)/nbonds.a(heurist.o) : ffield.fcm
$(LIB)/nbonds.a(heurist.o) : hbond.fcm
$(LIB)/nbonds.a(heurist.o) : heap.fcm
$(LIB)/nbonds.a(heurist.o) : image.fcm
$(LIB)/nbonds.a(heurist.o) : impnon.fcm
$(LIB)/nbonds.a(heurist.o) : inbnd.fcm
$(LIB)/nbonds.a(heurist.o) : mbmts.fcm
$(LIB)/nbonds.a(heurist.o) : $(LIB)/util.a(new_timer.o)
$(LIB)/nbonds.a(heurist.o) : number.fcm
$(LIB)/nbonds.a(heurist.o) : parallel.fcm
$(LIB)/nbonds.a(heurist.o) : param.fcm
$(LIB)/nbonds.a(heurist.o) : psf.fcm
$(LIB)/nbonds.a(heurist.o) : sccdftb.fcm
$(LIB)/nbonds.a(heurist.o) : stack.fcm
$(LIB)/nbonds.a(heurist.o) : stream.fcm
$(LIB)/nbonds.a(heurist.o) : tsms.fcm
$(LIB)/nbonds.a(heurist.o) : $(LIB)/nbonds.a(pblist.o)
#
#
$(LIB)/nbonds.a(nbexcl.o) : actclus.fcm
$(LIB)/nbonds.a(nbexcl.o) : bases.fcm
$(LIB)/nbonds.a(nbexcl.o) : cff.fcm
$(LIB)/nbonds.a(nbexcl.o) : consta.fcm
$(LIB)/nbonds.a(nbexcl.o) : dimens.fcm
$(LIB)/nbonds.a(nbexcl.o) : ewald.fcm
$(LIB)/nbonds.a(nbexcl.o) : exclar.fcm
$(LIB)/nbonds.a(nbexcl.o) : exfunc.fcm
$(LIB)/nbonds.a(nbexcl.o) : fast.fcm
$(LIB)/nbonds.a(nbexcl.o) : ffield.fcm
$(LIB)/nbonds.a(nbexcl.o) : heap.fcm
$(LIB)/nbonds.a(nbexcl.o) : image.fcm
$(LIB)/nbonds.a(nbexcl.o) : impnon.fcm
$(LIB)/nbonds.a(nbexcl.o) : inbnd.fcm
$(LIB)/nbonds.a(nbexcl.o) : machdep.fcm
$(LIB)/nbonds.a(nbexcl.o) : number.fcm
$(LIB)/nbonds.a(nbexcl.o) : param.fcm
$(LIB)/nbonds.a(nbexcl.o) : psf.fcm
$(LIB)/nbonds.a(nbexcl.o) : replica.fcm
$(LIB)/nbonds.a(nbexcl.o) : sccdftb.fcm
$(LIB)/nbonds.a(nbexcl.o) : stack.fcm
$(LIB)/nbonds.a(nbexcl.o) : stream.fcm
$(LIB)/nbonds.a(nbexcl.o) : timer.fcm
$(LIB)/nbonds.a(nbexcl.o) : tsmh.fcm
$(LIB)/nbonds.a(nbexcl.o) : tsms.fcm
$(LIB)/nbonds.a(nbexcl.o) : $(LIB)/nbonds.a(nbmodule.o)
#
#
$(LIB)/nbonds.a(nbndcc.o) : actclus.fcm
$(LIB)/nbonds.a(nbndcc.o) : comand.fcm
$(LIB)/nbonds.a(nbndcc.o) : consta.fcm
$(LIB)/nbonds.a(nbndcc.o) : contrl.fcm
$(LIB)/nbonds.a(nbndcc.o) : deriv.fcm
$(LIB)/nbonds.a(nbndcc.o) : dimens.fcm
$(LIB)/nbonds.a(nbndcc.o) : exfunc.fcm
$(LIB)/nbonds.a(nbndcc.o) : heap.fcm
$(LIB)/nbonds.a(nbndcc.o) : impnon.fcm
$(LIB)/nbonds.a(nbndcc.o) : number.fcm
$(LIB)/nbonds.a(nbndcc.o) : parallel.fcm
$(LIB)/nbonds.a(nbndcc.o) : psf.fcm
$(LIB)/nbonds.a(nbndcc.o) : spacdec.fcm
$(LIB)/nbonds.a(nbndcc.o) : stream.fcm
$(LIB)/nbonds.a(nbndcc.o) : timer.fcm
#
#
$(LIB)/nbonds.a(nbndgc.o) : consta.fcm
$(LIB)/nbonds.a(nbndgc.o) : dimens.fcm
$(LIB)/nbonds.a(nbndgc.o) : exfunc.fcm
$(LIB)/nbonds.a(nbndgc.o) : heap.fcm
$(LIB)/nbonds.a(nbndgc.o) : impnon.fcm
$(LIB)/nbonds.a(nbndgc.o) : mbond.fcm
$(LIB)/nbonds.a(nbndgc.o) : psf.fcm
$(LIB)/nbonds.a(nbndgc.o) : replica.fcm
$(LIB)/nbonds.a(nbndgc.o) : stream.fcm
$(LIB)/nbonds.a(nbndgc.o) : timer.fcm
#
#
$(LIB)/nbonds.a(nbonda.o) : dimens.fcm
$(LIB)/nbonds.a(nbonda.o) : excl.fcm
$(LIB)/nbonds.a(nbonda.o) : exfunc.fcm
$(LIB)/nbonds.a(nbonda.o) : fourd.fcm
$(LIB)/nbonds.a(nbonda.o) : gamess.fcm
$(LIB)/nbonds.a(nbonda.o) : heap.fcm
$(LIB)/nbonds.a(nbonda.o) : impnon.fcm
$(LIB)/nbonds.a(nbonda.o) : mbmts.fcm
$(LIB)/nbonds.a(nbonda.o) : mbond.fcm
$(LIB)/nbonds.a(nbonda.o) : nbips.fcm
$(LIB)/nbonds.a(nbonda.o) : number.fcm
$(LIB)/nbonds.a(nbonda.o) : parallel.fcm
$(LIB)/nbonds.a(nbonda.o) : pbound.fcm
$(LIB)/nbonds.a(nbonda.o) : pert.fcm
$(LIB)/nbonds.a(nbonda.o) : psf.fcm
$(LIB)/nbonds.a(nbonda.o) : replica.fcm
$(LIB)/nbonds.a(nbonda.o) : stream.fcm
$(LIB)/nbonds.a(nbonda.o) : tbmts.fcm
$(LIB)/nbonds.a(nbonda.o) : timer.fcm
#
#
$(LIB)/nbonds.a(nbondg.o) : bases.fcm
$(LIB)/nbonds.a(nbondg.o) : consta.fcm
$(LIB)/nbonds.a(nbondg.o) : dimens.fcm
$(LIB)/nbonds.a(nbondg.o) : energy.fcm
$(LIB)/nbonds.a(nbondg.o) : excl.fcm
$(LIB)/nbonds.a(nbondg.o) : exfunc.fcm
$(LIB)/nbonds.a(nbondg.o) : fourd.fcm
$(LIB)/nbonds.a(nbondg.o) : gamess.fcm
$(LIB)/nbonds.a(nbondg.o) : heap.fcm
$(LIB)/nbonds.a(nbondg.o) : impnon.fcm
$(LIB)/nbonds.a(nbondg.o) : mbmts.fcm
$(LIB)/nbonds.a(nbondg.o) : mbond.fcm
$(LIB)/nbonds.a(nbondg.o) : nbips.fcm
$(LIB)/nbonds.a(nbondg.o) : number.fcm
$(LIB)/nbonds.a(nbondg.o) : parallel.fcm
$(LIB)/nbonds.a(nbondg.o) : pbound.fcm
$(LIB)/nbonds.a(nbondg.o) : pert.fcm
$(LIB)/nbonds.a(nbondg.o) : psf.fcm
$(LIB)/nbonds.a(nbondg.o) : replica.fcm
$(LIB)/nbonds.a(nbondg.o) : stream.fcm
$(LIB)/nbonds.a(nbondg.o) : tbmts.fcm
$(LIB)/nbonds.a(nbondg.o) : timer.fcm
#
#
$(LIB)/nbonds.a(nbonds.o) : ace.fcm
$(LIB)/nbonds.a(nbonds.o) : actclus.fcm
$(LIB)/nbonds.a(nbonds.o) : bases.fcm
$(LIB)/nbonds.a(nbonds.o) : block.fcm
$(LIB)/nbonds.a(nbonds.o) : contrl.fcm
$(LIB)/nbonds.a(nbonds.o) : dimens.fcm
$(LIB)/nbonds.a(nbonds.o) : ewald.fcm
$(LIB)/nbonds.a(nbonds.o) : exclar.fcm
$(LIB)/nbonds.a(nbonds.o) : excl.fcm
$(LIB)/nbonds.a(nbonds.o) : exelec.fcm
$(LIB)/nbonds.a(nbonds.o) : exfunc.fcm
$(LIB)/nbonds.a(nbonds.o) : fast.fcm
$(LIB)/nbonds.a(nbonds.o) : ffield.fcm
$(LIB)/nbonds.a(nbonds.o) : flucq.fcm
$(LIB)/nbonds.a(nbonds.o) : fourd.fcm
$(LIB)/nbonds.a(nbonds.o) : gamess.fcm
$(LIB)/nbonds.a(nbonds.o) : heap.fcm
$(LIB)/nbonds.a(nbonds.o) : image.fcm
$(LIB)/nbonds.a(nbonds.o) : impnon.fcm
$(LIB)/nbonds.a(nbonds.o) : inbnd.fcm
$(LIB)/nbonds.a(nbonds.o) : machdep.fcm
$(LIB)/nbonds.a(nbonds.o) : mbmts.fcm
$(LIB)/nbonds.a(nbonds.o) : mmff.fcm
$(LIB)/nbonds.a(nbonds.o) : mndo97.fcm
$(LIB)/nbonds.a(nbonds.o) : nbips.fcm
$(LIB)/nbonds.a(nbonds.o) : number.fcm
$(LIB)/nbonds.a(nbonds.o) : parallel.fcm
$(LIB)/nbonds.a(nbonds.o) : pbound.fcm
$(LIB)/nbonds.a(nbonds.o) : pert.fcm
$(LIB)/nbonds.a(nbonds.o) : psf.fcm
$(LIB)/nbonds.a(nbonds.o) : quantm.fcm
$(LIB)/nbonds.a(nbonds.o) : replica.fcm
$(LIB)/nbonds.a(nbonds.o) : squantm.fcm
$(LIB)/nbonds.a(nbonds.o) : stack.fcm
$(LIB)/nbonds.a(nbonds.o) : stream.fcm
$(LIB)/nbonds.a(nbonds.o) : tbmts.fcm
$(LIB)/nbonds.a(nbonds.o) : tbmtsp1.fcm
$(LIB)/nbonds.a(nbonds.o) : tsmh.fcm
$(LIB)/nbonds.a(nbonds.o) : tsms.fcm
$(LIB)/nbonds.a(nbonds.o) : wwnb1.fcm
$(LIB)/nbonds.a(nbonds.o) : wwnb.fcm
$(LIB)/nbonds.a(nbonds.o) : $(LIB)/nbonds.a(pblist.o)
#
#
$(LIB)/nbonds.a(nbutil.o) : ace.fcm
$(LIB)/nbonds.a(nbutil.o) : actclus.fcm
$(LIB)/nbonds.a(nbutil.o) : bases.fcm
$(LIB)/nbonds.a(nbutil.o) : contrl.fcm
$(LIB)/nbonds.a(nbutil.o) : coord.fcm
$(LIB)/nbonds.a(nbutil.o) : deflts.fcm
$(LIB)/nbonds.a(nbutil.o) : dimens.fcm
$(LIB)/nbonds.a(nbutil.o) : energy.fcm
$(LIB)/nbonds.a(nbutil.o) : ewald.fcm
$(LIB)/nbonds.a(nbutil.o) : exclar.fcm
$(LIB)/nbonds.a(nbutil.o) : exelec.fcm
$(LIB)/nbonds.a(nbutil.o) : exfunc.fcm
$(LIB)/nbonds.a(nbutil.o) : ffield.fcm
$(LIB)/nbonds.a(nbutil.o) : fmacons.fcm
$(LIB)/nbonds.a(nbutil.o) : fma.fcm
$(LIB)/nbonds.a(nbutil.o) : grape.fcm
$(LIB)/nbonds.a(nbutil.o) : heap.fcm
$(LIB)/nbonds.a(nbutil.o) : image.fcm
$(LIB)/nbonds.a(nbutil.o) : impnon.fcm
$(LIB)/nbonds.a(nbutil.o) : inbnd.fcm
$(LIB)/nbonds.a(nbutil.o) : number.fcm
$(LIB)/nbonds.a(nbutil.o) : parallel.fcm
$(LIB)/nbonds.a(nbutil.o) : pbeq.fcm
$(LIB)/nbonds.a(nbutil.o) : pert.fcm
$(LIB)/nbonds.a(nbutil.o) : $(LIB)/nbonds.a(pme.o)
$(LIB)/nbonds.a(nbutil.o) : psf.fcm
$(LIB)/nbonds.a(nbutil.o) : ssbp.fcm
$(LIB)/nbonds.a(nbutil.o) : stack.fcm
$(LIB)/nbonds.a(nbutil.o) : stream.fcm
$(LIB)/nbonds.a(nbutil.o) : wwnb1.fcm
$(LIB)/nbonds.a(nbutil.o) : $(LIB)/nbonds.a(pblist.o)
#
#
$(LIB)/nbonds.a(pblist.o) : bases.fcm
$(LIB)/nbonds.a(pblist.o) : dimens.fcm
$(LIB)/nbonds.a(pblist.o) : exfunc.fcm
$(LIB)/nbonds.a(pblist.o) : heap.fcm
$(LIB)/nbonds.a(pblist.o) : image.fcm
$(LIB)/nbonds.a(pblist.o) : impnon.fcm
$(LIB)/nbonds.a(pblist.o) : inbnd.fcm
$(LIB)/nbonds.a(pblist.o) : number.fcm
$(LIB)/nbonds.a(pblist.o) : parallel.fcm
$(LIB)/nbonds.a(pblist.o) : pbound.fcm
$(LIB)/nbonds.a(pblist.o) : stack.fcm
$(LIB)/nbonds.a(pblist.o) : stream.fcm
#
#
$(LIB)/nbonds.a(pme.o) : $(LIB)/nbonds.a(pme_column_recip.o)
$(LIB)/nbonds.a(pme.o) : $(LIB)/nbonds.a(pme_column_fft.o)
$(LIB)/nbonds.a(pme.o) : $(LIB)/nbonds.a(cheqmodule.o)
$(LIB)/nbonds.a(pme.o) : consta.fcm
$(LIB)/nbonds.a(pme.o) : derivq.fcm
$(LIB)/nbonds.a(pme.o) : dimens.fcm
$(LIB)/nbonds.a(pme.o) : energy.fcm
$(LIB)/nbonds.a(pme.o) : ewald.fcm
$(LIB)/nbonds.a(pme.o) : exfunc.fcm
$(LIB)/nbonds.a(pme.o) : heap.fcm
$(LIB)/nbonds.a(pme.o) : image.fcm
$(LIB)/nbonds.a(pme.o) : impnon.fcm
$(LIB)/nbonds.a(pme.o) : inbnd.fcm
$(LIB)/nbonds.a(pme.o) : $(LIB)/util.a(new_timer.o)
$(LIB)/nbonds.a(pme.o) : number.fcm
$(LIB)/nbonds.a(pme.o) : parallel.fcm
$(LIB)/nbonds.a(pme.o) : stack.fcm
#
#
$(LIB)/nbonds.a(pme_column_recip.o) : $(LIB)/nbonds.a(pme_column_fft.o)
$(LIB)/nbonds.a(pme_column_recip.o) : consta.fcm   
$(LIB)/nbonds.a(pme_column_recip.o) : derivq.fcm   
$(LIB)/nbonds.a(pme_column_recip.o) : dimens.fcm   
$(LIB)/nbonds.a(pme_column_recip.o) : energy.fcm   
$(LIB)/nbonds.a(pme_column_recip.o) : ewald.fcm    
$(LIB)/nbonds.a(pme_column_recip.o) : exfunc.fcm   
$(LIB)/nbonds.a(pme_column_recip.o) : heap.fcm     
$(LIB)/nbonds.a(pme_column_recip.o) : image.fcm    
$(LIB)/nbonds.a(pme_column_recip.o) : impnon.fcm   
$(LIB)/nbonds.a(pme_column_recip.o) : inbnd.fcm    
$(LIB)/nbonds.a(pme_column_recip.o) : number.fcm   
$(LIB)/nbonds.a(pme_column_recip.o) : parallel.fcm 
$(LIB)/nbonds.a(pme_column_recip.o) : stack.fcm    
$(LIB)/nbonds.a(pme_column_recip.o) : stream.fcm
#
$(LIB)/nbonds.a(pme_column_fft.o) : consta.fcm
$(LIB)/nbonds.a(pme_column_fft.o) : $(LIB)/util.a(new_timer.o)
$(LIB)/nbonds.a(pme_column_fft.o) : number.fcm
$(LIB)/nbonds.a(pme_column_fft.o) : parallel.fcm
#





















#
