# dimb makefile
# dimb library rules
OBJS_dimb= \
	$(LIB)/dimb.a(compact.o) \
	$(LIB)/dimb.a(dimbcray.o) \
	$(LIB)/dimb.a(dimbsub.o) \
	$(LIB)/dimb.a(dimbutil.o) \
	$(LIB)/dimb.a(eispack.o) \
	$(LIB)/dimb.a(enecmp.o) \
	$(LIB)/dimb.a(nblist.o) \
	$(LIB)/dimb.a(nmdimb.o)
#
$(LIB)/dimb.a : $(OBJS_dimb)
	$(RANLIB) $(LIB)/dimb.a
	@echo dimb COMPLETED
#
# dimb source file rules
$(LIB)/dimb.a(compact.o)  : $(SRC)/dimb/compact.src
	$(FLX) $(SRC)/dimb/compact.src
	$(FC2) compact.f
	$(AR_COMMAND) $(LIB)/dimb.a compact.o
	$(REMOVE_F) compact.f
	$(REMOVE_O) compact.o
#
$(LIB)/dimb.a(dimbcray.o)  : $(SRC)/dimb/dimbcray.src
	$(FLX) $(SRC)/dimb/dimbcray.src
	$(FC2) dimbcray.f
	$(AR_COMMAND) $(LIB)/dimb.a dimbcray.o
	$(REMOVE_F) dimbcray.f
	$(REMOVE_O) dimbcray.o
#
$(LIB)/dimb.a(dimbsub.o)  : $(SRC)/dimb/dimbsub.src
	$(FLX) $(SRC)/dimb/dimbsub.src
	$(FC2) dimbsub.f
	$(AR_COMMAND) $(LIB)/dimb.a dimbsub.o
	$(REMOVE_F) dimbsub.f
	$(REMOVE_O) dimbsub.o
#
$(LIB)/dimb.a(dimbutil.o)  : $(SRC)/dimb/dimbutil.src
	$(FLX) $(SRC)/dimb/dimbutil.src
	$(FC2) dimbutil.f
	$(AR_COMMAND) $(LIB)/dimb.a dimbutil.o
	$(REMOVE_F) dimbutil.f
	$(REMOVE_O) dimbutil.o
#
$(LIB)/dimb.a(eispack.o)  : $(SRC)/dimb/eispack.src
	$(FLX) $(SRC)/dimb/eispack.src
	$(FC2) eispack.f
	$(AR_COMMAND) $(LIB)/dimb.a eispack.o
	$(REMOVE_F) eispack.f
	$(REMOVE_O) eispack.o
#
$(LIB)/dimb.a(enecmp.o)  : $(SRC)/dimb/enecmp.src
	$(FLX) $(SRC)/dimb/enecmp.src
	$(FC2) enecmp.f
	$(AR_COMMAND) $(LIB)/dimb.a enecmp.o
	$(REMOVE_F) enecmp.f
	$(REMOVE_O) enecmp.o
#
$(LIB)/dimb.a(nblist.o)  : $(SRC)/dimb/nblist.src
	$(FLX) $(SRC)/dimb/nblist.src
	$(FC2) nblist.f
	$(AR_COMMAND) $(LIB)/dimb.a nblist.o
	$(REMOVE_F) nblist.f
	$(REMOVE_O) nblist.o
#
$(LIB)/dimb.a(nmdimb.o)  : $(SRC)/dimb/nmdimb.src
	$(FLX) $(SRC)/dimb/nmdimb.src
	$(FC0) nmdimb.f
	$(AR_COMMAND) $(LIB)/dimb.a nmdimb.o
	$(REMOVE_F) nmdimb.f
	$(REMOVE_O) nmdimb.o
#
#
# dimb dependency file
#
$(LIB)/dimb.a(compact.o) : dimb.fcm
$(LIB)/dimb.a(compact.o) : impnon.fcm
$(LIB)/dimb.a(compact.o) : stream.fcm
#
#
$(LIB)/dimb.a(dimbcray.o) : impnon.fcm
$(LIB)/dimb.a(dimbcray.o) : stream.fcm
#
#
$(LIB)/dimb.a(dimbsub.o) : consta.fcm
$(LIB)/dimb.a(dimbsub.o) : ctitla.fcm
$(LIB)/dimb.a(dimbsub.o) : deriv.fcm
$(LIB)/dimb.a(dimbsub.o) : dimb.fcm
$(LIB)/dimb.a(dimbsub.o) : dimens.fcm
$(LIB)/dimb.a(dimbsub.o) : energy.fcm
$(LIB)/dimb.a(dimbsub.o) : impnon.fcm
$(LIB)/dimb.a(dimbsub.o) : number.fcm
$(LIB)/dimb.a(dimbsub.o) : stream.fcm
$(LIB)/dimb.a(dimbsub.o) : timer.fcm
#
#
$(LIB)/dimb.a(dimbutil.o) : dimb.fcm
$(LIB)/dimb.a(dimbutil.o) : exfunc.fcm
$(LIB)/dimb.a(dimbutil.o) : impnon.fcm
$(LIB)/dimb.a(dimbutil.o) : number.fcm
$(LIB)/dimb.a(dimbutil.o) : parallel.fcm
$(LIB)/dimb.a(dimbutil.o) : stream.fcm
#
#
$(LIB)/dimb.a(eispack.o) : impnon.fcm
#
#
$(LIB)/dimb.a(enecmp.o) : dimb.fcm
$(LIB)/dimb.a(enecmp.o) : impnon.fcm
$(LIB)/dimb.a(enecmp.o) : number.fcm
#
#
$(LIB)/dimb.a(nblist.o) : dimens.fcm
$(LIB)/dimb.a(nblist.o) : impnon.fcm
#
#
$(LIB)/dimb.a(nmdimb.o) : consta.fcm
$(LIB)/dimb.a(nmdimb.o) : ctitla.fcm
$(LIB)/dimb.a(nmdimb.o) : deriv.fcm
$(LIB)/dimb.a(nmdimb.o) : dimb.fcm
$(LIB)/dimb.a(nmdimb.o) : dimens.fcm
$(LIB)/dimb.a(nmdimb.o) : energy.fcm
$(LIB)/dimb.a(nmdimb.o) : exfunc.fcm
$(LIB)/dimb.a(nmdimb.o) : fast.fcm
$(LIB)/dimb.a(nmdimb.o) : heap.fcm
$(LIB)/dimb.a(nmdimb.o) : impnon.fcm
$(LIB)/dimb.a(nmdimb.o) : number.fcm
$(LIB)/dimb.a(nmdimb.o) : stack.fcm
$(LIB)/dimb.a(nmdimb.o) : stream.fcm
#
