# image makefile
# image library rules
OBJS_image= \
	$(LIB)/image.a(crystal.o) \
	$(LIB)/image.a(eimage.o) \
	$(LIB)/image.a(images.o) \
	$(LIB)/image.a(imagio.o) \
	$(LIB)/image.a(nbndgcm.o) \
	$(LIB)/image.a(nbondm.o) \
	$(LIB)/image.a(pbound.o) \
	$(LIB)/image.a(upimag.o) \
	$(LIB)/image.a(xtlfrq.o)
#
$(LIB)/image.a : $(OBJS_image)
	$(RANLIB) $(LIB)/image.a
	@echo image COMPLETED
#
# image source file rules
$(LIB)/image.a(crystal.o)  : $(SRC)/image/crystal.src
	$(FLX) $(SRC)/image/crystal.src
	$(FC2) crystal.f
	$(AR_COMMAND) $(LIB)/image.a crystal.o
	$(REMOVE_F) crystal.f
	$(REMOVE_O) crystal.o
#
$(LIB)/image.a(eimage.o)  : $(SRC)/image/eimage.src
	$(FLX) $(SRC)/image/eimage.src
	$(FC2) eimage.f
	$(AR_COMMAND) $(LIB)/image.a eimage.o
	$(REMOVE_F) eimage.f
	$(REMOVE_O) eimage.o
#
$(LIB)/image.a(images.o)  : $(SRC)/image/images.src
	$(FLX) $(SRC)/image/images.src
	$(FC2) images.f
	$(AR_COMMAND) $(LIB)/image.a images.o
	$(REMOVE_F) images.f
	$(REMOVE_O) images.o
#
$(LIB)/image.a(imagio.o)  : $(SRC)/image/imagio.src
	$(FLX) $(SRC)/image/imagio.src
	$(FC2) imagio.f
	$(AR_COMMAND) $(LIB)/image.a imagio.o
	$(REMOVE_F) imagio.f
	$(REMOVE_O) imagio.o
#
$(LIB)/image.a(nbndgcm.o)  : $(SRC)/image/nbndgcm.src
	$(FLX) $(SRC)/image/nbndgcm.src
	$(FC2) nbndgcm.f
	$(AR_COMMAND) $(LIB)/image.a nbndgcm.o
	$(REMOVE_F) nbndgcm.f
	$(REMOVE_O) nbndgcm.o
#
$(LIB)/image.a(nbondm.o)  : $(SRC)/image/nbondm.src
	$(FLX) $(SRC)/image/nbondm.src
	$(FC0) nbondm.f
	$(AR_COMMAND) $(LIB)/image.a nbondm.o
	$(REMOVE_F) nbondm.f
	$(REMOVE_O) nbondm.o
#
$(LIB)/image.a(pbound.o)  : $(SRC)/image/pbound.src
	$(FLX) $(SRC)/image/pbound.src
	$(FC2) pbound.f
	$(AR_COMMAND) $(LIB)/image.a pbound.o
	$(REMOVE_F) pbound.f
	$(REMOVE_O) pbound.o
#
$(LIB)/image.a(upimag.o)  : $(SRC)/image/upimag.src
	$(FLX) $(SRC)/image/upimag.src
	$(FC2) upimag.f
	$(AR_COMMAND) $(LIB)/image.a upimag.o
	$(REMOVE_F) upimag.f
	$(REMOVE_O) upimag.o
#
$(LIB)/image.a(xtlfrq.o)  : $(SRC)/image/xtlfrq.src
	$(FLX) $(SRC)/image/xtlfrq.src
	$(FC2) xtlfrq.f
	$(AR_COMMAND) $(LIB)/image.a xtlfrq.o
	$(REMOVE_F) xtlfrq.f
	$(REMOVE_O) xtlfrq.o
#
#
# image dependency file
#
$(LIB)/image.a(crystal.o) : bases.fcm
$(LIB)/image.a(crystal.o) : comand.fcm
$(LIB)/image.a(crystal.o) : consta.fcm
$(LIB)/image.a(crystal.o) : coord.fcm
$(LIB)/image.a(crystal.o) : ctitla.fcm
$(LIB)/image.a(crystal.o) : dimens.fcm
$(LIB)/image.a(crystal.o) : energy.fcm
$(LIB)/image.a(crystal.o) : exfunc.fcm
$(LIB)/image.a(crystal.o) : heap.fcm
$(LIB)/image.a(crystal.o) : image.fcm
$(LIB)/image.a(crystal.o) : impnon.fcm
$(LIB)/image.a(crystal.o) : number.fcm
$(LIB)/image.a(crystal.o) : psf.fcm
$(LIB)/image.a(crystal.o) : stack.fcm
$(LIB)/image.a(crystal.o) : stream.fcm
#
#
$(LIB)/image.a(eimage.o) : code.fcm
$(LIB)/image.a(eimage.o) : consta.fcm
$(LIB)/image.a(eimage.o) : dimens.fcm
$(LIB)/image.a(eimage.o) : energy.fcm
$(LIB)/image.a(eimage.o) : ewald.fcm
$(LIB)/image.a(eimage.o) : exfunc.fcm
$(LIB)/image.a(eimage.o) : fast.fcm
$(LIB)/image.a(eimage.o) : ffield.fcm
$(LIB)/image.a(eimage.o) : hbond.fcm
$(LIB)/image.a(eimage.o) : heap.fcm
$(LIB)/image.a(eimage.o) : image.fcm
$(LIB)/image.a(eimage.o) : impnon.fcm
$(LIB)/image.a(eimage.o) : inbnd.fcm
$(LIB)/image.a(eimage.o) : mmff.fcm
$(LIB)/image.a(eimage.o) : number.fcm
$(LIB)/image.a(eimage.o) : parallel.fcm
$(LIB)/image.a(eimage.o) : param.fcm
$(LIB)/image.a(eimage.o) : psf.fcm
$(LIB)/image.a(eimage.o) : spa_code.fcm
$(LIB)/image.a(eimage.o) : stream.fcm
$(LIB)/image.a(eimage.o) : tbmts.fcm
$(LIB)/image.a(eimage.o) : tbmtsp.fcm
$(LIB)/image.a(eimage.o) : timer.fcm
$(LIB)/image.a(eimage.o) : wwnb1.fcm
$(LIB)/image.a(eimage.o) : wwnb.fcm
$(LIB)/image.a(eimage.o) : $(LIB)/nbonds.a(nbmodule.o)
#
#
$(LIB)/image.a(images.o) : bases.fcm
$(LIB)/image.a(images.o) : consta.fcm
$(LIB)/image.a(images.o) : coord.fcm
$(LIB)/image.a(images.o) : dimens.fcm
$(LIB)/image.a(images.o) : exfunc.fcm
$(LIB)/image.a(images.o) : heap.fcm
$(LIB)/image.a(images.o) : image.fcm
$(LIB)/image.a(images.o) : impnon.fcm
$(LIB)/image.a(images.o) : intcr.fcm
$(LIB)/image.a(images.o) : psf.fcm
$(LIB)/image.a(images.o) : rtf.fcm
$(LIB)/image.a(images.o) : stream.fcm
$(LIB)/image.a(images.o) : tsms.fcm
#
#
$(LIB)/image.a(imagio.o) : ctitla.fcm
$(LIB)/image.a(imagio.o) : dimens.fcm
$(LIB)/image.a(imagio.o) : exfunc.fcm
$(LIB)/image.a(imagio.o) : heap.fcm
$(LIB)/image.a(imagio.o) : image.fcm
$(LIB)/image.a(imagio.o) : impnon.fcm
$(LIB)/image.a(imagio.o) : number.fcm
$(LIB)/image.a(imagio.o) : psf.fcm
$(LIB)/image.a(imagio.o) : stream.fcm
#
#
$(LIB)/image.a(nbndgcm.o) : consta.fcm
$(LIB)/image.a(nbndgcm.o) : dimens.fcm
$(LIB)/image.a(nbndgcm.o) : exfunc.fcm
$(LIB)/image.a(nbndgcm.o) : heap.fcm
$(LIB)/image.a(nbndgcm.o) : impnon.fcm
$(LIB)/image.a(nbndgcm.o) : $(LIB)/util.a(new_timer.o)
$(LIB)/image.a(nbndgcm.o) : number.fcm
$(LIB)/image.a(nbndgcm.o) : parallel.fcm
$(LIB)/image.a(nbndgcm.o) : psf.fcm
$(LIB)/image.a(nbndgcm.o) : replica.fcm
$(LIB)/image.a(nbndgcm.o) : stream.fcm
$(LIB)/image.a(nbndgcm.o) : timer.fcm
#
#
$(LIB)/image.a(nbondm.o) : dimens.fcm
$(LIB)/image.a(nbondm.o) : excl.fcm
$(LIB)/image.a(nbondm.o) : exfunc.fcm
$(LIB)/image.a(nbondm.o) : impnon.fcm
$(LIB)/image.a(nbondm.o) : nbips.fcm
$(LIB)/image.a(nbondm.o) : number.fcm
$(LIB)/image.a(nbondm.o) : parallel.fcm
$(LIB)/image.a(nbondm.o) : pert.fcm
$(LIB)/image.a(nbondm.o) : psf.fcm
$(LIB)/image.a(nbondm.o) : replica.fcm
$(LIB)/image.a(nbondm.o) : stream.fcm
$(LIB)/image.a(nbondm.o) : tbmts.fcm
$(LIB)/image.a(nbondm.o) : timer.fcm
#
#
$(LIB)/image.a(pbound.o) : exfunc.fcm
$(LIB)/image.a(pbound.o) : impnon.fcm
$(LIB)/image.a(pbound.o) : number.fcm
$(LIB)/image.a(pbound.o) : pbound.fcm
$(LIB)/image.a(pbound.o) : stream.fcm
#
#
$(LIB)/image.a(upimag.o) : bases.fcm
$(LIB)/image.a(upimag.o) : block.fcm
$(LIB)/image.a(upimag.o) : $(LIB)/nbonds.a(cheqmodule.o)
$(LIB)/image.a(upimag.o) : dimens.fcm
$(LIB)/image.a(upimag.o) : eef1.fcm
$(LIB)/image.a(upimag.o) : ewald.fcm
$(LIB)/image.a(upimag.o) : exfunc.fcm
$(LIB)/image.a(upimag.o) : fast.fcm
$(LIB)/image.a(upimag.o) : flucq.fcm
$(LIB)/image.a(upimag.o) : gamess.fcm
$(LIB)/image.a(upimag.o) : hbond.fcm
$(LIB)/image.a(upimag.o) : heap.fcm
$(LIB)/image.a(upimag.o) : image.fcm
$(LIB)/image.a(upimag.o) : impnon.fcm
$(LIB)/image.a(upimag.o) : inbnd.fcm
$(LIB)/image.a(upimag.o) : intcr.fcm
$(LIB)/image.a(upimag.o) : machdep.fcm
$(LIB)/image.a(upimag.o) : number.fcm
$(LIB)/image.a(upimag.o) : parallel.fcm
$(LIB)/image.a(upimag.o) : param.fcm
$(LIB)/image.a(upimag.o) : pbound.fcm
$(LIB)/image.a(upimag.o) : pert.fcm
$(LIB)/image.a(upimag.o) : pipf.fcm
$(LIB)/image.a(upimag.o) : psf.fcm
$(LIB)/image.a(upimag.o) : sccdftb.fcm
$(LIB)/image.a(upimag.o) : stack.fcm
$(LIB)/image.a(upimag.o) : stream.fcm
$(LIB)/image.a(upimag.o) : tbmts.fcm
$(LIB)/image.a(upimag.o) : timer.fcm
$(LIB)/image.a(upimag.o) : wwnb.fcm
$(LIB)/image.a(upimag.o) : $(LIB)/nbonds.a(pblist.o)
#
#
$(LIB)/image.a(xtlfrq.o) : bases.fcm
$(LIB)/image.a(xtlfrq.o) : consta.fcm
$(LIB)/image.a(xtlfrq.o) : coord.fcm
$(LIB)/image.a(xtlfrq.o) : ctitla.fcm
$(LIB)/image.a(xtlfrq.o) : deriv.fcm
$(LIB)/image.a(xtlfrq.o) : dimens.fcm
$(LIB)/image.a(xtlfrq.o) : econt.fcm
$(LIB)/image.a(xtlfrq.o) : energy.fcm
$(LIB)/image.a(xtlfrq.o) : exelec.fcm
$(LIB)/image.a(xtlfrq.o) : exfunc.fcm
$(LIB)/image.a(xtlfrq.o) : flucq.fcm
$(LIB)/image.a(xtlfrq.o) : hbond.fcm
$(LIB)/image.a(xtlfrq.o) : heap.fcm
$(LIB)/image.a(xtlfrq.o) : image.fcm
$(LIB)/image.a(xtlfrq.o) : impnon.fcm
$(LIB)/image.a(xtlfrq.o) : inbnd.fcm
$(LIB)/image.a(xtlfrq.o) : number.fcm
$(LIB)/image.a(xtlfrq.o) : param.fcm
$(LIB)/image.a(xtlfrq.o) : psf.fcm
$(LIB)/image.a(xtlfrq.o) : rtf.fcm
$(LIB)/image.a(xtlfrq.o) : stack.fcm
$(LIB)/image.a(xtlfrq.o) : stream.fcm
$(LIB)/image.a(xtlfrq.o) : $(LIB)/nbonds.a(pblist.o)
#
