# misc makefile
# misc library rules
OBJS_misc= \
	$(LIB)/misc.a(apbs.o) \
	$(LIB)/misc.a(aspenermb.o) \
	$(LIB)/misc.a(aspener.o) \
	$(LIB)/misc.a(distrib.o) \
	$(LIB)/misc.a(drawsp.o) \
	$(LIB)/misc.a(eef1.o) \
	$(LIB)/misc.a(fitcharge.o) \
	$(LIB)/misc.a(genetic2.o) \
	$(LIB)/misc.a(genetic.o) \
	$(LIB)/misc.a(grid.o) \
	$(LIB)/misc.a(gsbp2.o) \
	$(LIB)/misc.a(gsbpscc2.o) \
	$(LIB)/misc.a(gsbpscc.o) \
	$(LIB)/misc.a(gsbp.o) \
	$(LIB)/misc.a(hbuild.o) \
	$(LIB)/misc.a(lattice.o) \
	$(LIB)/misc.a(mmfp.o) \
	$(LIB)/misc.a(multicanon.o) \
	$(LIB)/misc.a(nmr.o) \
	$(LIB)/misc.a(noe.o) \
	$(LIB)/misc.a(olap.o) \
	$(LIB)/misc.a(pbeq2.o) \
	$(LIB)/misc.a(pbeq.o) \
	$(LIB)/misc.a(primsh.o) \
	$(LIB)/misc.a(quicka.o) \
	$(LIB)/misc.a(resdist.o) \
	$(LIB)/misc.a(sasene.o) \
	$(LIB)/misc.a(sasini.o) \
	$(LIB)/misc.a(sbound.o) \
	$(LIB)/misc.a(scpism.o) \
	$(LIB)/misc.a(ssbp.o) \
	$(LIB)/misc.a(ssnmr.o) \
	$(LIB)/misc.a(surfac.o) \
	$(LIB)/misc.a(testch.o) \
	$(LIB)/misc.a(xray.o) \
	$(LIB)/misc.a(zmat.o)
#
$(LIB)/misc.a : $(OBJS_misc)
	$(RANLIB) $(LIB)/misc.a
	@echo misc COMPLETED
#
# misc source file rules
$(LIB)/misc.a(apbs.o)  : $(SRC)/misc/apbs.src
	$(FLX) $(SRC)/misc/apbs.src
	$(FC2) apbs.f
	$(AR_COMMAND) $(LIB)/misc.a apbs.o
	$(REMOVE_F) apbs.f
	$(REMOVE_O) apbs.o
#
$(LIB)/misc.a(aspenermb.o)  : $(SRC)/misc/aspenermb.src
	$(FLX) $(SRC)/misc/aspenermb.src
	$(FC2) aspenermb.f
	$(AR_COMMAND) $(LIB)/misc.a aspenermb.o
	$(REMOVE_F) aspenermb.f
	$(REMOVE_O) aspenermb.o
#
$(LIB)/misc.a(aspener.o)  : $(SRC)/misc/aspener.src
	$(FLX) $(SRC)/misc/aspener.src
	$(FC2) aspener.f
	$(AR_COMMAND) $(LIB)/misc.a aspener.o
	$(REMOVE_F) aspener.f
	$(REMOVE_O) aspener.o
#
$(LIB)/misc.a(distrib.o)  : $(SRC)/misc/distrib.src
	$(FLX) $(SRC)/misc/distrib.src
	$(FC2) distrib.f
	$(AR_COMMAND) $(LIB)/misc.a distrib.o
	$(REMOVE_F) distrib.f
	$(REMOVE_O) distrib.o
#
$(LIB)/misc.a(drawsp.o)  : $(SRC)/misc/drawsp.src
	$(FLX) $(SRC)/misc/drawsp.src
	$(FC2) drawsp.f
	$(AR_COMMAND) $(LIB)/misc.a drawsp.o
	$(REMOVE_F) drawsp.f
	$(REMOVE_O) drawsp.o
#
$(LIB)/misc.a(eef1.o)  : $(SRC)/misc/eef1.src
	$(FLX) $(SRC)/misc/eef1.src
	$(FC1) eef1.f
	$(AR_COMMAND) $(LIB)/misc.a eef1.o
	$(REMOVE_F) eef1.f
	$(REMOVE_O) eef1.o
#
$(LIB)/misc.a(fitcharge.o)  : $(SRC)/misc/fitcharge.src
	$(FLX) $(SRC)/misc/fitcharge.src
	$(FC2) fitcharge.f
	$(AR_COMMAND) $(LIB)/misc.a fitcharge.o
	$(REMOVE_F) fitcharge.f
	$(REMOVE_O) fitcharge.o
#
$(LIB)/misc.a(genetic2.o)  : $(SRC)/misc/genetic2.src
	$(FLX) $(SRC)/misc/genetic2.src
	$(FC2) genetic2.f
	$(AR_COMMAND) $(LIB)/misc.a genetic2.o
	$(REMOVE_F) genetic2.f
	$(REMOVE_O) genetic2.o
#
$(LIB)/misc.a(genetic.o)  : $(SRC)/misc/genetic.src
	$(FLX) $(SRC)/misc/genetic.src
	$(FC2) genetic.f
	$(AR_COMMAND) $(LIB)/misc.a genetic.o
	$(REMOVE_F) genetic.f
	$(REMOVE_O) genetic.o
#
$(LIB)/misc.a(grid.o)  : $(SRC)/misc/grid.src
	$(FLX) $(SRC)/misc/grid.src
	$(FC1) grid.f
	$(AR_COMMAND) $(LIB)/misc.a grid.o
	$(REMOVE_F) grid.f
	$(REMOVE_O) grid.o
#
$(LIB)/misc.a(gsbp2.o)  : $(SRC)/misc/gsbp2.src
	$(FLX) $(SRC)/misc/gsbp2.src
	$(FC2) gsbp2.f
	$(AR_COMMAND) $(LIB)/misc.a gsbp2.o
	$(REMOVE_F) gsbp2.f
	$(REMOVE_O) gsbp2.o
#
$(LIB)/misc.a(gsbpscc2.o)  : $(SRC)/misc/gsbpscc2.src
	$(FLX) $(SRC)/misc/gsbpscc2.src
	$(FC2) gsbpscc2.f
	$(AR_COMMAND) $(LIB)/misc.a gsbpscc2.o
	$(REMOVE_F) gsbpscc2.f
	$(REMOVE_O) gsbpscc2.o
#
$(LIB)/misc.a(gsbpscc.o)  : $(SRC)/misc/gsbpscc.src
	$(FLX) $(SRC)/misc/gsbpscc.src
	$(FC2) gsbpscc.f
	$(AR_COMMAND) $(LIB)/misc.a gsbpscc.o
	$(REMOVE_F) gsbpscc.f
	$(REMOVE_O) gsbpscc.o
#
$(LIB)/misc.a(gsbp.o)  : $(SRC)/misc/gsbp.src
	$(FLX) $(SRC)/misc/gsbp.src
	$(FC2) gsbp.f
	$(AR_COMMAND) $(LIB)/misc.a gsbp.o
	$(REMOVE_F) gsbp.f
	$(REMOVE_O) gsbp.o
#
$(LIB)/misc.a(hbuild.o)  : $(SRC)/misc/hbuild.src
	$(FLX) $(SRC)/misc/hbuild.src
	$(FC2) hbuild.f
	$(AR_COMMAND) $(LIB)/misc.a hbuild.o
	$(REMOVE_F) hbuild.f
	$(REMOVE_O) hbuild.o
#
$(LIB)/misc.a(lattice.o)  : $(SRC)/misc/lattice.src
	$(FLX) $(SRC)/misc/lattice.src
	$(FC2) lattice.f
	$(AR_COMMAND) $(LIB)/misc.a lattice.o
	$(REMOVE_F) lattice.f
	$(REMOVE_O) lattice.o
#
$(LIB)/misc.a(mmfp.o)  : $(SRC)/misc/mmfp.src
	$(FLX) $(SRC)/misc/mmfp.src
	$(FC2) mmfp.f
	$(AR_COMMAND) $(LIB)/misc.a mmfp.o
	$(REMOVE_F) mmfp.f
	$(REMOVE_O) mmfp.o
#
$(LIB)/misc.a(multicanon.o)  : $(SRC)/misc/multicanon.src
	$(FLX) $(SRC)/misc/multicanon.src
	$(FC2) multicanon.f
	$(AR_COMMAND) $(LIB)/misc.a multicanon.o
	$(REMOVE_F) multicanon.f
	$(REMOVE_O) multicanon.o
#
$(LIB)/misc.a(nmr.o)  : $(SRC)/misc/nmr.src
	$(FLX) $(SRC)/misc/nmr.src
	$(FC2) nmr.f
	$(AR_COMMAND) $(LIB)/misc.a nmr.o
	$(REMOVE_F) nmr.f
	$(REMOVE_O) nmr.o
#
$(LIB)/misc.a(noe.o)  : $(SRC)/misc/noe.src
	$(FLX) $(SRC)/misc/noe.src
	$(FC2) noe.f
	$(AR_COMMAND) $(LIB)/misc.a noe.o
	$(REMOVE_F) noe.f
	$(REMOVE_O) noe.o
#
$(LIB)/misc.a(olap.o)  : $(SRC)/misc/olap.src
	$(FLX) $(SRC)/misc/olap.src
	$(FC2) olap.f
	$(AR_COMMAND) $(LIB)/misc.a olap.o
	$(REMOVE_F) olap.f
	$(REMOVE_O) olap.o
#
$(LIB)/misc.a(pbeq2.o)  : $(SRC)/misc/pbeq2.src
	$(FLX) $(SRC)/misc/pbeq2.src
	$(FC1) pbeq2.f
	$(AR_COMMAND) $(LIB)/misc.a pbeq2.o
	$(REMOVE_F) pbeq2.f
	$(REMOVE_O) pbeq2.o
#
$(LIB)/misc.a(pbeq.o)  : $(SRC)/misc/pbeq.src
	$(FLX) $(SRC)/misc/pbeq.src
	$(FC1) pbeq.f
	$(AR_COMMAND) $(LIB)/misc.a pbeq.o
	$(REMOVE_F) pbeq.f
	$(REMOVE_O) pbeq.o
#
$(LIB)/misc.a(primsh.o)  : $(SRC)/misc/primsh.src
	$(FLX) $(SRC)/misc/primsh.src
	$(FC2) primsh.f
	$(AR_COMMAND) $(LIB)/misc.a primsh.o
	$(REMOVE_F) primsh.f
	$(REMOVE_O) primsh.o
#
$(LIB)/misc.a(quicka.o)  : $(SRC)/misc/quicka.src
	$(FLX) $(SRC)/misc/quicka.src
	$(FC2) quicka.f
	$(AR_COMMAND) $(LIB)/misc.a quicka.o
	$(REMOVE_F) quicka.f
	$(REMOVE_O) quicka.o
#
$(LIB)/misc.a(resdist.o)  : $(SRC)/misc/resdist.src
	$(FLX) $(SRC)/misc/resdist.src
	$(FC2) resdist.f
	$(AR_COMMAND) $(LIB)/misc.a resdist.o
	$(REMOVE_F) resdist.f
	$(REMOVE_O) resdist.o
#
$(LIB)/misc.a(sasene.o)  : $(SRC)/misc/sasene.src
	$(FLX) $(SRC)/misc/sasene.src
	$(FC2) sasene.f
	$(AR_COMMAND) $(LIB)/misc.a sasene.o
	$(REMOVE_F) sasene.f
	$(REMOVE_O) sasene.o
#
$(LIB)/misc.a(sasini.o)  : $(SRC)/misc/sasini.src
	$(FLX) $(SRC)/misc/sasini.src
	$(FC2) sasini.f
	$(AR_COMMAND) $(LIB)/misc.a sasini.o
	$(REMOVE_F) sasini.f
	$(REMOVE_O) sasini.o
#
$(LIB)/misc.a(sbound.o)  : $(SRC)/misc/sbound.src
	$(FLX) $(SRC)/misc/sbound.src
	$(FC2) sbound.f
	$(AR_COMMAND) $(LIB)/misc.a sbound.o
	$(REMOVE_F) sbound.f
	$(REMOVE_O) sbound.o
#
$(LIB)/misc.a(scpism.o)  : $(SRC)/misc/scpism.src
	$(FLX) $(SRC)/misc/scpism.src
	$(FC2) scpism.f
	$(AR_COMMAND) $(LIB)/misc.a scpism.o
	$(REMOVE_F) scpism.f
	$(REMOVE_O) scpism.o
#
$(LIB)/misc.a(ssbp.o)  : $(SRC)/misc/ssbp.src
	$(FLX) $(SRC)/misc/ssbp.src
	$(FC2) ssbp.f
	$(AR_COMMAND) $(LIB)/misc.a ssbp.o
	$(REMOVE_F) ssbp.f
	$(REMOVE_O) ssbp.o
#
$(LIB)/misc.a(ssnmr.o)  : $(SRC)/misc/ssnmr.src
	$(FLX) $(SRC)/misc/ssnmr.src
	$(FC2) ssnmr.f
	$(AR_COMMAND) $(LIB)/misc.a ssnmr.o
	$(REMOVE_F) ssnmr.f
	$(REMOVE_O) ssnmr.o
#
$(LIB)/misc.a(surfac.o)  : $(SRC)/misc/surfac.src
	$(FLX) $(SRC)/misc/surfac.src
	$(FC2) surfac.f
	$(AR_COMMAND) $(LIB)/misc.a surfac.o
	$(REMOVE_F) surfac.f
	$(REMOVE_O) surfac.o
#
$(LIB)/misc.a(testch.o)  : $(SRC)/misc/testch.src
	$(FLX) $(SRC)/misc/testch.src
	$(FC2) testch.f
	$(AR_COMMAND) $(LIB)/misc.a testch.o
	$(REMOVE_F) testch.f
	$(REMOVE_O) testch.o
#
$(LIB)/misc.a(xray.o)  : $(SRC)/misc/xray.src
	$(FLX) $(SRC)/misc/xray.src
	$(FC2) xray.f
	$(AR_COMMAND) $(LIB)/misc.a xray.o
	$(REMOVE_F) xray.f
	$(REMOVE_O) xray.o
#
$(LIB)/misc.a(zmat.o)  : $(SRC)/misc/zmat.src
	$(FLX) $(SRC)/misc/zmat.src
	$(FC2) zmat.f
	$(AR_COMMAND) $(LIB)/misc.a zmat.o
	$(REMOVE_F) zmat.f
	$(REMOVE_O) zmat.o
#
#
# misc dependency file
#
$(LIB)/misc.a(apbs.o) : apbs.fcm
$(LIB)/misc.a(apbs.o) : comand.fcm
$(LIB)/misc.a(apbs.o) : coord.fcm
$(LIB)/misc.a(apbs.o) : dimens.fcm
$(LIB)/misc.a(apbs.o) : exfunc.fcm
$(LIB)/misc.a(apbs.o) : heap.fcm
$(LIB)/misc.a(apbs.o) : impnon.fcm
$(LIB)/misc.a(apbs.o) : number.fcm
$(LIB)/misc.a(apbs.o) : parallel.fcm
$(LIB)/misc.a(apbs.o) : pbeq.fcm
$(LIB)/misc.a(apbs.o) : psf.fcm
$(LIB)/misc.a(apbs.o) : stack.fcm
$(LIB)/misc.a(apbs.o) : stream.fcm
$(LIB)/misc.a(apbs.o) : timer.fcm
#
#
$(LIB)/misc.a(aspenermb.o) : consta.fcm
$(LIB)/misc.a(aspenermb.o) : coord.fcm
$(LIB)/misc.a(aspenermb.o) : ctitla.fcm
$(LIB)/misc.a(aspenermb.o) : deriv.fcm
$(LIB)/misc.a(aspenermb.o) : dimens.fcm
$(LIB)/misc.a(aspenermb.o) : exfunc.fcm
$(LIB)/misc.a(aspenermb.o) : impnon.fcm
$(LIB)/misc.a(aspenermb.o) : number.fcm
$(LIB)/misc.a(aspenermb.o) : parallel.fcm
$(LIB)/misc.a(aspenermb.o) : psf.fcm
$(LIB)/misc.a(aspenermb.o) : stack.fcm
$(LIB)/misc.a(aspenermb.o) : stream.fcm
$(LIB)/misc.a(aspenermb.o) : surface.fcm
$(LIB)/misc.a(aspenermb.o) : surfmemb.fcm
#
#
$(LIB)/misc.a(aspener.o) : consta.fcm
$(LIB)/misc.a(aspener.o) : coord.fcm
$(LIB)/misc.a(aspener.o) : ctitla.fcm
$(LIB)/misc.a(aspener.o) : deriv.fcm
$(LIB)/misc.a(aspener.o) : dimens.fcm
$(LIB)/misc.a(aspener.o) : exfunc.fcm
$(LIB)/misc.a(aspener.o) : impnon.fcm
$(LIB)/misc.a(aspener.o) : number.fcm
$(LIB)/misc.a(aspener.o) : parallel.fcm
$(LIB)/misc.a(aspener.o) : psf.fcm
$(LIB)/misc.a(aspener.o) : stack.fcm
$(LIB)/misc.a(aspener.o) : stream.fcm
$(LIB)/misc.a(aspener.o) : surface.fcm
#
#
$(LIB)/misc.a(distrib.o) : bases.fcm
$(LIB)/misc.a(distrib.o) : $(LIB)/nbonds.a(cheqmodule.o)
$(LIB)/misc.a(distrib.o) : comand.fcm
$(LIB)/misc.a(distrib.o) : consta.fcm
$(LIB)/misc.a(distrib.o) : coord.fcm
$(LIB)/misc.a(distrib.o) : cstack.fcm
$(LIB)/misc.a(distrib.o) : ctitla.fcm
$(LIB)/misc.a(distrib.o) : deriv.fcm
$(LIB)/misc.a(distrib.o) : dimens.fcm
$(LIB)/misc.a(distrib.o) : econt.fcm
$(LIB)/misc.a(distrib.o) : exfunc.fcm
$(LIB)/misc.a(distrib.o) : flucq.fcm
$(LIB)/misc.a(distrib.o) : heap.fcm
$(LIB)/misc.a(distrib.o) : image.fcm
$(LIB)/misc.a(distrib.o) : impnon.fcm
$(LIB)/misc.a(distrib.o) : number.fcm
$(LIB)/misc.a(distrib.o) : psf.fcm
$(LIB)/misc.a(distrib.o) : stack.fcm
$(LIB)/misc.a(distrib.o) : stream.fcm
#
#
$(LIB)/misc.a(drawsp.o) : code.fcm
$(LIB)/misc.a(drawsp.o) : dimens.fcm
$(LIB)/misc.a(drawsp.o) : exfunc.fcm
$(LIB)/misc.a(drawsp.o) : hbond.fcm
$(LIB)/misc.a(drawsp.o) : impnon.fcm
$(LIB)/misc.a(drawsp.o) : number.fcm
$(LIB)/misc.a(drawsp.o) : param.fcm
$(LIB)/misc.a(drawsp.o) : psf.fcm
$(LIB)/misc.a(drawsp.o) : stream.fcm
#
#
$(LIB)/misc.a(eef1.o) : actclus.fcm
$(LIB)/misc.a(eef1.o) : bases.fcm
$(LIB)/misc.a(eef1.o) : block.fcm
$(LIB)/misc.a(eef1.o) : comand.fcm
$(LIB)/misc.a(eef1.o) : consta.fcm
$(LIB)/misc.a(eef1.o) : coord.fcm
$(LIB)/misc.a(eef1.o) : deriv.fcm
$(LIB)/misc.a(eef1.o) : dimens.fcm
$(LIB)/misc.a(eef1.o) : econt.fcm
$(LIB)/misc.a(eef1.o) : eef1.fcm
$(LIB)/misc.a(eef1.o) : exfunc.fcm
$(LIB)/misc.a(eef1.o) : heap.fcm
$(LIB)/misc.a(eef1.o) : image.fcm
$(LIB)/misc.a(eef1.o) : impnon.fcm
$(LIB)/misc.a(eef1.o) : inbnd.fcm
$(LIB)/misc.a(eef1.o) : number.fcm
$(LIB)/misc.a(eef1.o) : parallel.fcm
$(LIB)/misc.a(eef1.o) : param.fcm
$(LIB)/misc.a(eef1.o) : psf.fcm
$(LIB)/misc.a(eef1.o) : stack.fcm
$(LIB)/misc.a(eef1.o) : stream.fcm
$(LIB)/misc.a(eef1.o) : timer.fcm
$(LIB)/misc.a(eef1.o) : vibblock.fcm
#
#
$(LIB)/misc.a(fitcharge.o) : bases.fcm
$(LIB)/misc.a(fitcharge.o) : comand.fcm
$(LIB)/misc.a(fitcharge.o) : consta.fcm
$(LIB)/misc.a(fitcharge.o) : coord.fcm
$(LIB)/misc.a(fitcharge.o) : cstack.fcm
$(LIB)/misc.a(fitcharge.o) : ctitla.fcm
$(LIB)/misc.a(fitcharge.o) : dimens.fcm
$(LIB)/misc.a(fitcharge.o) : exfunc.fcm
$(LIB)/misc.a(fitcharge.o) : heap.fcm
$(LIB)/misc.a(fitcharge.o) : impnon.fcm
$(LIB)/misc.a(fitcharge.o) : number.fcm
$(LIB)/misc.a(fitcharge.o) : psf.fcm
$(LIB)/misc.a(fitcharge.o) : stack.fcm
$(LIB)/misc.a(fitcharge.o) : stream.fcm
#
#
$(LIB)/misc.a(genetic2.o) : consta.fcm
$(LIB)/misc.a(genetic2.o) : deriv.fcm
$(LIB)/misc.a(genetic2.o) : dimens.fcm
$(LIB)/misc.a(genetic2.o) : energy.fcm
$(LIB)/misc.a(genetic2.o) : exfunc.fcm
$(LIB)/misc.a(genetic2.o) : impnon.fcm
$(LIB)/misc.a(genetic2.o) : number.fcm
$(LIB)/misc.a(genetic2.o) : reawri.fcm
$(LIB)/misc.a(genetic2.o) : stack.fcm
$(LIB)/misc.a(genetic2.o) : stream.fcm
#
#
$(LIB)/misc.a(genetic.o) : bases.fcm
$(LIB)/misc.a(genetic.o) : block.fcm
$(LIB)/misc.a(genetic.o) : cnst.fcm
$(LIB)/misc.a(genetic.o) : code.fcm
$(LIB)/misc.a(genetic.o) : comand.fcm
$(LIB)/misc.a(genetic.o) : consta.fcm
$(LIB)/misc.a(genetic.o) : coordc.fcm
$(LIB)/misc.a(genetic.o) : coord.fcm
$(LIB)/misc.a(genetic.o) : deriv.fcm
$(LIB)/misc.a(genetic.o) : dimens.fcm
$(LIB)/misc.a(genetic.o) : econt.fcm
$(LIB)/misc.a(genetic.o) : energy.fcm
$(LIB)/misc.a(genetic.o) : exfunc.fcm
$(LIB)/misc.a(genetic.o) : fast.fcm
$(LIB)/misc.a(genetic.o) : flucq.fcm
$(LIB)/misc.a(genetic.o) : galgor.fcm
$(LIB)/misc.a(genetic.o) : grid.fcm
$(LIB)/misc.a(genetic.o) : heap.fcm
$(LIB)/misc.a(genetic.o) : impnon.fcm
$(LIB)/misc.a(genetic.o) : inbnd.fcm
$(LIB)/misc.a(genetic.o) : intcr.fcm
$(LIB)/misc.a(genetic.o) : noe.fcm
$(LIB)/misc.a(genetic.o) : number.fcm
$(LIB)/misc.a(genetic.o) : parallel.fcm
$(LIB)/misc.a(genetic.o) : param.fcm
$(LIB)/misc.a(genetic.o) : psf.fcm
$(LIB)/misc.a(genetic.o) : reawri.fcm
$(LIB)/misc.a(genetic.o) : replica.fcm
$(LIB)/misc.a(genetic.o) : stack.fcm
$(LIB)/misc.a(genetic.o) : stream.fcm
$(LIB)/misc.a(genetic.o) : $(LIB)/nbonds.a(nbmodule.o)
#
#
$(LIB)/misc.a(grid.o) : bases.fcm
$(LIB)/misc.a(grid.o) : code.fcm
$(LIB)/misc.a(grid.o) : consta.fcm
$(LIB)/misc.a(grid.o) : coordc.fcm
$(LIB)/misc.a(grid.o) : coord.fcm
$(LIB)/misc.a(grid.o) : ctitla.fcm
$(LIB)/misc.a(grid.o) : dimens.fcm
$(LIB)/misc.a(grid.o) : energy.fcm
$(LIB)/misc.a(grid.o) : exfunc.fcm
$(LIB)/misc.a(grid.o) : flucq.fcm
$(LIB)/misc.a(grid.o) : grid.fcm
$(LIB)/misc.a(grid.o) : heap.fcm
$(LIB)/misc.a(grid.o) : image.fcm
$(LIB)/misc.a(grid.o) : impnon.fcm
$(LIB)/misc.a(grid.o) : inbnd.fcm
$(LIB)/misc.a(grid.o) : number.fcm
$(LIB)/misc.a(grid.o) : param.fcm
$(LIB)/misc.a(grid.o) : psf.fcm
$(LIB)/misc.a(grid.o) : stack.fcm
$(LIB)/misc.a(grid.o) : stream.fcm
#
#
$(LIB)/misc.a(gsbp2.o) : consta.fcm
$(LIB)/misc.a(gsbp2.o) : dimens.fcm
$(LIB)/misc.a(gsbp2.o) : exfunc.fcm
$(LIB)/misc.a(gsbp2.o) : heap.fcm
$(LIB)/misc.a(gsbp2.o) : impnon.fcm
$(LIB)/misc.a(gsbp2.o) : number.fcm
$(LIB)/misc.a(gsbp2.o) : pbeq.fcm
$(LIB)/misc.a(gsbp2.o) : stack.fcm
$(LIB)/misc.a(gsbp2.o) : stream.fcm
$(LIB)/misc.a(gsbp2.o) : timer.fcm
#
#
$(LIB)/misc.a(gsbpscc2.o) : blockscc.fcm
$(LIB)/misc.a(gsbpscc2.o) : consta.fcm
$(LIB)/misc.a(gsbpscc2.o) : dimens.fcm
$(LIB)/misc.a(gsbpscc2.o) : gamess.fcm
$(LIB)/misc.a(gsbpscc2.o) : impnon.fcm
$(LIB)/misc.a(gsbpscc2.o) : number.fcm
$(LIB)/misc.a(gsbpscc2.o) : sccdftb.fcm
$(LIB)/misc.a(gsbpscc2.o) : sccgsbp.fcm
$(LIB)/misc.a(gsbpscc2.o) : stream.fcm
#
#
$(LIB)/misc.a(gsbpscc.o) : blockscc.fcm
$(LIB)/misc.a(gsbpscc.o) : consta.fcm
$(LIB)/misc.a(gsbpscc.o) : dimens.fcm
$(LIB)/misc.a(gsbpscc.o) : gamess.fcm
$(LIB)/misc.a(gsbpscc.o) : impnon.fcm
$(LIB)/misc.a(gsbpscc.o) : number.fcm
$(LIB)/misc.a(gsbpscc.o) : sccdftb.fcm
$(LIB)/misc.a(gsbpscc.o) : sccgsbp.fcm
$(LIB)/misc.a(gsbpscc.o) : stream.fcm
#
#
$(LIB)/misc.a(gsbp.o) : blockscc.fcm
$(LIB)/misc.a(gsbp.o) : comand.fcm
$(LIB)/misc.a(gsbp.o) : consta.fcm
$(LIB)/misc.a(gsbp.o) : coord.fcm
$(LIB)/misc.a(gsbp.o) : dimens.fcm
$(LIB)/misc.a(gsbp.o) : exfunc.fcm
$(LIB)/misc.a(gsbp.o) : gamess.fcm
$(LIB)/misc.a(gsbp.o) : gcmc.fcm
$(LIB)/misc.a(gsbp.o) : heap.fcm
$(LIB)/misc.a(gsbp.o) : impnon.fcm
$(LIB)/misc.a(gsbp.o) : number.fcm
$(LIB)/misc.a(gsbp.o) : parallel.fcm
$(LIB)/misc.a(gsbp.o) : pbeq.fcm
$(LIB)/misc.a(gsbp.o) : psf.fcm
$(LIB)/misc.a(gsbp.o) : sccdftb.fcm
$(LIB)/misc.a(gsbp.o) : sccgsbp.fcm
$(LIB)/misc.a(gsbp.o) : ssbp.fcm
$(LIB)/misc.a(gsbp.o) : stack.fcm
$(LIB)/misc.a(gsbp.o) : stream.fcm
$(LIB)/misc.a(gsbp.o) : timer.fcm
#
#
$(LIB)/misc.a(hbuild.o) : bases.fcm
$(LIB)/misc.a(hbuild.o) : code.fcm
$(LIB)/misc.a(hbuild.o) : consta.fcm
$(LIB)/misc.a(hbuild.o) : coord.fcm
$(LIB)/misc.a(hbuild.o) : deriv.fcm
$(LIB)/misc.a(hbuild.o) : dimens.fcm
$(LIB)/misc.a(hbuild.o) : ewald.fcm
$(LIB)/misc.a(hbuild.o) : exfunc.fcm
$(LIB)/misc.a(hbuild.o) : ffield.fcm
$(LIB)/misc.a(hbuild.o) : flucq.fcm
$(LIB)/misc.a(hbuild.o) : hbond.fcm
$(LIB)/misc.a(hbuild.o) : heap.fcm
$(LIB)/misc.a(hbuild.o) : impnon.fcm
$(LIB)/misc.a(hbuild.o) : inbnd.fcm
$(LIB)/misc.a(hbuild.o) : mmff.fcm
$(LIB)/misc.a(hbuild.o) : number.fcm
$(LIB)/misc.a(hbuild.o) : param.fcm
$(LIB)/misc.a(hbuild.o) : psf.fcm
$(LIB)/misc.a(hbuild.o) : stack.fcm
$(LIB)/misc.a(hbuild.o) : stream.fcm
$(LIB)/misc.a(hbuild.o) : vibblock.fcm
$(LIB)/misc.a(hbuild.o) : $(LIB)/nbonds.a(pblist.o)
#
#
$(LIB)/misc.a(lattice.o) : comand.fcm
$(LIB)/misc.a(lattice.o) : coord.fcm
$(LIB)/misc.a(lattice.o) : dimens.fcm
$(LIB)/misc.a(lattice.o) : exfunc.fcm
$(LIB)/misc.a(lattice.o) : impnon.fcm
$(LIB)/misc.a(lattice.o) : number.fcm
$(LIB)/misc.a(lattice.o) : psf.fcm
$(LIB)/misc.a(lattice.o) : stream.fcm
#
#
$(LIB)/misc.a(mmfp.o) : comand.fcm
$(LIB)/misc.a(mmfp.o) : consta.fcm
$(LIB)/misc.a(mmfp.o) : coord.fcm
$(LIB)/misc.a(mmfp.o) : dimens.fcm
$(LIB)/misc.a(mmfp.o) : exfunc.fcm
$(LIB)/misc.a(mmfp.o) : heap.fcm
$(LIB)/misc.a(mmfp.o) : impnon.fcm
$(LIB)/misc.a(mmfp.o) : mmfp.fcm
$(LIB)/misc.a(mmfp.o) : number.fcm
$(LIB)/misc.a(mmfp.o) : psf.fcm
$(LIB)/misc.a(mmfp.o) : ssbp.fcm
$(LIB)/misc.a(mmfp.o) : stack.fcm
$(LIB)/misc.a(mmfp.o) : stream.fcm
#
#
$(LIB)/misc.a(multicanon.o) : exfunc.fcm
$(LIB)/misc.a(multicanon.o) : impnon.fcm
$(LIB)/misc.a(multicanon.o) : mltcanon.fcm
$(LIB)/misc.a(multicanon.o) : number.fcm
$(LIB)/misc.a(multicanon.o) : stream.fcm
#
#
$(LIB)/misc.a(nmr.o) : comand.fcm
$(LIB)/misc.a(nmr.o) : consta.fcm
$(LIB)/misc.a(nmr.o) : coordc.fcm
$(LIB)/misc.a(nmr.o) : coord.fcm
$(LIB)/misc.a(nmr.o) : cstack.fcm
$(LIB)/misc.a(nmr.o) : ctitla.fcm
$(LIB)/misc.a(nmr.o) : dimens.fcm
$(LIB)/misc.a(nmr.o) : exfunc.fcm
$(LIB)/misc.a(nmr.o) : heap.fcm
$(LIB)/misc.a(nmr.o) : impnon.fcm
$(LIB)/misc.a(nmr.o) : number.fcm
$(LIB)/misc.a(nmr.o) : psf.fcm
$(LIB)/misc.a(nmr.o) : stack.fcm
$(LIB)/misc.a(nmr.o) : stream.fcm
#
#
$(LIB)/misc.a(noe.o) : comand.fcm
$(LIB)/misc.a(noe.o) : consta.fcm
$(LIB)/misc.a(noe.o) : coord.fcm
$(LIB)/misc.a(noe.o) : ctitla.fcm
$(LIB)/misc.a(noe.o) : dimb.fcm
$(LIB)/misc.a(noe.o) : dimens.fcm
$(LIB)/misc.a(noe.o) : exfunc.fcm
$(LIB)/misc.a(noe.o) : fourd.fcm
$(LIB)/misc.a(noe.o) : galgor.fcm
$(LIB)/misc.a(noe.o) : heap.fcm
$(LIB)/misc.a(noe.o) : impnon.fcm
$(LIB)/misc.a(noe.o) : noe.fcm
$(LIB)/misc.a(noe.o) : number.fcm
$(LIB)/misc.a(noe.o) : psf.fcm
$(LIB)/misc.a(noe.o) : reawri.fcm
$(LIB)/misc.a(noe.o) : stack.fcm
$(LIB)/misc.a(noe.o) : stream.fcm
$(LIB)/misc.a(noe.o) : version.fcm
#
#
$(LIB)/misc.a(olap.o) : coord.fcm
$(LIB)/misc.a(olap.o) : dimens.fcm
$(LIB)/misc.a(olap.o) : exfunc.fcm
$(LIB)/misc.a(olap.o) : heap.fcm
$(LIB)/misc.a(olap.o) : impnon.fcm
$(LIB)/misc.a(olap.o) : number.fcm
$(LIB)/misc.a(olap.o) : olap.fcm
$(LIB)/misc.a(olap.o) : psf.fcm
$(LIB)/misc.a(olap.o) : stack.fcm
$(LIB)/misc.a(olap.o) : stream.fcm
#
#
$(LIB)/misc.a(pbeq2.o) : comand.fcm
$(LIB)/misc.a(pbeq2.o) : consta.fcm
$(LIB)/misc.a(pbeq2.o) : coord.fcm
$(LIB)/misc.a(pbeq2.o) : ctitla.fcm
$(LIB)/misc.a(pbeq2.o) : dimens.fcm
$(LIB)/misc.a(pbeq2.o) : exfunc.fcm
$(LIB)/misc.a(pbeq2.o) : heap.fcm
$(LIB)/misc.a(pbeq2.o) : impnon.fcm
$(LIB)/misc.a(pbeq2.o) : number.fcm
$(LIB)/misc.a(pbeq2.o) : param.fcm
$(LIB)/misc.a(pbeq2.o) : pbeq.fcm
$(LIB)/misc.a(pbeq2.o) : psf.fcm
$(LIB)/misc.a(pbeq2.o) : stack.fcm
$(LIB)/misc.a(pbeq2.o) : stream.fcm
$(LIB)/misc.a(pbeq2.o) : timer.fcm
#
#
$(LIB)/misc.a(pbeq.o) : comand.fcm
$(LIB)/misc.a(pbeq.o) : consta.fcm
$(LIB)/misc.a(pbeq.o) : coord.fcm
$(LIB)/misc.a(pbeq.o) : deriv.fcm
$(LIB)/misc.a(pbeq.o) : dimens.fcm
$(LIB)/misc.a(pbeq.o) : exfunc.fcm
$(LIB)/misc.a(pbeq.o) : heap.fcm
$(LIB)/misc.a(pbeq.o) : impnon.fcm
$(LIB)/misc.a(pbeq.o) : number.fcm
$(LIB)/misc.a(pbeq.o) : parallel.fcm
$(LIB)/misc.a(pbeq.o) : pbeq.fcm
$(LIB)/misc.a(pbeq.o) : psf.fcm
$(LIB)/misc.a(pbeq.o) : sccdftb.fcm
$(LIB)/misc.a(pbeq.o) : sccgsbp.fcm
$(LIB)/misc.a(pbeq.o) : stack.fcm
$(LIB)/misc.a(pbeq.o) : stream.fcm
$(LIB)/misc.a(pbeq.o) : timer.fcm
#
#
$(LIB)/misc.a(primsh.o) : comand.fcm
$(LIB)/misc.a(primsh.o) : coord.fcm
$(LIB)/misc.a(primsh.o) : dimens.fcm
$(LIB)/misc.a(primsh.o) : exfunc.fcm
$(LIB)/misc.a(primsh.o) : heap.fcm
$(LIB)/misc.a(primsh.o) : impnon.fcm
$(LIB)/misc.a(primsh.o) : mmfp.fcm
$(LIB)/misc.a(primsh.o) : number.fcm
$(LIB)/misc.a(primsh.o) : psf.fcm
$(LIB)/misc.a(primsh.o) : stream.fcm
#
#
$(LIB)/misc.a(quicka.o) : comand.fcm
$(LIB)/misc.a(quicka.o) : consta.fcm
$(LIB)/misc.a(quicka.o) : coordc.fcm
$(LIB)/misc.a(quicka.o) : coord.fcm
$(LIB)/misc.a(quicka.o) : corman.fcm
$(LIB)/misc.a(quicka.o) : dimens.fcm
$(LIB)/misc.a(quicka.o) : exfunc.fcm
$(LIB)/misc.a(quicka.o) : impnon.fcm
$(LIB)/misc.a(quicka.o) : number.fcm
$(LIB)/misc.a(quicka.o) : psf.fcm
$(LIB)/misc.a(quicka.o) : stack.fcm
$(LIB)/misc.a(quicka.o) : stream.fcm
#
#
$(LIB)/misc.a(resdist.o) : comand.fcm
$(LIB)/misc.a(resdist.o) : coord.fcm
$(LIB)/misc.a(resdist.o) : dimens.fcm
$(LIB)/misc.a(resdist.o) : exfunc.fcm
$(LIB)/misc.a(resdist.o) : heap.fcm
$(LIB)/misc.a(resdist.o) : impnon.fcm
$(LIB)/misc.a(resdist.o) : number.fcm
$(LIB)/misc.a(resdist.o) : parallel.fcm
$(LIB)/misc.a(resdist.o) : psf.fcm
$(LIB)/misc.a(resdist.o) : reawri.fcm
$(LIB)/misc.a(resdist.o) : resdist.fcm
$(LIB)/misc.a(resdist.o) : stream.fcm
#
#
$(LIB)/misc.a(sasene.o) : consta.fcm
$(LIB)/misc.a(sasene.o) : coord.fcm
$(LIB)/misc.a(sasene.o) : deriv.fcm
$(LIB)/misc.a(sasene.o) : dimens.fcm
$(LIB)/misc.a(sasene.o) : energy.fcm
$(LIB)/misc.a(sasene.o) : impnon.fcm
$(LIB)/misc.a(sasene.o) : number.fcm
$(LIB)/misc.a(sasene.o) : sasa.fcm
#
#
$(LIB)/misc.a(sasini.o) : bases.fcm
$(LIB)/misc.a(sasini.o) : consta.fcm
$(LIB)/misc.a(sasini.o) : coord.fcm
$(LIB)/misc.a(sasini.o) : dimens.fcm
$(LIB)/misc.a(sasini.o) : exfunc.fcm
$(LIB)/misc.a(sasini.o) : heap.fcm
$(LIB)/misc.a(sasini.o) : impnon.fcm
$(LIB)/misc.a(sasini.o) : inbnd.fcm
$(LIB)/misc.a(sasini.o) : number.fcm
$(LIB)/misc.a(sasini.o) : psf.fcm
$(LIB)/misc.a(sasini.o) : sasa.fcm
$(LIB)/misc.a(sasini.o) : stack.fcm
$(LIB)/misc.a(sasini.o) : stream.fcm
#
#
$(LIB)/misc.a(sbound.o) : comand.fcm
$(LIB)/misc.a(sbound.o) : coord.fcm
$(LIB)/misc.a(sbound.o) : ctitla.fcm
$(LIB)/misc.a(sbound.o) : dimb.fcm
$(LIB)/misc.a(sbound.o) : dimens.fcm
$(LIB)/misc.a(sbound.o) : exfunc.fcm
$(LIB)/misc.a(sbound.o) : heap.fcm
$(LIB)/misc.a(sbound.o) : impnon.fcm
$(LIB)/misc.a(sbound.o) : number.fcm
$(LIB)/misc.a(sbound.o) : psf.fcm
$(LIB)/misc.a(sbound.o) : sbound.fcm
$(LIB)/misc.a(sbound.o) : stack.fcm
$(LIB)/misc.a(sbound.o) : stream.fcm
#
#
$(LIB)/misc.a(scpism.o) : comand.fcm
$(LIB)/misc.a(scpism.o) : consta.fcm
$(LIB)/misc.a(scpism.o) : coord.fcm
$(LIB)/misc.a(scpism.o) : deriv.fcm
$(LIB)/misc.a(scpism.o) : dimens.fcm
$(LIB)/misc.a(scpism.o) : exfunc.fcm
$(LIB)/misc.a(scpism.o) : fast.fcm
$(LIB)/misc.a(scpism.o) : impnon.fcm
$(LIB)/misc.a(scpism.o) : inbnd.fcm
$(LIB)/misc.a(scpism.o) : number.fcm
$(LIB)/misc.a(scpism.o) : parallel.fcm
$(LIB)/misc.a(scpism.o) : param.fcm
$(LIB)/misc.a(scpism.o) : psf.fcm
$(LIB)/misc.a(scpism.o) : rtf.fcm
$(LIB)/misc.a(scpism.o) : scpism.fcm
$(LIB)/misc.a(scpism.o) : stream.fcm
#
#
$(LIB)/misc.a(ssbp.o) : comand.fcm
$(LIB)/misc.a(ssbp.o) : consta.fcm
$(LIB)/misc.a(ssbp.o) : coord.fcm
$(LIB)/misc.a(ssbp.o) : dimens.fcm
$(LIB)/misc.a(ssbp.o) : exfunc.fcm
$(LIB)/misc.a(ssbp.o) : heap.fcm
$(LIB)/misc.a(ssbp.o) : impnon.fcm
$(LIB)/misc.a(ssbp.o) : mmfp.fcm
$(LIB)/misc.a(ssbp.o) : number.fcm
$(LIB)/misc.a(ssbp.o) : parallel.fcm
$(LIB)/misc.a(ssbp.o) : psf.fcm
$(LIB)/misc.a(ssbp.o) : ssbp.fcm
$(LIB)/misc.a(ssbp.o) : stream.fcm
#
#
$(LIB)/misc.a(ssnmr.o) : comand.fcm
$(LIB)/misc.a(ssnmr.o) : consta.fcm
$(LIB)/misc.a(ssnmr.o) : coord.fcm
$(LIB)/misc.a(ssnmr.o) : ctitla.fcm
$(LIB)/misc.a(ssnmr.o) : dimb.fcm
$(LIB)/misc.a(ssnmr.o) : dimens.fcm
$(LIB)/misc.a(ssnmr.o) : exfunc.fcm
$(LIB)/misc.a(ssnmr.o) : fourd.fcm
$(LIB)/misc.a(ssnmr.o) : galgor.fcm
$(LIB)/misc.a(ssnmr.o) : heap.fcm
$(LIB)/misc.a(ssnmr.o) : impnon.fcm
$(LIB)/misc.a(ssnmr.o) : ssnmr.fcm
$(LIB)/misc.a(ssnmr.o) : number.fcm
$(LIB)/misc.a(ssnmr.o) : psf.fcm
$(LIB)/misc.a(ssnmr.o) : reawri.fcm
$(LIB)/misc.a(ssnmr.o) : stack.fcm
$(LIB)/misc.a(ssnmr.o) : stream.fcm
$(LIB)/misc.a(ssnmr.o) : version.fcm
#
#
$(LIB)/misc.a(surfac.o) : comand.fcm
$(LIB)/misc.a(surfac.o) : consta.fcm
$(LIB)/misc.a(surfac.o) : dimens.fcm
$(LIB)/misc.a(surfac.o) : exfunc.fcm
$(LIB)/misc.a(surfac.o) : heap.fcm
$(LIB)/misc.a(surfac.o) : impnon.fcm
$(LIB)/misc.a(surfac.o) : number.fcm
$(LIB)/misc.a(surfac.o) : param.fcm
$(LIB)/misc.a(surfac.o) : psf.fcm
$(LIB)/misc.a(surfac.o) : stack.fcm
$(LIB)/misc.a(surfac.o) : stream.fcm
#
#
$(LIB)/misc.a(testch.o) : bases.fcm
$(LIB)/misc.a(testch.o) : cnst.fcm
$(LIB)/misc.a(testch.o) : code.fcm
$(LIB)/misc.a(testch.o) : comand.fcm
$(LIB)/misc.a(testch.o) : coordc.fcm
$(LIB)/misc.a(testch.o) : coord.fcm
$(LIB)/misc.a(testch.o) : deriv.fcm
$(LIB)/misc.a(testch.o) : dimens.fcm
$(LIB)/misc.a(testch.o) : energy.fcm
$(LIB)/misc.a(testch.o) : exfunc.fcm
$(LIB)/misc.a(testch.o) : ffield.fcm
$(LIB)/misc.a(testch.o) : fourd.fcm
$(LIB)/misc.a(testch.o) : heap.fcm
$(LIB)/misc.a(testch.o) : image.fcm
$(LIB)/misc.a(testch.o) : impnon.fcm
$(LIB)/misc.a(testch.o) : mmff.fcm
$(LIB)/misc.a(testch.o) : number.fcm
$(LIB)/misc.a(testch.o) : parallel.fcm
$(LIB)/misc.a(testch.o) : param.fcm
$(LIB)/misc.a(testch.o) : psf.fcm
$(LIB)/misc.a(testch.o) : stack.fcm
$(LIB)/misc.a(testch.o) : stream.fcm
$(LIB)/misc.a(testch.o) : timer.fcm
$(LIB)/misc.a(testch.o) : vphi.fcm
#
#
$(LIB)/misc.a(xray.o) : coord.fcm
$(LIB)/misc.a(xray.o) : ctitla.fcm
$(LIB)/misc.a(xray.o) : dimens.fcm
$(LIB)/misc.a(xray.o) : exfunc.fcm
$(LIB)/misc.a(xray.o) : impnon.fcm
$(LIB)/misc.a(xray.o) : param.fcm
$(LIB)/misc.a(xray.o) : psf.fcm
$(LIB)/misc.a(xray.o) : stack.fcm
$(LIB)/misc.a(xray.o) : stream.fcm
#
#
$(LIB)/misc.a(zmat.o) : comand.fcm
$(LIB)/misc.a(zmat.o) : consta.fcm
$(LIB)/misc.a(zmat.o) : coord.fcm
$(LIB)/misc.a(zmat.o) : dimens.fcm
$(LIB)/misc.a(zmat.o) : exfunc.fcm
$(LIB)/misc.a(zmat.o) : heap.fcm
$(LIB)/misc.a(zmat.o) : impnon.fcm
$(LIB)/misc.a(zmat.o) : number.fcm
$(LIB)/misc.a(zmat.o) : psf.fcm
$(LIB)/misc.a(zmat.o) : stack.fcm
$(LIB)/misc.a(zmat.o) : stream.fcm
#
