# mndint makefile
# mndint library rules
OBJS_mndint= \
	$(LIB)/mndint.a(mndene.o) \
	$(LIB)/mndint.a(mndewald.o) \
	$(LIB)/mndint.a(mndgho.o) \
	$(LIB)/mndint.a(mndini.o)
#
$(LIB)/mndint.a : $(OBJS_mndint)
	$(RANLIB) $(LIB)/mndint.a
	@echo mndint COMPLETED
#
# mndint source file rules
$(LIB)/mndint.a(mndene.o)  : $(SRC)/mndint/mndene.src
	$(FLX) $(SRC)/mndint/mndene.src
	$(FC2) mndene.f
	$(AR_COMMAND) $(LIB)/mndint.a mndene.o
	$(REMOVE_F) mndene.f
	$(REMOVE_O) mndene.o
#
$(LIB)/mndint.a(mndewald.o)  : $(SRC)/mndint/mndewald.src
	$(FLX) $(SRC)/mndint/mndewald.src
	$(FC2) mndewald.f
	$(AR_COMMAND) $(LIB)/mndint.a mndewald.o
	$(REMOVE_F) mndewald.f
	$(REMOVE_O) mndewald.o
#
$(LIB)/mndint.a(mndgho.o)  : $(SRC)/mndint/mndgho.src
	$(FLX) $(SRC)/mndint/mndgho.src
	$(FC2) mndgho.f
	$(AR_COMMAND) $(LIB)/mndint.a mndgho.o
	$(REMOVE_F) mndgho.f
	$(REMOVE_O) mndgho.o
#
$(LIB)/mndint.a(mndini.o)  : $(SRC)/mndint/mndini.src
	$(FLX) $(SRC)/mndint/mndini.src
	$(FC2) mndini.f
	$(AR_COMMAND) $(LIB)/mndint.a mndini.o
	$(REMOVE_F) mndini.f
	$(REMOVE_O) mndini.o
#
#
# mndint dependency file
#
$(LIB)/mndint.a(mndene.o) : bases.fcm
$(LIB)/mndint.a(mndene.o) : consta.fcm
$(LIB)/mndint.a(mndene.o) : contrl.fcm
$(LIB)/mndint.a(mndene.o) : dimens.fcm
$(LIB)/mndint.a(mndene.o) : exfunc.fcm
$(LIB)/mndint.a(mndene.o) : gamess.fcm
$(LIB)/mndint.a(mndene.o) : heap.fcm
$(LIB)/mndint.a(mndene.o) : image.fcm
$(LIB)/mndint.a(mndene.o) : impnon.fcm
$(LIB)/mndint.a(mndene.o) : inbnd.fcm
$(LIB)/mndint.a(mndene.o) : mndgho.fcm
$(LIB)/mndint.a(mndene.o) : mndo97.fcm
$(LIB)/mndint.a(mndene.o) : nbndqm.fcm
$(LIB)/mndint.a(mndene.o) : number.fcm
$(LIB)/mndint.a(mndene.o) : pbound.fcm
$(LIB)/mndint.a(mndene.o) : psf.fcm
$(LIB)/mndint.a(mndene.o) : stack.fcm
$(LIB)/mndint.a(mndene.o) : stream.fcm
#
#
$(LIB)/mndint.a(mndewald.o) : consta.fcm
$(LIB)/mndint.a(mndewald.o) : dimens.fcm
$(LIB)/mndint.a(mndewald.o) : ewald.fcm
$(LIB)/mndint.a(mndewald.o) : exfunc.fcm
$(LIB)/mndint.a(mndewald.o) : gamess.fcm
$(LIB)/mndint.a(mndewald.o) : heap.fcm
$(LIB)/mndint.a(mndewald.o) : image.fcm
$(LIB)/mndint.a(mndewald.o) : impnon.fcm
$(LIB)/mndint.a(mndewald.o) : inbnd.fcm
$(LIB)/mndint.a(mndewald.o) : mndo97.fcm
$(LIB)/mndint.a(mndewald.o) : number.fcm
$(LIB)/mndint.a(mndewald.o) : psf.fcm
$(LIB)/mndint.a(mndewald.o) : stack.fcm
$(LIB)/mndint.a(mndewald.o) : stream.fcm
#
#
$(LIB)/mndint.a(mndgho.o) : consta.fcm
$(LIB)/mndint.a(mndgho.o) : coord.fcm
$(LIB)/mndint.a(mndgho.o) : dimens.fcm
$(LIB)/mndint.a(mndgho.o) : impnon.fcm
$(LIB)/mndint.a(mndgho.o) : mndgho.fcm
$(LIB)/mndint.a(mndgho.o) : psf.fcm
$(LIB)/mndint.a(mndgho.o) : sizes.fcm
$(LIB)/mndint.a(mndgho.o) : stream.fcm
#
#
$(LIB)/mndint.a(mndini.o) : bases.fcm
$(LIB)/mndint.a(mndini.o) : code.fcm
$(LIB)/mndint.a(mndini.o) : coord.fcm
$(LIB)/mndint.a(mndini.o) : dimens.fcm
$(LIB)/mndint.a(mndini.o) : energy.fcm
$(LIB)/mndint.a(mndini.o) : ewald.fcm
$(LIB)/mndint.a(mndini.o) : exfunc.fcm
$(LIB)/mndint.a(mndini.o) : flucq.fcm
$(LIB)/mndint.a(mndini.o) : gamess.fcm
$(LIB)/mndint.a(mndini.o) : heap.fcm
$(LIB)/mndint.a(mndini.o) : image.fcm
$(LIB)/mndint.a(mndini.o) : impnon.fcm
$(LIB)/mndint.a(mndini.o) : inbnd.fcm
$(LIB)/mndint.a(mndini.o) : mndgho.fcm
$(LIB)/mndint.a(mndini.o) : mndo97.fcm
$(LIB)/mndint.a(mndini.o) : number.fcm
$(LIB)/mndint.a(mndini.o) : param.fcm
$(LIB)/mndint.a(mndini.o) : pbound.fcm
$(LIB)/mndint.a(mndini.o) : psf.fcm
$(LIB)/mndint.a(mndini.o) : rtf.fcm
$(LIB)/mndint.a(mndini.o) : stack.fcm
$(LIB)/mndint.a(mndini.o) : stream.fcm
#
