# mc makefile
# mc library rules
OBJS_mc= \
	$(LIB)/mc.a(armupt.o) \
	$(LIB)/mc.a(mcace.o) \
	$(LIB)/mc.a(mcener.o) \
	$(LIB)/mc.a(mcimge.o) \
	$(LIB)/mc.a(mcio.o) \
	$(LIB)/mc.a(mcma.o) \
	$(LIB)/mc.a(mcmini.o) \
	$(LIB)/mc.a(mc.o) \
	$(LIB)/mc.a(mcuser.o) \
	$(LIB)/mc.a(movead.o) \
	$(LIB)/mc.a(moveio.o) \
	$(LIB)/mc.a(moveln.o) \
	$(LIB)/mc.a(mvcrot.o) \
	$(LIB)/mc.a(mvdihe.o) \
	$(LIB)/mc.a(mvgcmc.o) \
	$(LIB)/mc.a(mvhmc.o) \
	$(LIB)/mc.a(mvrtrn.o) \
	$(LIB)/mc.a(numrec.o) \
	$(LIB)/mc.a(wl.o)
#
$(LIB)/mc.a : $(OBJS_mc)
	$(RANLIB) $(LIB)/mc.a
	@echo mc COMPLETED
#
# mc source file rules
$(LIB)/mc.a(armupt.o)  : $(SRC)/mc/armupt.src
	$(FLX) $(SRC)/mc/armupt.src
	$(FC2) armupt.f
	$(AR_COMMAND) $(LIB)/mc.a armupt.o
	$(REMOVE_F) armupt.f
	$(REMOVE_O) armupt.o
#
$(LIB)/mc.a(mcace.o)  : $(SRC)/mc/mcace.src
	$(FLX) $(SRC)/mc/mcace.src
	$(FC2) mcace.f
	$(AR_COMMAND) $(LIB)/mc.a mcace.o
	$(REMOVE_F) mcace.f
	$(REMOVE_O) mcace.o
#
$(LIB)/mc.a(mcener.o)  : $(SRC)/mc/mcener.src
	$(FLX) $(SRC)/mc/mcener.src
	$(FC2) mcener.f
	$(AR_COMMAND) $(LIB)/mc.a mcener.o
	$(REMOVE_F) mcener.f
	$(REMOVE_O) mcener.o
#
$(LIB)/mc.a(mcimge.o)  : $(SRC)/mc/mcimge.src
	$(FLX) $(SRC)/mc/mcimge.src
	$(FC2) mcimge.f
	$(AR_COMMAND) $(LIB)/mc.a mcimge.o
	$(REMOVE_F) mcimge.f
	$(REMOVE_O) mcimge.o
#
$(LIB)/mc.a(mcio.o)  : $(SRC)/mc/mcio.src
	$(FLX) $(SRC)/mc/mcio.src
	$(FC2) mcio.f
	$(AR_COMMAND) $(LIB)/mc.a mcio.o
	$(REMOVE_F) mcio.f
	$(REMOVE_O) mcio.o
#
$(LIB)/mc.a(mcma.o)  : $(SRC)/mc/mcma.src
	$(FLX) $(SRC)/mc/mcma.src
	$(FC2) mcma.f
	$(AR_COMMAND) $(LIB)/mc.a mcma.o
	$(REMOVE_F) mcma.f
	$(REMOVE_O) mcma.o
#
$(LIB)/mc.a(mcmini.o)  : $(SRC)/mc/mcmini.src
	$(FLX) $(SRC)/mc/mcmini.src
	$(FC2) mcmini.f
	$(AR_COMMAND) $(LIB)/mc.a mcmini.o
	$(REMOVE_F) mcmini.f
	$(REMOVE_O) mcmini.o
#
$(LIB)/mc.a(mc.o)  : $(SRC)/mc/mc.src
	$(FLX) $(SRC)/mc/mc.src
	$(FC2) mc.f
	$(AR_COMMAND) $(LIB)/mc.a mc.o
	$(REMOVE_F) mc.f
	$(REMOVE_O) mc.o
#
$(LIB)/mc.a(mcuser.o)  : $(SRC)/mc/mcuser.src
	$(FLX) $(SRC)/mc/mcuser.src
	$(FC2) mcuser.f
	$(AR_COMMAND) $(LIB)/mc.a mcuser.o
	$(REMOVE_F) mcuser.f
	$(REMOVE_O) mcuser.o
#
$(LIB)/mc.a(movead.o)  : $(SRC)/mc/movead.src
	$(FLX) $(SRC)/mc/movead.src
	$(FC2) movead.f
	$(AR_COMMAND) $(LIB)/mc.a movead.o
	$(REMOVE_F) movead.f
	$(REMOVE_O) movead.o
#
$(LIB)/mc.a(moveio.o)  : $(SRC)/mc/moveio.src
	$(FLX) $(SRC)/mc/moveio.src
	$(FC2) moveio.f
	$(AR_COMMAND) $(LIB)/mc.a moveio.o
	$(REMOVE_F) moveio.f
	$(REMOVE_O) moveio.o
#
$(LIB)/mc.a(moveln.o)  : $(SRC)/mc/moveln.src
	$(FLX) $(SRC)/mc/moveln.src
	$(FC2) moveln.f
	$(AR_COMMAND) $(LIB)/mc.a moveln.o
	$(REMOVE_F) moveln.f
	$(REMOVE_O) moveln.o
#
$(LIB)/mc.a(mvcrot.o)  : $(SRC)/mc/mvcrot.src
	$(FLX) $(SRC)/mc/mvcrot.src
	$(FC2) mvcrot.f
	$(AR_COMMAND) $(LIB)/mc.a mvcrot.o
	$(REMOVE_F) mvcrot.f
	$(REMOVE_O) mvcrot.o
#
$(LIB)/mc.a(mvdihe.o)  : $(SRC)/mc/mvdihe.src
	$(FLX) $(SRC)/mc/mvdihe.src
	$(FC2) mvdihe.f
	$(AR_COMMAND) $(LIB)/mc.a mvdihe.o
	$(REMOVE_F) mvdihe.f
	$(REMOVE_O) mvdihe.o
#
$(LIB)/mc.a(mvgcmc.o)  : $(SRC)/mc/mvgcmc.src
	$(FLX) $(SRC)/mc/mvgcmc.src
	$(FC2) mvgcmc.f
	$(AR_COMMAND) $(LIB)/mc.a mvgcmc.o
	$(REMOVE_F) mvgcmc.f
	$(REMOVE_O) mvgcmc.o
#
$(LIB)/mc.a(mvhmc.o)  : $(SRC)/mc/mvhmc.src
	$(FLX) $(SRC)/mc/mvhmc.src
	$(FC2) mvhmc.f
	$(AR_COMMAND) $(LIB)/mc.a mvhmc.o
	$(REMOVE_F) mvhmc.f
	$(REMOVE_O) mvhmc.o
#
$(LIB)/mc.a(mvrtrn.o)  : $(SRC)/mc/mvrtrn.src
	$(FLX) $(SRC)/mc/mvrtrn.src
	$(FC2) mvrtrn.f
	$(AR_COMMAND) $(LIB)/mc.a mvrtrn.o
	$(REMOVE_F) mvrtrn.f
	$(REMOVE_O) mvrtrn.o
#
$(LIB)/mc.a(numrec.o)  : $(SRC)/mc/numrec.src
	$(FLX) $(SRC)/mc/numrec.src
	$(FC2) numrec.f
	$(AR_COMMAND) $(LIB)/mc.a numrec.o
	$(REMOVE_F) numrec.f
	$(REMOVE_O) numrec.o
#
$(LIB)/mc.a(wl.o)  : $(SRC)/mc/wl.src
	$(FLX) $(SRC)/mc/wl.src
	$(FC2) wl.f
	$(AR_COMMAND) $(LIB)/mc.a wl.o
	$(REMOVE_F) wl.f
	$(REMOVE_O) wl.o
#
#
# mc dependency file
#
$(LIB)/mc.a(armupt.o) : impnon.fcm
$(LIB)/mc.a(armupt.o) : number.fcm
#
#
$(LIB)/mc.a(mcace.o) : ace.fcm
$(LIB)/mc.a(mcace.o) : block.fcm
$(LIB)/mc.a(mcace.o) : consta.fcm
$(LIB)/mc.a(mcace.o) : coord.fcm
$(LIB)/mc.a(mcace.o) : deriv.fcm
$(LIB)/mc.a(mcace.o) : dimens.fcm
$(LIB)/mc.a(mcace.o) : energy.fcm
$(LIB)/mc.a(mcace.o) : exfunc.fcm
$(LIB)/mc.a(mcace.o) : heap.fcm
$(LIB)/mc.a(mcace.o) : impnon.fcm
$(LIB)/mc.a(mcace.o) : inbnd.fcm
$(LIB)/mc.a(mcace.o) : number.fcm
$(LIB)/mc.a(mcace.o) : param.fcm
$(LIB)/mc.a(mcace.o) : psf.fcm
$(LIB)/mc.a(mcace.o) : stream.fcm
#
#
$(LIB)/mc.a(mcener.o) : ace.fcm
$(LIB)/mc.a(mcener.o) : bases.fcm
$(LIB)/mc.a(mcener.o) : block.fcm
$(LIB)/mc.a(mcener.o) : code.fcm
$(LIB)/mc.a(mcener.o) : consta.fcm
$(LIB)/mc.a(mcener.o) : deriv.fcm
$(LIB)/mc.a(mcener.o) : dimens.fcm
$(LIB)/mc.a(mcener.o) : econt.fcm
$(LIB)/mc.a(mcener.o) : eef1.fcm
$(LIB)/mc.a(mcener.o) : energy.fcm
$(LIB)/mc.a(mcener.o) : epert.fcm
$(LIB)/mc.a(mcener.o) : exfunc.fcm
$(LIB)/mc.a(mcener.o) : fast.fcm
$(LIB)/mc.a(mcener.o) : heap.fcm
$(LIB)/mc.a(mcener.o) : image.fcm
$(LIB)/mc.a(mcener.o) : impnon.fcm
$(LIB)/mc.a(mcener.o) : inbnd.fcm
$(LIB)/mc.a(mcener.o) : mc.fcm
$(LIB)/mc.a(mcener.o) : noe.fcm
$(LIB)/mc.a(mcener.o) : number.fcm
$(LIB)/mc.a(mcener.o) : param.fcm
$(LIB)/mc.a(mcener.o) : pathint.fcm
$(LIB)/mc.a(mcener.o) : pbeq.fcm
$(LIB)/mc.a(mcener.o) : pert.fcm
$(LIB)/mc.a(mcener.o) : psf.fcm
$(LIB)/mc.a(mcener.o) : quantm.fcm
$(LIB)/mc.a(mcener.o) : sccdftb.fcm
$(LIB)/mc.a(mcener.o) : stack.fcm
$(LIB)/mc.a(mcener.o) : stream.fcm
#
#
$(LIB)/mc.a(mcimge.o) : deriv.fcm
$(LIB)/mc.a(mcimge.o) : dimens.fcm
$(LIB)/mc.a(mcimge.o) : econt.fcm
$(LIB)/mc.a(mcimge.o) : energy.fcm
$(LIB)/mc.a(mcimge.o) : exfunc.fcm
$(LIB)/mc.a(mcimge.o) : fast.fcm
$(LIB)/mc.a(mcimge.o) : flucq.fcm
$(LIB)/mc.a(mcimge.o) : heap.fcm
$(LIB)/mc.a(mcimge.o) : impnon.fcm
$(LIB)/mc.a(mcimge.o) : param.fcm
$(LIB)/mc.a(mcimge.o) : psf.fcm
$(LIB)/mc.a(mcimge.o) : stack.fcm
#
#
$(LIB)/mc.a(mcio.o) : $(LIB)/nbonds.a(cheqmodule.o)
$(LIB)/mc.a(mcio.o) : consta.fcm
$(LIB)/mc.a(mcio.o) : ctitla.fcm
$(LIB)/mc.a(mcio.o) : dimens.fcm
$(LIB)/mc.a(mcio.o) : exfunc.fcm
$(LIB)/mc.a(mcio.o) : heap.fcm
$(LIB)/mc.a(mcio.o) : image.fcm
$(LIB)/mc.a(mcio.o) : impnon.fcm
$(LIB)/mc.a(mcio.o) : number.fcm
$(LIB)/mc.a(mcio.o) : psf.fcm
$(LIB)/mc.a(mcio.o) : stack.fcm
$(LIB)/mc.a(mcio.o) : stream.fcm
$(LIB)/mc.a(mcio.o) : version.fcm
#
#
$(LIB)/mc.a(mcma.o) : bases.fcm
$(LIB)/mc.a(mcma.o) : comand.fcm
$(LIB)/mc.a(mcma.o) : consta.fcm
$(LIB)/mc.a(mcma.o) : contrl.fcm
$(LIB)/mc.a(mcma.o) : coordc.fcm
$(LIB)/mc.a(mcma.o) : coord.fcm
$(LIB)/mc.a(mcma.o) : dimens.fcm
$(LIB)/mc.a(mcma.o) : energy.fcm
$(LIB)/mc.a(mcma.o) : exfunc.fcm
$(LIB)/mc.a(mcma.o) : galgor.fcm
$(LIB)/mc.a(mcma.o) : hbond.fcm
$(LIB)/mc.a(mcma.o) : heap.fcm
$(LIB)/mc.a(mcma.o) : image.fcm
$(LIB)/mc.a(mcma.o) : impnon.fcm
$(LIB)/mc.a(mcma.o) : inbnd.fcm
$(LIB)/mc.a(mcma.o) : intcr.fcm
$(LIB)/mc.a(mcma.o) : mbmts.fcm
$(LIB)/mc.a(mcma.o) : mcma.fcm
$(LIB)/mc.a(mcma.o) : mscpar.fcm
$(LIB)/mc.a(mcma.o) : number.fcm
$(LIB)/mc.a(mcma.o) : param.fcm
$(LIB)/mc.a(mcma.o) : pert.fcm
$(LIB)/mc.a(mcma.o) : psf.fcm
$(LIB)/mc.a(mcma.o) : shake.fcm
$(LIB)/mc.a(mcma.o) : stack.fcm
$(LIB)/mc.a(mcma.o) : stream.fcm
$(LIB)/mc.a(mcma.o) : tbmtsp1.fcm
$(LIB)/mc.a(mcma.o) : timer.fcm
#
#
$(LIB)/mc.a(mcmini.o) : block.fcm
$(LIB)/mc.a(mcmini.o) : contrl.fcm
$(LIB)/mc.a(mcmini.o) : deriv.fcm
$(LIB)/mc.a(mcmini.o) : dimens.fcm
$(LIB)/mc.a(mcmini.o) : energy.fcm
$(LIB)/mc.a(mcmini.o) : exfunc.fcm
$(LIB)/mc.a(mcmini.o) : fourd.fcm
$(LIB)/mc.a(mcmini.o) : heap.fcm
$(LIB)/mc.a(mcmini.o) : image.fcm
$(LIB)/mc.a(mcmini.o) : impnon.fcm
$(LIB)/mc.a(mcmini.o) : number.fcm
$(LIB)/mc.a(mcmini.o) : psf.fcm
$(LIB)/mc.a(mcmini.o) : stream.fcm
#
#
$(LIB)/mc.a(mc.o) : ace.fcm
$(LIB)/mc.a(mc.o) : bases.fcm
$(LIB)/mc.a(mc.o) : block.fcm
$(LIB)/mc.a(mc.o) : consta.fcm
$(LIB)/mc.a(mc.o) : coord.fcm
$(LIB)/mc.a(mc.o) : ctitla.fcm
$(LIB)/mc.a(mc.o) : deriv.fcm
$(LIB)/mc.a(mc.o) : dimens.fcm
$(LIB)/mc.a(mc.o) : energy.fcm
$(LIB)/mc.a(mc.o) : ewald.fcm
$(LIB)/mc.a(mc.o) : exfunc.fcm
$(LIB)/mc.a(mc.o) : fast.fcm
$(LIB)/mc.a(mc.o) : gcmc.fcm
$(LIB)/mc.a(mc.o) : heap.fcm
$(LIB)/mc.a(mc.o) : image.fcm
$(LIB)/mc.a(mc.o) : impnon.fcm
$(LIB)/mc.a(mc.o) : inbnd.fcm
$(LIB)/mc.a(mc.o) : mc.fcm
$(LIB)/mc.a(mc.o) : mehmc.fcm
$(LIB)/mc.a(mc.o) : noe.fcm
$(LIB)/mc.a(mc.o) : number.fcm
$(LIB)/mc.a(mc.o) : parallel.fcm
$(LIB)/mc.a(mc.o) : pbeq.fcm
$(LIB)/mc.a(mc.o) : pert.fcm
$(LIB)/mc.a(mc.o) : psf.fcm
$(LIB)/mc.a(mc.o) : rxncom.fcm
$(LIB)/mc.a(mc.o) : stack.fcm
$(LIB)/mc.a(mc.o) : stream.fcm
#
#
$(LIB)/mc.a(mcuser.o) : impnon.fcm
#
#
$(LIB)/mc.a(movead.o) : contrl.fcm
$(LIB)/mc.a(movead.o) : coord.fcm
$(LIB)/mc.a(movead.o) : dimens.fcm
$(LIB)/mc.a(movead.o) : exfunc.fcm
$(LIB)/mc.a(movead.o) : gcmc.fcm
$(LIB)/mc.a(movead.o) : heap.fcm
$(LIB)/mc.a(movead.o) : impnon.fcm
$(LIB)/mc.a(movead.o) : mc.fcm
$(LIB)/mc.a(movead.o) : number.fcm
$(LIB)/mc.a(movead.o) : pathint.fcm
$(LIB)/mc.a(movead.o) : psf.fcm
$(LIB)/mc.a(movead.o) : stream.fcm
#
#
$(LIB)/mc.a(moveio.o) : ctitla.fcm
$(LIB)/mc.a(moveio.o) : dimens.fcm
$(LIB)/mc.a(moveio.o) : exfunc.fcm
$(LIB)/mc.a(moveio.o) : heap.fcm
$(LIB)/mc.a(moveio.o) : impnon.fcm
$(LIB)/mc.a(moveio.o) : mc.fcm
$(LIB)/mc.a(moveio.o) : number.fcm
$(LIB)/mc.a(moveio.o) : psf.fcm
$(LIB)/mc.a(moveio.o) : stream.fcm
$(LIB)/mc.a(moveio.o) : version.fcm
#
#
$(LIB)/mc.a(moveln.o) : dimens.fcm
$(LIB)/mc.a(moveln.o) : exfunc.fcm
$(LIB)/mc.a(moveln.o) : heap.fcm
$(LIB)/mc.a(moveln.o) : impnon.fcm
$(LIB)/mc.a(moveln.o) : mc.fcm
$(LIB)/mc.a(moveln.o) : psf.fcm
$(LIB)/mc.a(moveln.o) : stack.fcm
$(LIB)/mc.a(moveln.o) : stream.fcm
#
#
$(LIB)/mc.a(mvcrot.o) : consta.fcm
$(LIB)/mc.a(mvcrot.o) : dimens.fcm
$(LIB)/mc.a(mvcrot.o) : exfunc.fcm
$(LIB)/mc.a(mvcrot.o) : heap.fcm
$(LIB)/mc.a(mvcrot.o) : impnon.fcm
$(LIB)/mc.a(mvcrot.o) : number.fcm
$(LIB)/mc.a(mvcrot.o) : pathint.fcm
$(LIB)/mc.a(mvcrot.o) : psf.fcm
$(LIB)/mc.a(mvcrot.o) : selcta.fcm
$(LIB)/mc.a(mvcrot.o) : stack.fcm
$(LIB)/mc.a(mvcrot.o) : stream.fcm
#
#
$(LIB)/mc.a(mvdihe.o) : dimens.fcm
$(LIB)/mc.a(mvdihe.o) : exfunc.fcm
$(LIB)/mc.a(mvdihe.o) : heap.fcm
$(LIB)/mc.a(mvdihe.o) : impnon.fcm
$(LIB)/mc.a(mvdihe.o) : psf.fcm
$(LIB)/mc.a(mvdihe.o) : selcta.fcm
$(LIB)/mc.a(mvdihe.o) : stack.fcm
#
#
$(LIB)/mc.a(mvgcmc.o) : consta.fcm
$(LIB)/mc.a(mvgcmc.o) : dimens.fcm
$(LIB)/mc.a(mvgcmc.o) : exfunc.fcm
$(LIB)/mc.a(mvgcmc.o) : gcmc.fcm
$(LIB)/mc.a(mvgcmc.o) : heap.fcm
$(LIB)/mc.a(mvgcmc.o) : image.fcm
$(LIB)/mc.a(mvgcmc.o) : impnon.fcm
$(LIB)/mc.a(mvgcmc.o) : number.fcm
$(LIB)/mc.a(mvgcmc.o) : pbeq.fcm
$(LIB)/mc.a(mvgcmc.o) : psf.fcm
$(LIB)/mc.a(mvgcmc.o) : stack.fcm
$(LIB)/mc.a(mvgcmc.o) : stream.fcm
#
#
$(LIB)/mc.a(mvhmc.o) : block.fcm
$(LIB)/mc.a(mvhmc.o) :  $(LIB)/nbonds.a(cheqmodule.o)
$(LIB)/mc.a(mvhmc.o) : consta.fcm
$(LIB)/mc.a(mvhmc.o) : contrl.fcm
$(LIB)/mc.a(mvhmc.o) : dimens.fcm
$(LIB)/mc.a(mvhmc.o) : exfunc.fcm
$(LIB)/mc.a(mvhmc.o) : heap.fcm
$(LIB)/mc.a(mvhmc.o) : impnon.fcm
$(LIB)/mc.a(mvhmc.o) : mehmc.fcm
$(LIB)/mc.a(mvhmc.o) : $(LIB)/util.a(new_timer.o)
$(LIB)/mc.a(mvhmc.o) : number.fcm
$(LIB)/mc.a(mvhmc.o) : psf.fcm
$(LIB)/mc.a(mvhmc.o) : reawri.fcm
$(LIB)/mc.a(mvhmc.o) : selcta.fcm
$(LIB)/mc.a(mvhmc.o) : stack.fcm
$(LIB)/mc.a(mvhmc.o) : stream.fcm
$(LIB)/mc.a(mvhmc.o) : tsmh.fcm
#
#
$(LIB)/mc.a(mvrtrn.o) : consta.fcm
$(LIB)/mc.a(mvrtrn.o) : dimens.fcm
$(LIB)/mc.a(mvrtrn.o) : exfunc.fcm
$(LIB)/mc.a(mvrtrn.o) : heap.fcm
$(LIB)/mc.a(mvrtrn.o) : impnon.fcm
$(LIB)/mc.a(mvrtrn.o) : number.fcm
$(LIB)/mc.a(mvrtrn.o) : pathint.fcm
$(LIB)/mc.a(mvrtrn.o) : psf.fcm
$(LIB)/mc.a(mvrtrn.o) : selcta.fcm
$(LIB)/mc.a(mvrtrn.o) : stack.fcm
#
#
$(LIB)/mc.a(numrec.o) : impnon.fcm
#
#
$(LIB)/mc.a(wl.o) : ctitla.fcm
$(LIB)/mc.a(wl.o) : exfunc.fcm
$(LIB)/mc.a(wl.o) : heap.fcm
$(LIB)/mc.a(wl.o) : impnon.fcm
$(LIB)/mc.a(wl.o) : number.fcm
$(LIB)/mc.a(wl.o) : rxncom.fcm
$(LIB)/mc.a(wl.o) : stream.fcm
#
