# pipf makefile
# pipf library rules
OBJS_pipf= \
	$(LIB)/pipf.a(dpfimg.o) \
	$(LIB)/pipf.a(dpipf.o) \
	$(LIB)/pipf.a(epfimg.o) \
	$(LIB)/pipf.a(epipf.o) \
	$(LIB)/pipf.a(pfdyn.o)
#
$(LIB)/pipf.a : $(OBJS_pipf)
	$(RANLIB) $(LIB)/pipf.a
	@echo pipf COMPLETED
#
# pipf source file rules
$(LIB)/pipf.a(dpfimg.o)  : $(SRC)/pipf/dpfimg.src
	$(FLX) $(SRC)/pipf/dpfimg.src
	$(FC2) dpfimg.f
	$(AR_COMMAND) $(LIB)/pipf.a dpfimg.o
	$(REMOVE_F) dpfimg.f
	$(REMOVE_O) dpfimg.o
#
$(LIB)/pipf.a(dpipf.o)  : $(SRC)/pipf/dpipf.src
	$(FLX) $(SRC)/pipf/dpipf.src
	$(FC2) dpipf.f
	$(AR_COMMAND) $(LIB)/pipf.a dpipf.o
	$(REMOVE_F) dpipf.f
	$(REMOVE_O) dpipf.o
#
$(LIB)/pipf.a(epfimg.o)  : $(SRC)/pipf/epfimg.src
	$(FLX) $(SRC)/pipf/epfimg.src
	$(FC2) epfimg.f
	$(AR_COMMAND) $(LIB)/pipf.a epfimg.o
	$(REMOVE_F) epfimg.f
	$(REMOVE_O) epfimg.o
#
$(LIB)/pipf.a(epipf.o)  : $(SRC)/pipf/epipf.src
	$(FLX) $(SRC)/pipf/epipf.src
	$(FC2) epipf.f
	$(AR_COMMAND) $(LIB)/pipf.a epipf.o
	$(REMOVE_F) epipf.f
	$(REMOVE_O) epipf.o
#
$(LIB)/pipf.a(pfdyn.o)  : $(SRC)/pipf/pfdyn.src
	$(FLX) $(SRC)/pipf/pfdyn.src
	$(FC2) pfdyn.f
	$(AR_COMMAND) $(LIB)/pipf.a pfdyn.o
	$(REMOVE_F) pfdyn.f
	$(REMOVE_O) pfdyn.o
#
#
# pipf dependency file
#
$(LIB)/pipf.a(dpfimg.o) : consta.fcm
$(LIB)/pipf.a(dpfimg.o) : dimens.fcm
$(LIB)/pipf.a(dpfimg.o) : energy.fcm
$(LIB)/pipf.a(dpfimg.o) : exfunc.fcm
$(LIB)/pipf.a(dpfimg.o) : impnon.fcm
$(LIB)/pipf.a(dpfimg.o) : number.fcm
$(LIB)/pipf.a(dpfimg.o) : pbound.fcm
#
#
$(LIB)/pipf.a(dpipf.o) : consta.fcm
$(LIB)/pipf.a(dpipf.o) : dimens.fcm
$(LIB)/pipf.a(dpipf.o) : energy.fcm
$(LIB)/pipf.a(dpipf.o) : exfunc.fcm
$(LIB)/pipf.a(dpipf.o) : impnon.fcm
$(LIB)/pipf.a(dpipf.o) : number.fcm
$(LIB)/pipf.a(dpipf.o) : pbound.fcm
#
#
$(LIB)/pipf.a(epfimg.o) : bases.fcm
$(LIB)/pipf.a(epfimg.o) : consta.fcm
$(LIB)/pipf.a(epfimg.o) : dimens.fcm
$(LIB)/pipf.a(epfimg.o) : energy.fcm
$(LIB)/pipf.a(epfimg.o) : exfunc.fcm
$(LIB)/pipf.a(epfimg.o) : heap.fcm
$(LIB)/pipf.a(epfimg.o) : image.fcm
$(LIB)/pipf.a(epfimg.o) : impnon.fcm
$(LIB)/pipf.a(epfimg.o) : inbnd.fcm
$(LIB)/pipf.a(epfimg.o) : number.fcm
$(LIB)/pipf.a(epfimg.o) : pipf.fcm
$(LIB)/pipf.a(epfimg.o) : stream.fcm
#
#
$(LIB)/pipf.a(epipf.o) : consta.fcm
$(LIB)/pipf.a(epipf.o) : dimens.fcm
$(LIB)/pipf.a(epipf.o) : energy.fcm
$(LIB)/pipf.a(epipf.o) : exfunc.fcm
$(LIB)/pipf.a(epipf.o) : heap.fcm
$(LIB)/pipf.a(epipf.o) : impnon.fcm
$(LIB)/pipf.a(epipf.o) : number.fcm
$(LIB)/pipf.a(epipf.o) : pbound.fcm
$(LIB)/pipf.a(epipf.o) : pipf.fcm
$(LIB)/pipf.a(epipf.o) : stream.fcm
#
#
$(LIB)/pipf.a(pfdyn.o) : bases.fcm
$(LIB)/pipf.a(pfdyn.o) : cheqdyn.fcm
$(LIB)/pipf.a(pfdyn.o) : consta.fcm
$(LIB)/pipf.a(pfdyn.o) : coord.fcm
$(LIB)/pipf.a(pfdyn.o) : dimens.fcm
$(LIB)/pipf.a(pfdyn.o) : energy.fcm
$(LIB)/pipf.a(pfdyn.o) : exfunc.fcm
$(LIB)/pipf.a(pfdyn.o) : heap.fcm
$(LIB)/pipf.a(pfdyn.o) : image.fcm
$(LIB)/pipf.a(pfdyn.o) : impnon.fcm
$(LIB)/pipf.a(pfdyn.o) : inbnd.fcm
$(LIB)/pipf.a(pfdyn.o) : nose.fcm
$(LIB)/pipf.a(pfdyn.o) : number.fcm
$(LIB)/pipf.a(pfdyn.o) : pbound.fcm
$(LIB)/pipf.a(pfdyn.o) : pipf.fcm
$(LIB)/pipf.a(pfdyn.o) : psf.fcm
$(LIB)/pipf.a(pfdyn.o) : stack.fcm
$(LIB)/pipf.a(pfdyn.o) : stream.fcm
#
