C $Header: /export/cvs/c34a1/source/moldyn/MISCNO.INC,v 1.1.1.1 2006/08/17 02:29:56 brooks Exp $
C
C COPYRIGHT (C) 1991-1998 MOLDYN, INC.  ALL RIGHTS RESERVED
C =====================================================================
C 
C THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF MOLDYN, INC.
C 
C THIS SOFTWARE CONTAINS PROPRIETARY AND CONFIDENTIAL INFORMATION OF
C MOLDYN, INC., AND IS PROTECTED BY COPYRIGHT, TRADE SECRET AND OTHER
C STATE AND FEDERAL LAWS. USE, DISCLOSURE, REPRODUCTION OR DUPLICATION
C IN WHOLE OR IN PART IS STRICTLY PROHIBITED WITHOUT THE PRIOR EXPRESS
C WRITTEN CONSENT OF MOLDYN, INC. THE ABOVE COPYRIGHT NOTICE DOES NOT
C EVIDENCE ANY ACTUAL OR INTENDED PUBLICATION OF SUCH SOURCE CODE.
C 
C
      DOUBLE PRECISION ERAT_VV  !  Tolerance for iterated Verlet
      INTEGER NOPRNT
      INTEGER NOPLOT
      INTEGER NLONG
      INTEGER itmax       !  Maximum number of iterations for Verlet
C     Parameters for MTS:
      INTEGER nstages     ! Number of MTS stages 
      INTEGER mratio(maxstages)
                          ! MTS ratios (with respect to the fastest time step)
                                ! Note:  mratio(1) = 1.
      INTEGER icur_step   ! Counter for MTSL fastest steps and indicator for
                                ! initialization of MTSL   
                                ! (equal to:  iparam(16) - iparam(27) + 1)
      LOGICAL LONG1
      LOGICAL LONG2
      LOGICAL SEQFLG
      LOGICAL v_verlet    !  Flag for Iterated Velocity Verlet integrator
      LOGICAL runge_kutta !  Flag for Runge Kutta integrator
      LOGICAL verl_cd     !  Flag for Verlet central difference integrator
      LOGICAL lobatto     !  Flag for Lobatto integrator
      LOGICAL verlet      !  True for integrating 2nd order diff. equations
                          !  (VCD,IVV,Lobatto).
                          !  False for 1st order diff. eq.  (RK)

      DOUBLE PRECISION EULER_THRESHOLD ! threshold for switching Euler sequence

C
              COMMON /MISCNO/
     *  ERAT_VV, EULER_THRESHOLD,
     *  NOPRNT, NOPLOT, LONG1, LONG2, NLONG, SEQFLG, v_verlet, 
     *  itmax, nstages,mratio,icur_step,
     *  runge_kutta, verl_cd, verlet, lobatto
 
      CHARACTER*128  MISCNO_RCSID
      DATA           MISCNO_RCSID
     &/'$RCSfile: MISCNO.INC,v $$Revision: 1.1.1.1 $'/
