C $Header: /export/cvs/c34a1/source/moldyn/MOMENG.INC,v 1.1.1.1 2006/08/17 02:29:56 brooks Exp $
C
C COPYRIGHT (C) 1991-1998 MOLDYN, INC.  ALL RIGHTS RESERVED
C =====================================================================
C 
C THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF MOLDYN, INC.
C 
C THIS SOFTWARE CONTAINS PROPRIETARY AND CONFIDENTIAL INFORMATION OF
C MOLDYN, INC., AND IS PROTECTED BY COPYRIGHT, TRADE SECRET AND OTHER
C STATE AND FEDERAL LAWS. USE, DISCLOSURE, REPRODUCTION OR DUPLICATION
C IN WHOLE OR IN PART IS STRICTLY PROHIBITED WITHOUT THE PRIOR EXPRESS
C WRITTEN CONSENT OF MOLDYN, INC. THE ABOVE COPYRIGHT NOTICE DOES NOT
C EVIDENCE ANY ACTUAL OR INTENDED PUBLICATION OF SUCH SOURCE CODE.
C 
c      DOUBLE PRECISION p(L10)     ! Generalized momenta in body frame
c      DOUBLE PRECISION pmom(L10)  ! Generalized momenta in inertial frame
      INTEGER ipptr, ipmomptr     ! Pointers to location in HEAP_MB
      DOUBLE PRECISION htot(3)    ! Total angular momentum vector
      DOUBLE PRECISION totl(3)    ! Total linear momentum vector
      DOUBLE PRECISION engke(L01) ! Total kinetic energy for each body
      DOUBLE PRECISION engpe(L01) ! Total potential energy for each body
      DOUBLE PRECISION engpm(L01) ! Modal contribution to body potential energy
      DOUBLE PRECISION engpl(L01) ! E-S potential from multipoles
      DOUBLE PRECISION totke      ! Total kinetic energy
      DOUBLE PRECISION totpe      ! Total potential energy
      DOUBLE PRECISION toteng     ! Total energy
      DOUBLE PRECISION ahtot      ! Total angular momentum magnitude
      DOUBLE PRECISION atotl      ! Total linear momentum magnitude
c
              COMMON /MOMENG/
     *     HTOT, TOTL, ENGKE, ENGPE, ENGPL, ENGPM, TOTKE,
     *     TOTPE, TOTENG, AHTOT, ATOTL, ipptr,ipmomptr
 
      CHARACTER*128  MOMENG_RCSID
      DATA           MOMENG_RCSID
     &/'$RCSfile: MOMENG.INC,v $$Revision: 1.1.1.1 $'/
