C $Header: /export/cvs/c34a1/source/moldyn/adt.f,v 1.1.1.1 2006/08/17 02:29:56 brooks Exp $
C
C COPYRIGHT (C) 1991-1998 MOLDYN, INC.  ALL RIGHTS RESERVED
C =====================================================================
C 
C THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF MOLDYN, INC.
C 
C THIS SOFTWARE CONTAINS PROPRIETARY AND CONFIDENTIAL INFORMATION OF
C MOLDYN, INC., AND IS PROTECTED BY COPYRIGHT, TRADE SECRET AND OTHER
C STATE AND FEDERAL LAWS. USE, DISCLOSURE, REPRODUCTION OR DUPLICATION
C IN WHOLE OR IN PART IS STRICTLY PROHIBITED WITHOUT THE PRIOR EXPRESS
C WRITTEN CONSENT OF MOLDYN, INC. THE ABOVE COPYRIGHT NOTICE DOES NOT
C EVIDENCE ANY ACTUAL OR INTENDED PUBLICATION OF SUCH SOURCE CODE.
C 
C 
      FUNCTION ADT (IC,T)
CSE
C                                                          DEBUG # 104
CPS        PURPOSE:
C
C                   A USER DEFINED FUNCTION. USED TO DEFINE THE VELOCITY
C                   PROFILE FOR RHENOMICALLY CONSTRAINED COORDINATE
C                   'IC'; THAT IS, TO PROVIDE THE ALPHA DOT TERM IN
C                   EQUATION II-5, VOL 1.
C
C                   CAUTION JUMP DISCONTINUITIES IN ADT CAN LEAD TO
C                   EXTRANEOUS NUMERICAL IMPULSES. CHECK RESULTS
C                   CAREFULLY
C
CPE
      IMPLICIT NONE
 
      INTEGER IC         ! Dummy variable to have IMPLICIT NONE
      DOUBLE PRECISION T !Dummy variable too
      DOUBLE PRECISION ADT
      CHARACTER*128  RCSID
      DATA           RCSID
     &/'$RCSfile: adt.f,v $$Revision: 1.1.1.1 $'/
C
#include "PARAM.FOR"
C
#include "VECTOR.INC"
      ADT = 0.0
      RETURN
C
      END
