C $Header: /export/cvs/c34a1/source/moldyn/cmpic1.f,v 1.1.1.1 2006/08/17 02:29:56 brooks Exp $
C
C COPYRIGHT (C) 1991-1998 MOLDYN, INC.  ALL RIGHTS RESERVED
C ========================================================================
C
C THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF MOLDYN, INC.
C
C THIS SOFTWARE CONTAINS PROPRIETARY AND CONFIDENTIAL INFORMATION OF
C MOLDYN, INC., AND IS PROTECTED BY COPYRIGHT, TRADE SECRET AND OTHER 
C STATE AND FEDERAL LAWS.  USE, DISCLOSURE, REPRODUCTION OR DUPLICATION 
C IN WHOLE OR IN PART IS STRICTLY PROHIBITED WITHOUT THE PRIOR EXPRESS 
C WRITTEN CONSENT OF MOLDYN, INC. THE ABOVE COPYRIGHT NOTICE DOES NOT 
C EVIDENCE ANY ACTUAL OR INTENDED PUBLICATION OF SUCH SOURCE CODE.
C
      SUBROUTINE cmpic1
C
      IMPLICIT NONE
 
      CHARACTER*128  RCSID
      DATA           RCSID
     &/'$RCSfile: cmpic1.f,v $$Revision: 1.1.1.1 $'/
c
#include "PARAM.FOR"
c
c     MBO(N)D COMMON Blocks
c
#include "COREA.INC"
#include "CSTIFF.INC"
#include "INFOV.INC"
#include "MEMLB.INC"
#include "MOMENG.INC"
#include "OPTION.INC"
#include "SPECIF.INC"
c
c
c     Local Variables
c
      DOUBLE PRECISION tmas           !  Total mass
      DOUBLE PRECISION xcm(3)         !  System center of mass
c
c
c     Find the center of mass of the initial coordinates
c
      CALL cgadji(X(M30),X(M20),xcm,tmas,NATOM,1,0)
c
c     Compute the rigid body translational velocity.
c     Use tmas from previous call to cgadji
c
      CALL lmadji(X(M40),X(M20),totl,tmas,NATOM,1,999)
c
c     Compute the rigid body angular velocity.
c     This call uses the xcm that was calculated by cgadji.
c
      CALL amadji(X(M30),X(M40),X(M20),xcm,htot,NATOM,0)
c
      RETURN
      END








