C $Header: /export/cvs/c34a1/source/moldyn/initHeap.f,v 1.1.1.1 2006/08/17 02:29:56 brooks Exp $
C
C COPYRIGHT (C) 1991-1998 MOLDYN, INC.  ALL RIGHTS RESERVED
C ========================================================================
C
C THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF MOLDYN, INC.
C
C THIS SOFTWARE CONTAINS PROPRIETARY AND CONFIDENTIAL INFORMATION OF
C MOLDYN, INC., AND IS PROTECTED BY COPYRIGHT, TRADE SECRET AND OTHER
C STATE AND FEDERAL LAWS.  USE, DISCLOSURE, REPRODUCTION OR DUPLICATION
C IN WHOLE OR IN PART IS STRICTLY PROHIBITED WITHOUT THE PRIOR EXPRESS
C WRITTEN CONSENT OF MOLDYN, INC. THE ABOVE COPYRIGHT NOTICE DOES NOT
C EVIDENCE ANY ACTUAL OR INTENDED PUBLICATION OF SUCH SOURCE CODE.
c
      SUBROUTINE initHeap
c
c Purpose:
c     Subroutine to allocate memory for local variable
c     that use L value related to MAXMOD and MXPERBD
c     as array size.
c
      IMPLICIT NONE
 
      CHARACTER*128  RCSID
      DATA           RCSID
     &/'$RCSfile: initHeap.f,v $$Revision: 1.1.1.1 $'/

#include "PARAM.FOR"
#include "HEAPMB.INC"
#include "ERRHDL.INC"
#include "TAPENO.INC"

      INTEGER lastindex, nextindex
      INTEGER intlastindex, intnextindex
#ifdef POINTER_KEYWORD
      INTEGER nbytes
      INTEGER intnbytes
#endif

c     Location of beginning for each vector
c     used in mbdyna/msmodf.f 
c L43
c     msmodf.f
      Aptr = 1
      Bptr = Aptr + (cL43 * cL45)
      Cptr = Bptr + (cL43 * cL45)
      WSptr = Cptr + (cL43 * cL45)
      UVECptr = WSptr + (cL43 * 13)

c     cmpic2.f
      irotcoorptr = UVECptr + cL43
      imodevctrptr = irotcoorptr + 3 * cL43
      ixmassptr = imodevctrptr + 3*cL43*cL06 
c
      itmpampptr = ixmassptr + cL43
      ierrorptr = itmpampptr + cL43
c
      ievalptr = ierrorptr + 3 * cL43
  
C L06
c     engmom.f
      iwvptr_engmom = ievalptr + 3 * cL43

c     mgen.f
      irwptr_mgen = iwvptr_engmom + cL06 
      icwptr_mgen = irwptr_mgen + 3 * cL06

c     torque.f
      irwptr_torque = icwptr_mgen + cL06 * 3
      icwptr_torque = irwptr_torque + 3 * cL06
      iv1ptr_torque = icwptr_torque + cL06 * 3

C L07
c     init_vcd.f
      iysavptr_init_vcd = iv1ptr_torque + cL06
      idysavptr_init_vcd = iysavptr_init_vcd + cL07
      ix_tmpptr_init_vcd = idysavptr_init_vcd + cL07

c     mdloop_CHARMM.f
      izptr_mdloop_charmm = ix_tmpptr_init_vcd + cL07/3
      izdtptr_mdloop_charmm = izptr_mdloop_charmm + cL07

c     multb.f
      iwptr_multb = izdtptr_mdloop_charmm + cL07

c     rk4.f
      iytptr_rk4 = iwptr_multb + cL07
      idytptr_rk4 = iytptr_rk4 + cL07
      idymptr_rk4 = idytptr_rk4 + cL07

c     verlcd.f
      iaccptr_verlcd = idymptr_rk4 + cL07

c L08
c     bckwrd.f
      irmttmp_bckwrd = iaccptr_verlcd + cl07/3
      ikpvtmptr_bckwrd = irmttmp_bckwrd + cL08 * cL08
      itempptr_bckwrd = ikpvtmptr_bckwrd + cL08
      itemp2ptr_bckwrd = itempptr_bckwrd + cL08
      izwkptr_bckwrd = itemp2ptr_bckwrd + cL08
c     bckwrd_1
      irmttmp_bckwrd1 = izwkptr_bckwrd + cL08
      ikpvtmptr_bckwrd1 = irmttmp_bckwrd1 + cL08 * cL08
      itempptr_bckwrd1 = ikpvtmptr_bckwrd1 + cL08
      itemp2ptr_bckwrd1 = itempptr_bckwrd1 + cL08
      izwkptr_bckwrd1 = itemp2ptr_bckwrd1 + cL08
      ibhinbptr_bckwrd1 = izwkptr_bckwrd1 + cL08
      ibhoutptr_bckwrd1 = ibhinbptr_bckwrd1 + 6 * cL08

c     bhengr.f
      ibhqptr_bhgenr = ibhoutptr_bckwrd1 + 6 * cL08 
      ibhpptr_bhgenr = ibhqptr_bhgenr + 6 * cL08

c     cjmpls.f
      ibhinbptr_cjmpls = ibhpptr_bhgenr + 6 * cL08

c     clbck1.f
      ibhqptr_clbck1 = ibhinbptr_cjmpls + 6 * cL08
      ibhpptr_clbck1 = ibhqptr_clbck1 + 6 * cL08
      ibhinbptr_clbck1 = ibhpptr_clbck1 + 6 * cL08
      ibhoutptr_clbck1 = ibhinbptr_clbck1 + 6 * cL08

c     clbck2.f
      ibhinbptr_clbck2 = ibhoutptr_clbck1 + 6 * cL08
      ibhoutptr_clbck2 = ibhinbptr_clbck2 + 6 * cL08

c     clfor1.f
      ibhqptr_clfor1 = ibhoutptr_clbck2 + 6 * cL08
      ibhpptr_clfor1 = ibhqptr_clfor1 + 6 * cL08

c     clfor3.f
      ibhoutptr_clfor3_1 = ibhpptr_clfor1 + 6 * cL08

c     clfr2a.f
      ibhinbptr_clfr2a = ibhoutptr_clfor3_1 + 6 * cL08

c     clfr2b.f
      ibhinbptr_clfr2b = ibhinbptr_clfr2a + 6 * cL08

c     cmpic2.f
      icmatptr_cmpic2 = ibhinbptr_clfr2b + 6 * cL08
      icmat2ptr_cmpic2 = icmatptr_cmpic2 + 3 * cL08
      ifmatptr_cmpic2 = icmat2ptr_cmpic2 + 6 * cL08
      igmxptr_cmpic2 = ifmatptr_cmpic2 + cL08 * 3
      ismptr_cmpic2 = igmxptr_cmpic2 + cL08

c     frwd1b.f
      ibdoticptr_frwd1b = ismptr_cmpic2 + cL08 * cL08
      ibdotinptr_frwd1b = ibdoticptr_frwd1b + 6 * cL08

c     frwrd2.f
      itempptr_frwrd2 = ibdotinptr_frwd1b + 6 * cL08
      itemp1ptr_frwrd2 = itempptr_frwrd2 + cL08
      izwkptr_frwrd2 = itemp1ptr_frwrd2 + cL08
c     frwrd2_1
      itempptr_frwrd2_1 = izwkptr_frwrd2 + cL08 
      itemp1ptr_frwrd2_1 = itempptr_frwrd2_1 + cL08
      izwkptr_frwrd2_1 = itemp1ptr_frwrd2_1 + cL08

c L10
c     cmpic2.f

c     ydot.f
      iggvptr_ydot = izwkptr_frwrd2_1 + cL08

c L11
c     cjmpls.f
      idbetxiptr_cjmpls = iggvptr_ydot + cL10
      itemp1ptr_cjmpls = idbetxiptr_cjmpls + cl11
      idbetxiptr_cjmpls_1 = itemp1ptr_cjmpls + cl11
      itempptr_cjmpls_1 = idbetxiptr_cjmpls_1 + cl11
      itemp1ptr_cjmpls_1 = itempptr_cjmpls_1 + cl11

c     clbck1.f
      irmttmpptr_clbck1 = itemp1ptr_cjmpls_1 + cl11
      ia1ptr_clbck1 = irmttmpptr_clbck1 + cL11 * cL11
      ia3ptr_clbck1 = ia1ptr_clbck1 + cL11 * 6
      itempptr_clbck1 = ia3ptr_clbck1 + 6 * cL11
      itempaptr_clbck1 = itempptr_clbck1 + cL11
      itempa2ptr_clbck1 = itempaptr_clbck1 + cL11 * 6

c     clbck2.f
      irmttmpptr_clbck2 = itempa2ptr_clbck1 + cL11 * 6

c     clfor3.f
      itempptr_clfor3 = irmttmpptr_clbck2 + cL11 * cL11
      itemp1ptr_clfor3 = itempptr_clfor3 + cL11
      itempptr_clfor3_1 = itemp1ptr_clfor3 + cL11
      itemp1ptr_clfor3_1 = itempptr_clfor3_1 + cL11

c     clfor2b.f
      itempptr_clfr2b = itemp1ptr_clfor3_1 + cL11
      itemp1ptr_clfr2b = itempptr_clfr2b + cL11
      ibdtqptr_clfr2b = itemp1ptr_clfr2b + cL11
      ibdtpptr_clfr2b = ibdtqptr_clfr2b + 6 * cL11
      iustarptr_clfr2b = ibdtpptr_clfr2b  + 6 * cL11

c     velrms.f
      icmatptr_velrms = iustarptr_clfr2b + L01 * cL11

c L72
c     cmpic2.f
      ivsavptr_cmpic2 = icmatptr_velrms + 3 * cL11
c L63
c      clfr2b.f
      izetacptr_clfr2b = ivsavptr_cmpic2 + cL72

c L09
c     ydot.f
      iirhptr_ydot = izetacptr_clfr2b + 6 * cL63

c L63 
c      clfr2a.f
      iacopyptr_clfr2a = iirhptr_ydot + cL09
      izptr_clfr2a = iacopyptr_clfr2a + cL64 * cL64
      itempvptr_clfr2a = izptr_clfr2a + cL64

c   double precision local heap
      nextindex = itempvptr_clfr2a + cL64
      lastindex = nextindex - 1
#ifdef POINTER_KEYWORD
      nbytes = dbpresz * lastindex
      CALL mbalcPTR(lhpptr,nbytes)
#else
C     Check if enough memory is statically allocated
      IF ( lastindex .GT. MAX_LocalHeap ) THEN
         WRITE(MBOUT,*)
     *   ' Do not have enough memory allocated for LocalHeap
     *  in source/moldyn/PARAM.FOR'
         CALL CLEARERR()
         WRITE(ERRMSG,201)
     *     'Increase MAX_LocalHeap to > ', lastindex,
     *     ' in PARAM.FOR'
         CALL ERRHDL(-5,'<INITHEAP>')
      ENDIF
#endif
c
c
c   integer local heap
c L08
c     clfor3.f
      ikpvtptr_clfor3 = 1
      ikpvtptr_clfor3_1 = ikpvtptr_clfor3 + cL08
c     cmpic2.f
      ikpvtmptr_cmpic2 = ikpvtptr_clfor3_1 + cL08
c     frwrd2.f
      ikpvtptr_frwrd2 = ikpvtmptr_cmpic2 + cL08
      ikpvtptr_frwrd2_1 = ikpvtptr_frwrd2 + cL08
c L10
c     cmpic2.f
      ikpvtalptr_cmpic2 = ikpvtptr_frwrd2_1 + cL08
c L11 
c      clbck1.f
      ikpvtmptr_clbck1 = ikpvtalptr_cmpic2 + cL10
c     clbck2.f
      ikpvtmptr_clbck2 = ikpvtmptr_clbck1 + cL11
c L02
c     cmpic2.f
      iidblptr_cmpic2 = ikpvtmptr_clbck2 + cL11

c     ctinit1_CHARMM.f
      iiopptr_ctinit1_CHARMM = iidblptr_cmpic2 + 3 * cL02
      iloopptr_ctinit1_CHARMM = iiopptr_ctinit1_CHARMM + 2 * cL02
c
c     rotdh1_CHARMM.f
c
      iiopptr_rotdh1_CHARMM = iloopptr_ctinit1_CHARMM + cL02
c
c L76
c     cmpic2.f
      iicblptr_cmpic2 = iiopptr_rotdh1_CHARMM + 2 * cL02
c
c
      intnextindex = iicblptr_cmpic2 + 4 * cL76
      intlastindex = intnextindex - 1
c     intgrsz should be used here instead of dbpresz
c     but intgrsz gives core dumps in subroutine
c     rotdh1_charmm
#ifdef POINTER_KEYWORD
      intnbytes = intgrsz * intlastindex
      CALL mbalcPTR(ilhpptr,intnbytes)
      if (lhpptr .le. 0) then
          CALL CLEARERR()
          Write(ERRMSG,200)
     *       'NOT ENOUGH MEMORY TO ALLOCATE FOR LOCALHEAP'
          CALL ERRHDL(-5,'<INITHEAP>')
      endif  
      if (ilhpptr .le. 0) then
          CALL CLEARERR()
          Write(ERRMSG,200)
     *       'NOT ENOUGH MEMORY TO ALLOCATE FOR intLOCALHEAP'
          CALL ERRHDL(-5,'<INITHEAP>')
      endif  
 200  FORMAT(1X,A)
#else
C     Check if enough memory is statically allocated
      IF ( intlastindex .GT. MAX_intLocalHeap ) THEN
         WRITE(MBOUT,*)
     *      'NOT ENOUGH MEMORY ALLOCATED FOR intLocalHeap
     *  in source/moldyn/PARAM.FOR'
         CALL CLEARERR()
         WRITE(ERRMSG,201)
     *         'Increase MAX_intLocalHeap to', intlastindex,
     *         ' in PARAM.FOR'
         CALL ERRHDL(-5,'<INITHEAP>')
      ENDIF
 201  FORMAT(1X,A,I9,A)
#endif
c
c
      RETURN 
      END


cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c     beginning of init_LoopHeap
c
      SUBROUTINE init_LoopHeap
c
c Purpose:
c     subroutine to allocate memory for global variables
c     that use L values related to MXLOOP as array size.
c
      IMPLICIT NONE

#include "PARAM.FOR"

#include "HEAPMB.INC"
#include "BHBSRD.INC"
#include "CPATHS.INC"
#include "CSTIFF.INC"
#include "SPECIF.INC"
#include "F1BKF2.INC"
#include "HANDS2.INC"
#include "IVCONS.INC"
#include "ORDERN.INC"
#include "PARTCL.INC"
#include "PINRP.INC"
#include "SELECT.INC"
#include "LAMBDA.INC"
#include "CLOOP.INC"
#include "MAXMUM.INC"
#include "ERRHDL.INC"
#include "TAPENO.INC"

c  intLoopHeap
c     IBHTYPE  -   iibhtypeptr   see BHBSRD.INC
c     IACONN   -   iiaconnptr    see CSTIFF.INC
c     IBCONN   -   iibconnptr    see CSTIFF.INC
c     IHTHPTR  -   iihthptrptr   see HANDS2.INC
c     IV       -   iivptr        see IVCONS.INC
c     ICHPVT   -   iichpvtptr    see PARTCL.INC
c     IHPVT    -   iihpvtptr     see PARTCL.INC
c     ISEL     -   iiselptr      see SELECT.INC
c     ISDOF    -   iisdofptr     see SELECT.INC
c     IBETDT   -   iibetdtptr    see SELECT.INC
c     ITOPOL   -   iitopolptr    see SPECIF.INC
c     IHDATA   -   iihdataptr    see SPECIF.INC
c     IBH_PTR  -   iibh_ptrptr   see BHBSRD.INC
c     IHCUTJ   -   iihcutjptr    see CPATHS.INC
c     ICLPVT   -   iiclpvtptr    see CLOOP.INC
c
c  LogicLoopHeap
c     IHPATH   -   iihpathptr    see CPATHS.INC 
c     ISCUT    -   iiscutptr     see CPATHS.INC
c
c  LoopHeap
c     RVEC     -   irvecptr      see CSTIFF.INC
c     RINV     -   irinvptr      see F1BKF2.INC
c     ZETA     -   izetaptr      see F1BKF2.INC
C     PIMAT    -   ipimatptr     see ORDERN.INC
c     PIN      -   ipinptr       see PINRP.INC
c     RP2      -   irp2ptr       see PINRP.INC
c     RP3      -   irp3ptr       see PINRP.INC
c     BETAH    -   ibetahptr     see SPECIF.INC
c     ALAM     -   ialamptr      see LAMBDA.INC
c     RH       -   irhptr        see SPECIF.INC
c     DH       -   idhptr        see SPECIF.INC
c     RLAMDA   -   irlamdaptr    see CLOOP.INC
c     ACLMAT   -   iaclmatptr    see CLOOP.INC
c
cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c
c     Local variables
      integer intnextindex,intlastelement,intnbytes
      integer lgcnextindex,lgclastelement,lgcnbytes
      integer nextindex,lastelement
#ifdef POINTER_KEYWORD
      integer i,nbytes
#endif
c
      cL02 = NH 
      cL09 = 6 * cL02
      cL12 = 2 * cL02 - 1
      cL15 = 6 * (cL02 - 1)
      cL16 = 7 * (cL02 - 1)
      cL63 = MaxLoop
      cL64 = 6 * cL63
      cL76 = cL02 + 6

c intLoopHeap pointers
      iibhtypeptr = 1
      iiaconnptr = iibhtypeptr + cL02
      iibconnptr = iiaconnptr + 2 * cL02
      iihconnptr = iibconnptr + 2 * cL02
      iiconnhptr = iihconnptr + 2 * cL02
      iihthptrptr = iiconnhptr + cL02
      iivptr = iihthptrptr + 2 * cL02
      iichpvtptr = iivptr + 6 * cL02
      iihpvtptr = iichpvtptr + cL02
      iiselptr = iihpvtptr + cL02
      iisdofptr = iiselptr + 6*cL02
      iibetdtptr = iisdofptr + 9 * cL02
      iitopolptr = iibetdtptr + cL02
      iihdataptr = iitopolptr + 2 * cL02
      iibh_ptrptr = iihdataptr + 7 * cL02
c
      if ( maxloop .le. 0 ) then
         intnextindex = iibh_ptrptr + cL12 + 1
      else
         iihcutjptr = iibh_ptrptr + cL12 + 1
         iiclpvtptr = iihcutjptr + cL63
         intnextindex = iiclpvtptr + cL64
      end if

      intlastelement = intnextindex - 1
      intnbytes = intgrsz * intlastelement


c logicLoopHeap pointers
      iihpathptr = 1
      iiscutptr = iihpathptr + (cL63+1) * cL02

      lgcnextindex = iiscutptr + cL02 
      lgclastelement = lgcnextindex - 1
      lgcnbytes = lgcalsz * lgclastelement

c double precision loopheap pointers
      irvecptr = 1
c      iuconnptr = irvecptr + 3 * cL02
      irinvptr = irvecptr + 3 * cL02
      izetaptr = irinvptr + 36 * cL02
      ipimatptr = izetaptr + 6 * cL02
      ipinptr = ipimatptr + 9 * cL02
      irp2ptr = ipinptr + 9 * cL02
      irp3ptr = irp2ptr + 9 * cL02
      ibetahptr = irp3ptr + 9 * cL02
      ibetahdptr = ibetahptr + 6 * cL02
      ialamptr = ibetahdptr + 6 * cL02
      irhptr = ialamptr + cL09
      idhptr = irhptr + 9 * cL15
c
      if ( maxloop .le. 0 ) then
         nextindex = idhptr + 3 * cL16
      else
         irlamdaptr = idhptr + 3 * cL16
         iaclmatptr = irlamdaptr + cL64
         nextindex = iaclmatptr + cL64 * cL64
      end if
c
      lastelement = nextindex - 1

#ifdef POINTER_KEYWORD
      nbytes = dbpresz * lastelement
      IF ( imlpptr .GT. 0 ) THEN
           CALL mbfrePTR(imlpptr)
      END IF
      IF ( lmlpptr .GT. 0 ) THEN
           CALL mbfrePTR(lmlpptr)
      END IF
      IF ( mlpptr .GT. 0 ) THEN
           CALL mbfrePTR(mlpptr)
      END IF

      IF ( intlastelement .GT. 0 ) THEN
           CALL mbalcPTR(imlpptr,intnbytes)
      END IF
      IF ( lgclastelement .GT. 0 ) THEN
           CALL mbalcPTR(lmlpptr,lgcnbytes)
      END IF
      IF ( lastelement .GT. 0 ) THEN
           CALL mbalcPTR(mlpptr,nbytes)
      END IF

      IF (imlpptr .LE. 0 .OR. lmlpptr .LE. 0 .OR.
     &    mlpptr .LE. 0) THEN
           CALL CLEARERR()
          WRITE(ERRMSG,200)
     *      'NOT ENOUGH MEMORY ALLOCATED FOR LOOP HEAPS'
          CALL ERRHDL(-5,'<INIT_LOOPHEAP>')
      END IF
 200  FORMAT(1X,A)
#else
C     Check if enough memory has been statically allocated.
      IF ( intlastelement .GT. MAX_intLoopHeap ) THEN
         WRITE(MBOUT,*)
     *      'NOT ENOUGH MEMORY ALLOCATED FOR intLoopHeap
     *  in source/moldyn/PARAM.FOR '
         CALL CLEARERR()
         WRITE(ERRMSG,201)
     *         'Increase MAX_intLoopHeap to', intlastelement,
     *         ' in PARAM.FOR'
         CALL ERRHDL(-5,'<INITHEAP>')
      ENDIF
      IF ( lgclastelement .GT. MAX_logicLoopHeap ) THEN
         WRITE(MBOUT,*)
     *        'NOT ENOUGH MEMORY ALLOCATED FOR logicLoopHeap
     *  in source/moldyn/PARAM.FOR'
         CALL CLEARERR()
         WRITE(ERRMSG,201)
     *         'Increase MAX_logicLocalHeap to', lgclastelement,
     *         ' in PARAM.FOR'
         CALL ERRHDL(-5,'<INITHEAP>')
      ENDIF
      IF ( lastelement .GT. MAX_LoopHeap ) THEN
        WRITE(MBOUT,*)
     *        'NOT ENOUGH MEMORY ALLOCATED FOR LoopHeap
     *  in source/moldyn/PARAM.FOR'
         CALL CLEARERR()
         WRITE(ERRMSG,201)
     *         'Increase MAX_LoopHeap to', lastelement,
     *         ' in PARAM.FOR'
         CALL ERRHDL(-5,'<INITHEAP>')
      ENDIF
 201  FORMAT(1X,A,I9,A)
#endif

c   
      RETURN
      END
