C $Header: /export/cvs/c34a1/source/moldyn/plotwr.f,v 1.1.1.1 2006/08/17 02:29:56 brooks Exp $
C
C COPYRIGHT (C) 1991-1998 MOLDYN, INC.  ALL RIGHTS RESERVED
C ========================================================================
C
C THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF MOLDYN, INC.
C
C THIS SOFTWARE CONTAINS PROPRIETARY AND CONFIDENTIAL INFORMATION OF
C MOLDYN, INC., AND IS PROTECTED BY COPYRIGHT, TRADE SECRET AND OTHER 
C STATE AND FEDERAL LAWS.  USE, DISCLOSURE, REPRODUCTION OR DUPLICATION 
C IN WHOLE OR IN PART IS STRICTLY PROHIBITED WITHOUT THE PRIOR EXPRESS 
C WRITTEN CONSENT OF MOLDYN, INC. THE ABOVE COPYRIGHT NOTICE DOES NOT 
C EVIDENCE ANY ACTUAL OR INTENDED PUBLICATION OF SUCH SOURCE CODE.
C
      SUBROUTINE PLOTWR
CSE
C                                                          DEBUG #  61
CPS        PURPOSE:
C
C                   PUT ALL TIME HISTORY DATA ON NTAPE3, PLOTS MAY BE
C                   MADE OF ANY OF THE VARIABLES WRITTEN ON NTAPE3
C
C                   TO ACCOMODATE USER DESIRED VARIABLES TO BE PLOTTED
C                   MORE THAN JUST STANDARD SET OF TIME DEPENDENT
C                   VARIABLES CAN NOW BE PLOTTED
C
CPE
      IMPLICIT NONE
 
      CHARACTER*128  RCSID
      DATA           RCSID
     &/'$RCSfile: plotwr.f,v $$Revision: 1.1.1.1 $'/
C
#include "PARAM.FOR"
C
#include "CHARMM.INC"
#include "COREA.INC"
#include "INFOV.INC"
#include "LAMBDA.INC"
#include "MAXMUM.INC"
#include "MEMLB.INC"
#include "MOMENG.INC"
#include "SPECIF.INC"
#include "TAPENO.INC"
#include "TIMESS.INC"
#include "VECTOR.INC"
C
C     Local Variables
C
      INTEGER I,I1
      INTEGER LM,LP
      DOUBLE PRECISION COM(3)
      DOUBLE PRECISION sum1,sum2
C
C   THE FOLLOWING STATEMENT IS INCLUDED TO PREVENT INADVERTENTLY
C   WRITING THE PLOT TAPE AT A TIME GREATER THAN ENDT.  IF THIS
C   OCCURS, AND IT MIGHT IN VIEW OF THE VARIABLE STEP INTEGRATION
C   ALGORITHM, THE PLOT FRAME COUNTER MAY POSSIBLE NOT BE RIGHT.
      IF(T .GT. ENDT) T = ENDT
C
      sum1 = 0.
      lm = M20 - 1
      do i = 1, NATOM
         lm = lm + 1
         sum1 = sum1 + 1./X(lm)
      end do
      do i1 = 1, 3
         sum2=0.
         lm = M20
         lp = M30 - 1 + i1
         do i = 1, NATOM
            sum2 = sum2 + X(lp)/X(lm)
            lm = lm + 1
            lp = lp + 3
         end do
         com(i1) = sum2/sum1
      end do
  
      IF (MBPLVL .GE. 9) THEN       
        WRITE (MBOUT,1000) T, com
      END IF
 1000 format(4(1pe12.5))
C
      RETURN
      END
