C $Header: /export/cvs/c34a1/source/moldyn/posrms.f,v 1.1.1.1 2006/08/17 02:29:56 brooks Exp $
C
C COPYRIGHT (C) 1991-1998 MOLDYN, INC.  ALL RIGHTS RESERVED
C ========================================================================
C
C THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF MOLDYN, INC.
C
C THIS SOFTWARE CONTAINS PROPRIETARY AND CONFIDENTIAL INFORMATION OF
C MOLDYN, INC., AND IS PROTECTED BY COPYRIGHT, TRADE SECRET AND OTHER 
C STATE AND FEDERAL LAWS.  USE, DISCLOSURE, REPRODUCTION OR DUPLICATION 
C IN WHOLE OR IN PART IS STRICTLY PROHIBITED WITHOUT THE PRIOR EXPRESS 
C WRITTEN CONSENT OF MOLDYN, INC. THE ABOVE COPYRIGHT NOTICE DOES NOT 
C EVIDENCE ANY ACTUAL OR INTENDED PUBLICATION OF SUCH SOURCE CODE.
C
      subroutine posrms(perr,iout)
cblink Take iout out some time.
c
      IMPLICIT NONE
c
#include "PARAM.FOR"
c
#include "CHARMM.INC"
#include "COREA.INC"
#include "CSTIFF.INC"
#include "ERRHDL.INC"
#include "INFOV.INC"
#include "MEMLB.INC"
#include "SPECIF.INC"
#include "TAPENO.INC"
#include "HEAPMB.INC"
#include "MOMENG.INC"
c
c     passed
c
      INTEGER iout     ! used ifdef AMBER
      INTEGER i,i1,i2,i3,iat,ifb
      INTEGER itype,lm,lp
      DOUBLE PRECISION perr
      DOUBLE PRECISION crtemp(3,L03),crtmp2(3,L03)
      DOUBLE PRECISION pferr(L01),tmat(3,3),s(3)
      DOUBLE PRECISION dum,sum
c
      CHARACTER*128  RCSID
      DATA           RCSID
     &/'$RCSfile: posrms.f,v $$Revision: 1.1.1.1 $'/

      perr = 0.
      itype = 1
      i3 = 1
      do ifb = 1, nb
         pferr(ifb) = 0.
         i2 = iatoms(1,ifb) - 1
         lp = M30 + 3*i2
         lm = M20 + i2
         iat = iatoms(3,ifb)
         if (iat .ne. 1) then
            call rottr(3,itype,theta(1,ifb),tmat,dum,dum)
         end if
         do i = 1, iat
            IF (i3 .GT. L03) THEN
               CALL CLEARERR()
               WRITE(ERRMSG,200)
     +         'i3 excedes L03'
               CALL ERRHDL(-5,'<POSRMS>')
            END IF
 200        FORMAT(1X,A)
            if (iat. ne. 1) then
               call cmposn(i,i2,IRGFLX(ifb),ifb,1,tmat,dum,s,
     &                     HEAP_MB(iamdampptr),HEAP_MB(ipptr))
            else
               s(1) = cgnom(1,ifb) + cgadj(1,ifb)
               s(2) = cgnom(2,ifb) + cgadj(2,ifb)
               s(3) = cgnom(3,ifb) + cgadj(3,ifb)
            end if
            sum = 0D0
            do i1 = 1, 3
               sum = sum + (s(i1) - X(lp))**2
               crtemp(i1,i3) = s(i1)
               crtmp2(i1,i3) = X(lp)
               lp = lp + 1
            end do
            perr = perr + sum/X(lm)
            pferr(ifb) = pferr(ifb) + sum/X(lm)
            i3 = i3 + 1
            lm = lm + 1
         end do
         pferr(ifb) = sqrt(pferr(ifb)/DBLE(3*iatoms(3,ifb)))
      end do
      perr = sqrt(perr/DBLE(3*NATOM))
#ifdef AMBER
      if (iout .ne. 0) CALL CORPAC(X(M30),3*NATOM,12,.true.)
      if (iout .eq. 2) CALL CORPAC(X(M40),3*NATOM,12,.true.)
#endif
      IF (MBPLVL .GE. 9) THEN 
        write (MBOUT,*) 'Mass weighted RMS position errors:'
        write (MBOUT,*) 'Total molecule:'
        write (MBOUT,*) perr
        write (MBOUT,*) 'Each fragment:'
        write (MBOUT,*) (pferr(ifb),ifb=1,nb)
        write (MBOUT,*) ' '
      END IF
c
      return
      end
