C $Header: /export/cvs/c34a1/source/moldyn/prntbd.f,v 1.1.1.1 2006/08/17 02:29:56 brooks Exp $
C
C COPYRIGHT (C) 1991-1994 MOLDYN, INC.  ALL RIGHTS RESERVED
C ========================================================================
C
C THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF MOLDYN, INC.
C
C THIS SOFTWARE CONTAINS PROPRIETARY AND CONFIDENTIAL INFORMATION OF
C MOLDYN, INC., AND IS PROTECTED BY COPYRIGHT, TRADE SECRET AND OTHER 
C STATE AND FEDERAL LAWS.  USE, DISCLOSURE, REPRODUCTION OR DUPLICATION 
C IN WHOLE OR IN PART IS STRICTLY PROHIBITED WITHOUT THE PRIOR EXPRESS 
C WRITTEN CONSENT OF MOLDYN, INC. THE ABOVE COPYRIGHT NOTICE DOES NOT 
C EVIDENCE ANY ACTUAL OR INTENDED PUBLICATION OF SUCH SOURCE CODE.
C
      SUBROUTINE prntbd
c
c     Print the body vector information
c
      IMPLICIT NONE
 
      CHARACTER*128  RCSID
      DATA           RCSID
     &/'$RCSfile: prntbd.f,v $$Revision: 1.1.1.1 $'/
c
#include "PARAM.FOR"
c
#include "CHARMM.INC"
#include "COMPOS.INC"
#include "CSTIFF.INC"
#include "SPECIF.INC"
c
c     Local Variables
c
      INTEGER n, i
c
c     Print center of mass
c
      WRITE(noutvc,85) 'MBDYN>','No.','Bodyname','CM X','CM Y','CM Z'
      DO n = 1, nbdy
         WRITE(noutvc,86) 'MBDYN>', n, bodyname(n), (REAL(cgnom(i,n)),
     *        i=1,3)
      END DO
 85   format(a6,a5,a10,a9,2a14)
 86   format(a6,i4,a9,3f14.8)
c
cblink  This needs to be fixed!!
cblink  The transformation involves a pre- and post-multiply,
cblink  not just a simple product.
cblink
cblink  Note that section of code commented out in ydot.f that
cblink  calls compin_2 will need to be enabled to calculate
cblink  the prinicipal inertia matrix.
c
c     Print principal axis
c
c      WRITE(noutvc,95) 'MBDYN>', 'No.', 'Axis', 'Bodyname', 'Vector'
c      DO n = 1, nbdy
c         DO i = 1, 3
c            WRITE(noutvc,96) 'MBDYN>', n, i, bodyname(n),
c     *           (ajvec(i,j)*ajval(i),j=1,3)
c         END DO
c         write(noutvc,*) ' '
c      END DO
c 95   format(a6,a5,a6,a10,'             ',a20)
c 96   format(a6,i4,i6,a9,3f20.8)
c
      RETURN
      END
