C $Header: /export/cvs/c34a1/source/moldyn/start.f,v 1.1.1.1 2006/08/17 02:29:56 brooks Exp $
C
C COPYRIGHT (C) 1991-1998 MOLDYN, INC.  ALL RIGHTS RESERVED
C =====================================================================
C 
C THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF MOLDYN, INC.
C 
C THIS SOFTWARE CONTAINS PROPRIETARY AND CONFIDENTIAL INFORMATION OF
C MOLDYN, INC., AND IS PROTECTED BY COPYRIGHT, TRADE SECRET AND OTHER
C STATE AND FEDERAL LAWS. USE, DISCLOSURE, REPRODUCTION OR DUPLICATION
C IN WHOLE OR IN PART IS STRICTLY PROHIBITED WITHOUT THE PRIOR EXPRESS
C WRITTEN CONSENT OF MOLDYN, INC. THE ABOVE COPYRIGHT NOTICE DOES NOT
C EVIDENCE ANY ACTUAL OR INTENDED PUBLICATION OF SUCH SOURCE CODE.
C 
C 
      SUBROUTINE START
c
      IMPLICIT NONE
 
      CHARACTER*128  RCSID
      DATA           RCSID
     &/'$RCSfile: start.f,v $$Revision: 1.1.1.1 $'/
CSE
C                                                          DEBUG #   6
CPS        PURPOSE:
C
C                   READS DATA TO BE USED FOR THE HEADING ON EACH
C                   OUTPUT PAGE. IF(RUNNO .EQ. 6HDEBUG ) THEN READ
C                   THREE EXTRA CARDS. THESE DEFINE THE SUBROUTINES
C                   FOR WHICH THE DEBUG PRINT OPTION IS TO BE
C                   EXERCISED
C
CPE
CIS
C
C   SUBROUTINE START  - INPUT IDENTIFICATIONS
C   -----------------------------------------
C
C
C
C
C                RUNNO  = RUN IDENTIFICATION NUMBER (6 CHARACTERS)
C                UNAME  = USERS NAME (18 CHARACTERS)
C
C                RUNNO EQ 'STOP' - TERMINATE THE RUN
C                RUNNO NE 'STOP' - CONTINUE THE RUN
C
C                DEBUG(I) = .TRUE.  IF DEBUG PRINT STATEMENTS CODED IN
C                                  SUBROUTINE DEBUG # I ARE TO BE USED
C                         = . FALSE. IF NO DEBUG PRINTING DESIRED IN
C                                    SUBROUTINE DEBUG # I
C
C             IF(RUNNO.NE.'DEBUG' ) GO TO 1
C
C
C           1 CONTINUE
C
C
C
C                TITLE1 = 72 CHARACTER USER SUPPLIED TITLE
C                TITLE2 = 72 CHARACTER USER SUPPLIED TITLE
C
C         RETURN
C         END
C
CIE
C
#include "PARAM.FOR"
#include "LSTART.INC"
#include "LSTRT1.INC"
#include "LDEBUG.INC"
C
      INTEGER NDBGMX,I
C
CCC  --- TAKEN FROM FORMA, ACKNOWLEDGEMENT GIVEN TO R. HRUDA, R. WOHLEN
C  READS INPUT CARD 1 FOR RUNNO, UNAME.
C  CHECKS RUNNO FOR STOP (I.E. IF RUNNO = STOP, PROGRAM WILL
C  BE STOPPED). YOU SHOULD HAVE A STOP CARD (THE WORD STOP PUNCHED
C  STARTING IN COLUMN 1) AFTER YOUR REGULAR DATA DECK.
C  IF RUNNO IS NOT EQUAL TO STOP, THE SUBROUTINE CONTINUES AS FOLLOWS.
C  READS INPUT CARD 2 FOR TITLE1.
C  READS INPUT CARD 3 FOR TITLE2.
C  SETS NPAGE = 0.
C  INTEROGATES COMPUTER TO DEFINE DATE AS AN A12.
C
C
C     DEFINITIONS
C  RUNNO  = RUN NUMBER. (A8 FORMAT)
C  DATE   = DATE. (A12 FORMAT).
C  NPAGE  = PAGE NUMBER.
C  UNAME  = USERS NAME. (3A6 FORMAT)
C  TITLE1 = FIRST  TITLE. (12A6 FORMAT)
C  TITLE2 = SECOND TITLE. (12A6 FORMAT)
C
C        IF RUNNO = 'DEBUG' THE DEBUG PRINTS CALLED
C        DEBUG(K) = .FALSE. SKIP DEBUG PRINT IN SUBROUTINE K
C                   .TRUE. PRINT
C
 1001 FORMAT (A6, 4X,3A6)
 1002 FORMAT (12A6)
 1003 FORMAT (60L1)
 2003 FORMAT ('1END OF INPUT DATA HAS BEEN REACHED.')
C
      NDBGMX = L62
c
#ifdef XPLOR
      runno = 'MBNDXPLR'
#endif
#ifdef CHARMM
      runno = 'MBNDCHRM'
#endif
#ifdef AMBER
      runno = 'MBNDAMBR'
#endif
      UNAME(1) = 'MOLDYN'
      UNAME(2) = '      '
      UNAME(3) = '      '
C
#ifndef AMBER
      DO 12 I=1,NDBGMX
   12 DEBUG(I) = .FALSE.
#endif

      DO I = 1, 12
         TITLE1(I) = '      '
         TITLE2(I) = '      '
      END DO
      NPAGE = 0
      CALL DATEX(DATE)
      RETURN
      END
