c---------------------------------------------------------------------      
c      Do the dirty work of reading from whichever file
c---------------------------------------------------------------------
      subroutine input(fileno,atoms,period,types,coords,vects,atnames)
c
c     fileno      = number of unit for input
c     atoms       = number of atoms
c     period      = logical (T) supercell, (F) cluster
c     types ()    = atom types
c     coord (,3)  = coordinates of atoms in Angstrom
c     vects (3,3) = supercell unit vectors

      
      implicit none
      include 'maxima.inc'
      
      integer fileno,atoms,types(NNDIM),i,j
      real*8 coords(3,NNDIM),vects(3,3),origen(3),xhlp(3)
      logical period
      character tmpchr
      character*70 atnames      
  
      do i=1,NNDIM
        types(i)=0
        do j=1,3
          coords(j,i)=0.0d0
        enddo
      enddo
      do i=1,3
        do j=1,3
          vects(i,j)=0.0d0
        enddo
      enddo
      
      read(fileno,*) atoms,tmpchr
      read(fileno,'(A)') atnames
      
      if( (tmpchr.eq.'s').or.(tmpchr.eq.'S')) then
       period = .TRUE.
      else
       period = .FALSE.
      endif
           
      do i=1,atoms
       read(fileno,*)j,types(i),(xhlp(j),j=1,3)
       do j=1,3
        coords(j,i)=xhlp(j)/0.529177
       enddo
      enddo
      
      if(period) then
       read(fileno,*) (origen(j),j=1,3)
      
       do i=1,3
         read(fileno,*)(xhlp(j),j=1,3)
         do j=1,3
          vects(i,j)=xhlp(j)/0.529177
         enddo
       enddo
      endif

      return
      end
