#
# maximal number of atoms
#
integer NNDIM
parameter( NNDIM= 650)
#
 
#
# maximal number of intervalls in a spline
#
integer MAXINT
parameter( MAXINT= 160)
#

# maximal dimension of matrices
#
integer MDIM
parameter( MDIM= 1650) 
#
 
#
# maximal maximal number of atom types
#
integer MAXTYP
parameter( MAXTYP= 6)
#

#
# dimension of slater-koster tables 
#
integer MAXTAB
parameter( MAXTAB= 600)
#

# ============== DO NOT CHANGE ANYTHING BELOW THIS LINE ==============
#

#
# dimension of l-matrices
#
integer LDIM
parameter( LDIM= 9)
#

#
# create parameter MAXOPT needed by FORTRAN file cgrad.f 
#
integer MAXOPT
parameter(MAXOPT=3*NNDIM)
#

#
# create parameter MAXSIZ needed by FORTRAN file broyden.f
#
integer MAXSIZ
parameter(MAXSIZ=MDIM)
#

#
# create parameter 
#
integer MAXTP
parameter(MAXTP=MAXTYP)
#
