# molvib makefile
# molvib library rules
OBJS_molvib= \
	$(LIB)/molvib.a(gfdiag.o) \
	$(LIB)/molvib.a(gmat.o) \
	$(LIB)/molvib.a(molinp.o) \
	$(LIB)/molvib.a(molvco.o) \
	$(LIB)/molvib.a(molvib.o) \
	$(LIB)/molvib.a(molvio.o) \
	$(LIB)/molvib.a(molvsb.o) \
	$(LIB)/molvib.a(molvut.o)
#
$(LIB)/molvib.a : $(OBJS_molvib)
	$(RANLIB) $(LIB)/molvib.a
	@echo molvib COMPLETED
#
# molvib source file rules
$(LIB)/molvib.a(gfdiag.o)  : $(SRC)/molvib/gfdiag.src
	$(FLX) $(SRC)/molvib/gfdiag.src
	$(FC2) gfdiag.f
	$(AR_COMMAND) $(LIB)/molvib.a gfdiag.o
	$(REMOVE_F) gfdiag.f
	$(REMOVE_O) gfdiag.o
#
$(LIB)/molvib.a(gmat.o)  : $(SRC)/molvib/gmat.src
	$(FLX) $(SRC)/molvib/gmat.src
	$(FC2) gmat.f
	$(AR_COMMAND) $(LIB)/molvib.a gmat.o
	$(REMOVE_F) gmat.f
	$(REMOVE_O) gmat.o
#
$(LIB)/molvib.a(molinp.o)  : $(SRC)/molvib/molinp.src
	$(FLX) $(SRC)/molvib/molinp.src
	$(FC2) molinp.f
	$(AR_COMMAND) $(LIB)/molvib.a molinp.o
	$(REMOVE_F) molinp.f
	$(REMOVE_O) molinp.o
#
$(LIB)/molvib.a(molvco.o)  : $(SRC)/molvib/molvco.src
	$(FLX) $(SRC)/molvib/molvco.src
	$(FC2) molvco.f
	$(AR_COMMAND) $(LIB)/molvib.a molvco.o
	$(REMOVE_F) molvco.f
	$(REMOVE_O) molvco.o
#
$(LIB)/molvib.a(molvib.o)  : $(SRC)/molvib/molvib.src
	$(FLX) $(SRC)/molvib/molvib.src
	$(FC2) molvib.f
	$(AR_COMMAND) $(LIB)/molvib.a molvib.o
	$(REMOVE_F) molvib.f
	$(REMOVE_O) molvib.o
#
$(LIB)/molvib.a(molvio.o)  : $(SRC)/molvib/molvio.src
	$(FLX) $(SRC)/molvib/molvio.src
	$(FC2) molvio.f
	$(AR_COMMAND) $(LIB)/molvib.a molvio.o
	$(REMOVE_F) molvio.f
	$(REMOVE_O) molvio.o
#
$(LIB)/molvib.a(molvsb.o)  : $(SRC)/molvib/molvsb.src
	$(FLX) $(SRC)/molvib/molvsb.src
	$(FC2) molvsb.f
	$(AR_COMMAND) $(LIB)/molvib.a molvsb.o
	$(REMOVE_F) molvsb.f
	$(REMOVE_O) molvsb.o
#
$(LIB)/molvib.a(molvut.o)  : $(SRC)/molvib/molvut.src
	$(FLX) $(SRC)/molvib/molvut.src
	$(FC2) molvut.f
	$(AR_COMMAND) $(LIB)/molvib.a molvut.o
	$(REMOVE_F) molvut.f
	$(REMOVE_O) molvut.o
#
#
# molvib dependency file
#
$(LIB)/molvib.a(gfdiag.o) : impnon.fcm
#
#
$(LIB)/molvib.a(gmat.o) : impnon.fcm
#
#
$(LIB)/molvib.a(molinp.o) : impnon.fcm
#
#
$(LIB)/molvib.a(molvco.o) : bases.fcm
$(LIB)/molvib.a(molvco.o) : comand.fcm
$(LIB)/molvib.a(molvco.o) : coord.fcm
$(LIB)/molvib.a(molvco.o) : cstack.fcm
$(LIB)/molvib.a(molvco.o) : deriv.fcm
$(LIB)/molvib.a(molvco.o) : dimens.fcm
$(LIB)/molvib.a(molvco.o) : energy.fcm
$(LIB)/molvib.a(molvco.o) : exfunc.fcm
$(LIB)/molvib.a(molvco.o) : heap.fcm
$(LIB)/molvib.a(molvco.o) : image.fcm
$(LIB)/molvib.a(molvco.o) : impnon.fcm
$(LIB)/molvib.a(molvco.o) : lonepr.fcm
$(LIB)/molvib.a(molvco.o) : number.fcm
$(LIB)/molvib.a(molvco.o) : psf.fcm
$(LIB)/molvib.a(molvco.o) : stack.fcm
$(LIB)/molvib.a(molvco.o) : stream.fcm
#
#
$(LIB)/molvib.a(molvib.o) : impnon.fcm
#
#
$(LIB)/molvib.a(molvio.o) : impnon.fcm
$(LIB)/molvib.a(molvio.o) : stream.fcm
#
#
$(LIB)/molvib.a(molvsb.o) : impnon.fcm
#
#
$(LIB)/molvib.a(molvut.o) : impnon.fcm
#
