# manip makefile
# manip library rules
OBJS_manip= \
	$(LIB)/manip.a(corman2.o) \
	$(LIB)/manip.a(corman3.o) \
	$(LIB)/manip.a(corman.o) \
	$(LIB)/manip.a(cstran.o) \
	$(LIB)/manip.a(dynanal.o) \
	$(LIB)/manip.a(fsshake.o) \
	$(LIB)/manip.a(hbanal.o) \
	$(LIB)/manip.a(helix.o) \
	$(LIB)/manip.a(holonom.o) \
	$(LIB)/manip.a(intcor2.o) \
	$(LIB)/manip.a(intcor.o) \
	$(LIB)/manip.a(pucker.o) \
	$(LIB)/manip.a(rgyr.o) \
	$(LIB)/manip.a(rmsdyn.o) \
	$(LIB)/manip.a(rotlsq.o) \
	$(LIB)/manip.a(scalar.o) \
	$(LIB)/manip.a(secstr.o) \
	$(LIB)/manip.a(shake.o) \
	$(LIB)/manip.a(wrgaus.o)
#
$(LIB)/manip.a : $(OBJS_manip)
	$(RANLIB) $(LIB)/manip.a
	@echo manip COMPLETED
#
# manip source file rules
$(LIB)/manip.a(corman2.o)  : $(SRC)/manip/corman2.src
	$(FLX) $(SRC)/manip/corman2.src
	$(FC2) corman2.f
	$(AR_COMMAND) $(LIB)/manip.a corman2.o
	$(REMOVE_F) corman2.f
	$(REMOVE_O) corman2.o
#
$(LIB)/manip.a(corman3.o)  : $(SRC)/manip/corman3.src
	$(FLX) $(SRC)/manip/corman3.src
	$(FC2) corman3.f
	$(AR_COMMAND) $(LIB)/manip.a corman3.o
	$(REMOVE_F) corman3.f
	$(REMOVE_O) corman3.o
#
$(LIB)/manip.a(corman.o)  : $(SRC)/manip/corman.src
	$(FLX) $(SRC)/manip/corman.src
	$(FC0) corman.f
	$(AR_COMMAND) $(LIB)/manip.a corman.o
	$(REMOVE_F) corman.f
	$(REMOVE_O) corman.o
#
$(LIB)/manip.a(cstran.o)  : $(SRC)/manip/cstran.src
	$(FLX) $(SRC)/manip/cstran.src
	$(FC2) cstran.f
	$(AR_COMMAND) $(LIB)/manip.a cstran.o
	$(REMOVE_F) cstran.f
	$(REMOVE_O) cstran.o
#
$(LIB)/manip.a(dynanal.o)  : $(SRC)/manip/dynanal.src
	$(FLX) $(SRC)/manip/dynanal.src
	$(FC2) dynanal.f
	$(AR_COMMAND) $(LIB)/manip.a dynanal.o
	$(REMOVE_F) dynanal.f
	$(REMOVE_O) dynanal.o
#
$(LIB)/manip.a(fsshake.o)  : $(SRC)/manip/fsshake.src
	$(FLX) $(SRC)/manip/fsshake.src
	$(FC2) fsshake.f
	$(AR_COMMAND) $(LIB)/manip.a fsshake.o
	$(REMOVE_F) fsshake.f
	$(REMOVE_O) fsshake.o
#
$(LIB)/manip.a(hbanal.o)  : $(SRC)/manip/hbanal.src
	$(FLX) $(SRC)/manip/hbanal.src
	$(FC2) hbanal.f
	$(AR_COMMAND) $(LIB)/manip.a hbanal.o
	$(REMOVE_F) hbanal.f
	$(REMOVE_O) hbanal.o
#
$(LIB)/manip.a(helix.o)  : $(SRC)/manip/helix.src
	$(FLX) $(SRC)/manip/helix.src
	$(FC2) helix.f
	$(AR_COMMAND) $(LIB)/manip.a helix.o
	$(REMOVE_F) helix.f
	$(REMOVE_O) helix.o
#
$(LIB)/manip.a(holonom.o)  : $(SRC)/manip/holonom.src
	$(FLX) $(SRC)/manip/holonom.src
	$(FC2) holonom.f
	$(AR_COMMAND) $(LIB)/manip.a holonom.o
	$(REMOVE_F) holonom.f
	$(REMOVE_O) holonom.o
#
$(LIB)/manip.a(intcor2.o)  : $(SRC)/manip/intcor2.src
	$(FLX) $(SRC)/manip/intcor2.src
	$(FC1) intcor2.f
	$(AR_COMMAND) $(LIB)/manip.a intcor2.o
	$(REMOVE_F) intcor2.f
	$(REMOVE_O) intcor2.o
#
$(LIB)/manip.a(intcor.o)  : $(SRC)/manip/intcor.src
	$(FLX) $(SRC)/manip/intcor.src
	$(FC2) intcor.f
	$(AR_COMMAND) $(LIB)/manip.a intcor.o
	$(REMOVE_F) intcor.f
	$(REMOVE_O) intcor.o
#
$(LIB)/manip.a(pucker.o)  : $(SRC)/manip/pucker.src
	$(FLX) $(SRC)/manip/pucker.src
	$(FC2) pucker.f
	$(AR_COMMAND) $(LIB)/manip.a pucker.o
	$(REMOVE_F) pucker.f
	$(REMOVE_O) pucker.o
#
$(LIB)/manip.a(rgyr.o)  : $(SRC)/manip/rgyr.src
	$(FLX) $(SRC)/manip/rgyr.src
	$(FC2) rgyr.f
	$(AR_COMMAND) $(LIB)/manip.a rgyr.o
	$(REMOVE_F) rgyr.f
	$(REMOVE_O) rgyr.o
#
$(LIB)/manip.a(rmsdyn.o)  : $(SRC)/manip/rmsdyn.src
	$(FLX) $(SRC)/manip/rmsdyn.src
	$(FC2) rmsdyn.f
	$(AR_COMMAND) $(LIB)/manip.a rmsdyn.o
	$(REMOVE_F) rmsdyn.f
	$(REMOVE_O) rmsdyn.o
#
$(LIB)/manip.a(rotlsq.o)  : $(SRC)/manip/rotlsq.src
	$(FLX) $(SRC)/manip/rotlsq.src
	$(FC2) rotlsq.f
	$(AR_COMMAND) $(LIB)/manip.a rotlsq.o
	$(REMOVE_F) rotlsq.f
	$(REMOVE_O) rotlsq.o
#
$(LIB)/manip.a(scalar.o)  : $(SRC)/manip/scalar.src
	$(FLX) $(SRC)/manip/scalar.src
	$(FC2) scalar.f
	$(AR_COMMAND) $(LIB)/manip.a scalar.o
	$(REMOVE_F) scalar.f
	$(REMOVE_O) scalar.o
#
$(LIB)/manip.a(secstr.o)  : $(SRC)/manip/secstr.src
	$(FLX) $(SRC)/manip/secstr.src
	$(FC2) secstr.f
	$(AR_COMMAND) $(LIB)/manip.a secstr.o
	$(REMOVE_F) secstr.f
	$(REMOVE_O) secstr.o
#
$(LIB)/manip.a(shake.o)  : $(SRC)/manip/shake.src
	$(FLX) $(SRC)/manip/shake.src
	$(FC2) shake.f
	$(AR_COMMAND) $(LIB)/manip.a shake.o
	$(REMOVE_F) shake.f
	$(REMOVE_O) shake.o
#
$(LIB)/manip.a(wrgaus.o)  : $(SRC)/manip/wrgaus.src
	$(FLX) $(SRC)/manip/wrgaus.src
	$(FC2) wrgaus.f
	$(AR_COMMAND) $(LIB)/manip.a wrgaus.o
	$(REMOVE_F) wrgaus.f
	$(REMOVE_O) wrgaus.o
#
#
# manip dependency file
#
$(LIB)/manip.a(corman2.o) : $(LIB)/nbonds.a(cheqmodule.o)
$(LIB)/manip.a(corman2.o) : comand.fcm
$(LIB)/manip.a(corman2.o) : consta.fcm
$(LIB)/manip.a(corman2.o) : coordc.fcm
$(LIB)/manip.a(corman2.o) : coord.fcm
$(LIB)/manip.a(corman2.o) : corman.fcm
$(LIB)/manip.a(corman2.o) : ctitla.fcm
$(LIB)/manip.a(corman2.o) : dimens.fcm
$(LIB)/manip.a(corman2.o) : exfunc.fcm
$(LIB)/manip.a(corman2.o) : heap.fcm
$(LIB)/manip.a(corman2.o) : impnon.fcm
$(LIB)/manip.a(corman2.o) : number.fcm
$(LIB)/manip.a(corman2.o) : polymer.fcm
$(LIB)/manip.a(corman2.o) : psf.fcm
$(LIB)/manip.a(corman2.o) : scalar.fcm
$(LIB)/manip.a(corman2.o) : stack.fcm
$(LIB)/manip.a(corman2.o) : stream.fcm
$(LIB)/manip.a(corman2.o) : timer.fcm
#
#
$(LIB)/manip.a(corman3.o) : bases.fcm
$(LIB)/manip.a(corman3.o) : $(LIB)/nbonds.a(cheqmodule.o)
$(LIB)/manip.a(corman3.o) : consta.fcm
$(LIB)/manip.a(corman3.o) : coord.fcm
$(LIB)/manip.a(corman3.o) : derivq.fcm
$(LIB)/manip.a(corman3.o) : dimens.fcm
$(LIB)/manip.a(corman3.o) : exfunc.fcm
$(LIB)/manip.a(corman3.o) : heap.fcm
$(LIB)/manip.a(corman3.o) : impnon.fcm
$(LIB)/manip.a(corman3.o) : inbnd.fcm
$(LIB)/manip.a(corman3.o) : number.fcm
$(LIB)/manip.a(corman3.o) : param.fcm
$(LIB)/manip.a(corman3.o) : psf.fcm
$(LIB)/manip.a(corman3.o) : stream.fcm
#
#
$(LIB)/manip.a(corman.o) : comand.fcm
$(LIB)/manip.a(corman.o) : consta.fcm
$(LIB)/manip.a(corman.o) : coordc.fcm
$(LIB)/manip.a(corman.o) : coord.fcm
$(LIB)/manip.a(corman.o) : corman.fcm
$(LIB)/manip.a(corman.o) : ctitla.fcm
$(LIB)/manip.a(corman.o) : deriv.fcm
$(LIB)/manip.a(corman.o) : dimens.fcm
$(LIB)/manip.a(corman.o) : entropy.fcm
$(LIB)/manip.a(corman.o) : exfunc.fcm
$(LIB)/manip.a(corman.o) : graph.fcm
$(LIB)/manip.a(corman.o) : heap.fcm
$(LIB)/manip.a(corman.o) : image.fcm
$(LIB)/manip.a(corman.o) : impnon.fcm
$(LIB)/manip.a(corman.o) : number.fcm
$(LIB)/manip.a(corman.o) : parallel.fcm
$(LIB)/manip.a(corman.o) : psf.fcm
$(LIB)/manip.a(corman.o) : repdstr.fcm
$(LIB)/manip.a(corman.o) : scalar.fcm
$(LIB)/manip.a(corman.o) : shake.fcm
$(LIB)/manip.a(corman.o) : stack.fcm
$(LIB)/manip.a(corman.o) : stream.fcm
#
#
$(LIB)/manip.a(cstran.o) : ace.fcm
$(LIB)/manip.a(cstran.o) : bases.fcm
$(LIB)/manip.a(cstran.o) : cff.fcm
$(LIB)/manip.a(cstran.o) : cnst.fcm
$(LIB)/manip.a(cstran.o) : code.fcm
$(LIB)/manip.a(cstran.o) : consta.fcm
$(LIB)/manip.a(cstran.o) : coordc.fcm
$(LIB)/manip.a(cstran.o) : coord.fcm
$(LIB)/manip.a(cstran.o) : dimens.fcm
$(LIB)/manip.a(cstran.o) : exfunc.fcm
$(LIB)/manip.a(cstran.o) : ffield.fcm
$(LIB)/manip.a(cstran.o) : fourd.fcm
$(LIB)/manip.a(cstran.o) : heap.fcm
$(LIB)/manip.a(cstran.o) : impnon.fcm
$(LIB)/manip.a(cstran.o) : mmff.fcm
$(LIB)/manip.a(cstran.o) : number.fcm
$(LIB)/manip.a(cstran.o) : psf.fcm
$(LIB)/manip.a(cstran.o) : rmsd.fcm
$(LIB)/manip.a(cstran.o) : stack.fcm
$(LIB)/manip.a(cstran.o) : stream.fcm
#
#
$(LIB)/manip.a(dynanal.o) : $(LIB)/nbonds.a(cheqmodule.o)
$(LIB)/manip.a(dynanal.o) : ctitla.fcm
$(LIB)/manip.a(dynanal.o) : dimens.fcm
$(LIB)/manip.a(dynanal.o) : exfunc.fcm
$(LIB)/manip.a(dynanal.o) : image.fcm
$(LIB)/manip.a(dynanal.o) : impnon.fcm
$(LIB)/manip.a(dynanal.o) : number.fcm
$(LIB)/manip.a(dynanal.o) : stack.fcm
$(LIB)/manip.a(dynanal.o) : stream.fcm
#
#
$(LIB)/manip.a(fsshake.o) : dimens.fcm
$(LIB)/manip.a(fsshake.o) : exfunc.fcm
$(LIB)/manip.a(fsshake.o) : fstshk.fcm
$(LIB)/manip.a(fsshake.o) : heap.fcm
$(LIB)/manip.a(fsshake.o) : impnon.fcm
$(LIB)/manip.a(fsshake.o) : machdep.fcm
$(LIB)/manip.a(fsshake.o) : number.fcm
$(LIB)/manip.a(fsshake.o) : parallel.fcm
$(LIB)/manip.a(fsshake.o) : psf.fcm
$(LIB)/manip.a(fsshake.o) : shake.fcm
$(LIB)/manip.a(fsshake.o) : stack.fcm
$(LIB)/manip.a(fsshake.o) : stream.fcm
#
#
$(LIB)/manip.a(hbanal.o) : bases.fcm
$(LIB)/manip.a(hbanal.o) : consta.fcm
$(LIB)/manip.a(hbanal.o) : coord.fcm
$(LIB)/manip.a(hbanal.o) : ctitla.fcm
$(LIB)/manip.a(hbanal.o) : dimens.fcm
$(LIB)/manip.a(hbanal.o) : exfunc.fcm
$(LIB)/manip.a(hbanal.o) : hbanal.fcm
$(LIB)/manip.a(hbanal.o) : heap.fcm
$(LIB)/manip.a(hbanal.o) : image.fcm
$(LIB)/manip.a(hbanal.o) : impnon.fcm
$(LIB)/manip.a(hbanal.o) : inbnd.fcm
$(LIB)/manip.a(hbanal.o) : number.fcm
$(LIB)/manip.a(hbanal.o) : pbound.fcm
$(LIB)/manip.a(hbanal.o) : psf.fcm
$(LIB)/manip.a(hbanal.o) : stream.fcm
#
#
$(LIB)/manip.a(helix.o) : consta.fcm
$(LIB)/manip.a(helix.o) : coord.fcm
$(LIB)/manip.a(helix.o) : corman.fcm
$(LIB)/manip.a(helix.o) : dimens.fcm
$(LIB)/manip.a(helix.o) : exfunc.fcm
$(LIB)/manip.a(helix.o) : impnon.fcm
$(LIB)/manip.a(helix.o) : number.fcm
$(LIB)/manip.a(helix.o) : psf.fcm
$(LIB)/manip.a(helix.o) : stack.fcm
$(LIB)/manip.a(helix.o) : stream.fcm
#
#
$(LIB)/manip.a(holonom.o) : bases.fcm
$(LIB)/manip.a(holonom.o) : dimens.fcm
$(LIB)/manip.a(holonom.o) : energy.fcm
$(LIB)/manip.a(holonom.o) : exfunc.fcm
$(LIB)/manip.a(holonom.o) : fourd.fcm
$(LIB)/manip.a(holonom.o) : fstshk.fcm
$(LIB)/manip.a(holonom.o) : heap.fcm
$(LIB)/manip.a(holonom.o) : icfix.fcm
$(LIB)/manip.a(holonom.o) : impnon.fcm
$(LIB)/manip.a(holonom.o) : lonepr.fcm
$(LIB)/manip.a(holonom.o) : $(LIB)/util.a(new_timer.o)
$(LIB)/manip.a(holonom.o) : number.fcm
$(LIB)/manip.a(holonom.o) : parallel.fcm
$(LIB)/manip.a(holonom.o) : pert.fcm
$(LIB)/manip.a(holonom.o) : psf.fcm
$(LIB)/manip.a(holonom.o) : pshake.fcm
$(LIB)/manip.a(holonom.o) : shake.fcm
$(LIB)/manip.a(holonom.o) : shapes.fcm
$(LIB)/manip.a(holonom.o) : stack.fcm
$(LIB)/manip.a(holonom.o) : stream.fcm
#
#
$(LIB)/manip.a(intcor2.o) : bases.fcm
$(LIB)/manip.a(intcor2.o) : comand.fcm
$(LIB)/manip.a(intcor2.o) : consta.fcm
$(LIB)/manip.a(intcor2.o) : dimens.fcm
$(LIB)/manip.a(intcor2.o) : exfunc.fcm
$(LIB)/manip.a(intcor2.o) : heap.fcm
$(LIB)/manip.a(intcor2.o) : impnon.fcm
$(LIB)/manip.a(intcor2.o) : intcr.fcm
$(LIB)/manip.a(intcor2.o) : number.fcm
$(LIB)/manip.a(intcor2.o) : param.fcm
$(LIB)/manip.a(intcor2.o) : psf.fcm
$(LIB)/manip.a(intcor2.o) : stream.fcm
#
#
$(LIB)/manip.a(intcor.o) : bases.fcm
$(LIB)/manip.a(intcor.o) : $(LIB)/nbonds.a(cheqmodule.o)
$(LIB)/manip.a(intcor.o) : comand.fcm
$(LIB)/manip.a(intcor.o) : consta.fcm
$(LIB)/manip.a(intcor.o) : coordc.fcm
$(LIB)/manip.a(intcor.o) : coord.fcm
$(LIB)/manip.a(intcor.o) : ctitla.fcm
$(LIB)/manip.a(intcor.o) : dimens.fcm
$(LIB)/manip.a(intcor.o) : exfunc.fcm
$(LIB)/manip.a(intcor.o) : heap.fcm
$(LIB)/manip.a(intcor.o) : impnon.fcm
$(LIB)/manip.a(intcor.o) : intcr.fcm
$(LIB)/manip.a(intcor.o) : number.fcm
$(LIB)/manip.a(intcor.o) : parallel.fcm
$(LIB)/manip.a(intcor.o) : param.fcm
$(LIB)/manip.a(intcor.o) : psf.fcm
$(LIB)/manip.a(intcor.o) : stack.fcm
$(LIB)/manip.a(intcor.o) : stream.fcm
#
#
$(LIB)/manip.a(pucker.o) : consta.fcm
$(LIB)/manip.a(pucker.o) : dimens.fcm
$(LIB)/manip.a(pucker.o) : exfunc.fcm
$(LIB)/manip.a(pucker.o) : impnon.fcm
$(LIB)/manip.a(pucker.o) : number.fcm
$(LIB)/manip.a(pucker.o) : psf.fcm
$(LIB)/manip.a(pucker.o) : stream.fcm
#
#
$(LIB)/manip.a(rgyr.o) : corman.fcm
$(LIB)/manip.a(rgyr.o) : entropy.fcm
$(LIB)/manip.a(rgyr.o) : impnon.fcm
$(LIB)/manip.a(rgyr.o) : number.fcm
$(LIB)/manip.a(rgyr.o) : stream.fcm
#
#
$(LIB)/manip.a(rmsdyn.o) : comand.fcm
$(LIB)/manip.a(rmsdyn.o) : coordc.fcm
$(LIB)/manip.a(rmsdyn.o) : coord.fcm
$(LIB)/manip.a(rmsdyn.o) : ctitla.fcm
$(LIB)/manip.a(rmsdyn.o) : dimens.fcm
$(LIB)/manip.a(rmsdyn.o) : exfunc.fcm
$(LIB)/manip.a(rmsdyn.o) : heap.fcm
$(LIB)/manip.a(rmsdyn.o) : impnon.fcm
$(LIB)/manip.a(rmsdyn.o) : number.fcm
$(LIB)/manip.a(rmsdyn.o) : stack.fcm
$(LIB)/manip.a(rmsdyn.o) : stream.fcm
#
#
$(LIB)/manip.a(rotlsq.o) : consta.fcm
$(LIB)/manip.a(rotlsq.o) : corman.fcm
$(LIB)/manip.a(rotlsq.o) : exfunc.fcm
$(LIB)/manip.a(rotlsq.o) : impnon.fcm
$(LIB)/manip.a(rotlsq.o) : number.fcm
$(LIB)/manip.a(rotlsq.o) : stack.fcm
$(LIB)/manip.a(rotlsq.o) : stream.fcm
#
#
$(LIB)/manip.a(scalar.o) : ace.fcm
$(LIB)/manip.a(scalar.o) : bases.fcm
$(LIB)/manip.a(scalar.o) : $(LIB)/nbonds.a(cheqmodule.o)
$(LIB)/manip.a(scalar.o) : cnst.fcm
$(LIB)/manip.a(scalar.o) : code.fcm
$(LIB)/manip.a(scalar.o) : comand.fcm
$(LIB)/manip.a(scalar.o) : coordc.fcm
$(LIB)/manip.a(scalar.o) : coord.fcm
$(LIB)/manip.a(scalar.o) : deriv.fcm
$(LIB)/manip.a(scalar.o) : derivq.fcm
$(LIB)/manip.a(scalar.o) : dimens.fcm
$(LIB)/manip.a(scalar.o) : econt.fcm
$(LIB)/manip.a(scalar.o) : exfunc.fcm
$(LIB)/manip.a(scalar.o) : flucq.fcm
$(LIB)/manip.a(scalar.o) : fourd.fcm
$(LIB)/manip.a(scalar.o) : gcmc.fcm
$(LIB)/manip.a(scalar.o) : hbond.fcm
$(LIB)/manip.a(scalar.o) : heap.fcm
$(LIB)/manip.a(scalar.o) : impnon.fcm
$(LIB)/manip.a(scalar.o) : mndo97.fcm
$(LIB)/manip.a(scalar.o) : number.fcm
$(LIB)/manip.a(scalar.o) : param.fcm
$(LIB)/manip.a(scalar.o) : pert.fcm
$(LIB)/manip.a(scalar.o) : psf.fcm
$(LIB)/manip.a(scalar.o) : scalar.fcm
$(LIB)/manip.a(scalar.o) : stack.fcm
$(LIB)/manip.a(scalar.o) : stream.fcm
$(LIB)/manip.a(scalar.o) : string.fcm
$(LIB)/manip.a(scalar.o) : surface.fcm
$(LIB)/manip.a(scalar.o) : $(LIB)/energy.a(gb_common.o)
#
#
$(LIB)/manip.a(secstr.o) : comand.fcm
$(LIB)/manip.a(secstr.o) : dimens.fcm
$(LIB)/manip.a(secstr.o) : exfunc.fcm
$(LIB)/manip.a(secstr.o) : heap.fcm
$(LIB)/manip.a(secstr.o) : impnon.fcm
$(LIB)/manip.a(secstr.o) : number.fcm
$(LIB)/manip.a(secstr.o) : psf.fcm
$(LIB)/manip.a(secstr.o) : stream.fcm
#
#
$(LIB)/manip.a(shake.o) : bases.fcm
$(LIB)/manip.a(shake.o) : code.fcm
$(LIB)/manip.a(shake.o) : coordc.fcm
$(LIB)/manip.a(shake.o) : coord.fcm
$(LIB)/manip.a(shake.o) : dimens.fcm
$(LIB)/manip.a(shake.o) : exfunc.fcm
$(LIB)/manip.a(shake.o) : fstshk.fcm
$(LIB)/manip.a(shake.o) : heap.fcm
$(LIB)/manip.a(shake.o) : icfix.fcm
$(LIB)/manip.a(shake.o) : impnon.fcm
$(LIB)/manip.a(shake.o) : $(LIB)/util.a(new_timer.o)
$(LIB)/manip.a(shake.o) : number.fcm
$(LIB)/manip.a(shake.o) : parallel.fcm
$(LIB)/manip.a(shake.o) : param.fcm
$(LIB)/manip.a(shake.o) : pert.fcm
$(LIB)/manip.a(shake.o) : psf.fcm
$(LIB)/manip.a(shake.o) : pshake.fcm
$(LIB)/manip.a(shake.o) : shake.fcm
$(LIB)/manip.a(shake.o) : stack.fcm
$(LIB)/manip.a(shake.o) : stream.fcm
$(LIB)/manip.a(shake.o) : tsmh.fcm
$(LIB)/manip.a(shake.o) : tsms.fcm
#
#
$(LIB)/manip.a(wrgaus.o) : consta.fcm
$(LIB)/manip.a(wrgaus.o) : dimens.fcm
$(LIB)/manip.a(wrgaus.o) : impnon.fcm
$(LIB)/manip.a(wrgaus.o) : number.fcm
$(LIB)/manip.a(wrgaus.o) : param.fcm
$(LIB)/manip.a(wrgaus.o) : psf.fcm
$(LIB)/manip.a(wrgaus.o) : stream.fcm
#
