# util makefile
# util library rules
OBJS_util= \
	$(LIB)/util.a(array.o) \
	$(LIB)/util.a(calc.o) \
	$(LIB)/util.a(chutil.o) \
	$(LIB)/util.a(clcg.o) \
	$(LIB)/util.a(cmdpar.o) \
	$(LIB)/util.a(datstr.o) \
	$(LIB)/util.a(diagq.o) \
	$(LIB)/util.a(imsl.o) \
	$(LIB)/util.a(matrix.o) \
	$(LIB)/util.a(new_timer.o) \
	$(LIB)/util.a(parse.o) \
	$(LIB)/util.a(pointer.o) \
	$(LIB)/util.a(prpref.o) \
	$(LIB)/util.a(random.o) \
	$(LIB)/util.a(selcta.o) \
	$(LIB)/util.a(sort.o) \
	$(LIB)/util.a(string.o) \
	$(LIB)/util.a(svd.o) \
	$(LIB)/util.a(time.o) \
	$(LIB)/util.a(title.o) \
	$(LIB)/util.a(util.o) \
	$(LIB)/util.a(vector.o)
#
$(LIB)/util.a : $(OBJS_util)
	$(RANLIB) $(LIB)/util.a
	@echo util COMPLETED
#
# util source file rules
$(LIB)/util.a(array.o)  : $(SRC)/util/array.src
	$(FLX) $(SRC)/util/array.src
	$(FC2) array.f
	$(AR_COMMAND) $(LIB)/util.a array.o
	$(REMOVE_F) array.f
	$(REMOVE_O) array.o
#
$(LIB)/util.a(calc.o)  : $(SRC)/util/calc.src
	$(FLX) $(SRC)/util/calc.src
	$(FC2) calc.f
	$(AR_COMMAND) $(LIB)/util.a calc.o
	$(REMOVE_F) calc.f
	$(REMOVE_O) calc.o
#
$(LIB)/util.a(chutil.o)  : $(SRC)/util/chutil.src
	$(FLX) $(SRC)/util/chutil.src
	$(FC2) chutil.f
	$(AR_COMMAND) $(LIB)/util.a chutil.o
	$(REMOVE_F) chutil.f
	$(REMOVE_O) chutil.o
#
$(LIB)/util.a(clcg.o)  : $(SRC)/util/clcg.src
	$(FLX) $(SRC)/util/clcg.src
	$(FC2) clcg.f
	$(AR_COMMAND) $(LIB)/util.a clcg.o
	$(REMOVE_F) clcg.f
	$(REMOVE_O) clcg.o
#
$(LIB)/util.a(cmdpar.o)  : $(SRC)/util/cmdpar.src
	$(FLX) $(SRC)/util/cmdpar.src
	$(FC2) cmdpar.f
	$(AR_COMMAND) $(LIB)/util.a cmdpar.o
	$(REMOVE_F) cmdpar.f
	$(REMOVE_O) cmdpar.o
#
$(LIB)/util.a(datstr.o)  : $(SRC)/util/datstr.src
	$(FLX) $(SRC)/util/datstr.src
	$(FC2) datstr.f
	$(AR_COMMAND) $(LIB)/util.a datstr.o
	$(REMOVE_F) datstr.f
	$(REMOVE_O) datstr.o
#
$(LIB)/util.a(diagq.o)  : $(SRC)/util/diagq.src
	$(FLX) $(SRC)/util/diagq.src
	$(FC2) diagq.f
	$(AR_COMMAND) $(LIB)/util.a diagq.o
	$(REMOVE_F) diagq.f
	$(REMOVE_O) diagq.o
#
$(LIB)/util.a(imsl.o)  : $(SRC)/util/imsl.src
	$(FLX) $(SRC)/util/imsl.src
	$(FC2) imsl.f
	$(AR_COMMAND) $(LIB)/util.a imsl.o
	$(REMOVE_F) imsl.f
	$(REMOVE_O) imsl.o
#
$(LIB)/util.a(matrix.o)  : $(SRC)/util/matrix.src
	$(FLX) $(SRC)/util/matrix.src
	$(FC1) matrix.f
	$(AR_COMMAND) $(LIB)/util.a matrix.o
	$(REMOVE_F) matrix.f
	$(REMOVE_O) matrix.o
#
$(LIB)/util.a(new_timer.o)  : $(SRC)/util/new_timer.src
	$(FLX) $(SRC)/util/new_timer.src
	$(FC2) new_timer.f
	$(AR_COMMAND) $(LIB)/util.a new_timer.o
	$(REMOVE_F) new_timer.f
	$(REMOVE_O) new_timer.o
#
$(LIB)/util.a(parse.o)  : $(SRC)/util/parse.src
	$(FLX) $(SRC)/util/parse.src
	$(FC2) parse.f
	$(AR_COMMAND) $(LIB)/util.a parse.o
	$(REMOVE_F) parse.f
	$(REMOVE_O) parse.o
#
$(LIB)/util.a(pointer.o)  : $(SRC)/util/pointer.src
	$(FLX) $(SRC)/util/pointer.src
	$(FC2) pointer.f
	$(AR_COMMAND) $(LIB)/util.a pointer.o
	$(REMOVE_F) pointer.f
	$(REMOVE_O) pointer.o
#
$(LIB)/util.a(prpref.o)  : $(SRC)/util/prpref.src
	$(FLX) $(SRC)/util/prpref.src
	$(FC2) prpref.f
	$(AR_COMMAND) $(LIB)/util.a prpref.o
	$(REMOVE_F) prpref.f
	$(REMOVE_O) prpref.o
#
$(LIB)/util.a(random.o)  : $(SRC)/util/random.src
	$(FLX) $(SRC)/util/random.src
	$(FC2) random.f
	$(AR_COMMAND) $(LIB)/util.a random.o
	$(REMOVE_F) random.f
	$(REMOVE_O) random.o
#
$(LIB)/util.a(selcta.o)  : $(SRC)/util/selcta.src
	$(FLX) $(SRC)/util/selcta.src
	$(FC2) selcta.f
	$(AR_COMMAND) $(LIB)/util.a selcta.o
	$(REMOVE_F) selcta.f
	$(REMOVE_O) selcta.o
#
$(LIB)/util.a(sort.o)  : $(SRC)/util/sort.src
	$(FLX) $(SRC)/util/sort.src
	$(FC2) sort.f
	$(AR_COMMAND) $(LIB)/util.a sort.o
	$(REMOVE_F) sort.f
	$(REMOVE_O) sort.o
#
$(LIB)/util.a(string.o)  : $(SRC)/util/string.src
	$(FLX) $(SRC)/util/string.src
	$(FC2) string.f
	$(AR_COMMAND) $(LIB)/util.a string.o
	$(REMOVE_F) string.f
	$(REMOVE_O) string.o
#
$(LIB)/util.a(svd.o)  : $(SRC)/util/svd.src
	$(FLX) $(SRC)/util/svd.src
	$(FC2) svd.f
	$(AR_COMMAND) $(LIB)/util.a svd.o
	$(REMOVE_F) svd.f
	$(REMOVE_O) svd.o
#
$(LIB)/util.a(time.o)  : $(SRC)/util/time.src
	$(FLX) $(SRC)/util/time.src
	$(FC2) time.f
	$(AR_COMMAND) $(LIB)/util.a time.o
	$(REMOVE_F) time.f
	$(REMOVE_O) time.o
#
$(LIB)/util.a(title.o)  : $(SRC)/util/title.src
	$(FLX) $(SRC)/util/title.src
	$(FC2) title.f
	$(AR_COMMAND) $(LIB)/util.a title.o
	$(REMOVE_F) title.f
	$(REMOVE_O) title.o
#
$(LIB)/util.a(util.o)  : $(SRC)/util/util.src
	$(FLX) $(SRC)/util/util.src
	$(FC2) util.f
	$(AR_COMMAND) $(LIB)/util.a util.o
	$(REMOVE_F) util.f
	$(REMOVE_O) util.o
#
$(LIB)/util.a(vector.o)  : $(SRC)/util/vector.src
	$(FLX) $(SRC)/util/vector.src
	$(FC2) vector.f
	$(AR_COMMAND) $(LIB)/util.a vector.o
	$(REMOVE_F) vector.f
	$(REMOVE_O) vector.o
#
#
# util dependency file
#
$(LIB)/util.a(array.o) : impnon.fcm
#
#
$(LIB)/util.a(calc.o) : impnon.fcm
$(LIB)/util.a(calc.o) : stream.fcm
#
#
$(LIB)/util.a(chutil.o) : coord.fcm
$(LIB)/util.a(chutil.o) : dimens.fcm
$(LIB)/util.a(chutil.o) : impnon.fcm
$(LIB)/util.a(chutil.o) : number.fcm
$(LIB)/util.a(chutil.o) : psf.fcm
$(LIB)/util.a(chutil.o) : stream.fcm
#
#
$(LIB)/util.a(clcg.o) : clcg.fcm
$(LIB)/util.a(clcg.o) : exfunc.fcm
$(LIB)/util.a(clcg.o) : impnon.fcm
$(LIB)/util.a(clcg.o) : number.fcm
$(LIB)/util.a(clcg.o) : parallel.fcm
#
#
$(LIB)/util.a(cmdpar.o) : cmdpar.fcm
$(LIB)/util.a(cmdpar.o) : dimens.fcm
$(LIB)/util.a(cmdpar.o) : exfunc.fcm
$(LIB)/util.a(cmdpar.o) : impnon.fcm
$(LIB)/util.a(cmdpar.o) : number.fcm
$(LIB)/util.a(cmdpar.o) : stream.fcm
$(LIB)/util.a(cmdpar.o) : string.fcm
#
#
$(LIB)/util.a(datstr.o) : ctitla.fcm
$(LIB)/util.a(datstr.o) : exfunc.fcm
$(LIB)/util.a(datstr.o) : heap.fcm
$(LIB)/util.a(datstr.o) : impnon.fcm
$(LIB)/util.a(datstr.o) : stack.fcm
$(LIB)/util.a(datstr.o) : stream.fcm
#
#
$(LIB)/util.a(diagq.o) : impnon.fcm
$(LIB)/util.a(diagq.o) : number.fcm
$(LIB)/util.a(diagq.o) : stream.fcm
#
#
$(LIB)/util.a(imsl.o) : impnon.fcm
$(LIB)/util.a(imsl.o) : number.fcm
$(LIB)/util.a(imsl.o) : stream.fcm
#
#
$(LIB)/util.a(matrix.o) : exfunc.fcm
$(LIB)/util.a(matrix.o) : impnon.fcm
$(LIB)/util.a(matrix.o) : number.fcm
$(LIB)/util.a(matrix.o) : stack.fcm
$(LIB)/util.a(matrix.o) : stream.fcm
#
#
$(LIB)/util.a(new_timer.o) : number.fcm
$(LIB)/util.a(new_timer.o) : parallel.fcm
$(LIB)/util.a(new_timer.o) : stream.fcm
#
#
$(LIB)/util.a(parse.o) : cff.fcm
$(LIB)/util.a(parse.o) : cmdpar.fcm
$(LIB)/util.a(parse.o) : dimens.fcm
$(LIB)/util.a(parse.o) : energy.fcm
$(LIB)/util.a(parse.o) : exfunc.fcm
$(LIB)/util.a(parse.o) : impnon.fcm
$(LIB)/util.a(parse.o) : mscpar.fcm
$(LIB)/util.a(parse.o) : parallel.fcm
$(LIB)/util.a(parse.o) : repdstr.fcm
$(LIB)/util.a(parse.o) : stream.fcm
$(LIB)/util.a(parse.o) : string.fcm
#
#
$(LIB)/util.a(pointer.o) : exfunc.fcm
$(LIB)/util.a(pointer.o) : heap.fcm
$(LIB)/util.a(pointer.o) : impnon.fcm
$(LIB)/util.a(pointer.o) : machdep.fcm
$(LIB)/util.a(pointer.o) : stack.fcm
#
#
$(LIB)/util.a(prpref.o) : impnon.fcm
$(LIB)/util.a(prpref.o) : stream.fcm
#
#
$(LIB)/util.a(random.o) : comand.fcm
$(LIB)/util.a(random.o) : consta.fcm
$(LIB)/util.a(random.o) : dimens.fcm
$(LIB)/util.a(random.o) : exfunc.fcm
$(LIB)/util.a(random.o) : impnon.fcm
$(LIB)/util.a(random.o) : number.fcm
$(LIB)/util.a(random.o) : rndnum.fcm
$(LIB)/util.a(random.o) : stream.fcm
#
#
$(LIB)/util.a(selcta.o) : ace.fcm
$(LIB)/util.a(selcta.o) : bases.fcm
$(LIB)/util.a(selcta.o) : $(LIB)/nbonds.a(cheqmodule.o)
$(LIB)/util.a(selcta.o) : cnst.fcm
$(LIB)/util.a(selcta.o) : coordc.fcm
$(LIB)/util.a(selcta.o) : coord.fcm
$(LIB)/util.a(selcta.o) : deriv.fcm
$(LIB)/util.a(selcta.o) : derivq.fcm
$(LIB)/util.a(selcta.o) : dimens.fcm
$(LIB)/util.a(selcta.o) : econt.fcm
$(LIB)/util.a(selcta.o) : exfunc.fcm
$(LIB)/util.a(selcta.o) : flucq.fcm
$(LIB)/util.a(selcta.o) : fourd.fcm
$(LIB)/util.a(selcta.o) : gcmc.fcm
$(LIB)/util.a(selcta.o) : $(LIB)/energy.a(gb_common.o)
$(LIB)/util.a(selcta.o) : heap.fcm
$(LIB)/util.a(selcta.o) : impnon.fcm
$(LIB)/util.a(selcta.o) : number.fcm
$(LIB)/util.a(selcta.o) : param.fcm
$(LIB)/util.a(selcta.o) : pbound.fcm
$(LIB)/util.a(selcta.o) : pert.fcm
$(LIB)/util.a(selcta.o) : psf.fcm
$(LIB)/util.a(selcta.o) : scalar.fcm
$(LIB)/util.a(selcta.o) : selcta.fcm
$(LIB)/util.a(selcta.o) : stack.fcm
$(LIB)/util.a(selcta.o) : stream.fcm
$(LIB)/util.a(selcta.o) : string.fcm
$(LIB)/util.a(selcta.o) : surface.fcm
#
#
$(LIB)/util.a(sort.o) : exfunc.fcm
$(LIB)/util.a(sort.o) : impnon.fcm
$(LIB)/util.a(sort.o) : stack.fcm
#
#
$(LIB)/util.a(string.o) : consta.fcm
$(LIB)/util.a(string.o) : dimens.fcm
$(LIB)/util.a(string.o) : exfunc.fcm
$(LIB)/util.a(string.o) : ffield.fcm
$(LIB)/util.a(string.o) : impnon.fcm
$(LIB)/util.a(string.o) : number.fcm
$(LIB)/util.a(string.o) : param.fcm
$(LIB)/util.a(string.o) : psf.fcm
$(LIB)/util.a(string.o) : stack.fcm
$(LIB)/util.a(string.o) : stream.fcm
$(LIB)/util.a(string.o) : string.fcm
#
#
$(LIB)/util.a(svd.o) : impnon.fcm
$(LIB)/util.a(svd.o) : number.fcm
#
#
$(LIB)/util.a(time.o) : impnon.fcm
$(LIB)/util.a(time.o) : stream.fcm
#
#
$(LIB)/util.a(title.o) : ctitla.fcm
$(LIB)/util.a(title.o) : dimens.fcm
$(LIB)/util.a(title.o) : exfunc.fcm
$(LIB)/util.a(title.o) : fast.fcm
$(LIB)/util.a(title.o) : impnon.fcm
$(LIB)/util.a(title.o) : iochan.fcm
$(LIB)/util.a(title.o) : parallel.fcm
$(LIB)/util.a(title.o) : quanta.fcm
$(LIB)/util.a(title.o) : repdstr.fcm
$(LIB)/util.a(title.o) : stream.fcm
$(LIB)/util.a(title.o) : timer.fcm
#
#
$(LIB)/util.a(util.o) : cstack.fcm
$(LIB)/util.a(util.o) : dimens.fcm
$(LIB)/util.a(util.o) : exfunc.fcm
$(LIB)/util.a(util.o) : heap.fcm
$(LIB)/util.a(util.o) : heappr.fcm
$(LIB)/util.a(util.o) : impnon.fcm
$(LIB)/util.a(util.o) : number.fcm
$(LIB)/util.a(util.o) : quanta.fcm
$(LIB)/util.a(util.o) : stack.fcm
$(LIB)/util.a(util.o) : stream.fcm
$(LIB)/util.a(util.o) : timer.fcm
#
#
$(LIB)/util.a(vector.o) : impnon.fcm
$(LIB)/util.a(vector.o) : number.fcm
$(LIB)/util.a(vector.o) : stream.fcm
#
