# adumb makefile
# adumb library rules
OBJS_adumb= \
	$(LIB)/adumb.a(cmds.o) \
	$(LIB)/adumb.a(eadumb.o) \
	$(LIB)/adumb.a(eval.o) \
	$(LIB)/adumb.a(svdcmp.o) \
	$(LIB)/adumb.a(umb.o)
#
$(LIB)/adumb.a : $(OBJS_adumb)
	$(RANLIB) $(LIB)/adumb.a
	@echo adumb COMPLETED
#
# adumb source file rules
$(LIB)/adumb.a(cmds.o)  : $(SRC)/adumb/cmds.src
	$(FLX) $(SRC)/adumb/cmds.src
	$(FC2) cmds.f
	$(AR_COMMAND) $(LIB)/adumb.a cmds.o
	$(REMOVE_F) cmds.f
	$(REMOVE_O) cmds.o
#
$(LIB)/adumb.a(eadumb.o)  : $(SRC)/adumb/eadumb.src
	$(FLX) $(SRC)/adumb/eadumb.src
	$(FC2) eadumb.f
	$(AR_COMMAND) $(LIB)/adumb.a eadumb.o
	$(REMOVE_F) eadumb.f
	$(REMOVE_O) eadumb.o
#
$(LIB)/adumb.a(eval.o)  : $(SRC)/adumb/eval.src
	$(FLX) $(SRC)/adumb/eval.src
	$(FC2) eval.f
	$(AR_COMMAND) $(LIB)/adumb.a eval.o
	$(REMOVE_F) eval.f
	$(REMOVE_O) eval.o
#
$(LIB)/adumb.a(svdcmp.o)  : $(SRC)/adumb/svdcmp.src
	$(FLX) $(SRC)/adumb/svdcmp.src
	$(FC1) svdcmp.f
	$(AR_COMMAND) $(LIB)/adumb.a svdcmp.o
	$(REMOVE_F) svdcmp.f
	$(REMOVE_O) svdcmp.o
#
$(LIB)/adumb.a(umb.o)  : $(SRC)/adumb/umb.src
	$(FLX) $(SRC)/adumb/umb.src
	$(FC2) umb.f
	$(AR_COMMAND) $(LIB)/adumb.a umb.o
	$(REMOVE_F) umb.f
	$(REMOVE_O) umb.o
#
#
# adumb dependency file
#
$(LIB)/adumb.a(cmds.o) : bases.fcm
$(LIB)/adumb.a(cmds.o) : cnst.fcm
$(LIB)/adumb.a(cmds.o) : code.fcm
$(LIB)/adumb.a(cmds.o) : consta.fcm
$(LIB)/adumb.a(cmds.o) : coordc.fcm
$(LIB)/adumb.a(cmds.o) : coord.fcm
$(LIB)/adumb.a(cmds.o) : dimens.fcm
$(LIB)/adumb.a(cmds.o) : exfunc.fcm
$(LIB)/adumb.a(cmds.o) : heap.fcm
$(LIB)/adumb.a(cmds.o) : impnon.fcm
$(LIB)/adumb.a(cmds.o) : intcr.fcm
$(LIB)/adumb.a(cmds.o) : noe.fcm
$(LIB)/adumb.a(cmds.o) : number.fcm
$(LIB)/adumb.a(cmds.o) : psf.fcm
$(LIB)/adumb.a(cmds.o) : replica.fcm
$(LIB)/adumb.a(cmds.o) : stack.fcm
$(LIB)/adumb.a(cmds.o) : stream.fcm
$(LIB)/adumb.a(cmds.o) : umbcor.fcm
$(LIB)/adumb.a(cmds.o) : umb.fcm
#
#
$(LIB)/adumb.a(eadumb.o) : block.fcm
$(LIB)/adumb.a(eadumb.o) : cnst.fcm
$(LIB)/adumb.a(eadumb.o) : consta.fcm
$(LIB)/adumb.a(eadumb.o) : dimens.fcm
$(LIB)/adumb.a(eadumb.o) : econt.fcm
$(LIB)/adumb.a(eadumb.o) : exfunc.fcm
$(LIB)/adumb.a(eadumb.o) : heap.fcm
$(LIB)/adumb.a(eadumb.o) : impnon.fcm
$(LIB)/adumb.a(eadumb.o) : noe.fcm
$(LIB)/adumb.a(eadumb.o) : number.fcm
$(LIB)/adumb.a(eadumb.o) : stream.fcm
$(LIB)/adumb.a(eadumb.o) : umb.fcm
#
#
$(LIB)/adumb.a(eval.o) : consta.fcm
$(LIB)/adumb.a(eval.o) : dimens.fcm
$(LIB)/adumb.a(eval.o) : exfunc.fcm
$(LIB)/adumb.a(eval.o) : impnon.fcm
$(LIB)/adumb.a(eval.o) : number.fcm
$(LIB)/adumb.a(eval.o) : stream.fcm
$(LIB)/adumb.a(eval.o) : umb.fcm
#
#
#
#
$(LIB)/adumb.a(umb.o) : bases.fcm
$(LIB)/adumb.a(umb.o) : consta.fcm
$(LIB)/adumb.a(umb.o) : coordc.fcm
$(LIB)/adumb.a(umb.o) : coord.fcm
$(LIB)/adumb.a(umb.o) : dimens.fcm
$(LIB)/adumb.a(umb.o) : exfunc.fcm
$(LIB)/adumb.a(umb.o) : heap.fcm
$(LIB)/adumb.a(umb.o) : impnon.fcm
$(LIB)/adumb.a(umb.o) : intcr.fcm
$(LIB)/adumb.a(umb.o) : number.fcm
$(LIB)/adumb.a(umb.o) : psf.fcm
$(LIB)/adumb.a(umb.o) : stack.fcm
$(LIB)/adumb.a(umb.o) : stream.fcm
$(LIB)/adumb.a(umb.o) : umbcor.fcm
$(LIB)/adumb.a(umb.o) : umb.fcm
#
