# dynamc makefile
# dynamc library rules
OBJS_dynamc= \
	$(LIB)/dynamc.a(cveloci.o) \
	$(LIB)/dynamc.a(dcntrl.o) \
	$(LIB)/dynamc.a(dynamc4.o) \
	$(LIB)/dynamc.a(dynamc.o) \
	$(LIB)/dynamc.a(dynamcv.o) \
	$(LIB)/dynamc.a(dynamln.o) \
	$(LIB)/dynamc.a(dynamvv2.o) \
	$(LIB)/dynamc.a(dynamvv.o) \
	$(LIB)/dynamc.a(dynio.o) \
	$(LIB)/dynamc.a(dynlng.o) \
	$(LIB)/dynamc.a(dynlngv.o) \
	$(LIB)/dynamc.a(dynsub.o) \
	$(LIB)/dynamc.a(dynutil.o) \
	$(LIB)/dynamc.a(lonepair.o) \
	$(LIB)/dynamc.a(mts.o) \
	$(LIB)/dynamc.a(nose.o) \
	$(LIB)/dynamc.a(prssre.o) \
	$(LIB)/dynamc.a(sglds.o) \
	$(LIB)/dynamc.a(tamd.o) \
	$(LIB)/dynamc.a(tmd.o) \
	$(LIB)/dynamc.a(tpcontrol.o) \
	$(LIB)/dynamc.a(tps.o) \
	$(LIB)/dynamc.a(trnphi.o)
#
$(LIB)/dynamc.a : $(OBJS_dynamc)
	$(RANLIB) $(LIB)/dynamc.a
	@echo dynamc COMPLETED
#
# dynamc source file rules
$(LIB)/dynamc.a(cveloci.o)  : $(SRC)/dynamc/cveloci.src
	$(FLX) $(SRC)/dynamc/cveloci.src
	$(FC2) cveloci.f
	$(AR_COMMAND) $(LIB)/dynamc.a cveloci.o
	$(REMOVE_F) cveloci.f
	$(REMOVE_O) cveloci.o
#
$(LIB)/dynamc.a(dcntrl.o)  : $(SRC)/dynamc/dcntrl.src
	$(FLX) $(SRC)/dynamc/dcntrl.src
	$(FC2) dcntrl.f
	$(AR_COMMAND) $(LIB)/dynamc.a dcntrl.o
	$(REMOVE_F) dcntrl.f
	$(REMOVE_O) dcntrl.o
#
$(LIB)/dynamc.a(dynamc4.o)  : $(SRC)/dynamc/dynamc4.src
	$(FLX) $(SRC)/dynamc/dynamc4.src
	$(FC2) dynamc4.f
	$(AR_COMMAND) $(LIB)/dynamc.a dynamc4.o
	$(REMOVE_F) dynamc4.f
	$(REMOVE_O) dynamc4.o
#
$(LIB)/dynamc.a(dynamc.o)  : $(SRC)/dynamc/dynamc.src
	$(FLX) $(SRC)/dynamc/dynamc.src
	$(FC2) dynamc.f
	$(AR_COMMAND) $(LIB)/dynamc.a dynamc.o
	$(REMOVE_F) dynamc.f
	$(REMOVE_O) dynamc.o
#
$(LIB)/dynamc.a(dynamcv.o)  : $(SRC)/dynamc/dynamcv.src
	$(FLX) $(SRC)/dynamc/dynamcv.src
	$(FC2) dynamcv.f
	$(AR_COMMAND) $(LIB)/dynamc.a dynamcv.o
	$(REMOVE_F) dynamcv.f
	$(REMOVE_O) dynamcv.o
#
$(LIB)/dynamc.a(dynamln.o)  : $(SRC)/dynamc/dynamln.src
	$(FLX) $(SRC)/dynamc/dynamln.src
	$(FC2) dynamln.f
	$(AR_COMMAND) $(LIB)/dynamc.a dynamln.o
	$(REMOVE_F) dynamln.f
	$(REMOVE_O) dynamln.o
#
$(LIB)/dynamc.a(dynamvv2.o)  : $(SRC)/dynamc/dynamvv2.src
	$(FLX) $(SRC)/dynamc/dynamvv2.src
	$(FC2) dynamvv2.f
	$(AR_COMMAND) $(LIB)/dynamc.a dynamvv2.o
	$(REMOVE_F) dynamvv2.f
	$(REMOVE_O) dynamvv2.o
#
$(LIB)/dynamc.a(dynamvv.o)  : $(SRC)/dynamc/dynamvv.src
	$(FLX) $(SRC)/dynamc/dynamvv.src
	$(FC2) dynamvv.f
	$(AR_COMMAND) $(LIB)/dynamc.a dynamvv.o
	$(REMOVE_F) dynamvv.f
	$(REMOVE_O) dynamvv.o
#
$(LIB)/dynamc.a(dynio.o)  : $(SRC)/dynamc/dynio.src
	$(FLX) $(SRC)/dynamc/dynio.src
	$(FC2) dynio.f
	$(AR_COMMAND) $(LIB)/dynamc.a dynio.o
	$(REMOVE_F) dynio.f
	$(REMOVE_O) dynio.o
#
$(LIB)/dynamc.a(dynlng.o)  : $(SRC)/dynamc/dynlng.src
	$(FLX) $(SRC)/dynamc/dynlng.src
	$(FC2) dynlng.f
	$(AR_COMMAND) $(LIB)/dynamc.a dynlng.o
	$(REMOVE_F) dynlng.f
	$(REMOVE_O) dynlng.o
#
$(LIB)/dynamc.a(dynlngv.o)  : $(SRC)/dynamc/dynlngv.src
	$(FLX) $(SRC)/dynamc/dynlngv.src
	$(FC2) dynlngv.f
	$(AR_COMMAND) $(LIB)/dynamc.a dynlngv.o
	$(REMOVE_F) dynlngv.f
	$(REMOVE_O) dynlngv.o
#
$(LIB)/dynamc.a(dynsub.o)  : $(SRC)/dynamc/dynsub.src
	$(FLX) $(SRC)/dynamc/dynsub.src
	$(FC2) dynsub.f
	$(AR_COMMAND) $(LIB)/dynamc.a dynsub.o
	$(REMOVE_F) dynsub.f
	$(REMOVE_O) dynsub.o
#
$(LIB)/dynamc.a(dynutil.o)  : $(SRC)/dynamc/dynutil.src
	$(FLX) $(SRC)/dynamc/dynutil.src
	$(FC2) dynutil.f
	$(AR_COMMAND) $(LIB)/dynamc.a dynutil.o
	$(REMOVE_F) dynutil.f
	$(REMOVE_O) dynutil.o
#
$(LIB)/dynamc.a(lonepair.o)  : $(SRC)/dynamc/lonepair.src
	$(FLX) $(SRC)/dynamc/lonepair.src
	$(FC2) lonepair.f
	$(AR_COMMAND) $(LIB)/dynamc.a lonepair.o
	$(REMOVE_F) lonepair.f
	$(REMOVE_O) lonepair.o
#
$(LIB)/dynamc.a(mts.o)  : $(SRC)/dynamc/mts.src
	$(FLX) $(SRC)/dynamc/mts.src
	$(FC2) mts.f
	$(AR_COMMAND) $(LIB)/dynamc.a mts.o
	$(REMOVE_F) mts.f
	$(REMOVE_O) mts.o
#
$(LIB)/dynamc.a(nose.o)  : $(SRC)/dynamc/nose.src
	$(FLX) $(SRC)/dynamc/nose.src
	$(FC2) nose.f
	$(AR_COMMAND) $(LIB)/dynamc.a nose.o
	$(REMOVE_F) nose.f
	$(REMOVE_O) nose.o
#
$(LIB)/dynamc.a(prssre.o)  : $(SRC)/dynamc/prssre.src
	$(FLX) $(SRC)/dynamc/prssre.src
	$(FC2) prssre.f
	$(AR_COMMAND) $(LIB)/dynamc.a prssre.o
	$(REMOVE_F) prssre.f
	$(REMOVE_O) prssre.o
#
$(LIB)/dynamc.a(sglds.o)  : $(SRC)/dynamc/sglds.src
	$(FLX) $(SRC)/dynamc/sglds.src
	$(FC2) sglds.f
	$(AR_COMMAND) $(LIB)/dynamc.a sglds.o
	$(REMOVE_F) sglds.f
	$(REMOVE_O) sglds.o
#
$(LIB)/dynamc.a(tamd.o)  : $(SRC)/dynamc/tamd.src
	$(FLX) $(SRC)/dynamc/tamd.src
	$(FC2) tamd.f
	$(AR_COMMAND) $(LIB)/dynamc.a tamd.o
	$(REMOVE_F) tamd.f
	$(REMOVE_O) tamd.o
#stream.fcm

$(LIB)/dynamc.a(tmd.o)  : $(SRC)/dynamc/tmd.src
	$(FLX) $(SRC)/dynamc/tmd.src
	$(FC2) tmd.f
	$(AR_COMMAND) $(LIB)/dynamc.a tmd.o
	$(REMOVE_F) tmd.f
	$(REMOVE_O) tmd.o
#
$(LIB)/dynamc.a(tpcontrol.o)  : $(SRC)/dynamc/tpcontrol.src
	$(FLX) $(SRC)/dynamc/tpcontrol.src
	$(FC2) tpcontrol.f
	$(AR_COMMAND) $(LIB)/dynamc.a tpcontrol.o
	$(REMOVE_F) tpcontrol.f
	$(REMOVE_O) tpcontrol.o
#
$(LIB)/dynamc.a(tps.o)  : $(SRC)/dynamc/tps.src
	$(FLX) $(SRC)/dynamc/tps.src
	$(FC2) tps.f
	$(AR_COMMAND) $(LIB)/dynamc.a tps.o
	$(REMOVE_F) tps.f
	$(REMOVE_O) tps.o
#
$(LIB)/dynamc.a(trnphi.o)  : $(SRC)/dynamc/trnphi.src
	$(FLX) $(SRC)/dynamc/trnphi.src
	$(FC2) trnphi.f
	$(AR_COMMAND) $(LIB)/dynamc.a trnphi.o
	$(REMOVE_F) trnphi.f
	$(REMOVE_O) trnphi.o
#
#
# dynamc dependency file
#
$(LIB)/dynamc.a(cveloci.o) : coordc.fcm
$(LIB)/dynamc.a(cveloci.o) : coord.fcm
$(LIB)/dynamc.a(cveloci.o) : cveloci.fcm
$(LIB)/dynamc.a(cveloci.o) : dimens.fcm
$(LIB)/dynamc.a(cveloci.o) : exfunc.fcm
$(LIB)/dynamc.a(cveloci.o) : impnon.fcm
$(LIB)/dynamc.a(cveloci.o) : number.fcm
$(LIB)/dynamc.a(cveloci.o) : psf.fcm
$(LIB)/dynamc.a(cveloci.o) : stream.fcm
#
#
$(LIB)/dynamc.a(dcntrl.o) : ace.fcm
$(LIB)/dynamc.a(dcntrl.o) : bases.fcm
$(LIB)/dynamc.a(dcntrl.o) : block.fcm
$(LIB)/dynamc.a(dcntrl.o) : blockscc.fcm
$(LIB)/dynamc.a(dcntrl.o) : cnst.fcm
$(LIB)/dynamc.a(dcntrl.o) : code.fcm
$(LIB)/dynamc.a(dcntrl.o) : consta.fcm
$(LIB)/dynamc.a(dcntrl.o) : contrl.fcm
$(LIB)/dynamc.a(dcntrl.o) : coordc.fcm
$(LIB)/dynamc.a(dcntrl.o) : coord.fcm
$(LIB)/dynamc.a(dcntrl.o) : ctitla.fcm
$(LIB)/dynamc.a(dcntrl.o) : cveloci.fcm
$(LIB)/dynamc.a(dcntrl.o) : deriv.fcm
$(LIB)/dynamc.a(dcntrl.o) : derivq.fcm
$(LIB)/dynamc.a(dcntrl.o) : dimens.fcm
$(LIB)/dynamc.a(dcntrl.o) : energy.fcm
$(LIB)/dynamc.a(dcntrl.o) : ensemble.fcm
$(LIB)/dynamc.a(dcntrl.o) : euler.fcm
$(LIB)/dynamc.a(dcntrl.o) : exfunc.fcm
$(LIB)/dynamc.a(dcntrl.o) : flucq.fcm
$(LIB)/dynamc.a(dcntrl.o) : fourd.fcm
$(LIB)/dynamc.a(dcntrl.o) : hbond.fcm
$(LIB)/dynamc.a(dcntrl.o) : heap.fcm
$(LIB)/dynamc.a(dcntrl.o) : icfix.fcm
$(LIB)/dynamc.a(dcntrl.o) : icpert.fcm
$(LIB)/dynamc.a(dcntrl.o) : image.fcm
$(LIB)/dynamc.a(dcntrl.o) : impnon.fcm
$(LIB)/dynamc.a(dcntrl.o) : inbnd.fcm
$(LIB)/dynamc.a(dcntrl.o) : lambda.fcm
$(LIB)/dynamc.a(dcntrl.o) : lonepr.fcm
$(LIB)/dynamc.a(dcntrl.o) : machdep.fcm
$(LIB)/dynamc.a(dcntrl.o) : mbmts.fcm
$(LIB)/dynamc.a(dcntrl.o) : mbond.fcm
$(LIB)/dynamc.a(dcntrl.o) : mmfp.fcm
$(LIB)/dynamc.a(dcntrl.o) : $(LIB)/util.a(new_timer.o)
$(LIB)/dynamc.a(dcntrl.o) : nose.fcm
$(LIB)/dynamc.a(dcntrl.o) : number.fcm
$(LIB)/dynamc.a(dcntrl.o) : parallel.fcm
$(LIB)/dynamc.a(dcntrl.o) : param.fcm
$(LIB)/dynamc.a(dcntrl.o) : pbound.fcm
$(LIB)/dynamc.a(dcntrl.o) : pert.fcm
$(LIB)/dynamc.a(dcntrl.o) : phmd.fcm
$(LIB)/dynamc.a(dcntrl.o) : pipf.fcm
$(LIB)/dynamc.a(dcntrl.o) : $(LIB)/nbonds.a(pme.o)
$(LIB)/dynamc.a(dcntrl.o) : psf.fcm
$(LIB)/dynamc.a(dcntrl.o) : reawri.fcm
$(LIB)/dynamc.a(dcntrl.o) : repdstr.fcm
$(LIB)/dynamc.a(dcntrl.o) : rmsd.fcm
$(LIB)/dynamc.a(dcntrl.o) : rwlamb.fcm
$(LIB)/dynamc.a(dcntrl.o) : sbound.fcm
$(LIB)/dynamc.a(dcntrl.o) : sccdftb.fcm
$(LIB)/dynamc.a(dcntrl.o) : sgld.fcm
$(LIB)/dynamc.a(dcntrl.o) : shake.fcm
$(LIB)/dynamc.a(dcntrl.o) : shapes.fcm
$(LIB)/dynamc.a(dcntrl.o) : stack.fcm
$(LIB)/dynamc.a(dcntrl.o) : stream.fcm
$(LIB)/dynamc.a(dcntrl.o) : tbmts.fcm
$(LIB)/dynamc.a(dcntrl.o) : timer.fcm
$(LIB)/dynamc.a(dcntrl.o) : tmd.fcm
$(LIB)/dynamc.a(dcntrl.o) : tsmh.fcm
$(LIB)/dynamc.a(dcntrl.o) : tsms.fcm
$(LIB)/dynamc.a(dcntrl.o) : $(LIB)/nbonds.a(cheqmodule.o)
#
#
$(LIB)/dynamc.a(dynamc4.o) : blockscc.fcm
$(LIB)/dynamc.a(dynamc4.o) : consta.fcm
$(LIB)/dynamc.a(dynamc4.o) : contrl.fcm
$(LIB)/dynamc.a(dynamc4.o) : coordc.fcm
$(LIB)/dynamc.a(dynamc4.o) : coord.fcm
$(LIB)/dynamc.a(dynamc4.o) : ctitla.fcm
$(LIB)/dynamc.a(dynamc4.o) : deriv.fcm
$(LIB)/dynamc.a(dynamc4.o) : dimens.fcm
$(LIB)/dynamc.a(dynamc4.o) : energy.fcm
$(LIB)/dynamc.a(dynamc4.o) : exfunc.fcm
$(LIB)/dynamc.a(dynamc4.o) : flucq.fcm
$(LIB)/dynamc.a(dynamc4.o) : fourd.fcm
$(LIB)/dynamc.a(dynamc4.o) : image.fcm
$(LIB)/dynamc.a(dynamc4.o) : impnon.fcm
$(LIB)/dynamc.a(dynamc4.o) : number.fcm
$(LIB)/dynamc.a(dynamc4.o) : parallel.fcm
$(LIB)/dynamc.a(dynamc4.o) : phmd.fcm
$(LIB)/dynamc.a(dynamc4.o) : reawri.fcm
$(LIB)/dynamc.a(dynamc4.o) : sccdftb.fcm
$(LIB)/dynamc.a(dynamc4.o) : shake.fcm
$(LIB)/dynamc.a(dynamc4.o) : stream.fcm
$(LIB)/dynamc.a(dynamc4.o) : tsms.fcm
$(LIB)/dynamc.a(dynamc4.o) : umb.fcm
#
#
$(LIB)/dynamc.a(dynamc.o) : blockscc.fcm
$(LIB)/dynamc.a(dynamc.o) : $(LIB)/nbonds.a(cheqmodule.o)
$(LIB)/dynamc.a(dynamc.o) : consta.fcm
$(LIB)/dynamc.a(dynamc.o) : contrl.fcm
$(LIB)/dynamc.a(dynamc.o) : coordc.fcm
$(LIB)/dynamc.a(dynamc.o) : coord.fcm
$(LIB)/dynamc.a(dynamc.o) : ctitla.fcm
$(LIB)/dynamc.a(dynamc.o) : cveloci.fcm
$(LIB)/dynamc.a(dynamc.o) : deriv.fcm
$(LIB)/dynamc.a(dynamc.o) : derivq.fcm
$(LIB)/dynamc.a(dynamc.o) : dimens.fcm
$(LIB)/dynamc.a(dynamc.o) : dmcons.fcm
$(LIB)/dynamc.a(dynamc.o) : energy.fcm
$(LIB)/dynamc.a(dynamc.o) : ensemble.fcm
$(LIB)/dynamc.a(dynamc.o) : exfunc.fcm
$(LIB)/dynamc.a(dynamc.o) : flucq.fcm
$(LIB)/dynamc.a(dynamc.o) : gamess.fcm
$(LIB)/dynamc.a(dynamc.o) : grape.fcm
$(LIB)/dynamc.a(dynamc.o) : heap.fcm
$(LIB)/dynamc.a(dynamc.o) : icfix.fcm
$(LIB)/dynamc.a(dynamc.o) : icpert.fcm
$(LIB)/dynamc.a(dynamc.o) : image.fcm
$(LIB)/dynamc.a(dynamc.o) : impnon.fcm
$(LIB)/dynamc.a(dynamc.o) : inbnd.fcm
$(LIB)/dynamc.a(dynamc.o) : mehmc.fcm
$(LIB)/dynamc.a(dynamc.o) : $(LIB)/util.a(new_timer.o)
$(LIB)/dynamc.a(dynamc.o) : number.fcm
$(LIB)/dynamc.a(dynamc.o) : parallel.fcm
$(LIB)/dynamc.a(dynamc.o) : pert.fcm
$(LIB)/dynamc.a(dynamc.o) : phmd.fcm
$(LIB)/dynamc.a(dynamc.o) : pipf.fcm
$(LIB)/dynamc.a(dynamc.o) : pshake.fcm
$(LIB)/dynamc.a(dynamc.o) : pull.fcm
$(LIB)/dynamc.a(dynamc.o) : quantm.fcm
$(LIB)/dynamc.a(dynamc.o) : reawri.fcm
$(LIB)/dynamc.a(dynamc.o) : repdstr.fcm
$(LIB)/dynamc.a(dynamc.o) : rgy.fcm
$(LIB)/dynamc.a(dynamc.o) : rwlamb.fcm
$(LIB)/dynamc.a(dynamc.o) : sccdftb.fcm
$(LIB)/dynamc.a(dynamc.o) : sgld.fcm
$(LIB)/dynamc.a(dynamc.o) : shake.fcm
$(LIB)/dynamc.a(dynamc.o) : sizes.fcm
$(LIB)/dynamc.a(dynamc.o) : spacdec.fcm
$(LIB)/dynamc.a(dynamc.o) : stack.fcm
$(LIB)/dynamc.a(dynamc.o) : stream.fcm
$(LIB)/dynamc.a(dynamc.o) : timer.fcm
$(LIB)/dynamc.a(dynamc.o) : tmd.fcm
$(LIB)/dynamc.a(dynamc.o) : tsms.fcm
$(LIB)/dynamc.a(dynamc.o) : umb.fcm
#
#
$(LIB)/dynamc.a(dynamcv.o) : blockscc.fcm
$(LIB)/dynamc.a(dynamcv.o) : $(LIB)/nbonds.a(cheqmodule.o)
$(LIB)/dynamc.a(dynamcv.o) : cnst.fcm
$(LIB)/dynamc.a(dynamcv.o) : consta.fcm
$(LIB)/dynamc.a(dynamcv.o) : contrl.fcm
$(LIB)/dynamc.a(dynamcv.o) : coord.fcm
$(LIB)/dynamc.a(dynamcv.o) : ctitla.fcm
$(LIB)/dynamc.a(dynamcv.o) : deriv.fcm
$(LIB)/dynamc.a(dynamcv.o) : dimens.fcm
$(LIB)/dynamc.a(dynamcv.o) : dmcons.fcm
$(LIB)/dynamc.a(dynamcv.o) : energy.fcm
$(LIB)/dynamc.a(dynamcv.o) : exfunc.fcm
$(LIB)/dynamc.a(dynamcv.o) : flucq.fcm
$(LIB)/dynamc.a(dynamcv.o) : heap.fcm
$(LIB)/dynamc.a(dynamcv.o) : icfix.fcm
$(LIB)/dynamc.a(dynamcv.o) : icpert.fcm
$(LIB)/dynamc.a(dynamcv.o) : impnon.fcm
$(LIB)/dynamc.a(dynamcv.o) : nose.fcm
$(LIB)/dynamc.a(dynamcv.o) : number.fcm
$(LIB)/dynamc.a(dynamcv.o) : pert.fcm
$(LIB)/dynamc.a(dynamcv.o) : phmd.fcm
$(LIB)/dynamc.a(dynamcv.o) : pshake.fcm
$(LIB)/dynamc.a(dynamcv.o) : reawri.fcm
$(LIB)/dynamc.a(dynamcv.o) : rgy.fcm
$(LIB)/dynamc.a(dynamcv.o) : rwlamb.fcm
$(LIB)/dynamc.a(dynamcv.o) : sccdftb.fcm
$(LIB)/dynamc.a(dynamcv.o) : shake.fcm
$(LIB)/dynamc.a(dynamcv.o) : stream.fcm
$(LIB)/dynamc.a(dynamcv.o) : tsms.fcm
$(LIB)/dynamc.a(dynamcv.o) : umb.fcm
#
#
$(LIB)/dynamc.a(dynamln.o) : cnst.fcm
$(LIB)/dynamc.a(dynamln.o) : consta.fcm
$(LIB)/dynamc.a(dynamln.o) : contrl.fcm
$(LIB)/dynamc.a(dynamln.o) : coord.fcm
$(LIB)/dynamc.a(dynamln.o) : ctitla.fcm
$(LIB)/dynamc.a(dynamln.o) : deriv.fcm
$(LIB)/dynamc.a(dynamln.o) : dimens.fcm
$(LIB)/dynamc.a(dynamln.o) : dmcons.fcm
$(LIB)/dynamc.a(dynamln.o) : energy.fcm
$(LIB)/dynamc.a(dynamln.o) : exfunc.fcm
$(LIB)/dynamc.a(dynamln.o) : heap.fcm
$(LIB)/dynamc.a(dynamln.o) : icfix.fcm
$(LIB)/dynamc.a(dynamln.o) : icpert.fcm
$(LIB)/dynamc.a(dynamln.o) : impnon.fcm
$(LIB)/dynamc.a(dynamln.o) : nose.fcm
$(LIB)/dynamc.a(dynamln.o) : number.fcm
$(LIB)/dynamc.a(dynamln.o) : reawri.fcm
$(LIB)/dynamc.a(dynamln.o) : rgy.fcm
$(LIB)/dynamc.a(dynamln.o) : rwlamb.fcm
$(LIB)/dynamc.a(dynamln.o) : shake.fcm
$(LIB)/dynamc.a(dynamln.o) : stream.fcm
$(LIB)/dynamc.a(dynamln.o) : tbmts.fcm
#
#
$(LIB)/dynamc.a(dynamvv2.o) : cnst.fcm
$(LIB)/dynamc.a(dynamvv2.o) : code.fcm
$(LIB)/dynamc.a(dynamvv2.o) : consta.fcm
$(LIB)/dynamc.a(dynamvv2.o) : contrl.fcm
$(LIB)/dynamc.a(dynamvv2.o) : coord.fcm
$(LIB)/dynamc.a(dynamvv2.o) : cstack.fcm
$(LIB)/dynamc.a(dynamvv2.o) : ctitla.fcm
$(LIB)/dynamc.a(dynamvv2.o) : deriv.fcm
$(LIB)/dynamc.a(dynamvv2.o) : dimens.fcm
$(LIB)/dynamc.a(dynamvv2.o) : dmcons.fcm
$(LIB)/dynamc.a(dynamvv2.o) : energy.fcm
$(LIB)/dynamc.a(dynamvv2.o) : exfunc.fcm
$(LIB)/dynamc.a(dynamvv2.o) : fourd.fcm
$(LIB)/dynamc.a(dynamvv2.o) : heap.fcm
$(LIB)/dynamc.a(dynamvv2.o) : icfix.fcm
$(LIB)/dynamc.a(dynamvv2.o) : icpert.fcm
$(LIB)/dynamc.a(dynamvv2.o) : image.fcm
$(LIB)/dynamc.a(dynamvv2.o) : impnon.fcm
$(LIB)/dynamc.a(dynamvv2.o) : lonepr.fcm
$(LIB)/dynamc.a(dynamvv2.o) : nose.fcm
$(LIB)/dynamc.a(dynamvv2.o) : number.fcm
$(LIB)/dynamc.a(dynamvv2.o) : parallel.fcm
$(LIB)/dynamc.a(dynamvv2.o) : param.fcm
$(LIB)/dynamc.a(dynamvv2.o) : pert.fcm
$(LIB)/dynamc.a(dynamvv2.o) : psf.fcm
$(LIB)/dynamc.a(dynamvv2.o) : pshake.fcm
$(LIB)/dynamc.a(dynamvv2.o) : reawri.fcm
$(LIB)/dynamc.a(dynamvv2.o) : rgy.fcm
$(LIB)/dynamc.a(dynamvv2.o) : rwlamb.fcm
$(LIB)/dynamc.a(dynamvv2.o) : shake.fcm
$(LIB)/dynamc.a(dynamvv2.o) : stack.fcm
$(LIB)/dynamc.a(dynamvv2.o) : stream.fcm
$(LIB)/dynamc.a(dynamvv2.o) : tbmts.fcm
$(LIB)/dynamc.a(dynamvv2.o) : umb.fcm
#
#
$(LIB)/dynamc.a(dynamvv.o) : blockscc.fcm
$(LIB)/dynamc.a(dynamvv.o) : $(LIB)/nbonds.a(cheqmodule.o)
$(LIB)/dynamc.a(dynamvv.o) : cnst.fcm
$(LIB)/dynamc.a(dynamvv.o) : consta.fcm
$(LIB)/dynamc.a(dynamvv.o) : contrl.fcm
$(LIB)/dynamc.a(dynamvv.o) : coord.fcm
$(LIB)/dynamc.a(dynamvv.o) : ctitla.fcm
$(LIB)/dynamc.a(dynamvv.o) : deriv.fcm
$(LIB)/dynamc.a(dynamvv.o) : derivq.fcm
$(LIB)/dynamc.a(dynamvv.o) : dimens.fcm
$(LIB)/dynamc.a(dynamvv.o) : dmcons.fcm
$(LIB)/dynamc.a(dynamvv.o) : energy.fcm
$(LIB)/dynamc.a(dynamvv.o) : exfunc.fcm
$(LIB)/dynamc.a(dynamvv.o) : heap.fcm
$(LIB)/dynamc.a(dynamvv.o) : icfix.fcm
$(LIB)/dynamc.a(dynamvv.o) : icpert.fcm
$(LIB)/dynamc.a(dynamvv.o) : impnon.fcm
$(LIB)/dynamc.a(dynamvv.o) : nose.fcm
$(LIB)/dynamc.a(dynamvv.o) : number.fcm
$(LIB)/dynamc.a(dynamvv.o) : parallel.fcm
$(LIB)/dynamc.a(dynamvv.o) : pipf.fcm
$(LIB)/dynamc.a(dynamvv.o) : quantm.fcm
$(LIB)/dynamc.a(dynamvv.o) : reawri.fcm
$(LIB)/dynamc.a(dynamvv.o) : rgy.fcm
$(LIB)/dynamc.a(dynamvv.o) : rwlamb.fcm
$(LIB)/dynamc.a(dynamvv.o) : sccdftb.fcm
$(LIB)/dynamc.a(dynamvv.o) : shake.fcm
$(LIB)/dynamc.a(dynamvv.o) : sizes.fcm
$(LIB)/dynamc.a(dynamvv.o) : stream.fcm
$(LIB)/dynamc.a(dynamvv.o) : tbmts.fcm
$(LIB)/dynamc.a(dynamvv.o) : umb.fcm
#
#
$(LIB)/dynamc.a(dynio.o) : $(LIB)/nbonds.a(cheqmodule.o)
$(LIB)/dynamc.a(dynio.o) : comand.fcm
$(LIB)/dynamc.a(dynio.o) : consta.fcm
$(LIB)/dynamc.a(dynio.o) : coord.fcm
$(LIB)/dynamc.a(dynio.o) : ctitla.fcm
$(LIB)/dynamc.a(dynio.o) : cveloci.fcm
$(LIB)/dynamc.a(dynio.o) : dimens.fcm
$(LIB)/dynamc.a(dynio.o) : energy.fcm
$(LIB)/dynamc.a(dynio.o) : exfunc.fcm
$(LIB)/dynamc.a(dynio.o) : flucq.fcm
$(LIB)/dynamc.a(dynio.o) : fourd.fcm
$(LIB)/dynamc.a(dynio.o) : image.fcm
$(LIB)/dynamc.a(dynio.o) : impnon.fcm
$(LIB)/dynamc.a(dynio.o) : iochan.fcm
$(LIB)/dynamc.a(dynio.o) : nose.fcm
$(LIB)/dynamc.a(dynio.o) : number.fcm
$(LIB)/dynamc.a(dynio.o) : parallel.fcm
$(LIB)/dynamc.a(dynio.o) : path.fcm
$(LIB)/dynamc.a(dynio.o) : phmd.fcm
$(LIB)/dynamc.a(dynio.o) : psf.fcm
$(LIB)/dynamc.a(dynio.o) : reawri.fcm
$(LIB)/dynamc.a(dynio.o) : repdstr.fcm
$(LIB)/dynamc.a(dynio.o) : replica.fcm
$(LIB)/dynamc.a(dynio.o) : stack.fcm
$(LIB)/dynamc.a(dynio.o) : stream.fcm
$(LIB)/dynamc.a(dynio.o) : version.fcm
#
#
$(LIB)/dynamc.a(dynlng.o) : cnst.fcm
$(LIB)/dynamc.a(dynlng.o) : consta.fcm
$(LIB)/dynamc.a(dynlng.o) : deriv.fcm
$(LIB)/dynamc.a(dynlng.o) : dimens.fcm
$(LIB)/dynamc.a(dynlng.o) : energy.fcm
$(LIB)/dynamc.a(dynlng.o) : euler.fcm
$(LIB)/dynamc.a(dynlng.o) : exfunc.fcm
$(LIB)/dynamc.a(dynlng.o) : fourd.fcm
$(LIB)/dynamc.a(dynlng.o) : impnon.fcm
$(LIB)/dynamc.a(dynlng.o) : number.fcm
$(LIB)/dynamc.a(dynlng.o) : parallel.fcm
$(LIB)/dynamc.a(dynlng.o) : psf.fcm
$(LIB)/dynamc.a(dynlng.o) : reawri.fcm
$(LIB)/dynamc.a(dynlng.o) : stack.fcm
$(LIB)/dynamc.a(dynlng.o) : stream.fcm
#
#
$(LIB)/dynamc.a(dynlngv.o) : cnst.fcm
$(LIB)/dynamc.a(dynlngv.o) : consta.fcm
$(LIB)/dynamc.a(dynlngv.o) : dimens.fcm
$(LIB)/dynamc.a(dynlngv.o) : exfunc.fcm
$(LIB)/dynamc.a(dynlngv.o) : impnon.fcm
$(LIB)/dynamc.a(dynlngv.o) : number.fcm
$(LIB)/dynamc.a(dynlngv.o) : psf.fcm
$(LIB)/dynamc.a(dynlngv.o) : stack.fcm
$(LIB)/dynamc.a(dynlngv.o) : stream.fcm
#
#
$(LIB)/dynamc.a(dynsub.o) : bases.fcm
$(LIB)/dynamc.a(dynsub.o) : $(LIB)/nbonds.a(cheqmodule.o)
$(LIB)/dynamc.a(dynsub.o) : coordc.fcm
$(LIB)/dynamc.a(dynsub.o) : coord.fcm
$(LIB)/dynamc.a(dynsub.o) : dimens.fcm
$(LIB)/dynamc.a(dynsub.o) : exfunc.fcm
$(LIB)/dynamc.a(dynsub.o) : heap.fcm
$(LIB)/dynamc.a(dynsub.o) : image.fcm
$(LIB)/dynamc.a(dynsub.o) : impnon.fcm
$(LIB)/dynamc.a(dynsub.o) : iochan.fcm
$(LIB)/dynamc.a(dynsub.o) : number.fcm
$(LIB)/dynamc.a(dynsub.o) : psf.fcm
$(LIB)/dynamc.a(dynsub.o) : stack.fcm
$(LIB)/dynamc.a(dynsub.o) : stream.fcm
#
#
$(LIB)/dynamc.a(dynutil.o) : consta.fcm
$(LIB)/dynamc.a(dynutil.o) : dimens.fcm
$(LIB)/dynamc.a(dynutil.o) : exfunc.fcm
$(LIB)/dynamc.a(dynutil.o) : impnon.fcm
$(LIB)/dynamc.a(dynutil.o) : number.fcm
$(LIB)/dynamc.a(dynutil.o) : parallel.fcm
$(LIB)/dynamc.a(dynutil.o) : stream.fcm
$(LIB)/dynamc.a(dynutil.o) : tsms.fcm
#
#
$(LIB)/dynamc.a(lonepair.o) : coord.fcm
$(LIB)/dynamc.a(lonepair.o) : dimens.fcm
$(LIB)/dynamc.a(lonepair.o) : exfunc.fcm
$(LIB)/dynamc.a(lonepair.o) : impnon.fcm
$(LIB)/dynamc.a(lonepair.o) : lonepr.fcm
$(LIB)/dynamc.a(lonepair.o) : number.fcm
$(LIB)/dynamc.a(lonepair.o) : parallel.fcm
$(LIB)/dynamc.a(lonepair.o) : psf.fcm
$(LIB)/dynamc.a(lonepair.o) : shake.fcm
$(LIB)/dynamc.a(lonepair.o) : stack.fcm
$(LIB)/dynamc.a(lonepair.o) : stream.fcm
#
#
$(LIB)/dynamc.a(mts.o) : bases.fcm
$(LIB)/dynamc.a(mts.o) : cnst.fcm
$(LIB)/dynamc.a(mts.o) : code.fcm
$(LIB)/dynamc.a(mts.o) : contrl.fcm
$(LIB)/dynamc.a(mts.o) : coord.fcm
$(LIB)/dynamc.a(mts.o) : dimens.fcm
$(LIB)/dynamc.a(mts.o) : energy.fcm
$(LIB)/dynamc.a(mts.o) : exfunc.fcm
$(LIB)/dynamc.a(mts.o) : heap.fcm
$(LIB)/dynamc.a(mts.o) : image.fcm
$(LIB)/dynamc.a(mts.o) : impnon.fcm
$(LIB)/dynamc.a(mts.o) : inbnd.fcm
$(LIB)/dynamc.a(mts.o) : number.fcm
$(LIB)/dynamc.a(mts.o) : parallel.fcm
$(LIB)/dynamc.a(mts.o) : param.fcm
$(LIB)/dynamc.a(mts.o) : psf.fcm
$(LIB)/dynamc.a(mts.o) : shake.fcm
$(LIB)/dynamc.a(mts.o) : stack.fcm
$(LIB)/dynamc.a(mts.o) : stream.fcm
$(LIB)/dynamc.a(mts.o) : tbmts.fcm
$(LIB)/dynamc.a(mts.o) : tbmtsp1.fcm
$(LIB)/dynamc.a(mts.o) : tbmtsp.fcm
#
#
$(LIB)/dynamc.a(nose.o) : $(LIB)/nbonds.a(cheqmodule.o)
$(LIB)/dynamc.a(nose.o) : consta.fcm
$(LIB)/dynamc.a(nose.o) : coord.fcm
$(LIB)/dynamc.a(nose.o) : dimens.fcm
$(LIB)/dynamc.a(nose.o) : exfunc.fcm
$(LIB)/dynamc.a(nose.o) : heap.fcm
$(LIB)/dynamc.a(nose.o) : impnon.fcm
$(LIB)/dynamc.a(nose.o) : nose.fcm
$(LIB)/dynamc.a(nose.o) : number.fcm
$(LIB)/dynamc.a(nose.o) : psf.fcm
$(LIB)/dynamc.a(nose.o) : stack.fcm
$(LIB)/dynamc.a(nose.o) : stream.fcm
#
#
$(LIB)/dynamc.a(prssre.o) : consta.fcm
$(LIB)/dynamc.a(prssre.o) : contrl.fcm
$(LIB)/dynamc.a(prssre.o) : deriv.fcm
$(LIB)/dynamc.a(prssre.o) : dimens.fcm
$(LIB)/dynamc.a(prssre.o) : energy.fcm
$(LIB)/dynamc.a(prssre.o) : exfunc.fcm
$(LIB)/dynamc.a(prssre.o) : heap.fcm
$(LIB)/dynamc.a(prssre.o) : image.fcm
$(LIB)/dynamc.a(prssre.o) : impnon.fcm
$(LIB)/dynamc.a(prssre.o) : mmfp.fcm
$(LIB)/dynamc.a(prssre.o) : number.fcm
$(LIB)/dynamc.a(prssre.o) : parallel.fcm
$(LIB)/dynamc.a(prssre.o) : psf.fcm
$(LIB)/dynamc.a(prssre.o) : reawri.fcm
$(LIB)/dynamc.a(prssre.o) : shake.fcm
$(LIB)/dynamc.a(prssre.o) : stack.fcm
$(LIB)/dynamc.a(prssre.o) : stream.fcm
#
#
$(LIB)/dynamc.a(sglds.o) : cnst.fcm
$(LIB)/dynamc.a(sglds.o) : consta.fcm
$(LIB)/dynamc.a(sglds.o) : dimens.fcm
$(LIB)/dynamc.a(sglds.o) : exfunc.fcm
$(LIB)/dynamc.a(sglds.o) : heap.fcm
$(LIB)/dynamc.a(sglds.o) : impnon.fcm
$(LIB)/dynamc.a(sglds.o) : number.fcm
$(LIB)/dynamc.a(sglds.o) : parallel.fcm
$(LIB)/dynamc.a(sglds.o) : psf.fcm
$(LIB)/dynamc.a(sglds.o) : sgld.fcm
$(LIB)/dynamc.a(sglds.o) : stream.fcm
#
#
$(LIB)/dynamc.a(tamd.o) : bases.fcm
$(LIB)/dynamc.a(tamd.o) : $(LIB)/nbonds.a(cheqmodule.o)
$(LIB)/dynamc.a(tamd.o) : comand.fcm
$(LIB)/dynamc.a(tamd.o) : consta.fcm
$(LIB)/dynamc.a(tamd.o) : contrl.fcm
$(LIB)/dynamc.a(tamd.o) : coord.fcm
$(LIB)/dynamc.a(tamd.o) : ctitla.fcm
$(LIB)/dynamc.a(tamd.o) : deriv.fcm
$(LIB)/dynamc.a(tamd.o) : derivq.fcm
$(LIB)/dynamc.a(tamd.o) : dimens.fcm
$(LIB)/dynamc.a(tamd.o) : energy.fcm
$(LIB)/dynamc.a(tamd.o) : exfunc.fcm
$(LIB)/dynamc.a(tamd.o) : hbond.fcm
$(LIB)/dynamc.a(tamd.o) : image.fcm
$(LIB)/dynamc.a(tamd.o) : impnon.fcm
$(LIB)/dynamc.a(tamd.o) : inbnd.fcm
$(LIB)/dynamc.a(tamd.o) : $(LIB)/util.a(new_timer.o)
$(LIB)/dynamc.a(tamd.o) : number.fcm
$(LIB)/dynamc.a(tamd.o) : psf.fcm
$(LIB)/dynamc.a(tamd.o) : shake.fcm
$(LIB)/dynamc.a(tamd.o) : stream.fcm
$(LIB)/dynamc.a(tamd.o) : tsms.fcm
$(LIB)/dynamc.a(tamd.o) : version.fcm
#
#
$(LIB)/dynamc.a(tmd.o) : comand.fcm
$(LIB)/dynamc.a(tmd.o) : consta.fcm
$(LIB)/dynamc.a(tmd.o) : contrl.fcm
$(LIB)/dynamc.a(tmd.o) : coordc.fcm
$(LIB)/dynamc.a(tmd.o) : coord.fcm
$(LIB)/dynamc.a(tmd.o) : deriv.fcm
$(LIB)/dynamc.a(tmd.o) : dimens.fcm
$(LIB)/dynamc.a(tmd.o) : energy.fcm
$(LIB)/dynamc.a(tmd.o) : exfunc.fcm
$(LIB)/dynamc.a(tmd.o) : heap.fcm
$(LIB)/dynamc.a(tmd.o) : impnon.fcm
$(LIB)/dynamc.a(tmd.o) : number.fcm
$(LIB)/dynamc.a(tmd.o) : parallel.fcm
$(LIB)/dynamc.a(tmd.o) : psf.fcm
$(LIB)/dynamc.a(tmd.o) : stack.fcm
$(LIB)/dynamc.a(tmd.o) : stream.fcm
$(LIB)/dynamc.a(tmd.o) : tmd.fcm
#
#
$(LIB)/dynamc.a(tpcontrol.o) : consta.fcm
$(LIB)/dynamc.a(tpcontrol.o) : dimens.fcm
$(LIB)/dynamc.a(tpcontrol.o) : exfunc.fcm
$(LIB)/dynamc.a(tpcontrol.o) : heap.fcm
$(LIB)/dynamc.a(tpcontrol.o) : impnon.fcm
$(LIB)/dynamc.a(tpcontrol.o) : nose.fcm
$(LIB)/dynamc.a(tpcontrol.o) : number.fcm
$(LIB)/dynamc.a(tpcontrol.o) : psf.fcm
$(LIB)/dynamc.a(tpcontrol.o) : stack.fcm
$(LIB)/dynamc.a(tpcontrol.o) : stream.fcm
#
#
$(LIB)/dynamc.a(tps.o) : bases.fcm
$(LIB)/dynamc.a(tps.o) : consta.fcm
$(LIB)/dynamc.a(tps.o) : coordc.fcm
$(LIB)/dynamc.a(tps.o) : coord.fcm
$(LIB)/dynamc.a(tps.o) : ctitla.fcm
$(LIB)/dynamc.a(tps.o) : deriv.fcm
$(LIB)/dynamc.a(tps.o) : dimens.fcm
$(LIB)/dynamc.a(tps.o) : exfunc.fcm
$(LIB)/dynamc.a(tps.o) : heap.fcm
$(LIB)/dynamc.a(tps.o) : impnon.fcm
$(LIB)/dynamc.a(tps.o) : number.fcm
$(LIB)/dynamc.a(tps.o) : parallel.fcm
$(LIB)/dynamc.a(tps.o) : psf.fcm
$(LIB)/dynamc.a(tps.o) : reawri.fcm
$(LIB)/dynamc.a(tps.o) : rxncom.fcm
$(LIB)/dynamc.a(tps.o) : shake.fcm
$(LIB)/dynamc.a(tps.o) : stack.fcm
$(LIB)/dynamc.a(tps.o) : stream.fcm
#
#
$(LIB)/dynamc.a(trnphi.o) : $(LIB)/nbonds.a(cheqmodule.o)
$(LIB)/dynamc.a(trnphi.o) : code.fcm
$(LIB)/dynamc.a(trnphi.o) : comand.fcm
$(LIB)/dynamc.a(trnphi.o) : consta.fcm
$(LIB)/dynamc.a(trnphi.o) : coord.fcm
$(LIB)/dynamc.a(trnphi.o) : ctitla.fcm
$(LIB)/dynamc.a(trnphi.o) : dimens.fcm
$(LIB)/dynamc.a(trnphi.o) : exfunc.fcm
$(LIB)/dynamc.a(trnphi.o) : impnon.fcm
$(LIB)/dynamc.a(trnphi.o) : number.fcm
$(LIB)/dynamc.a(trnphi.o) : param.fcm
$(LIB)/dynamc.a(trnphi.o) : psf.fcm
$(LIB)/dynamc.a(trnphi.o) : stack.fcm
$(LIB)/dynamc.a(trnphi.o) : stream.fcm
#
