# flucq makefile
# flucq library rules
OBJS_flucq= \
	$(LIB)/flucq.a(flucq.o) \
	$(LIB)/flucq.a(fluqdyn.o) \
	$(LIB)/flucq.a(fluqene.o) \
	$(LIB)/flucq.a(fluqqmmm.o)
#
$(LIB)/flucq.a : $(OBJS_flucq)
	$(RANLIB) $(LIB)/flucq.a
	@echo flucq COMPLETED
#
# flucq source file rules
$(LIB)/flucq.a(flucq.o)  : $(SRC)/flucq/flucq.src
	$(FLX) $(SRC)/flucq/flucq.src
	$(FC2) flucq.f
	$(AR_COMMAND) $(LIB)/flucq.a flucq.o
	$(REMOVE_F) flucq.f
	$(REMOVE_O) flucq.o
#
$(LIB)/flucq.a(fluqdyn.o)  : $(SRC)/flucq/fluqdyn.src
	$(FLX) $(SRC)/flucq/fluqdyn.src
	$(FC2) fluqdyn.f
	$(AR_COMMAND) $(LIB)/flucq.a fluqdyn.o
	$(REMOVE_F) fluqdyn.f
	$(REMOVE_O) fluqdyn.o
#
$(LIB)/flucq.a(fluqene.o)  : $(SRC)/flucq/fluqene.src
	$(FLX) $(SRC)/flucq/fluqene.src
	$(FC2) fluqene.f
	$(AR_COMMAND) $(LIB)/flucq.a fluqene.o
	$(REMOVE_F) fluqene.f
	$(REMOVE_O) fluqene.o
#
$(LIB)/flucq.a(fluqqmmm.o)  : $(SRC)/flucq/fluqqmmm.src
	$(FLX) $(SRC)/flucq/fluqqmmm.src
	$(FC2) fluqqmmm.f
	$(AR_COMMAND) $(LIB)/flucq.a fluqqmmm.o
	$(REMOVE_F) fluqqmmm.f
	$(REMOVE_O) fluqqmmm.o
#
#
# flucq dependency file
#
$(LIB)/flucq.a(flucq.o) : cadpac.fcm
$(LIB)/flucq.a(flucq.o) : code.fcm
$(LIB)/flucq.a(flucq.o) : consta.fcm
$(LIB)/flucq.a(flucq.o) : coord.fcm
$(LIB)/flucq.a(flucq.o) : dimens.fcm
$(LIB)/flucq.a(flucq.o) : energy.fcm
$(LIB)/flucq.a(flucq.o) : exfunc.fcm
$(LIB)/flucq.a(flucq.o) : flucq.fcm
$(LIB)/flucq.a(flucq.o) : gamess.fcm
$(LIB)/flucq.a(flucq.o) : heap.fcm
$(LIB)/flucq.a(flucq.o) : image.fcm
$(LIB)/flucq.a(flucq.o) : impnon.fcm
$(LIB)/flucq.a(flucq.o) : mndo97.fcm
$(LIB)/flucq.a(flucq.o) : number.fcm
$(LIB)/flucq.a(flucq.o) : parallel.fcm
$(LIB)/flucq.a(flucq.o) : param.fcm
$(LIB)/flucq.a(flucq.o) : psf.fcm
$(LIB)/flucq.a(flucq.o) : quantm.fcm
$(LIB)/flucq.a(flucq.o) : rtf.fcm
$(LIB)/flucq.a(flucq.o) : squantm.fcm
$(LIB)/flucq.a(flucq.o) : stream.fcm
#
#
$(LIB)/flucq.a(fluqdyn.o) : bases.fcm
$(LIB)/flucq.a(fluqdyn.o) : consta.fcm
$(LIB)/flucq.a(fluqdyn.o) : coord.fcm
$(LIB)/flucq.a(fluqdyn.o) : deriv.fcm
$(LIB)/flucq.a(fluqdyn.o) : dimens.fcm
$(LIB)/flucq.a(fluqdyn.o) : energy.fcm
$(LIB)/flucq.a(fluqdyn.o) : exfunc.fcm
$(LIB)/flucq.a(fluqdyn.o) : flucq.fcm
$(LIB)/flucq.a(fluqdyn.o) : heap.fcm
$(LIB)/flucq.a(fluqdyn.o) : image.fcm
$(LIB)/flucq.a(fluqdyn.o) : impnon.fcm
$(LIB)/flucq.a(fluqdyn.o) : number.fcm
$(LIB)/flucq.a(fluqdyn.o) : parallel.fcm
$(LIB)/flucq.a(fluqdyn.o) : param.fcm
$(LIB)/flucq.a(fluqdyn.o) : psf.fcm
$(LIB)/flucq.a(fluqdyn.o) : rtf.fcm
$(LIB)/flucq.a(fluqdyn.o) : stream.fcm
#
#
$(LIB)/flucq.a(fluqene.o) : code.fcm
$(LIB)/flucq.a(fluqene.o) : dimens.fcm
$(LIB)/flucq.a(fluqene.o) : exfunc.fcm
$(LIB)/flucq.a(fluqene.o) : flucq.fcm
$(LIB)/flucq.a(fluqene.o) : heap.fcm
$(LIB)/flucq.a(fluqene.o) : image.fcm
$(LIB)/flucq.a(fluqene.o) : impnon.fcm
$(LIB)/flucq.a(fluqene.o) : number.fcm
$(LIB)/flucq.a(fluqene.o) : parallel.fcm
$(LIB)/flucq.a(fluqene.o) : param.fcm
$(LIB)/flucq.a(fluqene.o) : psf.fcm
$(LIB)/flucq.a(fluqene.o) : stream.fcm
#
#
$(LIB)/flucq.a(fluqqmmm.o) : am1parm.fcm
$(LIB)/flucq.a(fluqqmmm.o) : consta.fcm
$(LIB)/flucq.a(fluqqmmm.o) : coord.fcm
$(LIB)/flucq.a(fluqqmmm.o) : deriv.fcm
$(LIB)/flucq.a(fluqqmmm.o) : dimens.fcm
$(LIB)/flucq.a(fluqqmmm.o) : exfunc.fcm
$(LIB)/flucq.a(fluqqmmm.o) : flucq.fcm
$(LIB)/flucq.a(fluqqmmm.o) : gamess.fcm
$(LIB)/flucq.a(fluqqmmm.o) : heap.fcm
$(LIB)/flucq.a(fluqqmmm.o) : impnon.fcm
$(LIB)/flucq.a(fluqqmmm.o) : inbnd.fcm
$(LIB)/flucq.a(fluqqmmm.o) : nbndqm.fcm
$(LIB)/flucq.a(fluqqmmm.o) : number.fcm
$(LIB)/flucq.a(fluqqmmm.o) : parallel.fcm
$(LIB)/flucq.a(fluqqmmm.o) : psf.fcm
$(LIB)/flucq.a(fluqqmmm.o) : qmlink.fcm
$(LIB)/flucq.a(fluqqmmm.o) : quantm.fcm
$(LIB)/flucq.a(fluqqmmm.o) : sizes.fcm
$(LIB)/flucq.a(fluqqmmm.o) : stream.fcm
#
