C $Header: /export/cvs/c34a1/source/moldyn/add3.f,v 1.1.1.1 2006/08/17 02:29:56 brooks Exp $
C
C COPYRIGHT (C) 1991-1998 MOLDYN, INC.  ALL RIGHTS RESERVED
C =====================================================================
C 
C THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF MOLDYN, INC.
C 
C THIS SOFTWARE CONTAINS PROPRIETARY AND CONFIDENTIAL INFORMATION OF
C MOLDYN, INC., AND IS PROTECTED BY COPYRIGHT, TRADE SECRET AND OTHER
C STATE AND FEDERAL LAWS. USE, DISCLOSURE, REPRODUCTION OR DUPLICATION
C IN WHOLE OR IN PART IS STRICTLY PROHIBITED WITHOUT THE PRIOR EXPRESS
C WRITTEN CONSENT OF MOLDYN, INC. THE ABOVE COPYRIGHT NOTICE DOES NOT
C EVIDENCE ANY ACTUAL OR INTENDED PUBLICATION OF SUCH SOURCE CODE.
C 
C 
      SUBROUTINE ADD3(ALPHA,A,BETA,B,GAMMA,C,NR,NC,KR)
CSE
      IMPLICIT NONE
 
      CHARACTER*128  RCSID
      DATA           RCSID
     &/'$RCSfile: add3.f,v $$Revision: 1.1.1.1 $'/
C                                                          DEBUG #  27
CPS        PURPOSE:
C
C                   MULTIPLY THREE MATRICES EACH BY A SCALAR AND ADD.
C                   FORM THE SUM
C                         AZ = SA*A + SB*B + SC*C
C                   WHERE
C                     A,B,C    ARE INPUT (NR,NC) MATRICES
C                     SA,SB,SC ARE INPUT SCALARS
C                     B,C      ARE NOT DESTROYED, INPUT A IS
C                     AZ       OUTPUT MATRIX RETURNED IN A ARRAY
C
CPE
      INTEGER I, J, NR, NC, KR
      DOUBLE PRECISION A(KR,*),B(KR,*),C(KR,*)
      DOUBLE PRECISION ALPHA, BETA, GAMMA
C
      DO 10 I=1,NR
      DO 10 J=1,NC
   10 A(I,J) = ALPHA*A(I,J) + BETA*B(I,J) + GAMMA*C(I,J)
C
      RETURN
      END
