C $Header: /export/cvs/c34a1/source/moldyn/clear.f,v 1.1.1.1 2006/08/17 02:29:56 brooks Exp $
C
C COPYRIGHT (C) 1991-1998 MOLDYN, INC.  ALL RIGHTS RESERVED
C =====================================================================
C 
C THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF MOLDYN, INC.
C 
C THIS SOFTWARE CONTAINS PROPRIETARY AND CONFIDENTIAL INFORMATION OF
C MOLDYN, INC., AND IS PROTECTED BY COPYRIGHT, TRADE SECRET AND OTHER
C STATE AND FEDERAL LAWS. USE, DISCLOSURE, REPRODUCTION OR DUPLICATION
C IN WHOLE OR IN PART IS STRICTLY PROHIBITED WITHOUT THE PRIOR EXPRESS
C WRITTEN CONSENT OF MOLDYN, INC. THE ABOVE COPYRIGHT NOTICE DOES NOT
C EVIDENCE ANY ACTUAL OR INTENDED PUBLICATION OF SUCH SOURCE CODE.
C 
c

      SUBROUTINE mbclear() 
C
      IMPLICIT NONE
C
C parameter statements
#include "PARAM.FOR"
C for IRGFLX --- no. of modes per body
C and DS     --- nominal coordinates
#include "SPECIF.INC"
C
C for HATS --- mode shapes 
C and IHTSPTR - pointers into HATS for atomic mode-component lookup
#include "HANDS2.INC"
#include "HEAPMB.INC"
#include "IFIRST.INC"
C 
C for AK --- the modal stiffness matrix, this is packed into a large
C            array AINTGL, currently at is starting address.
#include "INTGRL.INC"
C
C     External
#ifdef POINTER_KEYWORD
C     subroutines mbfrePTR is declared in source/mbond/memory.f
      EXTERNAL mbfrePTR
#endif
C
C     Local
      CHARACTER*128  RCSID
      DATA           RCSID
     &/'$RCSfile: clear.f,v $$Revision: 1.1.1.1 $'/

      REAL*8  ZERO
      INTEGER i
C      INTEGER i1HATS, i1BH, i1HPMB, i1AINTGL
      INTEGER i1HATS, i1BH, i1HPMB
      EQUIVALENCE (i1HATS, i1pass(7)), (i1BH, i1pass(8)), 
     +            (i1HPMB, i1pass(9))

C
C     ZERO was previously defined in source/fcm/nubmer.fcm
      ZERO = 0.E0

C De-allocate pointer hatsptr will also de-alloate space for
C AINTGRL.
      IF (i1HATS .EQ. 1) THEN	
#ifdef POINTER_KEYWORD
        CALL mbfrePTR(hatsptr)
#endif
        i1HATS = 0           
      END IF

      IF (i1BH .EQ. 1) THEN	
#ifdef POINTER_KEYWORD
        CALL mbfrePTR(bhptr)
#endif
        i1BH = 0           
      END IF

      IF (i1HPMB .EQ. 1) THEN	
#ifdef POINTER_KEYWORD
        CALL mbfrePTR(hpmbptr)
#endif
        i1HPMB = 0           
      END IF

      DO i = 1, L03
         ihtsptr(i) = 0
      ENDDO

      DO i = 1, L01
         irgflx(i) = 0
      ENDDO

      DO i = 1, L17
         ds(1, i) = ZERO
         ds(2, i) = ZERO
         ds(3, i) = ZERO
      ENDDO

      RETURN 
      END




