C $Header: /export/cvs/c34a1/source/moldyn/cpamat.f,v 1.1.1.1 2006/08/17 02:29:56 brooks Exp $
C
C COPYRIGHT (C) 1991-1998 MOLDYN, INC.  ALL RIGHTS RESERVED
C =====================================================================
C 
C THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF MOLDYN, INC.
C 
C THIS SOFTWARE CONTAINS PROPRIETARY AND CONFIDENTIAL INFORMATION OF
C MOLDYN, INC., AND IS PROTECTED BY COPYRIGHT, TRADE SECRET AND OTHER
C STATE AND FEDERAL LAWS. USE, DISCLOSURE, REPRODUCTION OR DUPLICATION
C IN WHOLE OR IN PART IS STRICTLY PROHIBITED WITHOUT THE PRIOR EXPRESS
C WRITTEN CONSENT OF MOLDYN, INC. THE ABOVE COPYRIGHT NOTICE DOES NOT
C EVIDENCE ANY ACTUAL OR INTENDED PUBLICATION OF SUCH SOURCE CODE.
C 
C 
      subroutine cpamat(amat,naa,cmat,ami,i6,iat,wt)
c
c     This subroutine computes the weighted A matrix
c
      IMPLICIT NONE
 
      CHARACTER*128  RCSID
      DATA           RCSID
     &/'$RCSfile: cpamat.f,v $$Revision: 1.1.1.1 $'/
c
      INTEGER i6,iat,naa
      INTEGER i1,k,k1,k2
      DOUBLE PRECISION ami, wt
      DOUBLE PRECISION amat(naa),cmat(3,*)
      DOUBLE PRECISION rtemp,sum
c
c     A := A + cmat**T cmat * wt * mass
c
      rtemp = wt/ami
      if (iat .ne. 1) then         ! for bodies
         do k1 = 1, i6
            do k2 = k1, i6
               k = (k2-1)*k2/2 + k1
               sum = 0d0
               do i1 = 1, 3
                  sum = sum + cmat(i1,k1)*cmat(i1,k2)
               end do
               amat(k) = amat(k) + sum*rtemp
            end do
         end do
      else if (iat .eq. 1) then    ! for particles
         amat(1) = amat(1) + rtemp
         amat(2) = amat(2) + rtemp
         amat(3) = amat(3) + rtemp
      end if
c
      return
      end
