C $Header: /export/cvs/c34a1/source/moldyn/errhdl.f,v 1.1.1.1 2006/08/17 02:29:56 brooks Exp $
C
C COPYRIGHT (C) 1991-1998 MOLDYN, INC.  ALL RIGHTS RESERVED
C =====================================================================
C 
C THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF MOLDYN, INC.
C 
C THIS SOFTWARE CONTAINS PROPRIETARY AND CONFIDENTIAL INFORMATION OF
C MOLDYN, INC., AND IS PROTECTED BY COPYRIGHT, TRADE SECRET AND OTHER
C STATE AND FEDERAL LAWS. USE, DISCLOSURE, REPRODUCTION OR DUPLICATION
C IN WHOLE OR IN PART IS STRICTLY PROHIBITED WITHOUT THE PRIOR EXPRESS
C WRITTEN CONSENT OF MOLDYN, INC. THE ABOVE COPYRIGHT NOTICE DOES NOT
C EVIDENCE ANY ACTUAL OR INTENDED PUBLICATION OF SUCH SOURCE CODE.
C 

      SUBROUTINE ERRHDL(LEV,SUB)
C     LEV - level of warning (from +5 minor to -5 severe)
C     SUB - 8 characters representation of calling routine
C
      IMPLICIT NONE
C
#include "TAPENO.INC"
#include "ERRHDL.INC"

      INTEGER LEV
      CHARACTER*(*) SUB

C 
C     Local
      CHARACTER*128  RCSID
      DATA           RCSID
     &/'$RCSfile: errhdl.f,v $$Revision: 1.1.1.1 $'/

C    ERRMSG - Warning messages or termination messages.

#ifdef CHARMM
      IF (LEV .LT. MBBOMM) THEN
        WRITE(MBOUT,40) SUB
 40     FORMAT('********** EXECUTION TERMINATED FROM ',A,'*******')
        WRITE(MBOUT,20) ERRMSG      
        WRITE(MBOUT,30) 
        STOP 
      ELSE
        WRITE(MBOUT,10) SUB
 10     FORMAT('********** WARNING FROM ',A,'********************')
        WRITE(MBOUT,20) ERRMSG      
        WRITE(MBOUT,30) 
      ENDIF           
#else
      WRITE(MBOUT,40) SUB
 40   FORMAT('********** EXECUTION TERMINATED FROM ',A,'*******')
      WRITE(MBOUT,20) ERRMSG      
      WRITE(MBOUT,30) 
      STOP 
#endif

 20   FORMAT(A)
 30   FORMAT('*************************************************') 

      RETURN
      END       
    
      SUBROUTINE CLEARERR()

      IMPLICIT NONE

#include "ERRHDL.INC"

      WRITE(ERRMSG,100)
 100  FORMAT(' ')

      RETURN
      END



