C $Header: /export/cvs/c34a1/source/moldyn/fetch.f,v 1.1.1.1 2006/08/17 02:29:56 brooks Exp $
C
C COPYRIGHT (C) 1991-1998 MOLDYN, INC.  ALL RIGHTS RESERVED
C =====================================================================
C 
C THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF MOLDYN, INC.
C 
C THIS SOFTWARE CONTAINS PROPRIETARY AND CONFIDENTIAL INFORMATION OF
C MOLDYN, INC., AND IS PROTECTED BY COPYRIGHT, TRADE SECRET AND OTHER
C STATE AND FEDERAL LAWS. USE, DISCLOSURE, REPRODUCTION OR DUPLICATION
C IN WHOLE OR IN PART IS STRICTLY PROHIBITED WITHOUT THE PRIOR EXPRESS
C WRITTEN CONSENT OF MOLDYN, INC. THE ABOVE COPYRIGHT NOTICE DOES NOT
C EVIDENCE ANY ACTUAL OR INTENDED PUBLICATION OF SUCH SOURCE CODE.
C 
C 
      SUBROUTINE FETCH(NTAPE,NRECN,NRECO,A,NRA,NCA,KRA)
CSE
C                                                          DEBUG #  25
CPS        PURPOSE:
C
C                   TO FETCH A PARTICULAR MATRIX FROM TAPE, THE TAPE IS
C                   ASSUMED TO BE WRITTEN IN BINARY AND THE RECORD
C                   NUMBER ASSOCIATED WITH THE MATRIX KNOWN
C
CPE
      IMPLICIT NONE
 
      CHARACTER*128  RCSID
      DATA           RCSID
     &/'$RCSfile: fetch.f,v $$Revision: 1.1.1.1 $'/
CAS           ***  ARGUMENT LIST  ***
C
C     FETCH MATRIX FROM NTAPE - ASSUMED WRITTEN BY ROWS
C         WHERE NRECN = INPUT RECORD NUMBER DESIRED
C               NRECO = LAST OUTPUT RECORD NUMBER FETCHED FROM NTAPE
C                       USED TO AVOID EXCESSIVE TAPE SEARCH
C               A     = ARRAY WHERE RECORD STORED (NRA,NCA)
C
CAE
C     Local Variables
c
      INTEGER KRA,NRECN,NRECO,NRA,NCA
      INTEGER NSKIP
      INTEGER I,J,K
      INTEGER NTAPE         ! Unit Number (passed)
      DOUBLE PRECISION DUM
      DOUBLE PRECISION A(KRA,*)
C
      IF(NRECN - NRECO) 1,2,3
C
    1 REWIND NTAPE
      NSKIP = NRECN - 1
      IF(NSKIP .EQ. 0) GO TO 20
      DO 10 K=1,NSKIP
   10 READ(NTAPE) DUM
      GO TO 20
C
    2 BACKSPACE NTAPE
      GO TO 20
C
    3 NSKIP = NRECN - NRECO - 1
      IF(NSKIP .EQ. 0) GO TO 20
      DO 11 K=1,NSKIP
   11 READ(NTAPE) DUM
      GO TO 20
C
   20 NRECO = NRECN
C
      READ(NTAPE) ((A(I,J),J=1,NCA),I=1,NRA)
C
      RETURN
      END
