C $Header: /export/cvs/c34a1/source/moldyn/pagehd.f,v 1.1.1.1 2006/08/17 02:29:56 brooks Exp $
C
C COPYRIGHT (C) 1991-1998 MOLDYN, INC.  ALL RIGHTS RESERVED
C =====================================================================
C 
C THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF MOLDYN, INC.
C 
C THIS SOFTWARE CONTAINS PROPRIETARY AND CONFIDENTIAL INFORMATION OF
C MOLDYN, INC., AND IS PROTECTED BY COPYRIGHT, TRADE SECRET AND OTHER
C STATE AND FEDERAL LAWS. USE, DISCLOSURE, REPRODUCTION OR DUPLICATION
C IN WHOLE OR IN PART IS STRICTLY PROHIBITED WITHOUT THE PRIOR EXPRESS
C WRITTEN CONSENT OF MOLDYN, INC. THE ABOVE COPYRIGHT NOTICE DOES NOT
C EVIDENCE ANY ACTUAL OR INTENDED PUBLICATION OF SUCH SOURCE CODE.
C 
C 
      SUBROUTINE PAGEHD
 
      CHARACTER*128  RCSID
      DATA           RCSID
     &/'$RCSfile: pagehd.f,v $$Revision: 1.1.1.1 $'/
CSE
C                                                          DEBUG #   8
CPS        PURPOSE:
C
C                   UTILITY ROUTINE, BRINGS UP NEW PAGE ON LINE-PRINTER
C                   AND PUTS HEADING AT TOP OF IT. (TOP OF FORM
C                   INHIBITED TO SAVE PAPER).
C
CPE
      CHARACTER*8 TIM
#include "LSTART.INC"
#include "LSTRT1.INC"
#include "TAPENO.INC"
      DATA IFIRST/0/
      DATA SEC,SEC0/2*0.0/
      SAVE IFIRST,SEC,SEC0
C
C  BY COMBINED EFFORT OF BODLEY, HRUDA, WOHLEN.  DEC 1968.
C  LAST REVISION BY HP FRISCH MAY 1981.
C
CAS      ***  ARGUMENT LIST  **
C
C     INTERNAL VARIABLES.  (TRANSFERRED THRU COMMON).
C  RUNNO  = RUN NUMBER. (A6 FORMAT)
C  DATE   = DATE. (A12 FORMAT)
C  NPAGE  = PAGE NUMBER.
C  UNAME  = USERS NAME. (3A6 FORMAT)
C  TITLE1 = FIRST  TITLE. (12A6 FORMAT)
C  TITLE2 = SECOND TITLE. (12A6 FORMAT)
C
CAE
 2001 FORMAT ('0RUN NO. ',A6,42X,'DATE ',A12,38X,'PAGE NO. ',I4
     *        / 55X,'RUN BY ',3A6//10X,12A6,10X,'CURRENT TIME = ',
     *        A8/10X,12A6,10X,'THE CPU TIMER = ',1PE10.4)
C
      IF(IFIRST.NE.0) GO TO 20
      IFIRST=1
c      CALL SECOND(SEC0)
 20   CONTINUE
      NPAGE = NPAGE + 1
#ifdef IBMRS
      CALL clock_(tim)
#else
      CALL TIME (TIM)
#endif
c      CALL SECOND (SEC)
      SEC=SEC-SEC0
      WRITE (MBOUT,2001) RUNNO,DATE,NPAGE,UNAME,TITLE1,TIM,TITLE2,SEC
      RETURN
      END
