C $Header: /export/cvs/c34a1/source/moldyn/rk4.f,v 1.1.1.1 2006/08/17 02:29:56 brooks Exp $
C
C COPYRIGHT (C) 1991-1998 MOLDYN, INC.  ALL RIGHTS RESERVED
C ========================================================================
C
C THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF MOLDYN, INC.
C
C THIS SOFTWARE CONTAINS PROPRIETARY AND CONFIDENTIAL INFORMATION OF
C MOLDYN, INC., AND IS PROTECTED BY COPYRIGHT, TRADE SECRET AND OTHER 
C STATE AND FEDERAL LAWS.  USE, DISCLOSURE, REPRODUCTION OR DUPLICATION 
C IN WHOLE OR IN PART IS STRICTLY PROHIBITED WITHOUT THE PRIOR EXPRESS 
C WRITTEN CONSENT OF MOLDYN, INC. THE ABOVE COPYRIGHT NOTICE DOES NOT 
C EVIDENCE ANY ACTUAL OR INTENDED PUBLICATION OF SUCH SOURCE CODE.
C
C 
      SUBROUTINE RK4(Y,DYDX,N,X,H,YOUT,DERIVS,iextor,yt,dyt,dym)
c
      IMPLICIT NONE 
      CHARACTER*128  RCSID
      DATA           RCSID
     &/'$RCSfile: rk4.f,v $$Revision: 1.1.1.1 $'/
c
#include "PARAM.FOR"
c
#include "CPATHS.INC"
#include "HEAPMB.INC"
#include "VECTOR.INC"
#include "MOMENG.INC"
#include "IVCONS.INC"
#include "SELECT.INC"
#include "SPECIF.INC"

      INTEGER I,N
      INTEGER idum,iextor
      DOUBLE PRECISION Y(N),DYDX(N),YOUT(N)
      DOUBLE PRECISION YT(cL07),DYT(cL07),DYM(cL07)
      DOUBLE PRECISION DUM,H,HH,H6,X,XH
c
      EXTERNAL DERIVS
c
      HH=H*0.5d0 
      H6=H/6.D0
      XH=X+HH
c
      DO 11 I=1,N
         YT(I)=Y(I)+HH*DYDX(I)
11    CONTINUE
c
      iextor = 1   ! Call to external torque
      CALL DERIVS(XH,YT,DYT,dum,idum,iextor,HEAP_MB(iyptr),
     &            HEAP_MB(iydtptr),HEAP_MB(ipptr),
     &            LocalHeap(iggvptr_ydot),
     &            logicLoopHeap(iiscutptr),
     &            intLoopHeap(iivptr),intLoopHeap(iibetdtptr),
     &            LoopHeap(ibetahdptr),intloopheap(iitopolptr),
     &            intLoopheap(iihdataptr),LocalHeap(iirhptr_ydot))
c
      DO 12 I=1,N
         YT(I)=Y(I)+HH*DYT(I)
12    CONTINUE
c
      CALL DERIVS(XH,YT,DYM,dum,idum,iextor,HEAP_MB(iyptr),
     &            HEAP_MB(iydtptr),HEAP_MB(ipptr),
     &            LocalHeap(iggvptr_ydot),
     &            logicLoopHeap(iiscutptr),
     &            intLoopHeap(iivptr),intLoopHeap(iibetdtptr),
     &            LoopHeap(ibetahdptr),intloopheap(iitopolptr),
     &            intLoopheap(iihdataptr),LocalHeap(iirhptr_ydot))
c
      DO 13 I=1,N
        YT(I)=Y(I)+H*DYM(I)
        DYM(I)=DYT(I)+DYM(I)
13    CONTINUE
c
      CALL DERIVS(X+H,YT,DYT,dum,idum,iextor,HEAP_MB(iyptr),
     &            HEAP_MB(iydtptr),HEAP_MB(ipptr),
     &            LocalHeap(iggvptr_ydot),
     &            logicLoopHeap(iiscutptr),
     &            intLoopHeap(iivptr),intLoopHeap(iibetdtptr),
     &            LoopHeap(ibetahdptr),intloopheap(iitopolptr),
     &            intLoopheap(iihdataptr),LocalHeap(iirhptr_ydot))
c
      DO 14 I=1,N
         YOUT(I)=Y(I)+H6*(DYDX(I)+DYT(I)+2.d0*DYM(I))
14    CONTINUE
c
      RETURN
      END
