C $Header: /export/cvs/c34a1/source/moldyn/rtadj.f,v 1.1.1.1 2006/08/17 02:29:56 brooks Exp $
C
C COPYRIGHT (C) 1991-1998 MOLDYN, INC.  ALL RIGHTS RESERVED
C =====================================================================
C 
C THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF MOLDYN, INC.
C 
C THIS SOFTWARE CONTAINS PROPRIETARY AND CONFIDENTIAL INFORMATION OF
C MOLDYN, INC., AND IS PROTECTED BY COPYRIGHT, TRADE SECRET AND OTHER
C STATE AND FEDERAL LAWS. USE, DISCLOSURE, REPRODUCTION OR DUPLICATION
C IN WHOLE OR IN PART IS STRICTLY PROHIBITED WITHOUT THE PRIOR EXPRESS
C WRITTEN CONSENT OF MOLDYN, INC. THE ABOVE COPYRIGHT NOTICE DOES NOT
C EVIDENCE ANY ACTUAL OR INTENDED PUBLICATION OF SUCH SOURCE CODE.
C 
C 
      subroutine rtadj(dsloc,xloc,ami,thet,n,ibod)
c
      IMPLICIT NONE
c
c     Argument List
c      
      INTEGER n                     !  Number of atoms in body ibod
      INTEGER ibod                  !  Body number
      DOUBLE PRECISION dsloc(3,2*n) !  Nominal coordinates in body frame
      DOUBLE PRECISION xloc(3,n)    !  Initial coordinates in inertial frame
      DOUBLE PRECISION ami(n)       !  Mass inverse
      DOUBLE PRECISION thet(3)      !  Angular rotation (output)
c
c     Local Variables
c
      INTEGER          i, j         !  DO loop indices
      DOUBLE PRECISION sum          !  Summation variable
      DOUBLE PRECISION rp(4,3),ry(4)
c
c     Function Declarations
c
      DOUBLE PRECISION rtcst2
c
      CHARACTER*128  RCSID
      DATA           RCSID
     &/'$RCSfile: rtadj.f,v $$Revision: 1.1.1.1 $'/
c
c     Find the rotation transformation
c
      call zero(rp,4,3,4)
      call zero(thet,3,1,3)
      ry(1) = rtcst2(thet,xloc,dsloc,ami,n,ibod)
      IF (ry(1) .LT. 1D-10) RETURN
      do i = 1, 3
         rp(i+1,i) = 0.2d0
         call zero(thet,3,1,3)
         thet(i) = 0.2d0
         ry(i+1) = rtcst2(thet,xloc,dsloc,ami,n,ibod)
      end do
      call rtiter(rp,ry,1.d-10,xloc,dsloc,ami,n,ibod)
      call rtiter(rp,ry,1.d-10,xloc,dsloc,ami,n,ibod)
      do i = 1, 3
         sum = 0D0
         do j = 1, 4
            sum = sum + rp(j,i)
         end do
         thet(i) = sum * 0.25D0
      END DO
C
      RETURN
      END
