C $Header: /export/cvs/c34a1/source/moldyn/skewv3.f,v 1.1.1.1 2006/08/17 02:29:56 brooks Exp $
C
C COPYRIGHT (C) 1991-1998 MOLDYN, INC.  ALL RIGHTS RESERVED
C =====================================================================
C 
C THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF MOLDYN, INC.
C 
C THIS SOFTWARE CONTAINS PROPRIETARY AND CONFIDENTIAL INFORMATION OF
C MOLDYN, INC., AND IS PROTECTED BY COPYRIGHT, TRADE SECRET AND OTHER
C STATE AND FEDERAL LAWS. USE, DISCLOSURE, REPRODUCTION OR DUPLICATION
C IN WHOLE OR IN PART IS STRICTLY PROHIBITED WITHOUT THE PRIOR EXPRESS
C WRITTEN CONSENT OF MOLDYN, INC. THE ABOVE COPYRIGHT NOTICE DOES NOT
C EVIDENCE ANY ACTUAL OR INTENDED PUBLICATION OF SUCH SOURCE CODE.
C 
C 
C
      SUBROUTINE SKEWV3(V,SKV,KV,KSKV)
CSE
C                                                          DEBUG #  53
CPS        PURPOSE:
C
C                   UTILITY ROUTINE SKEW OPERATOR
C                                 0   V3 -V2
C                          SKV = -V3  0   V1
C                                 V2 -V1  0
C                   INPUT (V1,V2,V3) OUTPUT SKV ARRAY
C
C     djb: Parameter KV is not used.
C
CPE
      IMPLICIT NONE
 
      CHARACTER*128  RCSID
      DATA           RCSID
     &/'$RCSfile: skewv3.f,v $$Revision: 1.1.1.1 $'/
C
      INTEGER KSKV,KV
      DOUBLE PRECISION V(*),SKV(KSKV,*)
C
      SKV(2,3) = V(1)
      SKV(3,1) = V(2)
      SKV(1,2) = V(3)
      SKV(3,2) = -SKV(2,3)
      SKV(1,3) = -SKV(3,1)
      SKV(2,1) = -SKV(1,2)
      SKV(1,1) = 0.D 0
      SKV(2,2) = 0.D 0
      SKV(3,3) = 0.D 0
C
      RETURN
      END
