C $Header: /export/cvs/c34a1/source/moldyn/vcross.f,v 1.1.1.1 2006/08/17 02:29:56 brooks Exp $
C
C COPYRIGHT (C) 1991-1998 MOLDYN, INC.  ALL RIGHTS RESERVED
C =====================================================================
C 
C THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF MOLDYN, INC.
C 
C THIS SOFTWARE CONTAINS PROPRIETARY AND CONFIDENTIAL INFORMATION OF
C MOLDYN, INC., AND IS PROTECTED BY COPYRIGHT, TRADE SECRET AND OTHER
C STATE AND FEDERAL LAWS. USE, DISCLOSURE, REPRODUCTION OR DUPLICATION
C IN WHOLE OR IN PART IS STRICTLY PROHIBITED WITHOUT THE PRIOR EXPRESS
C WRITTEN CONSENT OF MOLDYN, INC. THE ABOVE COPYRIGHT NOTICE DOES NOT
C EVIDENCE ANY ACTUAL OR INTENDED PUBLICATION OF SUCH SOURCE CODE.
C 
C 
      SUBROUTINE vcross(rvec1,rvec2,rvec3)
c
c     Subroutine to perform vector cross product
c
c     rvec3 = rvec1 X rvec2
c
c     Called from torque
c
c
      IMPLICIT NONE
c
c     Inputs:
      DOUBLE PRECISION rvec1(*)     !  Real vector 1
      DOUBLE PRECISION rvec2(*)     !  Real vector 2
c
c     Output:
      DOUBLE PRECISION rvec3(*)     !  Real vector 3
c
      CHARACTER*128  RCSID
      DATA           RCSID
     &/'$RCSfile: vcross.f,v $$Revision: 1.1.1.1 $'/
c
      rvec3(1) = rvec1(2)*rvec2(3) - rvec1(3)*rvec2(2)
      rvec3(2) = rvec1(3)*rvec2(1) - rvec1(1)*rvec2(3)
      rvec3(3) = rvec1(1)*rvec2(2) - rvec1(2)*rvec2(1)
c
      RETURN
      END
