C $Header: /export/cvs/c34a1/source/moldyn/velrms.f,v 1.1.1.1 2006/08/17 02:29:56 brooks Exp $
C
C COPYRIGHT (C) 1991-1998 MOLDYN, INC.  ALL RIGHTS RESERVED
C ========================================================================
C
C THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF MOLDYN, INC.
C
C THIS SOFTWARE CONTAINS PROPRIETARY AND CONFIDENTIAL INFORMATION OF
C MOLDYN, INC., AND IS PROTECTED BY COPYRIGHT, TRADE SECRET AND OTHER 
C STATE AND FEDERAL LAWS.  USE, DISCLOSURE, REPRODUCTION OR DUPLICATION 
C IN WHOLE OR IN PART IS STRICTLY PROHIBITED WITHOUT THE PRIOR EXPRESS 
C WRITTEN CONSENT OF MOLDYN, INC. THE ABOVE COPYRIGHT NOTICE DOES NOT 
C EVIDENCE ANY ACTUAL OR INTENDED PUBLICATION OF SUCH SOURCE CODE.
C
      subroutine velrms(verr,syscg,gvec,cmat)
c
      IMPLICIT NONE
 
      CHARACTER*128  RCSID
      DATA           RCSID
     &/'$RCSfile: velrms.f,v $$Revision: 1.1.1.1 $'/
c
#include "PARAM.FOR"
c
#include "CHARMM.INC"
#include "COREA.INC"
#include "CSTIFF.INC"
#include "INFOV.INC"
#include "MEMLB.INC"
#include "SPECIF.INC"
#include "TAPENO.INC"
#include "HEAPMB.INC"
#include "MOMENG.INC"
c
      INTEGER iat,itype,ifb
      INTEGER i,i1,i2,lm,lv
      DOUBLE PRECISION tmat(3,3),cmat(3,cL11),v(3)
      DOUBLE PRECISION s(3),tlm(3),tam(3),vferr(L01)
      DOUBLE PRECISION syscg(3)
      DOUBLE PRECISION amas,dum,verr
      DOUBLE PRECISION gvec(cl72)
c
      verr = 0.
      itype = 1
      call zero(tlm,3,1,3)
      call zero(tam,3,1,3)
      do ifb = 1, nb
         vferr(ifb) = 0.
         i2 = iatoms(1,ifb) - 1
         lm = M20 + i2
         lv = M40 + 3*i2
         iat = iatoms(3,ifb)
         if (iat .ne. 1) then
            call rottr(3,itype,theta(1,ifb),tmat,dum,dum)
         end if
         do i = 1, iat
            if (iat .ne. 1) then
               call cmposn(i,i2,IRGFLX(ifb),ifb,0,tmat,cmat,s,
     &                      HEAP_MB(iamdampptr),HEAP_MB(ipptr))
            else
               s(1) = cgnom(1,ifb) + cgadj(1,ifb)
               s(2) = cgnom(2,ifb) + cgadj(2,ifb)
               s(3) = cgnom(3,ifb) + cgadj(3,ifb)
            end if
            do i1 = 1, 3
               s(i1) = s(i1) - syscg(i1)  
                     !  Angular momentums are defined with respect to 
                     !  the adjusted center of mass.
            end do
            if (iat .ne. 1) then
CC@CC
CC@CC .........MULT3 cmat, gvec(k0(ifb)+1), v
CC@CC .........3, 6+IRGFLX(ifb), 1
CC@CC .........3, L72, 3
      CALL DGEMV ('N',3,6+IRGFLX(ifb),1.0d0,cmat,3,gvec(k0(ifb)+1),1,0.0
     .d0,v,1)
CC@CC end of expanded call
CC@CC
            else
               do i1 = 1, 3
                  v(i1) = gvec(k0(ifb)+i1)
               end do
            end if
            amas = 1./X(lm)
            tam(1) = tam(1) + amas*(s(2)*v(3)-s(3)*v(2))
            tam(2) = tam(2) + amas*(s(3)*v(1)-s(1)*v(3))
            tam(3) = tam(3) + amas*(s(1)*v(2)-s(2)*v(1))
            do i1 = 1, 3
               tlm(i1) = tlm(i1) + amas*v(i1)
               verr = verr + (v(i1) - X(lv))**2
               vferr(ifb) = vferr(ifb) + (v(i1) - X(lv))**2
               lv = lv + 1
            end do
            lm = lm + 1
         end do
         vferr(ifb) = sqrt(vferr(ifb)/DBLE(3*iatoms(3,ifb)))
      end do
      verr = sqrt(verr/DBLE(3*NATOM))
c
      IF (MBPLVL .GE. 9) THEN
        write (MBOUT,*) 'Total angular momentum:'
        write (MBOUT,*) (tam(i1),i1=1,3)
        write (MBOUT,*) 'Total linear momentum:'
        write (MBOUT,*) (tlm(i1),i1=1,3)
        write (MBOUT,*) 'RMS velocity errors:'
        write (MBOUT,*) 'Total molecule:'
        write (MBOUT,*) verr
        write (MBOUT,*) 'Each fragment:'
        write (MBOUT,*) (vferr(ifb),ifb=1,nb)
        write (MBOUT,*) ' '
      END IF
c
      return
      end
