C $Header: /export/cvs/c34a1/source/moldyn/write.f,v 1.1.1.1 2006/08/17 02:29:56 brooks Exp $
C
C COPYRIGHT (C) 1991-1998 MOLDYN, INC.  ALL RIGHTS RESERVED
C =====================================================================
C 
C THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF MOLDYN, INC.
C 
C THIS SOFTWARE CONTAINS PROPRIETARY AND CONFIDENTIAL INFORMATION OF
C MOLDYN, INC., AND IS PROTECTED BY COPYRIGHT, TRADE SECRET AND OTHER
C STATE AND FEDERAL LAWS. USE, DISCLOSURE, REPRODUCTION OR DUPLICATION
C IN WHOLE OR IN PART IS STRICTLY PROHIBITED WITHOUT THE PRIOR EXPRESS
C WRITTEN CONSENT OF MOLDYN, INC. THE ABOVE COPYRIGHT NOTICE DOES NOT
C EVIDENCE ANY ACTUAL OR INTENDED PUBLICATION OF SUCH SOURCE CODE.
C 
C 
C
      SUBROUTINE MWRITE  (A,NR,NC,ANAME,KR)
c
      IMPLICIT NONE
c
      CHARACTER*128  RCSID
      DATA           RCSID
     &/'$RCSfile: write.f,v $$Revision: 1.1.1.1 $'/
CSE
C                                                          DEBUG #  12
c
c     Include files
c
#include "TAPENO.INC"
c
      CHARACTER*(*) ANAME
      CHARACTER*6 ANAM
      INTEGER KR
      DOUBLE PRECISION A(KR,*)
      INTEGER NR,NC,LN,L,I,J,JS,JE,NLINE,NZERO
C
CPS        PURPOSE:
C
C                   UTILITY ROUTINE USED TO PRINT TWO DIMENSIONAL MATRIX
C                   OF REAL NUMBERS IN FORMA FORMAT WITH LABELED HEADING
C                   AT TOP OF NEW PAGE
C
CPE
C
CAS          SUBROUTINE ARGUMENTS (ALL INPUT)
C
C  A     = MATRIX TO BE PRINTED. SIZE(NR,NC).
C  NR    = NUMBER OF ROWS IN MATRIX A.
C  NC    = NUMBER OF COLS IN MATRIX A.
C  ANAME = MATRIX IDENTIFICATION. (A6 FORMAT).
C  KR    = ROW DIMENSION OF A IN CALLING PROGRAM.
C
CAE
  999 FORMAT (//' ERROR, CHARACTER STRING INPUT TO WRITE .GT.6')
 2010 FORMAT (//15H OUTPUT MATRIX ,A6,2X,'(',I4,' X',I4,' )',//
     *       10X,10(7X,'(',I2,')')/)
 2020 FORMAT (//15H OUTPUT MATRIX ,A6,2X,'(',I4,2H X,I4,' )',
     *        3X, 9HCONTINUED //10X,10(7X,'(',I2,')')/)
 2030 FORMAT (1X,2I5,2X,1P10D11.3)
 2040 FORMAT (14H0END OF WRITE.)
C
C  PULL UP A NEW PAGE FOR MATRIX AND PRINT MATRIX NAME.
      CALL PAGEHD
      LN = LEN(ANAME)
      IF(LN.GT.6) WRITE (MBOUT,999)
      ANAM = ANAME
      WRITE (MBOUT,2010) ANAM,NR,NC,(L,L=1,10)
      NLINE = 0
C
      DO 60 I=1,NR
      NZERO = 0
      JS = 1
   10 JE = JS+9
      IF (JE .GT. NC) JE=NC
C  SEE IF ELEMENTS ARE ZERO.
      DO 20 J=JS,JE
   20 IF (A(I,J) .NE. 0.D 0) GO TO 30
      GO TO 40
   30 NLINE = NLINE+1
      IF (NLINE .LE. 44) GO TO 35
      CALL PAGEHD
      WRITE (MBOUT,2020) ANAM,NR,NC,(L,L=1,10)
      NLINE = 1
   35 WRITE (MBOUT,2030) I,JS,(A(I,J), J=JS,JE)
      NZERO = 1
   40 IF (JE .EQ. NC) GO TO 50
      JS = JS+10
      GO TO 10
C  SKIP A SPACE BETWEEN EACH ROW IF THERE ARE MORE THAN 10 COLUMNS
C  AND SOMETHING HAS BEEN WRITTEN.
   50 IF (NC.LE.10 .OR. NZERO.EQ.0 .OR. I.EQ.NR)  GO TO 60
      NLINE = NLINE+1
      WRITE (MBOUT,2030)
   60 CONTINUE
C
      WRITE (MBOUT,2040)
      RETURN
      END
