C $Header: /export/cvs/c34a1/source/moldyn/writim.f,v 1.1.1.1 2006/08/17 02:29:56 brooks Exp $
C
C COPYRIGHT (C) 1991-1998 MOLDYN, INC.  ALL RIGHTS RESERVED
C ========================================================================
C
C THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF MOLDYN, INC.
C
C THIS SOFTWARE CONTAINS PROPRIETARY AND CONFIDENTIAL INFORMATION OF
C MOLDYN, INC., AND IS PROTECTED BY COPYRIGHT, TRADE SECRET AND OTHER 
C STATE AND FEDERAL LAWS.  USE, DISCLOSURE, REPRODUCTION OR DUPLICATION 
C IN WHOLE OR IN PART IS STRICTLY PROHIBITED WITHOUT THE PRIOR EXPRESS 
C WRITTEN CONSENT OF MOLDYN, INC. THE ABOVE COPYRIGHT NOTICE DOES NOT 
C EVIDENCE ANY ACTUAL OR INTENDED PUBLICATION OF SUCH SOURCE CODE.
C
C
      SUBROUTINE WRITIM (IA,NR,NC,ANAME,KR)
c
      IMPLICIT NONE
c
CSE
C                                                          DEBUG #   4
CPS        PURPOSE:
C
C                   PULL UP NEW PAGE PRINT INTEGER ARRAY IN FORMA
C                   FORMAT WITH LABEL
C
CPE
CAS          SUBROUTINE ARGUMENTS (ALL INPUT)
C
C
C  IA    = MATRIX TO BE PRINTED. SIZE(NR,NC).
C  NR    = NUMBER OF ROWS IN MATRIX IA.
C  NC    = NUMBER OF COLS IN MATRIX IA.
C  ANAME = MATRIX IDENTIFICATION.
C  KR    = ROW DIMENSION OF IA IN CALLING PROGRAM.
C
#include "PARAM.FOR"
#include "CHARMM.INC"
#include "TAPENO.INC"
      CHARACTER*128  RCSID
      DATA           RCSID
     &/'$RCSfile: writim.f,v $$Revision: 1.1.1.1 $'/
CAE
      CHARACTER*(*) ANAME
      INTEGER KR
      INTEGER IA(KR,*)
      INTEGER NR,NC,I,JS,JE,L,NLINE,J,NZERO
C
CC-- TAKEN FROM FORMA --
C
 2010 FORMAT (//,' OUTPUT MATRIX ',A,2X,'(',I4,' X',I4,' )',//
     *       16X,20(1X,'(',I2,')')/)
 2020 FORMAT (//' OUTPUT MATRIX ',A,2X,'(',I4,' X',I4,' )',
     *        3X,'CONTINUED', //, 16X,20(1X,'(',I2,')')/)
 2030 FORMAT (1X,2I5,5X,20I5)
 2040 FORMAT ('0END OF WRITIM.')
C
C Use CHARMM controls to determine what get's printed
      if (mbplvl .le. 0) return
C
C  PULL UP A NEW PAGE FOR MATRIX AND PRINT MATRIX NAME.
      CALL PAGEHD
      WRITE (MBOUT,2010) ANAME,NR,NC,(L,L=1,20)
      NLINE = 0
C
      if (mbplvl .ge. 9) then
C     
         DO 60 I=1,NR
            NZERO = 0
            JS = 1
 10         JE = JS + 19
            IF (JE .GT. NC) JE = NC
C     SEE IF ELEMENTS ARE ZERO.
            DO 20 J=JS,JE
               IF (IA(I,J) .NE. 0) GO TO 30
 20         CONTINUE
            GO TO 40
 30         NLINE = NLINE + 1
            IF (NLINE .LE. 44) GO TO 35
            CALL PAGEHD
            WRITE (MBOUT,2020) ANAME,NR,NC,(L,L=1,20)
            NLINE = 1
 35         WRITE (MBOUT,2030) I,JS,(IA(I,J), J=JS,JE)
            NZERO = 1
 40         IF (JE .EQ. NC) GO TO 50
            JS = JS + 20
            GO TO 10
C     SKIP A SPACE BETWEEN EACH ROW IF THERE ARE MORE THAN 20 COLUMNS
C     AND SOMETHING HAS BEEN WRITTEN.
 50         IF (NC.LE.20 .OR. NZERO.EQ. 0 .OR. I.EQ.NR)  GO TO 60
            NLINE = NLINE + 1
            WRITE (MBOUT,2030)
 60      CONTINUE
      end if
C     
      WRITE (MBOUT,2040)
      RETURN
      END
